#include "sysdeps.h"
#include "m68k.h"
#include "memory-uae.h"
#include "readcpu.h"
#include "newcpu.h"
#ifdef USE_JIT
#include "compiler/compemu.h"
#endif
#include "fpu/fpu.h"
#include "cputbl.h"
#include "cpu_emulation.h"
#include "debug.h"
#define SET_CFLG_ALWAYS(x) SET_CFLG(x)
#define SET_NFLG_ALWAYS(x) SET_NFLG(x)
#define CPUFUNC_FF(x) x##_ff
#define CPUFUNC_NF(x) x##_nf
#define CPUFUNC(x) CPUFUNC_FF(x)
#ifdef NOFLAGS
# include "noflags.h"
#endif

cpuop_func *cpufunctbl[65536] = {
#if !defined(HAVE_GET_WORD_UNSWAPPED) || defined(FULLMMU)
	CPUFUNC(op_0_0), /* OR */
	CPUFUNC(op_0_0), /* OR */
	CPUFUNC(op_0_0), /* OR */
	CPUFUNC(op_0_0), /* OR */
	CPUFUNC(op_0_0), /* OR */
	CPUFUNC(op_0_0), /* OR */
	CPUFUNC(op_0_0), /* OR */
	CPUFUNC(op_0_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10_0), /* OR */
	CPUFUNC(op_10_0), /* OR */
	CPUFUNC(op_10_0), /* OR */
	CPUFUNC(op_10_0), /* OR */
	CPUFUNC(op_10_0), /* OR */
	CPUFUNC(op_10_0), /* OR */
	CPUFUNC(op_10_0), /* OR */
	CPUFUNC(op_10_0), /* OR */
	CPUFUNC(op_18_0), /* OR */
	CPUFUNC(op_18_0), /* OR */
	CPUFUNC(op_18_0), /* OR */
	CPUFUNC(op_18_0), /* OR */
	CPUFUNC(op_18_0), /* OR */
	CPUFUNC(op_18_0), /* OR */
	CPUFUNC(op_18_0), /* OR */
	CPUFUNC(op_18_0), /* OR */
	CPUFUNC(op_20_0), /* OR */
	CPUFUNC(op_20_0), /* OR */
	CPUFUNC(op_20_0), /* OR */
	CPUFUNC(op_20_0), /* OR */
	CPUFUNC(op_20_0), /* OR */
	CPUFUNC(op_20_0), /* OR */
	CPUFUNC(op_20_0), /* OR */
	CPUFUNC(op_20_0), /* OR */
	CPUFUNC(op_28_0), /* OR */
	CPUFUNC(op_28_0), /* OR */
	CPUFUNC(op_28_0), /* OR */
	CPUFUNC(op_28_0), /* OR */
	CPUFUNC(op_28_0), /* OR */
	CPUFUNC(op_28_0), /* OR */
	CPUFUNC(op_28_0), /* OR */
	CPUFUNC(op_28_0), /* OR */
	CPUFUNC(op_30_0), /* OR */
	CPUFUNC(op_30_0), /* OR */
	CPUFUNC(op_30_0), /* OR */
	CPUFUNC(op_30_0), /* OR */
	CPUFUNC(op_30_0), /* OR */
	CPUFUNC(op_30_0), /* OR */
	CPUFUNC(op_30_0), /* OR */
	CPUFUNC(op_30_0), /* OR */
	CPUFUNC(op_38_0), /* OR */
	CPUFUNC(op_39_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3c_0), /* ORSR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_40_0), /* OR */
	CPUFUNC(op_40_0), /* OR */
	CPUFUNC(op_40_0), /* OR */
	CPUFUNC(op_40_0), /* OR */
	CPUFUNC(op_40_0), /* OR */
	CPUFUNC(op_40_0), /* OR */
	CPUFUNC(op_40_0), /* OR */
	CPUFUNC(op_40_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_50_0), /* OR */
	CPUFUNC(op_50_0), /* OR */
	CPUFUNC(op_50_0), /* OR */
	CPUFUNC(op_50_0), /* OR */
	CPUFUNC(op_50_0), /* OR */
	CPUFUNC(op_50_0), /* OR */
	CPUFUNC(op_50_0), /* OR */
	CPUFUNC(op_50_0), /* OR */
	CPUFUNC(op_58_0), /* OR */
	CPUFUNC(op_58_0), /* OR */
	CPUFUNC(op_58_0), /* OR */
	CPUFUNC(op_58_0), /* OR */
	CPUFUNC(op_58_0), /* OR */
	CPUFUNC(op_58_0), /* OR */
	CPUFUNC(op_58_0), /* OR */
	CPUFUNC(op_58_0), /* OR */
	CPUFUNC(op_60_0), /* OR */
	CPUFUNC(op_60_0), /* OR */
	CPUFUNC(op_60_0), /* OR */
	CPUFUNC(op_60_0), /* OR */
	CPUFUNC(op_60_0), /* OR */
	CPUFUNC(op_60_0), /* OR */
	CPUFUNC(op_60_0), /* OR */
	CPUFUNC(op_60_0), /* OR */
	CPUFUNC(op_68_0), /* OR */
	CPUFUNC(op_68_0), /* OR */
	CPUFUNC(op_68_0), /* OR */
	CPUFUNC(op_68_0), /* OR */
	CPUFUNC(op_68_0), /* OR */
	CPUFUNC(op_68_0), /* OR */
	CPUFUNC(op_68_0), /* OR */
	CPUFUNC(op_68_0), /* OR */
	CPUFUNC(op_70_0), /* OR */
	CPUFUNC(op_70_0), /* OR */
	CPUFUNC(op_70_0), /* OR */
	CPUFUNC(op_70_0), /* OR */
	CPUFUNC(op_70_0), /* OR */
	CPUFUNC(op_70_0), /* OR */
	CPUFUNC(op_70_0), /* OR */
	CPUFUNC(op_70_0), /* OR */
	CPUFUNC(op_78_0), /* OR */
	CPUFUNC(op_79_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7c_0), /* ORSR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80_0), /* OR */
	CPUFUNC(op_80_0), /* OR */
	CPUFUNC(op_80_0), /* OR */
	CPUFUNC(op_80_0), /* OR */
	CPUFUNC(op_80_0), /* OR */
	CPUFUNC(op_80_0), /* OR */
	CPUFUNC(op_80_0), /* OR */
	CPUFUNC(op_80_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90_0), /* OR */
	CPUFUNC(op_90_0), /* OR */
	CPUFUNC(op_90_0), /* OR */
	CPUFUNC(op_90_0), /* OR */
	CPUFUNC(op_90_0), /* OR */
	CPUFUNC(op_90_0), /* OR */
	CPUFUNC(op_90_0), /* OR */
	CPUFUNC(op_90_0), /* OR */
	CPUFUNC(op_98_0), /* OR */
	CPUFUNC(op_98_0), /* OR */
	CPUFUNC(op_98_0), /* OR */
	CPUFUNC(op_98_0), /* OR */
	CPUFUNC(op_98_0), /* OR */
	CPUFUNC(op_98_0), /* OR */
	CPUFUNC(op_98_0), /* OR */
	CPUFUNC(op_98_0), /* OR */
	CPUFUNC(op_a0_0), /* OR */
	CPUFUNC(op_a0_0), /* OR */
	CPUFUNC(op_a0_0), /* OR */
	CPUFUNC(op_a0_0), /* OR */
	CPUFUNC(op_a0_0), /* OR */
	CPUFUNC(op_a0_0), /* OR */
	CPUFUNC(op_a0_0), /* OR */
	CPUFUNC(op_a0_0), /* OR */
	CPUFUNC(op_a8_0), /* OR */
	CPUFUNC(op_a8_0), /* OR */
	CPUFUNC(op_a8_0), /* OR */
	CPUFUNC(op_a8_0), /* OR */
	CPUFUNC(op_a8_0), /* OR */
	CPUFUNC(op_a8_0), /* OR */
	CPUFUNC(op_a8_0), /* OR */
	CPUFUNC(op_a8_0), /* OR */
	CPUFUNC(op_b0_0), /* OR */
	CPUFUNC(op_b0_0), /* OR */
	CPUFUNC(op_b0_0), /* OR */
	CPUFUNC(op_b0_0), /* OR */
	CPUFUNC(op_b0_0), /* OR */
	CPUFUNC(op_b0_0), /* OR */
	CPUFUNC(op_b0_0), /* OR */
	CPUFUNC(op_b0_0), /* OR */
	CPUFUNC(op_b8_0), /* OR */
	CPUFUNC(op_b9_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0_0), /* CHK2 */
	CPUFUNC(op_d0_0), /* CHK2 */
	CPUFUNC(op_d0_0), /* CHK2 */
	CPUFUNC(op_d0_0), /* CHK2 */
	CPUFUNC(op_d0_0), /* CHK2 */
	CPUFUNC(op_d0_0), /* CHK2 */
	CPUFUNC(op_d0_0), /* CHK2 */
	CPUFUNC(op_d0_0), /* CHK2 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e8_0), /* CHK2 */
	CPUFUNC(op_e8_0), /* CHK2 */
	CPUFUNC(op_e8_0), /* CHK2 */
	CPUFUNC(op_e8_0), /* CHK2 */
	CPUFUNC(op_e8_0), /* CHK2 */
	CPUFUNC(op_e8_0), /* CHK2 */
	CPUFUNC(op_e8_0), /* CHK2 */
	CPUFUNC(op_e8_0), /* CHK2 */
	CPUFUNC(op_f0_0), /* CHK2 */
	CPUFUNC(op_f0_0), /* CHK2 */
	CPUFUNC(op_f0_0), /* CHK2 */
	CPUFUNC(op_f0_0), /* CHK2 */
	CPUFUNC(op_f0_0), /* CHK2 */
	CPUFUNC(op_f0_0), /* CHK2 */
	CPUFUNC(op_f0_0), /* CHK2 */
	CPUFUNC(op_f0_0), /* CHK2 */
	CPUFUNC(op_f8_0), /* CHK2 */
	CPUFUNC(op_f9_0), /* CHK2 */
	CPUFUNC(op_fa_0), /* CHK2 */
	CPUFUNC(op_fb_0), /* CHK2 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_138_0), /* BTST */
	CPUFUNC(op_139_0), /* BTST */
	CPUFUNC(op_13a_0), /* BTST */
	CPUFUNC(op_13b_0), /* BTST */
	CPUFUNC(op_13c_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_178_0), /* BCHG */
	CPUFUNC(op_179_0), /* BCHG */
	CPUFUNC(op_17a_0), /* BCHG */
	CPUFUNC(op_17b_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b8_0), /* BCLR */
	CPUFUNC(op_1b9_0), /* BCLR */
	CPUFUNC(op_1ba_0), /* BCLR */
	CPUFUNC(op_1bb_0), /* BCLR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f8_0), /* BSET */
	CPUFUNC(op_1f9_0), /* BSET */
	CPUFUNC(op_1fa_0), /* BSET */
	CPUFUNC(op_1fb_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_200_0), /* AND */
	CPUFUNC(op_200_0), /* AND */
	CPUFUNC(op_200_0), /* AND */
	CPUFUNC(op_200_0), /* AND */
	CPUFUNC(op_200_0), /* AND */
	CPUFUNC(op_200_0), /* AND */
	CPUFUNC(op_200_0), /* AND */
	CPUFUNC(op_200_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_210_0), /* AND */
	CPUFUNC(op_210_0), /* AND */
	CPUFUNC(op_210_0), /* AND */
	CPUFUNC(op_210_0), /* AND */
	CPUFUNC(op_210_0), /* AND */
	CPUFUNC(op_210_0), /* AND */
	CPUFUNC(op_210_0), /* AND */
	CPUFUNC(op_210_0), /* AND */
	CPUFUNC(op_218_0), /* AND */
	CPUFUNC(op_218_0), /* AND */
	CPUFUNC(op_218_0), /* AND */
	CPUFUNC(op_218_0), /* AND */
	CPUFUNC(op_218_0), /* AND */
	CPUFUNC(op_218_0), /* AND */
	CPUFUNC(op_218_0), /* AND */
	CPUFUNC(op_218_0), /* AND */
	CPUFUNC(op_220_0), /* AND */
	CPUFUNC(op_220_0), /* AND */
	CPUFUNC(op_220_0), /* AND */
	CPUFUNC(op_220_0), /* AND */
	CPUFUNC(op_220_0), /* AND */
	CPUFUNC(op_220_0), /* AND */
	CPUFUNC(op_220_0), /* AND */
	CPUFUNC(op_220_0), /* AND */
	CPUFUNC(op_228_0), /* AND */
	CPUFUNC(op_228_0), /* AND */
	CPUFUNC(op_228_0), /* AND */
	CPUFUNC(op_228_0), /* AND */
	CPUFUNC(op_228_0), /* AND */
	CPUFUNC(op_228_0), /* AND */
	CPUFUNC(op_228_0), /* AND */
	CPUFUNC(op_228_0), /* AND */
	CPUFUNC(op_230_0), /* AND */
	CPUFUNC(op_230_0), /* AND */
	CPUFUNC(op_230_0), /* AND */
	CPUFUNC(op_230_0), /* AND */
	CPUFUNC(op_230_0), /* AND */
	CPUFUNC(op_230_0), /* AND */
	CPUFUNC(op_230_0), /* AND */
	CPUFUNC(op_230_0), /* AND */
	CPUFUNC(op_238_0), /* AND */
	CPUFUNC(op_239_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_23c_0), /* ANDSR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_240_0), /* AND */
	CPUFUNC(op_240_0), /* AND */
	CPUFUNC(op_240_0), /* AND */
	CPUFUNC(op_240_0), /* AND */
	CPUFUNC(op_240_0), /* AND */
	CPUFUNC(op_240_0), /* AND */
	CPUFUNC(op_240_0), /* AND */
	CPUFUNC(op_240_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_250_0), /* AND */
	CPUFUNC(op_250_0), /* AND */
	CPUFUNC(op_250_0), /* AND */
	CPUFUNC(op_250_0), /* AND */
	CPUFUNC(op_250_0), /* AND */
	CPUFUNC(op_250_0), /* AND */
	CPUFUNC(op_250_0), /* AND */
	CPUFUNC(op_250_0), /* AND */
	CPUFUNC(op_258_0), /* AND */
	CPUFUNC(op_258_0), /* AND */
	CPUFUNC(op_258_0), /* AND */
	CPUFUNC(op_258_0), /* AND */
	CPUFUNC(op_258_0), /* AND */
	CPUFUNC(op_258_0), /* AND */
	CPUFUNC(op_258_0), /* AND */
	CPUFUNC(op_258_0), /* AND */
	CPUFUNC(op_260_0), /* AND */
	CPUFUNC(op_260_0), /* AND */
	CPUFUNC(op_260_0), /* AND */
	CPUFUNC(op_260_0), /* AND */
	CPUFUNC(op_260_0), /* AND */
	CPUFUNC(op_260_0), /* AND */
	CPUFUNC(op_260_0), /* AND */
	CPUFUNC(op_260_0), /* AND */
	CPUFUNC(op_268_0), /* AND */
	CPUFUNC(op_268_0), /* AND */
	CPUFUNC(op_268_0), /* AND */
	CPUFUNC(op_268_0), /* AND */
	CPUFUNC(op_268_0), /* AND */
	CPUFUNC(op_268_0), /* AND */
	CPUFUNC(op_268_0), /* AND */
	CPUFUNC(op_268_0), /* AND */
	CPUFUNC(op_270_0), /* AND */
	CPUFUNC(op_270_0), /* AND */
	CPUFUNC(op_270_0), /* AND */
	CPUFUNC(op_270_0), /* AND */
	CPUFUNC(op_270_0), /* AND */
	CPUFUNC(op_270_0), /* AND */
	CPUFUNC(op_270_0), /* AND */
	CPUFUNC(op_270_0), /* AND */
	CPUFUNC(op_278_0), /* AND */
	CPUFUNC(op_279_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_27c_0), /* ANDSR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_280_0), /* AND */
	CPUFUNC(op_280_0), /* AND */
	CPUFUNC(op_280_0), /* AND */
	CPUFUNC(op_280_0), /* AND */
	CPUFUNC(op_280_0), /* AND */
	CPUFUNC(op_280_0), /* AND */
	CPUFUNC(op_280_0), /* AND */
	CPUFUNC(op_280_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_290_0), /* AND */
	CPUFUNC(op_290_0), /* AND */
	CPUFUNC(op_290_0), /* AND */
	CPUFUNC(op_290_0), /* AND */
	CPUFUNC(op_290_0), /* AND */
	CPUFUNC(op_290_0), /* AND */
	CPUFUNC(op_290_0), /* AND */
	CPUFUNC(op_290_0), /* AND */
	CPUFUNC(op_298_0), /* AND */
	CPUFUNC(op_298_0), /* AND */
	CPUFUNC(op_298_0), /* AND */
	CPUFUNC(op_298_0), /* AND */
	CPUFUNC(op_298_0), /* AND */
	CPUFUNC(op_298_0), /* AND */
	CPUFUNC(op_298_0), /* AND */
	CPUFUNC(op_298_0), /* AND */
	CPUFUNC(op_2a0_0), /* AND */
	CPUFUNC(op_2a0_0), /* AND */
	CPUFUNC(op_2a0_0), /* AND */
	CPUFUNC(op_2a0_0), /* AND */
	CPUFUNC(op_2a0_0), /* AND */
	CPUFUNC(op_2a0_0), /* AND */
	CPUFUNC(op_2a0_0), /* AND */
	CPUFUNC(op_2a0_0), /* AND */
	CPUFUNC(op_2a8_0), /* AND */
	CPUFUNC(op_2a8_0), /* AND */
	CPUFUNC(op_2a8_0), /* AND */
	CPUFUNC(op_2a8_0), /* AND */
	CPUFUNC(op_2a8_0), /* AND */
	CPUFUNC(op_2a8_0), /* AND */
	CPUFUNC(op_2a8_0), /* AND */
	CPUFUNC(op_2a8_0), /* AND */
	CPUFUNC(op_2b0_0), /* AND */
	CPUFUNC(op_2b0_0), /* AND */
	CPUFUNC(op_2b0_0), /* AND */
	CPUFUNC(op_2b0_0), /* AND */
	CPUFUNC(op_2b0_0), /* AND */
	CPUFUNC(op_2b0_0), /* AND */
	CPUFUNC(op_2b0_0), /* AND */
	CPUFUNC(op_2b0_0), /* AND */
	CPUFUNC(op_2b8_0), /* AND */
	CPUFUNC(op_2b9_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2d0_0), /* CHK2 */
	CPUFUNC(op_2d0_0), /* CHK2 */
	CPUFUNC(op_2d0_0), /* CHK2 */
	CPUFUNC(op_2d0_0), /* CHK2 */
	CPUFUNC(op_2d0_0), /* CHK2 */
	CPUFUNC(op_2d0_0), /* CHK2 */
	CPUFUNC(op_2d0_0), /* CHK2 */
	CPUFUNC(op_2d0_0), /* CHK2 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2e8_0), /* CHK2 */
	CPUFUNC(op_2e8_0), /* CHK2 */
	CPUFUNC(op_2e8_0), /* CHK2 */
	CPUFUNC(op_2e8_0), /* CHK2 */
	CPUFUNC(op_2e8_0), /* CHK2 */
	CPUFUNC(op_2e8_0), /* CHK2 */
	CPUFUNC(op_2e8_0), /* CHK2 */
	CPUFUNC(op_2e8_0), /* CHK2 */
	CPUFUNC(op_2f0_0), /* CHK2 */
	CPUFUNC(op_2f0_0), /* CHK2 */
	CPUFUNC(op_2f0_0), /* CHK2 */
	CPUFUNC(op_2f0_0), /* CHK2 */
	CPUFUNC(op_2f0_0), /* CHK2 */
	CPUFUNC(op_2f0_0), /* CHK2 */
	CPUFUNC(op_2f0_0), /* CHK2 */
	CPUFUNC(op_2f0_0), /* CHK2 */
	CPUFUNC(op_2f8_0), /* CHK2 */
	CPUFUNC(op_2f9_0), /* CHK2 */
	CPUFUNC(op_2fa_0), /* CHK2 */
	CPUFUNC(op_2fb_0), /* CHK2 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_138_0), /* BTST */
	CPUFUNC(op_139_0), /* BTST */
	CPUFUNC(op_13a_0), /* BTST */
	CPUFUNC(op_13b_0), /* BTST */
	CPUFUNC(op_13c_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_178_0), /* BCHG */
	CPUFUNC(op_179_0), /* BCHG */
	CPUFUNC(op_17a_0), /* BCHG */
	CPUFUNC(op_17b_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b8_0), /* BCLR */
	CPUFUNC(op_1b9_0), /* BCLR */
	CPUFUNC(op_1ba_0), /* BCLR */
	CPUFUNC(op_1bb_0), /* BCLR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f8_0), /* BSET */
	CPUFUNC(op_1f9_0), /* BSET */
	CPUFUNC(op_1fa_0), /* BSET */
	CPUFUNC(op_1fb_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_400_0), /* SUB */
	CPUFUNC(op_400_0), /* SUB */
	CPUFUNC(op_400_0), /* SUB */
	CPUFUNC(op_400_0), /* SUB */
	CPUFUNC(op_400_0), /* SUB */
	CPUFUNC(op_400_0), /* SUB */
	CPUFUNC(op_400_0), /* SUB */
	CPUFUNC(op_400_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_410_0), /* SUB */
	CPUFUNC(op_410_0), /* SUB */
	CPUFUNC(op_410_0), /* SUB */
	CPUFUNC(op_410_0), /* SUB */
	CPUFUNC(op_410_0), /* SUB */
	CPUFUNC(op_410_0), /* SUB */
	CPUFUNC(op_410_0), /* SUB */
	CPUFUNC(op_410_0), /* SUB */
	CPUFUNC(op_418_0), /* SUB */
	CPUFUNC(op_418_0), /* SUB */
	CPUFUNC(op_418_0), /* SUB */
	CPUFUNC(op_418_0), /* SUB */
	CPUFUNC(op_418_0), /* SUB */
	CPUFUNC(op_418_0), /* SUB */
	CPUFUNC(op_418_0), /* SUB */
	CPUFUNC(op_418_0), /* SUB */
	CPUFUNC(op_420_0), /* SUB */
	CPUFUNC(op_420_0), /* SUB */
	CPUFUNC(op_420_0), /* SUB */
	CPUFUNC(op_420_0), /* SUB */
	CPUFUNC(op_420_0), /* SUB */
	CPUFUNC(op_420_0), /* SUB */
	CPUFUNC(op_420_0), /* SUB */
	CPUFUNC(op_420_0), /* SUB */
	CPUFUNC(op_428_0), /* SUB */
	CPUFUNC(op_428_0), /* SUB */
	CPUFUNC(op_428_0), /* SUB */
	CPUFUNC(op_428_0), /* SUB */
	CPUFUNC(op_428_0), /* SUB */
	CPUFUNC(op_428_0), /* SUB */
	CPUFUNC(op_428_0), /* SUB */
	CPUFUNC(op_428_0), /* SUB */
	CPUFUNC(op_430_0), /* SUB */
	CPUFUNC(op_430_0), /* SUB */
	CPUFUNC(op_430_0), /* SUB */
	CPUFUNC(op_430_0), /* SUB */
	CPUFUNC(op_430_0), /* SUB */
	CPUFUNC(op_430_0), /* SUB */
	CPUFUNC(op_430_0), /* SUB */
	CPUFUNC(op_430_0), /* SUB */
	CPUFUNC(op_438_0), /* SUB */
	CPUFUNC(op_439_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_440_0), /* SUB */
	CPUFUNC(op_440_0), /* SUB */
	CPUFUNC(op_440_0), /* SUB */
	CPUFUNC(op_440_0), /* SUB */
	CPUFUNC(op_440_0), /* SUB */
	CPUFUNC(op_440_0), /* SUB */
	CPUFUNC(op_440_0), /* SUB */
	CPUFUNC(op_440_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_450_0), /* SUB */
	CPUFUNC(op_450_0), /* SUB */
	CPUFUNC(op_450_0), /* SUB */
	CPUFUNC(op_450_0), /* SUB */
	CPUFUNC(op_450_0), /* SUB */
	CPUFUNC(op_450_0), /* SUB */
	CPUFUNC(op_450_0), /* SUB */
	CPUFUNC(op_450_0), /* SUB */
	CPUFUNC(op_458_0), /* SUB */
	CPUFUNC(op_458_0), /* SUB */
	CPUFUNC(op_458_0), /* SUB */
	CPUFUNC(op_458_0), /* SUB */
	CPUFUNC(op_458_0), /* SUB */
	CPUFUNC(op_458_0), /* SUB */
	CPUFUNC(op_458_0), /* SUB */
	CPUFUNC(op_458_0), /* SUB */
	CPUFUNC(op_460_0), /* SUB */
	CPUFUNC(op_460_0), /* SUB */
	CPUFUNC(op_460_0), /* SUB */
	CPUFUNC(op_460_0), /* SUB */
	CPUFUNC(op_460_0), /* SUB */
	CPUFUNC(op_460_0), /* SUB */
	CPUFUNC(op_460_0), /* SUB */
	CPUFUNC(op_460_0), /* SUB */
	CPUFUNC(op_468_0), /* SUB */
	CPUFUNC(op_468_0), /* SUB */
	CPUFUNC(op_468_0), /* SUB */
	CPUFUNC(op_468_0), /* SUB */
	CPUFUNC(op_468_0), /* SUB */
	CPUFUNC(op_468_0), /* SUB */
	CPUFUNC(op_468_0), /* SUB */
	CPUFUNC(op_468_0), /* SUB */
	CPUFUNC(op_470_0), /* SUB */
	CPUFUNC(op_470_0), /* SUB */
	CPUFUNC(op_470_0), /* SUB */
	CPUFUNC(op_470_0), /* SUB */
	CPUFUNC(op_470_0), /* SUB */
	CPUFUNC(op_470_0), /* SUB */
	CPUFUNC(op_470_0), /* SUB */
	CPUFUNC(op_470_0), /* SUB */
	CPUFUNC(op_478_0), /* SUB */
	CPUFUNC(op_479_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_480_0), /* SUB */
	CPUFUNC(op_480_0), /* SUB */
	CPUFUNC(op_480_0), /* SUB */
	CPUFUNC(op_480_0), /* SUB */
	CPUFUNC(op_480_0), /* SUB */
	CPUFUNC(op_480_0), /* SUB */
	CPUFUNC(op_480_0), /* SUB */
	CPUFUNC(op_480_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_490_0), /* SUB */
	CPUFUNC(op_490_0), /* SUB */
	CPUFUNC(op_490_0), /* SUB */
	CPUFUNC(op_490_0), /* SUB */
	CPUFUNC(op_490_0), /* SUB */
	CPUFUNC(op_490_0), /* SUB */
	CPUFUNC(op_490_0), /* SUB */
	CPUFUNC(op_490_0), /* SUB */
	CPUFUNC(op_498_0), /* SUB */
	CPUFUNC(op_498_0), /* SUB */
	CPUFUNC(op_498_0), /* SUB */
	CPUFUNC(op_498_0), /* SUB */
	CPUFUNC(op_498_0), /* SUB */
	CPUFUNC(op_498_0), /* SUB */
	CPUFUNC(op_498_0), /* SUB */
	CPUFUNC(op_498_0), /* SUB */
	CPUFUNC(op_4a0_0), /* SUB */
	CPUFUNC(op_4a0_0), /* SUB */
	CPUFUNC(op_4a0_0), /* SUB */
	CPUFUNC(op_4a0_0), /* SUB */
	CPUFUNC(op_4a0_0), /* SUB */
	CPUFUNC(op_4a0_0), /* SUB */
	CPUFUNC(op_4a0_0), /* SUB */
	CPUFUNC(op_4a0_0), /* SUB */
	CPUFUNC(op_4a8_0), /* SUB */
	CPUFUNC(op_4a8_0), /* SUB */
	CPUFUNC(op_4a8_0), /* SUB */
	CPUFUNC(op_4a8_0), /* SUB */
	CPUFUNC(op_4a8_0), /* SUB */
	CPUFUNC(op_4a8_0), /* SUB */
	CPUFUNC(op_4a8_0), /* SUB */
	CPUFUNC(op_4a8_0), /* SUB */
	CPUFUNC(op_4b0_0), /* SUB */
	CPUFUNC(op_4b0_0), /* SUB */
	CPUFUNC(op_4b0_0), /* SUB */
	CPUFUNC(op_4b0_0), /* SUB */
	CPUFUNC(op_4b0_0), /* SUB */
	CPUFUNC(op_4b0_0), /* SUB */
	CPUFUNC(op_4b0_0), /* SUB */
	CPUFUNC(op_4b0_0), /* SUB */
	CPUFUNC(op_4b8_0), /* SUB */
	CPUFUNC(op_4b9_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4d0_0), /* CHK2 */
	CPUFUNC(op_4d0_0), /* CHK2 */
	CPUFUNC(op_4d0_0), /* CHK2 */
	CPUFUNC(op_4d0_0), /* CHK2 */
	CPUFUNC(op_4d0_0), /* CHK2 */
	CPUFUNC(op_4d0_0), /* CHK2 */
	CPUFUNC(op_4d0_0), /* CHK2 */
	CPUFUNC(op_4d0_0), /* CHK2 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4e8_0), /* CHK2 */
	CPUFUNC(op_4e8_0), /* CHK2 */
	CPUFUNC(op_4e8_0), /* CHK2 */
	CPUFUNC(op_4e8_0), /* CHK2 */
	CPUFUNC(op_4e8_0), /* CHK2 */
	CPUFUNC(op_4e8_0), /* CHK2 */
	CPUFUNC(op_4e8_0), /* CHK2 */
	CPUFUNC(op_4e8_0), /* CHK2 */
	CPUFUNC(op_4f0_0), /* CHK2 */
	CPUFUNC(op_4f0_0), /* CHK2 */
	CPUFUNC(op_4f0_0), /* CHK2 */
	CPUFUNC(op_4f0_0), /* CHK2 */
	CPUFUNC(op_4f0_0), /* CHK2 */
	CPUFUNC(op_4f0_0), /* CHK2 */
	CPUFUNC(op_4f0_0), /* CHK2 */
	CPUFUNC(op_4f0_0), /* CHK2 */
	CPUFUNC(op_4f8_0), /* CHK2 */
	CPUFUNC(op_4f9_0), /* CHK2 */
	CPUFUNC(op_4fa_0), /* CHK2 */
	CPUFUNC(op_4fb_0), /* CHK2 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_138_0), /* BTST */
	CPUFUNC(op_139_0), /* BTST */
	CPUFUNC(op_13a_0), /* BTST */
	CPUFUNC(op_13b_0), /* BTST */
	CPUFUNC(op_13c_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_178_0), /* BCHG */
	CPUFUNC(op_179_0), /* BCHG */
	CPUFUNC(op_17a_0), /* BCHG */
	CPUFUNC(op_17b_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b8_0), /* BCLR */
	CPUFUNC(op_1b9_0), /* BCLR */
	CPUFUNC(op_1ba_0), /* BCLR */
	CPUFUNC(op_1bb_0), /* BCLR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f8_0), /* BSET */
	CPUFUNC(op_1f9_0), /* BSET */
	CPUFUNC(op_1fa_0), /* BSET */
	CPUFUNC(op_1fb_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_600_0), /* ADD */
	CPUFUNC(op_600_0), /* ADD */
	CPUFUNC(op_600_0), /* ADD */
	CPUFUNC(op_600_0), /* ADD */
	CPUFUNC(op_600_0), /* ADD */
	CPUFUNC(op_600_0), /* ADD */
	CPUFUNC(op_600_0), /* ADD */
	CPUFUNC(op_600_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_610_0), /* ADD */
	CPUFUNC(op_610_0), /* ADD */
	CPUFUNC(op_610_0), /* ADD */
	CPUFUNC(op_610_0), /* ADD */
	CPUFUNC(op_610_0), /* ADD */
	CPUFUNC(op_610_0), /* ADD */
	CPUFUNC(op_610_0), /* ADD */
	CPUFUNC(op_610_0), /* ADD */
	CPUFUNC(op_618_0), /* ADD */
	CPUFUNC(op_618_0), /* ADD */
	CPUFUNC(op_618_0), /* ADD */
	CPUFUNC(op_618_0), /* ADD */
	CPUFUNC(op_618_0), /* ADD */
	CPUFUNC(op_618_0), /* ADD */
	CPUFUNC(op_618_0), /* ADD */
	CPUFUNC(op_618_0), /* ADD */
	CPUFUNC(op_620_0), /* ADD */
	CPUFUNC(op_620_0), /* ADD */
	CPUFUNC(op_620_0), /* ADD */
	CPUFUNC(op_620_0), /* ADD */
	CPUFUNC(op_620_0), /* ADD */
	CPUFUNC(op_620_0), /* ADD */
	CPUFUNC(op_620_0), /* ADD */
	CPUFUNC(op_620_0), /* ADD */
	CPUFUNC(op_628_0), /* ADD */
	CPUFUNC(op_628_0), /* ADD */
	CPUFUNC(op_628_0), /* ADD */
	CPUFUNC(op_628_0), /* ADD */
	CPUFUNC(op_628_0), /* ADD */
	CPUFUNC(op_628_0), /* ADD */
	CPUFUNC(op_628_0), /* ADD */
	CPUFUNC(op_628_0), /* ADD */
	CPUFUNC(op_630_0), /* ADD */
	CPUFUNC(op_630_0), /* ADD */
	CPUFUNC(op_630_0), /* ADD */
	CPUFUNC(op_630_0), /* ADD */
	CPUFUNC(op_630_0), /* ADD */
	CPUFUNC(op_630_0), /* ADD */
	CPUFUNC(op_630_0), /* ADD */
	CPUFUNC(op_630_0), /* ADD */
	CPUFUNC(op_638_0), /* ADD */
	CPUFUNC(op_639_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_640_0), /* ADD */
	CPUFUNC(op_640_0), /* ADD */
	CPUFUNC(op_640_0), /* ADD */
	CPUFUNC(op_640_0), /* ADD */
	CPUFUNC(op_640_0), /* ADD */
	CPUFUNC(op_640_0), /* ADD */
	CPUFUNC(op_640_0), /* ADD */
	CPUFUNC(op_640_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_650_0), /* ADD */
	CPUFUNC(op_650_0), /* ADD */
	CPUFUNC(op_650_0), /* ADD */
	CPUFUNC(op_650_0), /* ADD */
	CPUFUNC(op_650_0), /* ADD */
	CPUFUNC(op_650_0), /* ADD */
	CPUFUNC(op_650_0), /* ADD */
	CPUFUNC(op_650_0), /* ADD */
	CPUFUNC(op_658_0), /* ADD */
	CPUFUNC(op_658_0), /* ADD */
	CPUFUNC(op_658_0), /* ADD */
	CPUFUNC(op_658_0), /* ADD */
	CPUFUNC(op_658_0), /* ADD */
	CPUFUNC(op_658_0), /* ADD */
	CPUFUNC(op_658_0), /* ADD */
	CPUFUNC(op_658_0), /* ADD */
	CPUFUNC(op_660_0), /* ADD */
	CPUFUNC(op_660_0), /* ADD */
	CPUFUNC(op_660_0), /* ADD */
	CPUFUNC(op_660_0), /* ADD */
	CPUFUNC(op_660_0), /* ADD */
	CPUFUNC(op_660_0), /* ADD */
	CPUFUNC(op_660_0), /* ADD */
	CPUFUNC(op_660_0), /* ADD */
	CPUFUNC(op_668_0), /* ADD */
	CPUFUNC(op_668_0), /* ADD */
	CPUFUNC(op_668_0), /* ADD */
	CPUFUNC(op_668_0), /* ADD */
	CPUFUNC(op_668_0), /* ADD */
	CPUFUNC(op_668_0), /* ADD */
	CPUFUNC(op_668_0), /* ADD */
	CPUFUNC(op_668_0), /* ADD */
	CPUFUNC(op_670_0), /* ADD */
	CPUFUNC(op_670_0), /* ADD */
	CPUFUNC(op_670_0), /* ADD */
	CPUFUNC(op_670_0), /* ADD */
	CPUFUNC(op_670_0), /* ADD */
	CPUFUNC(op_670_0), /* ADD */
	CPUFUNC(op_670_0), /* ADD */
	CPUFUNC(op_670_0), /* ADD */
	CPUFUNC(op_678_0), /* ADD */
	CPUFUNC(op_679_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_680_0), /* ADD */
	CPUFUNC(op_680_0), /* ADD */
	CPUFUNC(op_680_0), /* ADD */
	CPUFUNC(op_680_0), /* ADD */
	CPUFUNC(op_680_0), /* ADD */
	CPUFUNC(op_680_0), /* ADD */
	CPUFUNC(op_680_0), /* ADD */
	CPUFUNC(op_680_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_690_0), /* ADD */
	CPUFUNC(op_690_0), /* ADD */
	CPUFUNC(op_690_0), /* ADD */
	CPUFUNC(op_690_0), /* ADD */
	CPUFUNC(op_690_0), /* ADD */
	CPUFUNC(op_690_0), /* ADD */
	CPUFUNC(op_690_0), /* ADD */
	CPUFUNC(op_690_0), /* ADD */
	CPUFUNC(op_698_0), /* ADD */
	CPUFUNC(op_698_0), /* ADD */
	CPUFUNC(op_698_0), /* ADD */
	CPUFUNC(op_698_0), /* ADD */
	CPUFUNC(op_698_0), /* ADD */
	CPUFUNC(op_698_0), /* ADD */
	CPUFUNC(op_698_0), /* ADD */
	CPUFUNC(op_698_0), /* ADD */
	CPUFUNC(op_6a0_0), /* ADD */
	CPUFUNC(op_6a0_0), /* ADD */
	CPUFUNC(op_6a0_0), /* ADD */
	CPUFUNC(op_6a0_0), /* ADD */
	CPUFUNC(op_6a0_0), /* ADD */
	CPUFUNC(op_6a0_0), /* ADD */
	CPUFUNC(op_6a0_0), /* ADD */
	CPUFUNC(op_6a0_0), /* ADD */
	CPUFUNC(op_6a8_0), /* ADD */
	CPUFUNC(op_6a8_0), /* ADD */
	CPUFUNC(op_6a8_0), /* ADD */
	CPUFUNC(op_6a8_0), /* ADD */
	CPUFUNC(op_6a8_0), /* ADD */
	CPUFUNC(op_6a8_0), /* ADD */
	CPUFUNC(op_6a8_0), /* ADD */
	CPUFUNC(op_6a8_0), /* ADD */
	CPUFUNC(op_6b0_0), /* ADD */
	CPUFUNC(op_6b0_0), /* ADD */
	CPUFUNC(op_6b0_0), /* ADD */
	CPUFUNC(op_6b0_0), /* ADD */
	CPUFUNC(op_6b0_0), /* ADD */
	CPUFUNC(op_6b0_0), /* ADD */
	CPUFUNC(op_6b0_0), /* ADD */
	CPUFUNC(op_6b0_0), /* ADD */
	CPUFUNC(op_6b8_0), /* ADD */
	CPUFUNC(op_6b9_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_6c0_0), /* RTM */
	CPUFUNC(op_6c0_0), /* RTM */
	CPUFUNC(op_6c0_0), /* RTM */
	CPUFUNC(op_6c0_0), /* RTM */
	CPUFUNC(op_6c0_0), /* RTM */
	CPUFUNC(op_6c0_0), /* RTM */
	CPUFUNC(op_6c0_0), /* RTM */
	CPUFUNC(op_6c0_0), /* RTM */
	CPUFUNC(op_6c8_0), /* RTM */
	CPUFUNC(op_6c8_0), /* RTM */
	CPUFUNC(op_6c8_0), /* RTM */
	CPUFUNC(op_6c8_0), /* RTM */
	CPUFUNC(op_6c8_0), /* RTM */
	CPUFUNC(op_6c8_0), /* RTM */
	CPUFUNC(op_6c8_0), /* RTM */
	CPUFUNC(op_6c8_0), /* RTM */
	CPUFUNC_FF(op_6d0_0), /* CALLM */
	CPUFUNC_FF(op_6d0_0), /* CALLM */
	CPUFUNC_FF(op_6d0_0), /* CALLM */
	CPUFUNC_FF(op_6d0_0), /* CALLM */
	CPUFUNC_FF(op_6d0_0), /* CALLM */
	CPUFUNC_FF(op_6d0_0), /* CALLM */
	CPUFUNC_FF(op_6d0_0), /* CALLM */
	CPUFUNC_FF(op_6d0_0), /* CALLM */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_6e8_0), /* CALLM */
	CPUFUNC_FF(op_6e8_0), /* CALLM */
	CPUFUNC_FF(op_6e8_0), /* CALLM */
	CPUFUNC_FF(op_6e8_0), /* CALLM */
	CPUFUNC_FF(op_6e8_0), /* CALLM */
	CPUFUNC_FF(op_6e8_0), /* CALLM */
	CPUFUNC_FF(op_6e8_0), /* CALLM */
	CPUFUNC_FF(op_6e8_0), /* CALLM */
	CPUFUNC_FF(op_6f0_0), /* CALLM */
	CPUFUNC_FF(op_6f0_0), /* CALLM */
	CPUFUNC_FF(op_6f0_0), /* CALLM */
	CPUFUNC_FF(op_6f0_0), /* CALLM */
	CPUFUNC_FF(op_6f0_0), /* CALLM */
	CPUFUNC_FF(op_6f0_0), /* CALLM */
	CPUFUNC_FF(op_6f0_0), /* CALLM */
	CPUFUNC_FF(op_6f0_0), /* CALLM */
	CPUFUNC_FF(op_6f8_0), /* CALLM */
	CPUFUNC_FF(op_6f9_0), /* CALLM */
	CPUFUNC_FF(op_6fa_0), /* CALLM */
	CPUFUNC_FF(op_6fb_0), /* CALLM */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_138_0), /* BTST */
	CPUFUNC(op_139_0), /* BTST */
	CPUFUNC(op_13a_0), /* BTST */
	CPUFUNC(op_13b_0), /* BTST */
	CPUFUNC(op_13c_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_178_0), /* BCHG */
	CPUFUNC(op_179_0), /* BCHG */
	CPUFUNC(op_17a_0), /* BCHG */
	CPUFUNC(op_17b_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b8_0), /* BCLR */
	CPUFUNC(op_1b9_0), /* BCLR */
	CPUFUNC(op_1ba_0), /* BCLR */
	CPUFUNC(op_1bb_0), /* BCLR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f8_0), /* BSET */
	CPUFUNC(op_1f9_0), /* BSET */
	CPUFUNC(op_1fa_0), /* BSET */
	CPUFUNC(op_1fb_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_800_0), /* BTST */
	CPUFUNC(op_800_0), /* BTST */
	CPUFUNC(op_800_0), /* BTST */
	CPUFUNC(op_800_0), /* BTST */
	CPUFUNC(op_800_0), /* BTST */
	CPUFUNC(op_800_0), /* BTST */
	CPUFUNC(op_800_0), /* BTST */
	CPUFUNC(op_800_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_810_0), /* BTST */
	CPUFUNC(op_810_0), /* BTST */
	CPUFUNC(op_810_0), /* BTST */
	CPUFUNC(op_810_0), /* BTST */
	CPUFUNC(op_810_0), /* BTST */
	CPUFUNC(op_810_0), /* BTST */
	CPUFUNC(op_810_0), /* BTST */
	CPUFUNC(op_810_0), /* BTST */
	CPUFUNC(op_818_0), /* BTST */
	CPUFUNC(op_818_0), /* BTST */
	CPUFUNC(op_818_0), /* BTST */
	CPUFUNC(op_818_0), /* BTST */
	CPUFUNC(op_818_0), /* BTST */
	CPUFUNC(op_818_0), /* BTST */
	CPUFUNC(op_818_0), /* BTST */
	CPUFUNC(op_818_0), /* BTST */
	CPUFUNC(op_820_0), /* BTST */
	CPUFUNC(op_820_0), /* BTST */
	CPUFUNC(op_820_0), /* BTST */
	CPUFUNC(op_820_0), /* BTST */
	CPUFUNC(op_820_0), /* BTST */
	CPUFUNC(op_820_0), /* BTST */
	CPUFUNC(op_820_0), /* BTST */
	CPUFUNC(op_820_0), /* BTST */
	CPUFUNC(op_828_0), /* BTST */
	CPUFUNC(op_828_0), /* BTST */
	CPUFUNC(op_828_0), /* BTST */
	CPUFUNC(op_828_0), /* BTST */
	CPUFUNC(op_828_0), /* BTST */
	CPUFUNC(op_828_0), /* BTST */
	CPUFUNC(op_828_0), /* BTST */
	CPUFUNC(op_828_0), /* BTST */
	CPUFUNC(op_830_0), /* BTST */
	CPUFUNC(op_830_0), /* BTST */
	CPUFUNC(op_830_0), /* BTST */
	CPUFUNC(op_830_0), /* BTST */
	CPUFUNC(op_830_0), /* BTST */
	CPUFUNC(op_830_0), /* BTST */
	CPUFUNC(op_830_0), /* BTST */
	CPUFUNC(op_830_0), /* BTST */
	CPUFUNC(op_838_0), /* BTST */
	CPUFUNC(op_839_0), /* BTST */
	CPUFUNC(op_83a_0), /* BTST */
	CPUFUNC(op_83b_0), /* BTST */
	CPUFUNC(op_83c_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_840_0), /* BCHG */
	CPUFUNC(op_840_0), /* BCHG */
	CPUFUNC(op_840_0), /* BCHG */
	CPUFUNC(op_840_0), /* BCHG */
	CPUFUNC(op_840_0), /* BCHG */
	CPUFUNC(op_840_0), /* BCHG */
	CPUFUNC(op_840_0), /* BCHG */
	CPUFUNC(op_840_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_850_0), /* BCHG */
	CPUFUNC(op_850_0), /* BCHG */
	CPUFUNC(op_850_0), /* BCHG */
	CPUFUNC(op_850_0), /* BCHG */
	CPUFUNC(op_850_0), /* BCHG */
	CPUFUNC(op_850_0), /* BCHG */
	CPUFUNC(op_850_0), /* BCHG */
	CPUFUNC(op_850_0), /* BCHG */
	CPUFUNC(op_858_0), /* BCHG */
	CPUFUNC(op_858_0), /* BCHG */
	CPUFUNC(op_858_0), /* BCHG */
	CPUFUNC(op_858_0), /* BCHG */
	CPUFUNC(op_858_0), /* BCHG */
	CPUFUNC(op_858_0), /* BCHG */
	CPUFUNC(op_858_0), /* BCHG */
	CPUFUNC(op_858_0), /* BCHG */
	CPUFUNC(op_860_0), /* BCHG */
	CPUFUNC(op_860_0), /* BCHG */
	CPUFUNC(op_860_0), /* BCHG */
	CPUFUNC(op_860_0), /* BCHG */
	CPUFUNC(op_860_0), /* BCHG */
	CPUFUNC(op_860_0), /* BCHG */
	CPUFUNC(op_860_0), /* BCHG */
	CPUFUNC(op_860_0), /* BCHG */
	CPUFUNC(op_868_0), /* BCHG */
	CPUFUNC(op_868_0), /* BCHG */
	CPUFUNC(op_868_0), /* BCHG */
	CPUFUNC(op_868_0), /* BCHG */
	CPUFUNC(op_868_0), /* BCHG */
	CPUFUNC(op_868_0), /* BCHG */
	CPUFUNC(op_868_0), /* BCHG */
	CPUFUNC(op_868_0), /* BCHG */
	CPUFUNC(op_870_0), /* BCHG */
	CPUFUNC(op_870_0), /* BCHG */
	CPUFUNC(op_870_0), /* BCHG */
	CPUFUNC(op_870_0), /* BCHG */
	CPUFUNC(op_870_0), /* BCHG */
	CPUFUNC(op_870_0), /* BCHG */
	CPUFUNC(op_870_0), /* BCHG */
	CPUFUNC(op_870_0), /* BCHG */
	CPUFUNC(op_878_0), /* BCHG */
	CPUFUNC(op_879_0), /* BCHG */
	CPUFUNC(op_87a_0), /* BCHG */
	CPUFUNC(op_87b_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_880_0), /* BCLR */
	CPUFUNC(op_880_0), /* BCLR */
	CPUFUNC(op_880_0), /* BCLR */
	CPUFUNC(op_880_0), /* BCLR */
	CPUFUNC(op_880_0), /* BCLR */
	CPUFUNC(op_880_0), /* BCLR */
	CPUFUNC(op_880_0), /* BCLR */
	CPUFUNC(op_880_0), /* BCLR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_890_0), /* BCLR */
	CPUFUNC(op_890_0), /* BCLR */
	CPUFUNC(op_890_0), /* BCLR */
	CPUFUNC(op_890_0), /* BCLR */
	CPUFUNC(op_890_0), /* BCLR */
	CPUFUNC(op_890_0), /* BCLR */
	CPUFUNC(op_890_0), /* BCLR */
	CPUFUNC(op_890_0), /* BCLR */
	CPUFUNC(op_898_0), /* BCLR */
	CPUFUNC(op_898_0), /* BCLR */
	CPUFUNC(op_898_0), /* BCLR */
	CPUFUNC(op_898_0), /* BCLR */
	CPUFUNC(op_898_0), /* BCLR */
	CPUFUNC(op_898_0), /* BCLR */
	CPUFUNC(op_898_0), /* BCLR */
	CPUFUNC(op_898_0), /* BCLR */
	CPUFUNC(op_8a0_0), /* BCLR */
	CPUFUNC(op_8a0_0), /* BCLR */
	CPUFUNC(op_8a0_0), /* BCLR */
	CPUFUNC(op_8a0_0), /* BCLR */
	CPUFUNC(op_8a0_0), /* BCLR */
	CPUFUNC(op_8a0_0), /* BCLR */
	CPUFUNC(op_8a0_0), /* BCLR */
	CPUFUNC(op_8a0_0), /* BCLR */
	CPUFUNC(op_8a8_0), /* BCLR */
	CPUFUNC(op_8a8_0), /* BCLR */
	CPUFUNC(op_8a8_0), /* BCLR */
	CPUFUNC(op_8a8_0), /* BCLR */
	CPUFUNC(op_8a8_0), /* BCLR */
	CPUFUNC(op_8a8_0), /* BCLR */
	CPUFUNC(op_8a8_0), /* BCLR */
	CPUFUNC(op_8a8_0), /* BCLR */
	CPUFUNC(op_8b0_0), /* BCLR */
	CPUFUNC(op_8b0_0), /* BCLR */
	CPUFUNC(op_8b0_0), /* BCLR */
	CPUFUNC(op_8b0_0), /* BCLR */
	CPUFUNC(op_8b0_0), /* BCLR */
	CPUFUNC(op_8b0_0), /* BCLR */
	CPUFUNC(op_8b0_0), /* BCLR */
	CPUFUNC(op_8b0_0), /* BCLR */
	CPUFUNC(op_8b8_0), /* BCLR */
	CPUFUNC(op_8b9_0), /* BCLR */
	CPUFUNC(op_8ba_0), /* BCLR */
	CPUFUNC(op_8bb_0), /* BCLR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8c0_0), /* BSET */
	CPUFUNC(op_8c0_0), /* BSET */
	CPUFUNC(op_8c0_0), /* BSET */
	CPUFUNC(op_8c0_0), /* BSET */
	CPUFUNC(op_8c0_0), /* BSET */
	CPUFUNC(op_8c0_0), /* BSET */
	CPUFUNC(op_8c0_0), /* BSET */
	CPUFUNC(op_8c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8d0_0), /* BSET */
	CPUFUNC(op_8d0_0), /* BSET */
	CPUFUNC(op_8d0_0), /* BSET */
	CPUFUNC(op_8d0_0), /* BSET */
	CPUFUNC(op_8d0_0), /* BSET */
	CPUFUNC(op_8d0_0), /* BSET */
	CPUFUNC(op_8d0_0), /* BSET */
	CPUFUNC(op_8d0_0), /* BSET */
	CPUFUNC(op_8d8_0), /* BSET */
	CPUFUNC(op_8d8_0), /* BSET */
	CPUFUNC(op_8d8_0), /* BSET */
	CPUFUNC(op_8d8_0), /* BSET */
	CPUFUNC(op_8d8_0), /* BSET */
	CPUFUNC(op_8d8_0), /* BSET */
	CPUFUNC(op_8d8_0), /* BSET */
	CPUFUNC(op_8d8_0), /* BSET */
	CPUFUNC(op_8e0_0), /* BSET */
	CPUFUNC(op_8e0_0), /* BSET */
	CPUFUNC(op_8e0_0), /* BSET */
	CPUFUNC(op_8e0_0), /* BSET */
	CPUFUNC(op_8e0_0), /* BSET */
	CPUFUNC(op_8e0_0), /* BSET */
	CPUFUNC(op_8e0_0), /* BSET */
	CPUFUNC(op_8e0_0), /* BSET */
	CPUFUNC(op_8e8_0), /* BSET */
	CPUFUNC(op_8e8_0), /* BSET */
	CPUFUNC(op_8e8_0), /* BSET */
	CPUFUNC(op_8e8_0), /* BSET */
	CPUFUNC(op_8e8_0), /* BSET */
	CPUFUNC(op_8e8_0), /* BSET */
	CPUFUNC(op_8e8_0), /* BSET */
	CPUFUNC(op_8e8_0), /* BSET */
	CPUFUNC(op_8f0_0), /* BSET */
	CPUFUNC(op_8f0_0), /* BSET */
	CPUFUNC(op_8f0_0), /* BSET */
	CPUFUNC(op_8f0_0), /* BSET */
	CPUFUNC(op_8f0_0), /* BSET */
	CPUFUNC(op_8f0_0), /* BSET */
	CPUFUNC(op_8f0_0), /* BSET */
	CPUFUNC(op_8f0_0), /* BSET */
	CPUFUNC(op_8f8_0), /* BSET */
	CPUFUNC(op_8f9_0), /* BSET */
	CPUFUNC(op_8fa_0), /* BSET */
	CPUFUNC(op_8fb_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_138_0), /* BTST */
	CPUFUNC(op_139_0), /* BTST */
	CPUFUNC(op_13a_0), /* BTST */
	CPUFUNC(op_13b_0), /* BTST */
	CPUFUNC(op_13c_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_178_0), /* BCHG */
	CPUFUNC(op_179_0), /* BCHG */
	CPUFUNC(op_17a_0), /* BCHG */
	CPUFUNC(op_17b_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b8_0), /* BCLR */
	CPUFUNC(op_1b9_0), /* BCLR */
	CPUFUNC(op_1ba_0), /* BCLR */
	CPUFUNC(op_1bb_0), /* BCLR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f8_0), /* BSET */
	CPUFUNC(op_1f9_0), /* BSET */
	CPUFUNC(op_1fa_0), /* BSET */
	CPUFUNC(op_1fb_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_a00_0), /* EOR */
	CPUFUNC(op_a00_0), /* EOR */
	CPUFUNC(op_a00_0), /* EOR */
	CPUFUNC(op_a00_0), /* EOR */
	CPUFUNC(op_a00_0), /* EOR */
	CPUFUNC(op_a00_0), /* EOR */
	CPUFUNC(op_a00_0), /* EOR */
	CPUFUNC(op_a00_0), /* EOR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_a10_0), /* EOR */
	CPUFUNC(op_a10_0), /* EOR */
	CPUFUNC(op_a10_0), /* EOR */
	CPUFUNC(op_a10_0), /* EOR */
	CPUFUNC(op_a10_0), /* EOR */
	CPUFUNC(op_a10_0), /* EOR */
	CPUFUNC(op_a10_0), /* EOR */
	CPUFUNC(op_a10_0), /* EOR */
	CPUFUNC(op_a18_0), /* EOR */
	CPUFUNC(op_a18_0), /* EOR */
	CPUFUNC(op_a18_0), /* EOR */
	CPUFUNC(op_a18_0), /* EOR */
	CPUFUNC(op_a18_0), /* EOR */
	CPUFUNC(op_a18_0), /* EOR */
	CPUFUNC(op_a18_0), /* EOR */
	CPUFUNC(op_a18_0), /* EOR */
	CPUFUNC(op_a20_0), /* EOR */
	CPUFUNC(op_a20_0), /* EOR */
	CPUFUNC(op_a20_0), /* EOR */
	CPUFUNC(op_a20_0), /* EOR */
	CPUFUNC(op_a20_0), /* EOR */
	CPUFUNC(op_a20_0), /* EOR */
	CPUFUNC(op_a20_0), /* EOR */
	CPUFUNC(op_a20_0), /* EOR */
	CPUFUNC(op_a28_0), /* EOR */
	CPUFUNC(op_a28_0), /* EOR */
	CPUFUNC(op_a28_0), /* EOR */
	CPUFUNC(op_a28_0), /* EOR */
	CPUFUNC(op_a28_0), /* EOR */
	CPUFUNC(op_a28_0), /* EOR */
	CPUFUNC(op_a28_0), /* EOR */
	CPUFUNC(op_a28_0), /* EOR */
	CPUFUNC(op_a30_0), /* EOR */
	CPUFUNC(op_a30_0), /* EOR */
	CPUFUNC(op_a30_0), /* EOR */
	CPUFUNC(op_a30_0), /* EOR */
	CPUFUNC(op_a30_0), /* EOR */
	CPUFUNC(op_a30_0), /* EOR */
	CPUFUNC(op_a30_0), /* EOR */
	CPUFUNC(op_a30_0), /* EOR */
	CPUFUNC(op_a38_0), /* EOR */
	CPUFUNC(op_a39_0), /* EOR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_a3c_0), /* EORSR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_a40_0), /* EOR */
	CPUFUNC(op_a40_0), /* EOR */
	CPUFUNC(op_a40_0), /* EOR */
	CPUFUNC(op_a40_0), /* EOR */
	CPUFUNC(op_a40_0), /* EOR */
	CPUFUNC(op_a40_0), /* EOR */
	CPUFUNC(op_a40_0), /* EOR */
	CPUFUNC(op_a40_0), /* EOR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_a50_0), /* EOR */
	CPUFUNC(op_a50_0), /* EOR */
	CPUFUNC(op_a50_0), /* EOR */
	CPUFUNC(op_a50_0), /* EOR */
	CPUFUNC(op_a50_0), /* EOR */
	CPUFUNC(op_a50_0), /* EOR */
	CPUFUNC(op_a50_0), /* EOR */
	CPUFUNC(op_a50_0), /* EOR */
	CPUFUNC(op_a58_0), /* EOR */
	CPUFUNC(op_a58_0), /* EOR */
	CPUFUNC(op_a58_0), /* EOR */
	CPUFUNC(op_a58_0), /* EOR */
	CPUFUNC(op_a58_0), /* EOR */
	CPUFUNC(op_a58_0), /* EOR */
	CPUFUNC(op_a58_0), /* EOR */
	CPUFUNC(op_a58_0), /* EOR */
	CPUFUNC(op_a60_0), /* EOR */
	CPUFUNC(op_a60_0), /* EOR */
	CPUFUNC(op_a60_0), /* EOR */
	CPUFUNC(op_a60_0), /* EOR */
	CPUFUNC(op_a60_0), /* EOR */
	CPUFUNC(op_a60_0), /* EOR */
	CPUFUNC(op_a60_0), /* EOR */
	CPUFUNC(op_a60_0), /* EOR */
	CPUFUNC(op_a68_0), /* EOR */
	CPUFUNC(op_a68_0), /* EOR */
	CPUFUNC(op_a68_0), /* EOR */
	CPUFUNC(op_a68_0), /* EOR */
	CPUFUNC(op_a68_0), /* EOR */
	CPUFUNC(op_a68_0), /* EOR */
	CPUFUNC(op_a68_0), /* EOR */
	CPUFUNC(op_a68_0), /* EOR */
	CPUFUNC(op_a70_0), /* EOR */
	CPUFUNC(op_a70_0), /* EOR */
	CPUFUNC(op_a70_0), /* EOR */
	CPUFUNC(op_a70_0), /* EOR */
	CPUFUNC(op_a70_0), /* EOR */
	CPUFUNC(op_a70_0), /* EOR */
	CPUFUNC(op_a70_0), /* EOR */
	CPUFUNC(op_a70_0), /* EOR */
	CPUFUNC(op_a78_0), /* EOR */
	CPUFUNC(op_a79_0), /* EOR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_a7c_0), /* EORSR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_a80_0), /* EOR */
	CPUFUNC(op_a80_0), /* EOR */
	CPUFUNC(op_a80_0), /* EOR */
	CPUFUNC(op_a80_0), /* EOR */
	CPUFUNC(op_a80_0), /* EOR */
	CPUFUNC(op_a80_0), /* EOR */
	CPUFUNC(op_a80_0), /* EOR */
	CPUFUNC(op_a80_0), /* EOR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_a90_0), /* EOR */
	CPUFUNC(op_a90_0), /* EOR */
	CPUFUNC(op_a90_0), /* EOR */
	CPUFUNC(op_a90_0), /* EOR */
	CPUFUNC(op_a90_0), /* EOR */
	CPUFUNC(op_a90_0), /* EOR */
	CPUFUNC(op_a90_0), /* EOR */
	CPUFUNC(op_a90_0), /* EOR */
	CPUFUNC(op_a98_0), /* EOR */
	CPUFUNC(op_a98_0), /* EOR */
	CPUFUNC(op_a98_0), /* EOR */
	CPUFUNC(op_a98_0), /* EOR */
	CPUFUNC(op_a98_0), /* EOR */
	CPUFUNC(op_a98_0), /* EOR */
	CPUFUNC(op_a98_0), /* EOR */
	CPUFUNC(op_a98_0), /* EOR */
	CPUFUNC(op_aa0_0), /* EOR */
	CPUFUNC(op_aa0_0), /* EOR */
	CPUFUNC(op_aa0_0), /* EOR */
	CPUFUNC(op_aa0_0), /* EOR */
	CPUFUNC(op_aa0_0), /* EOR */
	CPUFUNC(op_aa0_0), /* EOR */
	CPUFUNC(op_aa0_0), /* EOR */
	CPUFUNC(op_aa0_0), /* EOR */
	CPUFUNC(op_aa8_0), /* EOR */
	CPUFUNC(op_aa8_0), /* EOR */
	CPUFUNC(op_aa8_0), /* EOR */
	CPUFUNC(op_aa8_0), /* EOR */
	CPUFUNC(op_aa8_0), /* EOR */
	CPUFUNC(op_aa8_0), /* EOR */
	CPUFUNC(op_aa8_0), /* EOR */
	CPUFUNC(op_aa8_0), /* EOR */
	CPUFUNC(op_ab0_0), /* EOR */
	CPUFUNC(op_ab0_0), /* EOR */
	CPUFUNC(op_ab0_0), /* EOR */
	CPUFUNC(op_ab0_0), /* EOR */
	CPUFUNC(op_ab0_0), /* EOR */
	CPUFUNC(op_ab0_0), /* EOR */
	CPUFUNC(op_ab0_0), /* EOR */
	CPUFUNC(op_ab0_0), /* EOR */
	CPUFUNC(op_ab8_0), /* EOR */
	CPUFUNC(op_ab9_0), /* EOR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_ad0_0), /* CAS */
	CPUFUNC(op_ad0_0), /* CAS */
	CPUFUNC(op_ad0_0), /* CAS */
	CPUFUNC(op_ad0_0), /* CAS */
	CPUFUNC(op_ad0_0), /* CAS */
	CPUFUNC(op_ad0_0), /* CAS */
	CPUFUNC(op_ad0_0), /* CAS */
	CPUFUNC(op_ad0_0), /* CAS */
	CPUFUNC(op_ad8_0), /* CAS */
	CPUFUNC(op_ad8_0), /* CAS */
	CPUFUNC(op_ad8_0), /* CAS */
	CPUFUNC(op_ad8_0), /* CAS */
	CPUFUNC(op_ad8_0), /* CAS */
	CPUFUNC(op_ad8_0), /* CAS */
	CPUFUNC(op_ad8_0), /* CAS */
	CPUFUNC(op_ad8_0), /* CAS */
	CPUFUNC(op_ae0_0), /* CAS */
	CPUFUNC(op_ae0_0), /* CAS */
	CPUFUNC(op_ae0_0), /* CAS */
	CPUFUNC(op_ae0_0), /* CAS */
	CPUFUNC(op_ae0_0), /* CAS */
	CPUFUNC(op_ae0_0), /* CAS */
	CPUFUNC(op_ae0_0), /* CAS */
	CPUFUNC(op_ae0_0), /* CAS */
	CPUFUNC(op_ae8_0), /* CAS */
	CPUFUNC(op_ae8_0), /* CAS */
	CPUFUNC(op_ae8_0), /* CAS */
	CPUFUNC(op_ae8_0), /* CAS */
	CPUFUNC(op_ae8_0), /* CAS */
	CPUFUNC(op_ae8_0), /* CAS */
	CPUFUNC(op_ae8_0), /* CAS */
	CPUFUNC(op_ae8_0), /* CAS */
	CPUFUNC(op_af0_0), /* CAS */
	CPUFUNC(op_af0_0), /* CAS */
	CPUFUNC(op_af0_0), /* CAS */
	CPUFUNC(op_af0_0), /* CAS */
	CPUFUNC(op_af0_0), /* CAS */
	CPUFUNC(op_af0_0), /* CAS */
	CPUFUNC(op_af0_0), /* CAS */
	CPUFUNC(op_af0_0), /* CAS */
	CPUFUNC(op_af8_0), /* CAS */
	CPUFUNC(op_af9_0), /* CAS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_138_0), /* BTST */
	CPUFUNC(op_139_0), /* BTST */
	CPUFUNC(op_13a_0), /* BTST */
	CPUFUNC(op_13b_0), /* BTST */
	CPUFUNC(op_13c_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_178_0), /* BCHG */
	CPUFUNC(op_179_0), /* BCHG */
	CPUFUNC(op_17a_0), /* BCHG */
	CPUFUNC(op_17b_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b8_0), /* BCLR */
	CPUFUNC(op_1b9_0), /* BCLR */
	CPUFUNC(op_1ba_0), /* BCLR */
	CPUFUNC(op_1bb_0), /* BCLR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f8_0), /* BSET */
	CPUFUNC(op_1f9_0), /* BSET */
	CPUFUNC(op_1fa_0), /* BSET */
	CPUFUNC(op_1fb_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c00_0), /* CMP */
	CPUFUNC(op_c00_0), /* CMP */
	CPUFUNC(op_c00_0), /* CMP */
	CPUFUNC(op_c00_0), /* CMP */
	CPUFUNC(op_c00_0), /* CMP */
	CPUFUNC(op_c00_0), /* CMP */
	CPUFUNC(op_c00_0), /* CMP */
	CPUFUNC(op_c00_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c10_0), /* CMP */
	CPUFUNC(op_c10_0), /* CMP */
	CPUFUNC(op_c10_0), /* CMP */
	CPUFUNC(op_c10_0), /* CMP */
	CPUFUNC(op_c10_0), /* CMP */
	CPUFUNC(op_c10_0), /* CMP */
	CPUFUNC(op_c10_0), /* CMP */
	CPUFUNC(op_c10_0), /* CMP */
	CPUFUNC(op_c18_0), /* CMP */
	CPUFUNC(op_c18_0), /* CMP */
	CPUFUNC(op_c18_0), /* CMP */
	CPUFUNC(op_c18_0), /* CMP */
	CPUFUNC(op_c18_0), /* CMP */
	CPUFUNC(op_c18_0), /* CMP */
	CPUFUNC(op_c18_0), /* CMP */
	CPUFUNC(op_c18_0), /* CMP */
	CPUFUNC(op_c20_0), /* CMP */
	CPUFUNC(op_c20_0), /* CMP */
	CPUFUNC(op_c20_0), /* CMP */
	CPUFUNC(op_c20_0), /* CMP */
	CPUFUNC(op_c20_0), /* CMP */
	CPUFUNC(op_c20_0), /* CMP */
	CPUFUNC(op_c20_0), /* CMP */
	CPUFUNC(op_c20_0), /* CMP */
	CPUFUNC(op_c28_0), /* CMP */
	CPUFUNC(op_c28_0), /* CMP */
	CPUFUNC(op_c28_0), /* CMP */
	CPUFUNC(op_c28_0), /* CMP */
	CPUFUNC(op_c28_0), /* CMP */
	CPUFUNC(op_c28_0), /* CMP */
	CPUFUNC(op_c28_0), /* CMP */
	CPUFUNC(op_c28_0), /* CMP */
	CPUFUNC(op_c30_0), /* CMP */
	CPUFUNC(op_c30_0), /* CMP */
	CPUFUNC(op_c30_0), /* CMP */
	CPUFUNC(op_c30_0), /* CMP */
	CPUFUNC(op_c30_0), /* CMP */
	CPUFUNC(op_c30_0), /* CMP */
	CPUFUNC(op_c30_0), /* CMP */
	CPUFUNC(op_c30_0), /* CMP */
	CPUFUNC(op_c38_0), /* CMP */
	CPUFUNC(op_c39_0), /* CMP */
	CPUFUNC(op_c3a_0), /* CMP */
	CPUFUNC(op_c3b_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c40_0), /* CMP */
	CPUFUNC(op_c40_0), /* CMP */
	CPUFUNC(op_c40_0), /* CMP */
	CPUFUNC(op_c40_0), /* CMP */
	CPUFUNC(op_c40_0), /* CMP */
	CPUFUNC(op_c40_0), /* CMP */
	CPUFUNC(op_c40_0), /* CMP */
	CPUFUNC(op_c40_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c50_0), /* CMP */
	CPUFUNC(op_c50_0), /* CMP */
	CPUFUNC(op_c50_0), /* CMP */
	CPUFUNC(op_c50_0), /* CMP */
	CPUFUNC(op_c50_0), /* CMP */
	CPUFUNC(op_c50_0), /* CMP */
	CPUFUNC(op_c50_0), /* CMP */
	CPUFUNC(op_c50_0), /* CMP */
	CPUFUNC(op_c58_0), /* CMP */
	CPUFUNC(op_c58_0), /* CMP */
	CPUFUNC(op_c58_0), /* CMP */
	CPUFUNC(op_c58_0), /* CMP */
	CPUFUNC(op_c58_0), /* CMP */
	CPUFUNC(op_c58_0), /* CMP */
	CPUFUNC(op_c58_0), /* CMP */
	CPUFUNC(op_c58_0), /* CMP */
	CPUFUNC(op_c60_0), /* CMP */
	CPUFUNC(op_c60_0), /* CMP */
	CPUFUNC(op_c60_0), /* CMP */
	CPUFUNC(op_c60_0), /* CMP */
	CPUFUNC(op_c60_0), /* CMP */
	CPUFUNC(op_c60_0), /* CMP */
	CPUFUNC(op_c60_0), /* CMP */
	CPUFUNC(op_c60_0), /* CMP */
	CPUFUNC(op_c68_0), /* CMP */
	CPUFUNC(op_c68_0), /* CMP */
	CPUFUNC(op_c68_0), /* CMP */
	CPUFUNC(op_c68_0), /* CMP */
	CPUFUNC(op_c68_0), /* CMP */
	CPUFUNC(op_c68_0), /* CMP */
	CPUFUNC(op_c68_0), /* CMP */
	CPUFUNC(op_c68_0), /* CMP */
	CPUFUNC(op_c70_0), /* CMP */
	CPUFUNC(op_c70_0), /* CMP */
	CPUFUNC(op_c70_0), /* CMP */
	CPUFUNC(op_c70_0), /* CMP */
	CPUFUNC(op_c70_0), /* CMP */
	CPUFUNC(op_c70_0), /* CMP */
	CPUFUNC(op_c70_0), /* CMP */
	CPUFUNC(op_c70_0), /* CMP */
	CPUFUNC(op_c78_0), /* CMP */
	CPUFUNC(op_c79_0), /* CMP */
	CPUFUNC(op_c7a_0), /* CMP */
	CPUFUNC(op_c7b_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c80_0), /* CMP */
	CPUFUNC(op_c80_0), /* CMP */
	CPUFUNC(op_c80_0), /* CMP */
	CPUFUNC(op_c80_0), /* CMP */
	CPUFUNC(op_c80_0), /* CMP */
	CPUFUNC(op_c80_0), /* CMP */
	CPUFUNC(op_c80_0), /* CMP */
	CPUFUNC(op_c80_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c90_0), /* CMP */
	CPUFUNC(op_c90_0), /* CMP */
	CPUFUNC(op_c90_0), /* CMP */
	CPUFUNC(op_c90_0), /* CMP */
	CPUFUNC(op_c90_0), /* CMP */
	CPUFUNC(op_c90_0), /* CMP */
	CPUFUNC(op_c90_0), /* CMP */
	CPUFUNC(op_c90_0), /* CMP */
	CPUFUNC(op_c98_0), /* CMP */
	CPUFUNC(op_c98_0), /* CMP */
	CPUFUNC(op_c98_0), /* CMP */
	CPUFUNC(op_c98_0), /* CMP */
	CPUFUNC(op_c98_0), /* CMP */
	CPUFUNC(op_c98_0), /* CMP */
	CPUFUNC(op_c98_0), /* CMP */
	CPUFUNC(op_c98_0), /* CMP */
	CPUFUNC(op_ca0_0), /* CMP */
	CPUFUNC(op_ca0_0), /* CMP */
	CPUFUNC(op_ca0_0), /* CMP */
	CPUFUNC(op_ca0_0), /* CMP */
	CPUFUNC(op_ca0_0), /* CMP */
	CPUFUNC(op_ca0_0), /* CMP */
	CPUFUNC(op_ca0_0), /* CMP */
	CPUFUNC(op_ca0_0), /* CMP */
	CPUFUNC(op_ca8_0), /* CMP */
	CPUFUNC(op_ca8_0), /* CMP */
	CPUFUNC(op_ca8_0), /* CMP */
	CPUFUNC(op_ca8_0), /* CMP */
	CPUFUNC(op_ca8_0), /* CMP */
	CPUFUNC(op_ca8_0), /* CMP */
	CPUFUNC(op_ca8_0), /* CMP */
	CPUFUNC(op_ca8_0), /* CMP */
	CPUFUNC(op_cb0_0), /* CMP */
	CPUFUNC(op_cb0_0), /* CMP */
	CPUFUNC(op_cb0_0), /* CMP */
	CPUFUNC(op_cb0_0), /* CMP */
	CPUFUNC(op_cb0_0), /* CMP */
	CPUFUNC(op_cb0_0), /* CMP */
	CPUFUNC(op_cb0_0), /* CMP */
	CPUFUNC(op_cb0_0), /* CMP */
	CPUFUNC(op_cb8_0), /* CMP */
	CPUFUNC(op_cb9_0), /* CMP */
	CPUFUNC(op_cba_0), /* CMP */
	CPUFUNC(op_cbb_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_cd0_0), /* CAS */
	CPUFUNC(op_cd0_0), /* CAS */
	CPUFUNC(op_cd0_0), /* CAS */
	CPUFUNC(op_cd0_0), /* CAS */
	CPUFUNC(op_cd0_0), /* CAS */
	CPUFUNC(op_cd0_0), /* CAS */
	CPUFUNC(op_cd0_0), /* CAS */
	CPUFUNC(op_cd0_0), /* CAS */
	CPUFUNC(op_cd8_0), /* CAS */
	CPUFUNC(op_cd8_0), /* CAS */
	CPUFUNC(op_cd8_0), /* CAS */
	CPUFUNC(op_cd8_0), /* CAS */
	CPUFUNC(op_cd8_0), /* CAS */
	CPUFUNC(op_cd8_0), /* CAS */
	CPUFUNC(op_cd8_0), /* CAS */
	CPUFUNC(op_cd8_0), /* CAS */
	CPUFUNC(op_ce0_0), /* CAS */
	CPUFUNC(op_ce0_0), /* CAS */
	CPUFUNC(op_ce0_0), /* CAS */
	CPUFUNC(op_ce0_0), /* CAS */
	CPUFUNC(op_ce0_0), /* CAS */
	CPUFUNC(op_ce0_0), /* CAS */
	CPUFUNC(op_ce0_0), /* CAS */
	CPUFUNC(op_ce0_0), /* CAS */
	CPUFUNC(op_ce8_0), /* CAS */
	CPUFUNC(op_ce8_0), /* CAS */
	CPUFUNC(op_ce8_0), /* CAS */
	CPUFUNC(op_ce8_0), /* CAS */
	CPUFUNC(op_ce8_0), /* CAS */
	CPUFUNC(op_ce8_0), /* CAS */
	CPUFUNC(op_ce8_0), /* CAS */
	CPUFUNC(op_ce8_0), /* CAS */
	CPUFUNC(op_cf0_0), /* CAS */
	CPUFUNC(op_cf0_0), /* CAS */
	CPUFUNC(op_cf0_0), /* CAS */
	CPUFUNC(op_cf0_0), /* CAS */
	CPUFUNC(op_cf0_0), /* CAS */
	CPUFUNC(op_cf0_0), /* CAS */
	CPUFUNC(op_cf0_0), /* CAS */
	CPUFUNC(op_cf0_0), /* CAS */
	CPUFUNC(op_cf8_0), /* CAS */
	CPUFUNC(op_cf9_0), /* CAS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_cfc_0), /* CAS2 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_138_0), /* BTST */
	CPUFUNC(op_139_0), /* BTST */
	CPUFUNC(op_13a_0), /* BTST */
	CPUFUNC(op_13b_0), /* BTST */
	CPUFUNC(op_13c_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_178_0), /* BCHG */
	CPUFUNC(op_179_0), /* BCHG */
	CPUFUNC(op_17a_0), /* BCHG */
	CPUFUNC(op_17b_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b8_0), /* BCLR */
	CPUFUNC(op_1b9_0), /* BCLR */
	CPUFUNC(op_1ba_0), /* BCLR */
	CPUFUNC(op_1bb_0), /* BCLR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f8_0), /* BSET */
	CPUFUNC(op_1f9_0), /* BSET */
	CPUFUNC(op_1fa_0), /* BSET */
	CPUFUNC(op_1fb_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_e10_0), /* MOVES */
	CPUFUNC_FF(op_e10_0), /* MOVES */
	CPUFUNC_FF(op_e10_0), /* MOVES */
	CPUFUNC_FF(op_e10_0), /* MOVES */
	CPUFUNC_FF(op_e10_0), /* MOVES */
	CPUFUNC_FF(op_e10_0), /* MOVES */
	CPUFUNC_FF(op_e10_0), /* MOVES */
	CPUFUNC_FF(op_e10_0), /* MOVES */
	CPUFUNC_FF(op_e18_0), /* MOVES */
	CPUFUNC_FF(op_e18_0), /* MOVES */
	CPUFUNC_FF(op_e18_0), /* MOVES */
	CPUFUNC_FF(op_e18_0), /* MOVES */
	CPUFUNC_FF(op_e18_0), /* MOVES */
	CPUFUNC_FF(op_e18_0), /* MOVES */
	CPUFUNC_FF(op_e18_0), /* MOVES */
	CPUFUNC_FF(op_e18_0), /* MOVES */
	CPUFUNC_FF(op_e20_0), /* MOVES */
	CPUFUNC_FF(op_e20_0), /* MOVES */
	CPUFUNC_FF(op_e20_0), /* MOVES */
	CPUFUNC_FF(op_e20_0), /* MOVES */
	CPUFUNC_FF(op_e20_0), /* MOVES */
	CPUFUNC_FF(op_e20_0), /* MOVES */
	CPUFUNC_FF(op_e20_0), /* MOVES */
	CPUFUNC_FF(op_e20_0), /* MOVES */
	CPUFUNC_FF(op_e28_0), /* MOVES */
	CPUFUNC_FF(op_e28_0), /* MOVES */
	CPUFUNC_FF(op_e28_0), /* MOVES */
	CPUFUNC_FF(op_e28_0), /* MOVES */
	CPUFUNC_FF(op_e28_0), /* MOVES */
	CPUFUNC_FF(op_e28_0), /* MOVES */
	CPUFUNC_FF(op_e28_0), /* MOVES */
	CPUFUNC_FF(op_e28_0), /* MOVES */
	CPUFUNC_FF(op_e30_0), /* MOVES */
	CPUFUNC_FF(op_e30_0), /* MOVES */
	CPUFUNC_FF(op_e30_0), /* MOVES */
	CPUFUNC_FF(op_e30_0), /* MOVES */
	CPUFUNC_FF(op_e30_0), /* MOVES */
	CPUFUNC_FF(op_e30_0), /* MOVES */
	CPUFUNC_FF(op_e30_0), /* MOVES */
	CPUFUNC_FF(op_e30_0), /* MOVES */
	CPUFUNC_FF(op_e38_0), /* MOVES */
	CPUFUNC_FF(op_e39_0), /* MOVES */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_e50_0), /* MOVES */
	CPUFUNC_FF(op_e50_0), /* MOVES */
	CPUFUNC_FF(op_e50_0), /* MOVES */
	CPUFUNC_FF(op_e50_0), /* MOVES */
	CPUFUNC_FF(op_e50_0), /* MOVES */
	CPUFUNC_FF(op_e50_0), /* MOVES */
	CPUFUNC_FF(op_e50_0), /* MOVES */
	CPUFUNC_FF(op_e50_0), /* MOVES */
	CPUFUNC_FF(op_e58_0), /* MOVES */
	CPUFUNC_FF(op_e58_0), /* MOVES */
	CPUFUNC_FF(op_e58_0), /* MOVES */
	CPUFUNC_FF(op_e58_0), /* MOVES */
	CPUFUNC_FF(op_e58_0), /* MOVES */
	CPUFUNC_FF(op_e58_0), /* MOVES */
	CPUFUNC_FF(op_e58_0), /* MOVES */
	CPUFUNC_FF(op_e58_0), /* MOVES */
	CPUFUNC_FF(op_e60_0), /* MOVES */
	CPUFUNC_FF(op_e60_0), /* MOVES */
	CPUFUNC_FF(op_e60_0), /* MOVES */
	CPUFUNC_FF(op_e60_0), /* MOVES */
	CPUFUNC_FF(op_e60_0), /* MOVES */
	CPUFUNC_FF(op_e60_0), /* MOVES */
	CPUFUNC_FF(op_e60_0), /* MOVES */
	CPUFUNC_FF(op_e60_0), /* MOVES */
	CPUFUNC_FF(op_e68_0), /* MOVES */
	CPUFUNC_FF(op_e68_0), /* MOVES */
	CPUFUNC_FF(op_e68_0), /* MOVES */
	CPUFUNC_FF(op_e68_0), /* MOVES */
	CPUFUNC_FF(op_e68_0), /* MOVES */
	CPUFUNC_FF(op_e68_0), /* MOVES */
	CPUFUNC_FF(op_e68_0), /* MOVES */
	CPUFUNC_FF(op_e68_0), /* MOVES */
	CPUFUNC_FF(op_e70_0), /* MOVES */
	CPUFUNC_FF(op_e70_0), /* MOVES */
	CPUFUNC_FF(op_e70_0), /* MOVES */
	CPUFUNC_FF(op_e70_0), /* MOVES */
	CPUFUNC_FF(op_e70_0), /* MOVES */
	CPUFUNC_FF(op_e70_0), /* MOVES */
	CPUFUNC_FF(op_e70_0), /* MOVES */
	CPUFUNC_FF(op_e70_0), /* MOVES */
	CPUFUNC_FF(op_e78_0), /* MOVES */
	CPUFUNC_FF(op_e79_0), /* MOVES */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_e90_0), /* MOVES */
	CPUFUNC_FF(op_e90_0), /* MOVES */
	CPUFUNC_FF(op_e90_0), /* MOVES */
	CPUFUNC_FF(op_e90_0), /* MOVES */
	CPUFUNC_FF(op_e90_0), /* MOVES */
	CPUFUNC_FF(op_e90_0), /* MOVES */
	CPUFUNC_FF(op_e90_0), /* MOVES */
	CPUFUNC_FF(op_e90_0), /* MOVES */
	CPUFUNC_FF(op_e98_0), /* MOVES */
	CPUFUNC_FF(op_e98_0), /* MOVES */
	CPUFUNC_FF(op_e98_0), /* MOVES */
	CPUFUNC_FF(op_e98_0), /* MOVES */
	CPUFUNC_FF(op_e98_0), /* MOVES */
	CPUFUNC_FF(op_e98_0), /* MOVES */
	CPUFUNC_FF(op_e98_0), /* MOVES */
	CPUFUNC_FF(op_e98_0), /* MOVES */
	CPUFUNC_FF(op_ea0_0), /* MOVES */
	CPUFUNC_FF(op_ea0_0), /* MOVES */
	CPUFUNC_FF(op_ea0_0), /* MOVES */
	CPUFUNC_FF(op_ea0_0), /* MOVES */
	CPUFUNC_FF(op_ea0_0), /* MOVES */
	CPUFUNC_FF(op_ea0_0), /* MOVES */
	CPUFUNC_FF(op_ea0_0), /* MOVES */
	CPUFUNC_FF(op_ea0_0), /* MOVES */
	CPUFUNC_FF(op_ea8_0), /* MOVES */
	CPUFUNC_FF(op_ea8_0), /* MOVES */
	CPUFUNC_FF(op_ea8_0), /* MOVES */
	CPUFUNC_FF(op_ea8_0), /* MOVES */
	CPUFUNC_FF(op_ea8_0), /* MOVES */
	CPUFUNC_FF(op_ea8_0), /* MOVES */
	CPUFUNC_FF(op_ea8_0), /* MOVES */
	CPUFUNC_FF(op_ea8_0), /* MOVES */
	CPUFUNC_FF(op_eb0_0), /* MOVES */
	CPUFUNC_FF(op_eb0_0), /* MOVES */
	CPUFUNC_FF(op_eb0_0), /* MOVES */
	CPUFUNC_FF(op_eb0_0), /* MOVES */
	CPUFUNC_FF(op_eb0_0), /* MOVES */
	CPUFUNC_FF(op_eb0_0), /* MOVES */
	CPUFUNC_FF(op_eb0_0), /* MOVES */
	CPUFUNC_FF(op_eb0_0), /* MOVES */
	CPUFUNC_FF(op_eb8_0), /* MOVES */
	CPUFUNC_FF(op_eb9_0), /* MOVES */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_ed0_0), /* CAS */
	CPUFUNC(op_ed0_0), /* CAS */
	CPUFUNC(op_ed0_0), /* CAS */
	CPUFUNC(op_ed0_0), /* CAS */
	CPUFUNC(op_ed0_0), /* CAS */
	CPUFUNC(op_ed0_0), /* CAS */
	CPUFUNC(op_ed0_0), /* CAS */
	CPUFUNC(op_ed0_0), /* CAS */
	CPUFUNC(op_ed8_0), /* CAS */
	CPUFUNC(op_ed8_0), /* CAS */
	CPUFUNC(op_ed8_0), /* CAS */
	CPUFUNC(op_ed8_0), /* CAS */
	CPUFUNC(op_ed8_0), /* CAS */
	CPUFUNC(op_ed8_0), /* CAS */
	CPUFUNC(op_ed8_0), /* CAS */
	CPUFUNC(op_ed8_0), /* CAS */
	CPUFUNC(op_ee0_0), /* CAS */
	CPUFUNC(op_ee0_0), /* CAS */
	CPUFUNC(op_ee0_0), /* CAS */
	CPUFUNC(op_ee0_0), /* CAS */
	CPUFUNC(op_ee0_0), /* CAS */
	CPUFUNC(op_ee0_0), /* CAS */
	CPUFUNC(op_ee0_0), /* CAS */
	CPUFUNC(op_ee0_0), /* CAS */
	CPUFUNC(op_ee8_0), /* CAS */
	CPUFUNC(op_ee8_0), /* CAS */
	CPUFUNC(op_ee8_0), /* CAS */
	CPUFUNC(op_ee8_0), /* CAS */
	CPUFUNC(op_ee8_0), /* CAS */
	CPUFUNC(op_ee8_0), /* CAS */
	CPUFUNC(op_ee8_0), /* CAS */
	CPUFUNC(op_ee8_0), /* CAS */
	CPUFUNC(op_ef0_0), /* CAS */
	CPUFUNC(op_ef0_0), /* CAS */
	CPUFUNC(op_ef0_0), /* CAS */
	CPUFUNC(op_ef0_0), /* CAS */
	CPUFUNC(op_ef0_0), /* CAS */
	CPUFUNC(op_ef0_0), /* CAS */
	CPUFUNC(op_ef0_0), /* CAS */
	CPUFUNC(op_ef0_0), /* CAS */
	CPUFUNC(op_ef8_0), /* CAS */
	CPUFUNC(op_ef9_0), /* CAS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_efc_0), /* CAS2 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_138_0), /* BTST */
	CPUFUNC(op_139_0), /* BTST */
	CPUFUNC(op_13a_0), /* BTST */
	CPUFUNC(op_13b_0), /* BTST */
	CPUFUNC(op_13c_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_178_0), /* BCHG */
	CPUFUNC(op_179_0), /* BCHG */
	CPUFUNC(op_17a_0), /* BCHG */
	CPUFUNC(op_17b_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_1b8_0), /* BCLR */
	CPUFUNC(op_1b9_0), /* BCLR */
	CPUFUNC(op_1ba_0), /* BCLR */
	CPUFUNC(op_1bb_0), /* BCLR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_1f8_0), /* BSET */
	CPUFUNC(op_1f9_0), /* BSET */
	CPUFUNC(op_1fa_0), /* BSET */
	CPUFUNC(op_1fb_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1038_0), /* MOVE */
	CPUFUNC(op_1039_0), /* MOVE */
	CPUFUNC(op_103a_0), /* MOVE */
	CPUFUNC(op_103b_0), /* MOVE */
	CPUFUNC(op_103c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b8_0), /* MOVE */
	CPUFUNC(op_10b9_0), /* MOVE */
	CPUFUNC(op_10ba_0), /* MOVE */
	CPUFUNC(op_10bb_0), /* MOVE */
	CPUFUNC(op_10bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f8_0), /* MOVE */
	CPUFUNC(op_10f9_0), /* MOVE */
	CPUFUNC(op_10fa_0), /* MOVE */
	CPUFUNC(op_10fb_0), /* MOVE */
	CPUFUNC(op_10fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1138_0), /* MOVE */
	CPUFUNC(op_1139_0), /* MOVE */
	CPUFUNC(op_113a_0), /* MOVE */
	CPUFUNC(op_113b_0), /* MOVE */
	CPUFUNC(op_113c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1178_0), /* MOVE */
	CPUFUNC(op_1179_0), /* MOVE */
	CPUFUNC(op_117a_0), /* MOVE */
	CPUFUNC(op_117b_0), /* MOVE */
	CPUFUNC(op_117c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b8_0), /* MOVE */
	CPUFUNC(op_11b9_0), /* MOVE */
	CPUFUNC(op_11ba_0), /* MOVE */
	CPUFUNC(op_11bb_0), /* MOVE */
	CPUFUNC(op_11bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_11c0_0), /* MOVE */
	CPUFUNC(op_11c0_0), /* MOVE */
	CPUFUNC(op_11c0_0), /* MOVE */
	CPUFUNC(op_11c0_0), /* MOVE */
	CPUFUNC(op_11c0_0), /* MOVE */
	CPUFUNC(op_11c0_0), /* MOVE */
	CPUFUNC(op_11c0_0), /* MOVE */
	CPUFUNC(op_11c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_11d0_0), /* MOVE */
	CPUFUNC(op_11d0_0), /* MOVE */
	CPUFUNC(op_11d0_0), /* MOVE */
	CPUFUNC(op_11d0_0), /* MOVE */
	CPUFUNC(op_11d0_0), /* MOVE */
	CPUFUNC(op_11d0_0), /* MOVE */
	CPUFUNC(op_11d0_0), /* MOVE */
	CPUFUNC(op_11d0_0), /* MOVE */
	CPUFUNC(op_11d8_0), /* MOVE */
	CPUFUNC(op_11d8_0), /* MOVE */
	CPUFUNC(op_11d8_0), /* MOVE */
	CPUFUNC(op_11d8_0), /* MOVE */
	CPUFUNC(op_11d8_0), /* MOVE */
	CPUFUNC(op_11d8_0), /* MOVE */
	CPUFUNC(op_11d8_0), /* MOVE */
	CPUFUNC(op_11d8_0), /* MOVE */
	CPUFUNC(op_11e0_0), /* MOVE */
	CPUFUNC(op_11e0_0), /* MOVE */
	CPUFUNC(op_11e0_0), /* MOVE */
	CPUFUNC(op_11e0_0), /* MOVE */
	CPUFUNC(op_11e0_0), /* MOVE */
	CPUFUNC(op_11e0_0), /* MOVE */
	CPUFUNC(op_11e0_0), /* MOVE */
	CPUFUNC(op_11e0_0), /* MOVE */
	CPUFUNC(op_11e8_0), /* MOVE */
	CPUFUNC(op_11e8_0), /* MOVE */
	CPUFUNC(op_11e8_0), /* MOVE */
	CPUFUNC(op_11e8_0), /* MOVE */
	CPUFUNC(op_11e8_0), /* MOVE */
	CPUFUNC(op_11e8_0), /* MOVE */
	CPUFUNC(op_11e8_0), /* MOVE */
	CPUFUNC(op_11e8_0), /* MOVE */
	CPUFUNC(op_11f0_0), /* MOVE */
	CPUFUNC(op_11f0_0), /* MOVE */
	CPUFUNC(op_11f0_0), /* MOVE */
	CPUFUNC(op_11f0_0), /* MOVE */
	CPUFUNC(op_11f0_0), /* MOVE */
	CPUFUNC(op_11f0_0), /* MOVE */
	CPUFUNC(op_11f0_0), /* MOVE */
	CPUFUNC(op_11f0_0), /* MOVE */
	CPUFUNC(op_11f8_0), /* MOVE */
	CPUFUNC(op_11f9_0), /* MOVE */
	CPUFUNC(op_11fa_0), /* MOVE */
	CPUFUNC(op_11fb_0), /* MOVE */
	CPUFUNC(op_11fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1038_0), /* MOVE */
	CPUFUNC(op_1039_0), /* MOVE */
	CPUFUNC(op_103a_0), /* MOVE */
	CPUFUNC(op_103b_0), /* MOVE */
	CPUFUNC(op_103c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b8_0), /* MOVE */
	CPUFUNC(op_10b9_0), /* MOVE */
	CPUFUNC(op_10ba_0), /* MOVE */
	CPUFUNC(op_10bb_0), /* MOVE */
	CPUFUNC(op_10bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f8_0), /* MOVE */
	CPUFUNC(op_10f9_0), /* MOVE */
	CPUFUNC(op_10fa_0), /* MOVE */
	CPUFUNC(op_10fb_0), /* MOVE */
	CPUFUNC(op_10fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1138_0), /* MOVE */
	CPUFUNC(op_1139_0), /* MOVE */
	CPUFUNC(op_113a_0), /* MOVE */
	CPUFUNC(op_113b_0), /* MOVE */
	CPUFUNC(op_113c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1178_0), /* MOVE */
	CPUFUNC(op_1179_0), /* MOVE */
	CPUFUNC(op_117a_0), /* MOVE */
	CPUFUNC(op_117b_0), /* MOVE */
	CPUFUNC(op_117c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b8_0), /* MOVE */
	CPUFUNC(op_11b9_0), /* MOVE */
	CPUFUNC(op_11ba_0), /* MOVE */
	CPUFUNC(op_11bb_0), /* MOVE */
	CPUFUNC(op_11bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_13c0_0), /* MOVE */
	CPUFUNC(op_13c0_0), /* MOVE */
	CPUFUNC(op_13c0_0), /* MOVE */
	CPUFUNC(op_13c0_0), /* MOVE */
	CPUFUNC(op_13c0_0), /* MOVE */
	CPUFUNC(op_13c0_0), /* MOVE */
	CPUFUNC(op_13c0_0), /* MOVE */
	CPUFUNC(op_13c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_13d0_0), /* MOVE */
	CPUFUNC(op_13d0_0), /* MOVE */
	CPUFUNC(op_13d0_0), /* MOVE */
	CPUFUNC(op_13d0_0), /* MOVE */
	CPUFUNC(op_13d0_0), /* MOVE */
	CPUFUNC(op_13d0_0), /* MOVE */
	CPUFUNC(op_13d0_0), /* MOVE */
	CPUFUNC(op_13d0_0), /* MOVE */
	CPUFUNC(op_13d8_0), /* MOVE */
	CPUFUNC(op_13d8_0), /* MOVE */
	CPUFUNC(op_13d8_0), /* MOVE */
	CPUFUNC(op_13d8_0), /* MOVE */
	CPUFUNC(op_13d8_0), /* MOVE */
	CPUFUNC(op_13d8_0), /* MOVE */
	CPUFUNC(op_13d8_0), /* MOVE */
	CPUFUNC(op_13d8_0), /* MOVE */
	CPUFUNC(op_13e0_0), /* MOVE */
	CPUFUNC(op_13e0_0), /* MOVE */
	CPUFUNC(op_13e0_0), /* MOVE */
	CPUFUNC(op_13e0_0), /* MOVE */
	CPUFUNC(op_13e0_0), /* MOVE */
	CPUFUNC(op_13e0_0), /* MOVE */
	CPUFUNC(op_13e0_0), /* MOVE */
	CPUFUNC(op_13e0_0), /* MOVE */
	CPUFUNC(op_13e8_0), /* MOVE */
	CPUFUNC(op_13e8_0), /* MOVE */
	CPUFUNC(op_13e8_0), /* MOVE */
	CPUFUNC(op_13e8_0), /* MOVE */
	CPUFUNC(op_13e8_0), /* MOVE */
	CPUFUNC(op_13e8_0), /* MOVE */
	CPUFUNC(op_13e8_0), /* MOVE */
	CPUFUNC(op_13e8_0), /* MOVE */
	CPUFUNC(op_13f0_0), /* MOVE */
	CPUFUNC(op_13f0_0), /* MOVE */
	CPUFUNC(op_13f0_0), /* MOVE */
	CPUFUNC(op_13f0_0), /* MOVE */
	CPUFUNC(op_13f0_0), /* MOVE */
	CPUFUNC(op_13f0_0), /* MOVE */
	CPUFUNC(op_13f0_0), /* MOVE */
	CPUFUNC(op_13f0_0), /* MOVE */
	CPUFUNC(op_13f8_0), /* MOVE */
	CPUFUNC(op_13f9_0), /* MOVE */
	CPUFUNC(op_13fa_0), /* MOVE */
	CPUFUNC(op_13fb_0), /* MOVE */
	CPUFUNC(op_13fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1038_0), /* MOVE */
	CPUFUNC(op_1039_0), /* MOVE */
	CPUFUNC(op_103a_0), /* MOVE */
	CPUFUNC(op_103b_0), /* MOVE */
	CPUFUNC(op_103c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b8_0), /* MOVE */
	CPUFUNC(op_10b9_0), /* MOVE */
	CPUFUNC(op_10ba_0), /* MOVE */
	CPUFUNC(op_10bb_0), /* MOVE */
	CPUFUNC(op_10bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f8_0), /* MOVE */
	CPUFUNC(op_10f9_0), /* MOVE */
	CPUFUNC(op_10fa_0), /* MOVE */
	CPUFUNC(op_10fb_0), /* MOVE */
	CPUFUNC(op_10fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1138_0), /* MOVE */
	CPUFUNC(op_1139_0), /* MOVE */
	CPUFUNC(op_113a_0), /* MOVE */
	CPUFUNC(op_113b_0), /* MOVE */
	CPUFUNC(op_113c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1178_0), /* MOVE */
	CPUFUNC(op_1179_0), /* MOVE */
	CPUFUNC(op_117a_0), /* MOVE */
	CPUFUNC(op_117b_0), /* MOVE */
	CPUFUNC(op_117c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b8_0), /* MOVE */
	CPUFUNC(op_11b9_0), /* MOVE */
	CPUFUNC(op_11ba_0), /* MOVE */
	CPUFUNC(op_11bb_0), /* MOVE */
	CPUFUNC(op_11bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1038_0), /* MOVE */
	CPUFUNC(op_1039_0), /* MOVE */
	CPUFUNC(op_103a_0), /* MOVE */
	CPUFUNC(op_103b_0), /* MOVE */
	CPUFUNC(op_103c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b8_0), /* MOVE */
	CPUFUNC(op_10b9_0), /* MOVE */
	CPUFUNC(op_10ba_0), /* MOVE */
	CPUFUNC(op_10bb_0), /* MOVE */
	CPUFUNC(op_10bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f8_0), /* MOVE */
	CPUFUNC(op_10f9_0), /* MOVE */
	CPUFUNC(op_10fa_0), /* MOVE */
	CPUFUNC(op_10fb_0), /* MOVE */
	CPUFUNC(op_10fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1138_0), /* MOVE */
	CPUFUNC(op_1139_0), /* MOVE */
	CPUFUNC(op_113a_0), /* MOVE */
	CPUFUNC(op_113b_0), /* MOVE */
	CPUFUNC(op_113c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1178_0), /* MOVE */
	CPUFUNC(op_1179_0), /* MOVE */
	CPUFUNC(op_117a_0), /* MOVE */
	CPUFUNC(op_117b_0), /* MOVE */
	CPUFUNC(op_117c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b8_0), /* MOVE */
	CPUFUNC(op_11b9_0), /* MOVE */
	CPUFUNC(op_11ba_0), /* MOVE */
	CPUFUNC(op_11bb_0), /* MOVE */
	CPUFUNC(op_11bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1038_0), /* MOVE */
	CPUFUNC(op_1039_0), /* MOVE */
	CPUFUNC(op_103a_0), /* MOVE */
	CPUFUNC(op_103b_0), /* MOVE */
	CPUFUNC(op_103c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b8_0), /* MOVE */
	CPUFUNC(op_10b9_0), /* MOVE */
	CPUFUNC(op_10ba_0), /* MOVE */
	CPUFUNC(op_10bb_0), /* MOVE */
	CPUFUNC(op_10bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f8_0), /* MOVE */
	CPUFUNC(op_10f9_0), /* MOVE */
	CPUFUNC(op_10fa_0), /* MOVE */
	CPUFUNC(op_10fb_0), /* MOVE */
	CPUFUNC(op_10fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1138_0), /* MOVE */
	CPUFUNC(op_1139_0), /* MOVE */
	CPUFUNC(op_113a_0), /* MOVE */
	CPUFUNC(op_113b_0), /* MOVE */
	CPUFUNC(op_113c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1178_0), /* MOVE */
	CPUFUNC(op_1179_0), /* MOVE */
	CPUFUNC(op_117a_0), /* MOVE */
	CPUFUNC(op_117b_0), /* MOVE */
	CPUFUNC(op_117c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b8_0), /* MOVE */
	CPUFUNC(op_11b9_0), /* MOVE */
	CPUFUNC(op_11ba_0), /* MOVE */
	CPUFUNC(op_11bb_0), /* MOVE */
	CPUFUNC(op_11bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1038_0), /* MOVE */
	CPUFUNC(op_1039_0), /* MOVE */
	CPUFUNC(op_103a_0), /* MOVE */
	CPUFUNC(op_103b_0), /* MOVE */
	CPUFUNC(op_103c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b8_0), /* MOVE */
	CPUFUNC(op_10b9_0), /* MOVE */
	CPUFUNC(op_10ba_0), /* MOVE */
	CPUFUNC(op_10bb_0), /* MOVE */
	CPUFUNC(op_10bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f8_0), /* MOVE */
	CPUFUNC(op_10f9_0), /* MOVE */
	CPUFUNC(op_10fa_0), /* MOVE */
	CPUFUNC(op_10fb_0), /* MOVE */
	CPUFUNC(op_10fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1138_0), /* MOVE */
	CPUFUNC(op_1139_0), /* MOVE */
	CPUFUNC(op_113a_0), /* MOVE */
	CPUFUNC(op_113b_0), /* MOVE */
	CPUFUNC(op_113c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1178_0), /* MOVE */
	CPUFUNC(op_1179_0), /* MOVE */
	CPUFUNC(op_117a_0), /* MOVE */
	CPUFUNC(op_117b_0), /* MOVE */
	CPUFUNC(op_117c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b8_0), /* MOVE */
	CPUFUNC(op_11b9_0), /* MOVE */
	CPUFUNC(op_11ba_0), /* MOVE */
	CPUFUNC(op_11bb_0), /* MOVE */
	CPUFUNC(op_11bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1038_0), /* MOVE */
	CPUFUNC(op_1039_0), /* MOVE */
	CPUFUNC(op_103a_0), /* MOVE */
	CPUFUNC(op_103b_0), /* MOVE */
	CPUFUNC(op_103c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b8_0), /* MOVE */
	CPUFUNC(op_10b9_0), /* MOVE */
	CPUFUNC(op_10ba_0), /* MOVE */
	CPUFUNC(op_10bb_0), /* MOVE */
	CPUFUNC(op_10bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f8_0), /* MOVE */
	CPUFUNC(op_10f9_0), /* MOVE */
	CPUFUNC(op_10fa_0), /* MOVE */
	CPUFUNC(op_10fb_0), /* MOVE */
	CPUFUNC(op_10fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1138_0), /* MOVE */
	CPUFUNC(op_1139_0), /* MOVE */
	CPUFUNC(op_113a_0), /* MOVE */
	CPUFUNC(op_113b_0), /* MOVE */
	CPUFUNC(op_113c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1178_0), /* MOVE */
	CPUFUNC(op_1179_0), /* MOVE */
	CPUFUNC(op_117a_0), /* MOVE */
	CPUFUNC(op_117b_0), /* MOVE */
	CPUFUNC(op_117c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b8_0), /* MOVE */
	CPUFUNC(op_11b9_0), /* MOVE */
	CPUFUNC(op_11ba_0), /* MOVE */
	CPUFUNC(op_11bb_0), /* MOVE */
	CPUFUNC(op_11bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1038_0), /* MOVE */
	CPUFUNC(op_1039_0), /* MOVE */
	CPUFUNC(op_103a_0), /* MOVE */
	CPUFUNC(op_103b_0), /* MOVE */
	CPUFUNC(op_103c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_10b8_0), /* MOVE */
	CPUFUNC(op_10b9_0), /* MOVE */
	CPUFUNC(op_10ba_0), /* MOVE */
	CPUFUNC(op_10bb_0), /* MOVE */
	CPUFUNC(op_10bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_10f8_0), /* MOVE */
	CPUFUNC(op_10f9_0), /* MOVE */
	CPUFUNC(op_10fa_0), /* MOVE */
	CPUFUNC(op_10fb_0), /* MOVE */
	CPUFUNC(op_10fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1138_0), /* MOVE */
	CPUFUNC(op_1139_0), /* MOVE */
	CPUFUNC(op_113a_0), /* MOVE */
	CPUFUNC(op_113b_0), /* MOVE */
	CPUFUNC(op_113c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC(op_1178_0), /* MOVE */
	CPUFUNC(op_1179_0), /* MOVE */
	CPUFUNC(op_117a_0), /* MOVE */
	CPUFUNC(op_117b_0), /* MOVE */
	CPUFUNC(op_117c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_11b8_0), /* MOVE */
	CPUFUNC(op_11b9_0), /* MOVE */
	CPUFUNC(op_11ba_0), /* MOVE */
	CPUFUNC(op_11bb_0), /* MOVE */
	CPUFUNC(op_11bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2038_0), /* MOVE */
	CPUFUNC(op_2039_0), /* MOVE */
	CPUFUNC(op_203a_0), /* MOVE */
	CPUFUNC(op_203b_0), /* MOVE */
	CPUFUNC(op_203c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2078_0), /* MOVEA */
	CPUFUNC_FF(op_2079_0), /* MOVEA */
	CPUFUNC_FF(op_207a_0), /* MOVEA */
	CPUFUNC_FF(op_207b_0), /* MOVEA */
	CPUFUNC_FF(op_207c_0), /* MOVEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b8_0), /* MOVE */
	CPUFUNC(op_20b9_0), /* MOVE */
	CPUFUNC(op_20ba_0), /* MOVE */
	CPUFUNC(op_20bb_0), /* MOVE */
	CPUFUNC(op_20bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f8_0), /* MOVE */
	CPUFUNC(op_20f9_0), /* MOVE */
	CPUFUNC(op_20fa_0), /* MOVE */
	CPUFUNC(op_20fb_0), /* MOVE */
	CPUFUNC(op_20fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2138_0), /* MOVE */
	CPUFUNC(op_2139_0), /* MOVE */
	CPUFUNC(op_213a_0), /* MOVE */
	CPUFUNC(op_213b_0), /* MOVE */
	CPUFUNC(op_213c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2178_0), /* MOVE */
	CPUFUNC(op_2179_0), /* MOVE */
	CPUFUNC(op_217a_0), /* MOVE */
	CPUFUNC(op_217b_0), /* MOVE */
	CPUFUNC(op_217c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b8_0), /* MOVE */
	CPUFUNC(op_21b9_0), /* MOVE */
	CPUFUNC(op_21ba_0), /* MOVE */
	CPUFUNC(op_21bb_0), /* MOVE */
	CPUFUNC(op_21bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_21c0_0), /* MOVE */
	CPUFUNC(op_21c0_0), /* MOVE */
	CPUFUNC(op_21c0_0), /* MOVE */
	CPUFUNC(op_21c0_0), /* MOVE */
	CPUFUNC(op_21c0_0), /* MOVE */
	CPUFUNC(op_21c0_0), /* MOVE */
	CPUFUNC(op_21c0_0), /* MOVE */
	CPUFUNC(op_21c0_0), /* MOVE */
	CPUFUNC(op_21c8_0), /* MOVE */
	CPUFUNC(op_21c8_0), /* MOVE */
	CPUFUNC(op_21c8_0), /* MOVE */
	CPUFUNC(op_21c8_0), /* MOVE */
	CPUFUNC(op_21c8_0), /* MOVE */
	CPUFUNC(op_21c8_0), /* MOVE */
	CPUFUNC(op_21c8_0), /* MOVE */
	CPUFUNC(op_21c8_0), /* MOVE */
	CPUFUNC(op_21d0_0), /* MOVE */
	CPUFUNC(op_21d0_0), /* MOVE */
	CPUFUNC(op_21d0_0), /* MOVE */
	CPUFUNC(op_21d0_0), /* MOVE */
	CPUFUNC(op_21d0_0), /* MOVE */
	CPUFUNC(op_21d0_0), /* MOVE */
	CPUFUNC(op_21d0_0), /* MOVE */
	CPUFUNC(op_21d0_0), /* MOVE */
	CPUFUNC(op_21d8_0), /* MOVE */
	CPUFUNC(op_21d8_0), /* MOVE */
	CPUFUNC(op_21d8_0), /* MOVE */
	CPUFUNC(op_21d8_0), /* MOVE */
	CPUFUNC(op_21d8_0), /* MOVE */
	CPUFUNC(op_21d8_0), /* MOVE */
	CPUFUNC(op_21d8_0), /* MOVE */
	CPUFUNC(op_21d8_0), /* MOVE */
	CPUFUNC(op_21e0_0), /* MOVE */
	CPUFUNC(op_21e0_0), /* MOVE */
	CPUFUNC(op_21e0_0), /* MOVE */
	CPUFUNC(op_21e0_0), /* MOVE */
	CPUFUNC(op_21e0_0), /* MOVE */
	CPUFUNC(op_21e0_0), /* MOVE */
	CPUFUNC(op_21e0_0), /* MOVE */
	CPUFUNC(op_21e0_0), /* MOVE */
	CPUFUNC(op_21e8_0), /* MOVE */
	CPUFUNC(op_21e8_0), /* MOVE */
	CPUFUNC(op_21e8_0), /* MOVE */
	CPUFUNC(op_21e8_0), /* MOVE */
	CPUFUNC(op_21e8_0), /* MOVE */
	CPUFUNC(op_21e8_0), /* MOVE */
	CPUFUNC(op_21e8_0), /* MOVE */
	CPUFUNC(op_21e8_0), /* MOVE */
	CPUFUNC(op_21f0_0), /* MOVE */
	CPUFUNC(op_21f0_0), /* MOVE */
	CPUFUNC(op_21f0_0), /* MOVE */
	CPUFUNC(op_21f0_0), /* MOVE */
	CPUFUNC(op_21f0_0), /* MOVE */
	CPUFUNC(op_21f0_0), /* MOVE */
	CPUFUNC(op_21f0_0), /* MOVE */
	CPUFUNC(op_21f0_0), /* MOVE */
	CPUFUNC(op_21f8_0), /* MOVE */
	CPUFUNC(op_21f9_0), /* MOVE */
	CPUFUNC(op_21fa_0), /* MOVE */
	CPUFUNC(op_21fb_0), /* MOVE */
	CPUFUNC(op_21fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2038_0), /* MOVE */
	CPUFUNC(op_2039_0), /* MOVE */
	CPUFUNC(op_203a_0), /* MOVE */
	CPUFUNC(op_203b_0), /* MOVE */
	CPUFUNC(op_203c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2078_0), /* MOVEA */
	CPUFUNC_FF(op_2079_0), /* MOVEA */
	CPUFUNC_FF(op_207a_0), /* MOVEA */
	CPUFUNC_FF(op_207b_0), /* MOVEA */
	CPUFUNC_FF(op_207c_0), /* MOVEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b8_0), /* MOVE */
	CPUFUNC(op_20b9_0), /* MOVE */
	CPUFUNC(op_20ba_0), /* MOVE */
	CPUFUNC(op_20bb_0), /* MOVE */
	CPUFUNC(op_20bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f8_0), /* MOVE */
	CPUFUNC(op_20f9_0), /* MOVE */
	CPUFUNC(op_20fa_0), /* MOVE */
	CPUFUNC(op_20fb_0), /* MOVE */
	CPUFUNC(op_20fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2138_0), /* MOVE */
	CPUFUNC(op_2139_0), /* MOVE */
	CPUFUNC(op_213a_0), /* MOVE */
	CPUFUNC(op_213b_0), /* MOVE */
	CPUFUNC(op_213c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2178_0), /* MOVE */
	CPUFUNC(op_2179_0), /* MOVE */
	CPUFUNC(op_217a_0), /* MOVE */
	CPUFUNC(op_217b_0), /* MOVE */
	CPUFUNC(op_217c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b8_0), /* MOVE */
	CPUFUNC(op_21b9_0), /* MOVE */
	CPUFUNC(op_21ba_0), /* MOVE */
	CPUFUNC(op_21bb_0), /* MOVE */
	CPUFUNC(op_21bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_23c0_0), /* MOVE */
	CPUFUNC(op_23c0_0), /* MOVE */
	CPUFUNC(op_23c0_0), /* MOVE */
	CPUFUNC(op_23c0_0), /* MOVE */
	CPUFUNC(op_23c0_0), /* MOVE */
	CPUFUNC(op_23c0_0), /* MOVE */
	CPUFUNC(op_23c0_0), /* MOVE */
	CPUFUNC(op_23c0_0), /* MOVE */
	CPUFUNC(op_23c8_0), /* MOVE */
	CPUFUNC(op_23c8_0), /* MOVE */
	CPUFUNC(op_23c8_0), /* MOVE */
	CPUFUNC(op_23c8_0), /* MOVE */
	CPUFUNC(op_23c8_0), /* MOVE */
	CPUFUNC(op_23c8_0), /* MOVE */
	CPUFUNC(op_23c8_0), /* MOVE */
	CPUFUNC(op_23c8_0), /* MOVE */
	CPUFUNC(op_23d0_0), /* MOVE */
	CPUFUNC(op_23d0_0), /* MOVE */
	CPUFUNC(op_23d0_0), /* MOVE */
	CPUFUNC(op_23d0_0), /* MOVE */
	CPUFUNC(op_23d0_0), /* MOVE */
	CPUFUNC(op_23d0_0), /* MOVE */
	CPUFUNC(op_23d0_0), /* MOVE */
	CPUFUNC(op_23d0_0), /* MOVE */
	CPUFUNC(op_23d8_0), /* MOVE */
	CPUFUNC(op_23d8_0), /* MOVE */
	CPUFUNC(op_23d8_0), /* MOVE */
	CPUFUNC(op_23d8_0), /* MOVE */
	CPUFUNC(op_23d8_0), /* MOVE */
	CPUFUNC(op_23d8_0), /* MOVE */
	CPUFUNC(op_23d8_0), /* MOVE */
	CPUFUNC(op_23d8_0), /* MOVE */
	CPUFUNC(op_23e0_0), /* MOVE */
	CPUFUNC(op_23e0_0), /* MOVE */
	CPUFUNC(op_23e0_0), /* MOVE */
	CPUFUNC(op_23e0_0), /* MOVE */
	CPUFUNC(op_23e0_0), /* MOVE */
	CPUFUNC(op_23e0_0), /* MOVE */
	CPUFUNC(op_23e0_0), /* MOVE */
	CPUFUNC(op_23e0_0), /* MOVE */
	CPUFUNC(op_23e8_0), /* MOVE */
	CPUFUNC(op_23e8_0), /* MOVE */
	CPUFUNC(op_23e8_0), /* MOVE */
	CPUFUNC(op_23e8_0), /* MOVE */
	CPUFUNC(op_23e8_0), /* MOVE */
	CPUFUNC(op_23e8_0), /* MOVE */
	CPUFUNC(op_23e8_0), /* MOVE */
	CPUFUNC(op_23e8_0), /* MOVE */
	CPUFUNC(op_23f0_0), /* MOVE */
	CPUFUNC(op_23f0_0), /* MOVE */
	CPUFUNC(op_23f0_0), /* MOVE */
	CPUFUNC(op_23f0_0), /* MOVE */
	CPUFUNC(op_23f0_0), /* MOVE */
	CPUFUNC(op_23f0_0), /* MOVE */
	CPUFUNC(op_23f0_0), /* MOVE */
	CPUFUNC(op_23f0_0), /* MOVE */
	CPUFUNC(op_23f8_0), /* MOVE */
	CPUFUNC(op_23f9_0), /* MOVE */
	CPUFUNC(op_23fa_0), /* MOVE */
	CPUFUNC(op_23fb_0), /* MOVE */
	CPUFUNC(op_23fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2038_0), /* MOVE */
	CPUFUNC(op_2039_0), /* MOVE */
	CPUFUNC(op_203a_0), /* MOVE */
	CPUFUNC(op_203b_0), /* MOVE */
	CPUFUNC(op_203c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2078_0), /* MOVEA */
	CPUFUNC_FF(op_2079_0), /* MOVEA */
	CPUFUNC_FF(op_207a_0), /* MOVEA */
	CPUFUNC_FF(op_207b_0), /* MOVEA */
	CPUFUNC_FF(op_207c_0), /* MOVEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b8_0), /* MOVE */
	CPUFUNC(op_20b9_0), /* MOVE */
	CPUFUNC(op_20ba_0), /* MOVE */
	CPUFUNC(op_20bb_0), /* MOVE */
	CPUFUNC(op_20bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f8_0), /* MOVE */
	CPUFUNC(op_20f9_0), /* MOVE */
	CPUFUNC(op_20fa_0), /* MOVE */
	CPUFUNC(op_20fb_0), /* MOVE */
	CPUFUNC(op_20fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2138_0), /* MOVE */
	CPUFUNC(op_2139_0), /* MOVE */
	CPUFUNC(op_213a_0), /* MOVE */
	CPUFUNC(op_213b_0), /* MOVE */
	CPUFUNC(op_213c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2178_0), /* MOVE */
	CPUFUNC(op_2179_0), /* MOVE */
	CPUFUNC(op_217a_0), /* MOVE */
	CPUFUNC(op_217b_0), /* MOVE */
	CPUFUNC(op_217c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b8_0), /* MOVE */
	CPUFUNC(op_21b9_0), /* MOVE */
	CPUFUNC(op_21ba_0), /* MOVE */
	CPUFUNC(op_21bb_0), /* MOVE */
	CPUFUNC(op_21bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2038_0), /* MOVE */
	CPUFUNC(op_2039_0), /* MOVE */
	CPUFUNC(op_203a_0), /* MOVE */
	CPUFUNC(op_203b_0), /* MOVE */
	CPUFUNC(op_203c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2078_0), /* MOVEA */
	CPUFUNC_FF(op_2079_0), /* MOVEA */
	CPUFUNC_FF(op_207a_0), /* MOVEA */
	CPUFUNC_FF(op_207b_0), /* MOVEA */
	CPUFUNC_FF(op_207c_0), /* MOVEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b8_0), /* MOVE */
	CPUFUNC(op_20b9_0), /* MOVE */
	CPUFUNC(op_20ba_0), /* MOVE */
	CPUFUNC(op_20bb_0), /* MOVE */
	CPUFUNC(op_20bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f8_0), /* MOVE */
	CPUFUNC(op_20f9_0), /* MOVE */
	CPUFUNC(op_20fa_0), /* MOVE */
	CPUFUNC(op_20fb_0), /* MOVE */
	CPUFUNC(op_20fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2138_0), /* MOVE */
	CPUFUNC(op_2139_0), /* MOVE */
	CPUFUNC(op_213a_0), /* MOVE */
	CPUFUNC(op_213b_0), /* MOVE */
	CPUFUNC(op_213c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2178_0), /* MOVE */
	CPUFUNC(op_2179_0), /* MOVE */
	CPUFUNC(op_217a_0), /* MOVE */
	CPUFUNC(op_217b_0), /* MOVE */
	CPUFUNC(op_217c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b8_0), /* MOVE */
	CPUFUNC(op_21b9_0), /* MOVE */
	CPUFUNC(op_21ba_0), /* MOVE */
	CPUFUNC(op_21bb_0), /* MOVE */
	CPUFUNC(op_21bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2038_0), /* MOVE */
	CPUFUNC(op_2039_0), /* MOVE */
	CPUFUNC(op_203a_0), /* MOVE */
	CPUFUNC(op_203b_0), /* MOVE */
	CPUFUNC(op_203c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2078_0), /* MOVEA */
	CPUFUNC_FF(op_2079_0), /* MOVEA */
	CPUFUNC_FF(op_207a_0), /* MOVEA */
	CPUFUNC_FF(op_207b_0), /* MOVEA */
	CPUFUNC_FF(op_207c_0), /* MOVEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b8_0), /* MOVE */
	CPUFUNC(op_20b9_0), /* MOVE */
	CPUFUNC(op_20ba_0), /* MOVE */
	CPUFUNC(op_20bb_0), /* MOVE */
	CPUFUNC(op_20bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f8_0), /* MOVE */
	CPUFUNC(op_20f9_0), /* MOVE */
	CPUFUNC(op_20fa_0), /* MOVE */
	CPUFUNC(op_20fb_0), /* MOVE */
	CPUFUNC(op_20fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2138_0), /* MOVE */
	CPUFUNC(op_2139_0), /* MOVE */
	CPUFUNC(op_213a_0), /* MOVE */
	CPUFUNC(op_213b_0), /* MOVE */
	CPUFUNC(op_213c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2178_0), /* MOVE */
	CPUFUNC(op_2179_0), /* MOVE */
	CPUFUNC(op_217a_0), /* MOVE */
	CPUFUNC(op_217b_0), /* MOVE */
	CPUFUNC(op_217c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b8_0), /* MOVE */
	CPUFUNC(op_21b9_0), /* MOVE */
	CPUFUNC(op_21ba_0), /* MOVE */
	CPUFUNC(op_21bb_0), /* MOVE */
	CPUFUNC(op_21bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2038_0), /* MOVE */
	CPUFUNC(op_2039_0), /* MOVE */
	CPUFUNC(op_203a_0), /* MOVE */
	CPUFUNC(op_203b_0), /* MOVE */
	CPUFUNC(op_203c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2078_0), /* MOVEA */
	CPUFUNC_FF(op_2079_0), /* MOVEA */
	CPUFUNC_FF(op_207a_0), /* MOVEA */
	CPUFUNC_FF(op_207b_0), /* MOVEA */
	CPUFUNC_FF(op_207c_0), /* MOVEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b8_0), /* MOVE */
	CPUFUNC(op_20b9_0), /* MOVE */
	CPUFUNC(op_20ba_0), /* MOVE */
	CPUFUNC(op_20bb_0), /* MOVE */
	CPUFUNC(op_20bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f8_0), /* MOVE */
	CPUFUNC(op_20f9_0), /* MOVE */
	CPUFUNC(op_20fa_0), /* MOVE */
	CPUFUNC(op_20fb_0), /* MOVE */
	CPUFUNC(op_20fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2138_0), /* MOVE */
	CPUFUNC(op_2139_0), /* MOVE */
	CPUFUNC(op_213a_0), /* MOVE */
	CPUFUNC(op_213b_0), /* MOVE */
	CPUFUNC(op_213c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2178_0), /* MOVE */
	CPUFUNC(op_2179_0), /* MOVE */
	CPUFUNC(op_217a_0), /* MOVE */
	CPUFUNC(op_217b_0), /* MOVE */
	CPUFUNC(op_217c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b8_0), /* MOVE */
	CPUFUNC(op_21b9_0), /* MOVE */
	CPUFUNC(op_21ba_0), /* MOVE */
	CPUFUNC(op_21bb_0), /* MOVE */
	CPUFUNC(op_21bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2038_0), /* MOVE */
	CPUFUNC(op_2039_0), /* MOVE */
	CPUFUNC(op_203a_0), /* MOVE */
	CPUFUNC(op_203b_0), /* MOVE */
	CPUFUNC(op_203c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2078_0), /* MOVEA */
	CPUFUNC_FF(op_2079_0), /* MOVEA */
	CPUFUNC_FF(op_207a_0), /* MOVEA */
	CPUFUNC_FF(op_207b_0), /* MOVEA */
	CPUFUNC_FF(op_207c_0), /* MOVEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b8_0), /* MOVE */
	CPUFUNC(op_20b9_0), /* MOVE */
	CPUFUNC(op_20ba_0), /* MOVE */
	CPUFUNC(op_20bb_0), /* MOVE */
	CPUFUNC(op_20bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f8_0), /* MOVE */
	CPUFUNC(op_20f9_0), /* MOVE */
	CPUFUNC(op_20fa_0), /* MOVE */
	CPUFUNC(op_20fb_0), /* MOVE */
	CPUFUNC(op_20fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2138_0), /* MOVE */
	CPUFUNC(op_2139_0), /* MOVE */
	CPUFUNC(op_213a_0), /* MOVE */
	CPUFUNC(op_213b_0), /* MOVE */
	CPUFUNC(op_213c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2178_0), /* MOVE */
	CPUFUNC(op_2179_0), /* MOVE */
	CPUFUNC(op_217a_0), /* MOVE */
	CPUFUNC(op_217b_0), /* MOVE */
	CPUFUNC(op_217c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b8_0), /* MOVE */
	CPUFUNC(op_21b9_0), /* MOVE */
	CPUFUNC(op_21ba_0), /* MOVE */
	CPUFUNC(op_21bb_0), /* MOVE */
	CPUFUNC(op_21bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2038_0), /* MOVE */
	CPUFUNC(op_2039_0), /* MOVE */
	CPUFUNC(op_203a_0), /* MOVE */
	CPUFUNC(op_203b_0), /* MOVE */
	CPUFUNC(op_203c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC_FF(op_2078_0), /* MOVEA */
	CPUFUNC_FF(op_2079_0), /* MOVEA */
	CPUFUNC_FF(op_207a_0), /* MOVEA */
	CPUFUNC_FF(op_207b_0), /* MOVEA */
	CPUFUNC_FF(op_207c_0), /* MOVEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_20b8_0), /* MOVE */
	CPUFUNC(op_20b9_0), /* MOVE */
	CPUFUNC(op_20ba_0), /* MOVE */
	CPUFUNC(op_20bb_0), /* MOVE */
	CPUFUNC(op_20bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_20f8_0), /* MOVE */
	CPUFUNC(op_20f9_0), /* MOVE */
	CPUFUNC(op_20fa_0), /* MOVE */
	CPUFUNC(op_20fb_0), /* MOVE */
	CPUFUNC(op_20fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2138_0), /* MOVE */
	CPUFUNC(op_2139_0), /* MOVE */
	CPUFUNC(op_213a_0), /* MOVE */
	CPUFUNC(op_213b_0), /* MOVE */
	CPUFUNC(op_213c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC(op_2178_0), /* MOVE */
	CPUFUNC(op_2179_0), /* MOVE */
	CPUFUNC(op_217a_0), /* MOVE */
	CPUFUNC(op_217b_0), /* MOVE */
	CPUFUNC(op_217c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_21b8_0), /* MOVE */
	CPUFUNC(op_21b9_0), /* MOVE */
	CPUFUNC(op_21ba_0), /* MOVE */
	CPUFUNC(op_21bb_0), /* MOVE */
	CPUFUNC(op_21bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3038_0), /* MOVE */
	CPUFUNC(op_3039_0), /* MOVE */
	CPUFUNC(op_303a_0), /* MOVE */
	CPUFUNC(op_303b_0), /* MOVE */
	CPUFUNC(op_303c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3078_0), /* MOVEA */
	CPUFUNC_FF(op_3079_0), /* MOVEA */
	CPUFUNC_FF(op_307a_0), /* MOVEA */
	CPUFUNC_FF(op_307b_0), /* MOVEA */
	CPUFUNC_FF(op_307c_0), /* MOVEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b8_0), /* MOVE */
	CPUFUNC(op_30b9_0), /* MOVE */
	CPUFUNC(op_30ba_0), /* MOVE */
	CPUFUNC(op_30bb_0), /* MOVE */
	CPUFUNC(op_30bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f8_0), /* MOVE */
	CPUFUNC(op_30f9_0), /* MOVE */
	CPUFUNC(op_30fa_0), /* MOVE */
	CPUFUNC(op_30fb_0), /* MOVE */
	CPUFUNC(op_30fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3138_0), /* MOVE */
	CPUFUNC(op_3139_0), /* MOVE */
	CPUFUNC(op_313a_0), /* MOVE */
	CPUFUNC(op_313b_0), /* MOVE */
	CPUFUNC(op_313c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3178_0), /* MOVE */
	CPUFUNC(op_3179_0), /* MOVE */
	CPUFUNC(op_317a_0), /* MOVE */
	CPUFUNC(op_317b_0), /* MOVE */
	CPUFUNC(op_317c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b8_0), /* MOVE */
	CPUFUNC(op_31b9_0), /* MOVE */
	CPUFUNC(op_31ba_0), /* MOVE */
	CPUFUNC(op_31bb_0), /* MOVE */
	CPUFUNC(op_31bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_31c0_0), /* MOVE */
	CPUFUNC(op_31c0_0), /* MOVE */
	CPUFUNC(op_31c0_0), /* MOVE */
	CPUFUNC(op_31c0_0), /* MOVE */
	CPUFUNC(op_31c0_0), /* MOVE */
	CPUFUNC(op_31c0_0), /* MOVE */
	CPUFUNC(op_31c0_0), /* MOVE */
	CPUFUNC(op_31c0_0), /* MOVE */
	CPUFUNC(op_31c8_0), /* MOVE */
	CPUFUNC(op_31c8_0), /* MOVE */
	CPUFUNC(op_31c8_0), /* MOVE */
	CPUFUNC(op_31c8_0), /* MOVE */
	CPUFUNC(op_31c8_0), /* MOVE */
	CPUFUNC(op_31c8_0), /* MOVE */
	CPUFUNC(op_31c8_0), /* MOVE */
	CPUFUNC(op_31c8_0), /* MOVE */
	CPUFUNC(op_31d0_0), /* MOVE */
	CPUFUNC(op_31d0_0), /* MOVE */
	CPUFUNC(op_31d0_0), /* MOVE */
	CPUFUNC(op_31d0_0), /* MOVE */
	CPUFUNC(op_31d0_0), /* MOVE */
	CPUFUNC(op_31d0_0), /* MOVE */
	CPUFUNC(op_31d0_0), /* MOVE */
	CPUFUNC(op_31d0_0), /* MOVE */
	CPUFUNC(op_31d8_0), /* MOVE */
	CPUFUNC(op_31d8_0), /* MOVE */
	CPUFUNC(op_31d8_0), /* MOVE */
	CPUFUNC(op_31d8_0), /* MOVE */
	CPUFUNC(op_31d8_0), /* MOVE */
	CPUFUNC(op_31d8_0), /* MOVE */
	CPUFUNC(op_31d8_0), /* MOVE */
	CPUFUNC(op_31d8_0), /* MOVE */
	CPUFUNC(op_31e0_0), /* MOVE */
	CPUFUNC(op_31e0_0), /* MOVE */
	CPUFUNC(op_31e0_0), /* MOVE */
	CPUFUNC(op_31e0_0), /* MOVE */
	CPUFUNC(op_31e0_0), /* MOVE */
	CPUFUNC(op_31e0_0), /* MOVE */
	CPUFUNC(op_31e0_0), /* MOVE */
	CPUFUNC(op_31e0_0), /* MOVE */
	CPUFUNC(op_31e8_0), /* MOVE */
	CPUFUNC(op_31e8_0), /* MOVE */
	CPUFUNC(op_31e8_0), /* MOVE */
	CPUFUNC(op_31e8_0), /* MOVE */
	CPUFUNC(op_31e8_0), /* MOVE */
	CPUFUNC(op_31e8_0), /* MOVE */
	CPUFUNC(op_31e8_0), /* MOVE */
	CPUFUNC(op_31e8_0), /* MOVE */
	CPUFUNC(op_31f0_0), /* MOVE */
	CPUFUNC(op_31f0_0), /* MOVE */
	CPUFUNC(op_31f0_0), /* MOVE */
	CPUFUNC(op_31f0_0), /* MOVE */
	CPUFUNC(op_31f0_0), /* MOVE */
	CPUFUNC(op_31f0_0), /* MOVE */
	CPUFUNC(op_31f0_0), /* MOVE */
	CPUFUNC(op_31f0_0), /* MOVE */
	CPUFUNC(op_31f8_0), /* MOVE */
	CPUFUNC(op_31f9_0), /* MOVE */
	CPUFUNC(op_31fa_0), /* MOVE */
	CPUFUNC(op_31fb_0), /* MOVE */
	CPUFUNC(op_31fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3038_0), /* MOVE */
	CPUFUNC(op_3039_0), /* MOVE */
	CPUFUNC(op_303a_0), /* MOVE */
	CPUFUNC(op_303b_0), /* MOVE */
	CPUFUNC(op_303c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3078_0), /* MOVEA */
	CPUFUNC_FF(op_3079_0), /* MOVEA */
	CPUFUNC_FF(op_307a_0), /* MOVEA */
	CPUFUNC_FF(op_307b_0), /* MOVEA */
	CPUFUNC_FF(op_307c_0), /* MOVEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b8_0), /* MOVE */
	CPUFUNC(op_30b9_0), /* MOVE */
	CPUFUNC(op_30ba_0), /* MOVE */
	CPUFUNC(op_30bb_0), /* MOVE */
	CPUFUNC(op_30bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f8_0), /* MOVE */
	CPUFUNC(op_30f9_0), /* MOVE */
	CPUFUNC(op_30fa_0), /* MOVE */
	CPUFUNC(op_30fb_0), /* MOVE */
	CPUFUNC(op_30fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3138_0), /* MOVE */
	CPUFUNC(op_3139_0), /* MOVE */
	CPUFUNC(op_313a_0), /* MOVE */
	CPUFUNC(op_313b_0), /* MOVE */
	CPUFUNC(op_313c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3178_0), /* MOVE */
	CPUFUNC(op_3179_0), /* MOVE */
	CPUFUNC(op_317a_0), /* MOVE */
	CPUFUNC(op_317b_0), /* MOVE */
	CPUFUNC(op_317c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b8_0), /* MOVE */
	CPUFUNC(op_31b9_0), /* MOVE */
	CPUFUNC(op_31ba_0), /* MOVE */
	CPUFUNC(op_31bb_0), /* MOVE */
	CPUFUNC(op_31bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_33c0_0), /* MOVE */
	CPUFUNC(op_33c0_0), /* MOVE */
	CPUFUNC(op_33c0_0), /* MOVE */
	CPUFUNC(op_33c0_0), /* MOVE */
	CPUFUNC(op_33c0_0), /* MOVE */
	CPUFUNC(op_33c0_0), /* MOVE */
	CPUFUNC(op_33c0_0), /* MOVE */
	CPUFUNC(op_33c0_0), /* MOVE */
	CPUFUNC(op_33c8_0), /* MOVE */
	CPUFUNC(op_33c8_0), /* MOVE */
	CPUFUNC(op_33c8_0), /* MOVE */
	CPUFUNC(op_33c8_0), /* MOVE */
	CPUFUNC(op_33c8_0), /* MOVE */
	CPUFUNC(op_33c8_0), /* MOVE */
	CPUFUNC(op_33c8_0), /* MOVE */
	CPUFUNC(op_33c8_0), /* MOVE */
	CPUFUNC(op_33d0_0), /* MOVE */
	CPUFUNC(op_33d0_0), /* MOVE */
	CPUFUNC(op_33d0_0), /* MOVE */
	CPUFUNC(op_33d0_0), /* MOVE */
	CPUFUNC(op_33d0_0), /* MOVE */
	CPUFUNC(op_33d0_0), /* MOVE */
	CPUFUNC(op_33d0_0), /* MOVE */
	CPUFUNC(op_33d0_0), /* MOVE */
	CPUFUNC(op_33d8_0), /* MOVE */
	CPUFUNC(op_33d8_0), /* MOVE */
	CPUFUNC(op_33d8_0), /* MOVE */
	CPUFUNC(op_33d8_0), /* MOVE */
	CPUFUNC(op_33d8_0), /* MOVE */
	CPUFUNC(op_33d8_0), /* MOVE */
	CPUFUNC(op_33d8_0), /* MOVE */
	CPUFUNC(op_33d8_0), /* MOVE */
	CPUFUNC(op_33e0_0), /* MOVE */
	CPUFUNC(op_33e0_0), /* MOVE */
	CPUFUNC(op_33e0_0), /* MOVE */
	CPUFUNC(op_33e0_0), /* MOVE */
	CPUFUNC(op_33e0_0), /* MOVE */
	CPUFUNC(op_33e0_0), /* MOVE */
	CPUFUNC(op_33e0_0), /* MOVE */
	CPUFUNC(op_33e0_0), /* MOVE */
	CPUFUNC(op_33e8_0), /* MOVE */
	CPUFUNC(op_33e8_0), /* MOVE */
	CPUFUNC(op_33e8_0), /* MOVE */
	CPUFUNC(op_33e8_0), /* MOVE */
	CPUFUNC(op_33e8_0), /* MOVE */
	CPUFUNC(op_33e8_0), /* MOVE */
	CPUFUNC(op_33e8_0), /* MOVE */
	CPUFUNC(op_33e8_0), /* MOVE */
	CPUFUNC(op_33f0_0), /* MOVE */
	CPUFUNC(op_33f0_0), /* MOVE */
	CPUFUNC(op_33f0_0), /* MOVE */
	CPUFUNC(op_33f0_0), /* MOVE */
	CPUFUNC(op_33f0_0), /* MOVE */
	CPUFUNC(op_33f0_0), /* MOVE */
	CPUFUNC(op_33f0_0), /* MOVE */
	CPUFUNC(op_33f0_0), /* MOVE */
	CPUFUNC(op_33f8_0), /* MOVE */
	CPUFUNC(op_33f9_0), /* MOVE */
	CPUFUNC(op_33fa_0), /* MOVE */
	CPUFUNC(op_33fb_0), /* MOVE */
	CPUFUNC(op_33fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3038_0), /* MOVE */
	CPUFUNC(op_3039_0), /* MOVE */
	CPUFUNC(op_303a_0), /* MOVE */
	CPUFUNC(op_303b_0), /* MOVE */
	CPUFUNC(op_303c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3078_0), /* MOVEA */
	CPUFUNC_FF(op_3079_0), /* MOVEA */
	CPUFUNC_FF(op_307a_0), /* MOVEA */
	CPUFUNC_FF(op_307b_0), /* MOVEA */
	CPUFUNC_FF(op_307c_0), /* MOVEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b8_0), /* MOVE */
	CPUFUNC(op_30b9_0), /* MOVE */
	CPUFUNC(op_30ba_0), /* MOVE */
	CPUFUNC(op_30bb_0), /* MOVE */
	CPUFUNC(op_30bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f8_0), /* MOVE */
	CPUFUNC(op_30f9_0), /* MOVE */
	CPUFUNC(op_30fa_0), /* MOVE */
	CPUFUNC(op_30fb_0), /* MOVE */
	CPUFUNC(op_30fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3138_0), /* MOVE */
	CPUFUNC(op_3139_0), /* MOVE */
	CPUFUNC(op_313a_0), /* MOVE */
	CPUFUNC(op_313b_0), /* MOVE */
	CPUFUNC(op_313c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3178_0), /* MOVE */
	CPUFUNC(op_3179_0), /* MOVE */
	CPUFUNC(op_317a_0), /* MOVE */
	CPUFUNC(op_317b_0), /* MOVE */
	CPUFUNC(op_317c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b8_0), /* MOVE */
	CPUFUNC(op_31b9_0), /* MOVE */
	CPUFUNC(op_31ba_0), /* MOVE */
	CPUFUNC(op_31bb_0), /* MOVE */
	CPUFUNC(op_31bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3038_0), /* MOVE */
	CPUFUNC(op_3039_0), /* MOVE */
	CPUFUNC(op_303a_0), /* MOVE */
	CPUFUNC(op_303b_0), /* MOVE */
	CPUFUNC(op_303c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3078_0), /* MOVEA */
	CPUFUNC_FF(op_3079_0), /* MOVEA */
	CPUFUNC_FF(op_307a_0), /* MOVEA */
	CPUFUNC_FF(op_307b_0), /* MOVEA */
	CPUFUNC_FF(op_307c_0), /* MOVEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b8_0), /* MOVE */
	CPUFUNC(op_30b9_0), /* MOVE */
	CPUFUNC(op_30ba_0), /* MOVE */
	CPUFUNC(op_30bb_0), /* MOVE */
	CPUFUNC(op_30bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f8_0), /* MOVE */
	CPUFUNC(op_30f9_0), /* MOVE */
	CPUFUNC(op_30fa_0), /* MOVE */
	CPUFUNC(op_30fb_0), /* MOVE */
	CPUFUNC(op_30fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3138_0), /* MOVE */
	CPUFUNC(op_3139_0), /* MOVE */
	CPUFUNC(op_313a_0), /* MOVE */
	CPUFUNC(op_313b_0), /* MOVE */
	CPUFUNC(op_313c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3178_0), /* MOVE */
	CPUFUNC(op_3179_0), /* MOVE */
	CPUFUNC(op_317a_0), /* MOVE */
	CPUFUNC(op_317b_0), /* MOVE */
	CPUFUNC(op_317c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b8_0), /* MOVE */
	CPUFUNC(op_31b9_0), /* MOVE */
	CPUFUNC(op_31ba_0), /* MOVE */
	CPUFUNC(op_31bb_0), /* MOVE */
	CPUFUNC(op_31bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3038_0), /* MOVE */
	CPUFUNC(op_3039_0), /* MOVE */
	CPUFUNC(op_303a_0), /* MOVE */
	CPUFUNC(op_303b_0), /* MOVE */
	CPUFUNC(op_303c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3078_0), /* MOVEA */
	CPUFUNC_FF(op_3079_0), /* MOVEA */
	CPUFUNC_FF(op_307a_0), /* MOVEA */
	CPUFUNC_FF(op_307b_0), /* MOVEA */
	CPUFUNC_FF(op_307c_0), /* MOVEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b8_0), /* MOVE */
	CPUFUNC(op_30b9_0), /* MOVE */
	CPUFUNC(op_30ba_0), /* MOVE */
	CPUFUNC(op_30bb_0), /* MOVE */
	CPUFUNC(op_30bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f8_0), /* MOVE */
	CPUFUNC(op_30f9_0), /* MOVE */
	CPUFUNC(op_30fa_0), /* MOVE */
	CPUFUNC(op_30fb_0), /* MOVE */
	CPUFUNC(op_30fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3138_0), /* MOVE */
	CPUFUNC(op_3139_0), /* MOVE */
	CPUFUNC(op_313a_0), /* MOVE */
	CPUFUNC(op_313b_0), /* MOVE */
	CPUFUNC(op_313c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3178_0), /* MOVE */
	CPUFUNC(op_3179_0), /* MOVE */
	CPUFUNC(op_317a_0), /* MOVE */
	CPUFUNC(op_317b_0), /* MOVE */
	CPUFUNC(op_317c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b8_0), /* MOVE */
	CPUFUNC(op_31b9_0), /* MOVE */
	CPUFUNC(op_31ba_0), /* MOVE */
	CPUFUNC(op_31bb_0), /* MOVE */
	CPUFUNC(op_31bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3038_0), /* MOVE */
	CPUFUNC(op_3039_0), /* MOVE */
	CPUFUNC(op_303a_0), /* MOVE */
	CPUFUNC(op_303b_0), /* MOVE */
	CPUFUNC(op_303c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3078_0), /* MOVEA */
	CPUFUNC_FF(op_3079_0), /* MOVEA */
	CPUFUNC_FF(op_307a_0), /* MOVEA */
	CPUFUNC_FF(op_307b_0), /* MOVEA */
	CPUFUNC_FF(op_307c_0), /* MOVEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b8_0), /* MOVE */
	CPUFUNC(op_30b9_0), /* MOVE */
	CPUFUNC(op_30ba_0), /* MOVE */
	CPUFUNC(op_30bb_0), /* MOVE */
	CPUFUNC(op_30bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f8_0), /* MOVE */
	CPUFUNC(op_30f9_0), /* MOVE */
	CPUFUNC(op_30fa_0), /* MOVE */
	CPUFUNC(op_30fb_0), /* MOVE */
	CPUFUNC(op_30fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3138_0), /* MOVE */
	CPUFUNC(op_3139_0), /* MOVE */
	CPUFUNC(op_313a_0), /* MOVE */
	CPUFUNC(op_313b_0), /* MOVE */
	CPUFUNC(op_313c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3178_0), /* MOVE */
	CPUFUNC(op_3179_0), /* MOVE */
	CPUFUNC(op_317a_0), /* MOVE */
	CPUFUNC(op_317b_0), /* MOVE */
	CPUFUNC(op_317c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b8_0), /* MOVE */
	CPUFUNC(op_31b9_0), /* MOVE */
	CPUFUNC(op_31ba_0), /* MOVE */
	CPUFUNC(op_31bb_0), /* MOVE */
	CPUFUNC(op_31bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3038_0), /* MOVE */
	CPUFUNC(op_3039_0), /* MOVE */
	CPUFUNC(op_303a_0), /* MOVE */
	CPUFUNC(op_303b_0), /* MOVE */
	CPUFUNC(op_303c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3078_0), /* MOVEA */
	CPUFUNC_FF(op_3079_0), /* MOVEA */
	CPUFUNC_FF(op_307a_0), /* MOVEA */
	CPUFUNC_FF(op_307b_0), /* MOVEA */
	CPUFUNC_FF(op_307c_0), /* MOVEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b8_0), /* MOVE */
	CPUFUNC(op_30b9_0), /* MOVE */
	CPUFUNC(op_30ba_0), /* MOVE */
	CPUFUNC(op_30bb_0), /* MOVE */
	CPUFUNC(op_30bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f8_0), /* MOVE */
	CPUFUNC(op_30f9_0), /* MOVE */
	CPUFUNC(op_30fa_0), /* MOVE */
	CPUFUNC(op_30fb_0), /* MOVE */
	CPUFUNC(op_30fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3138_0), /* MOVE */
	CPUFUNC(op_3139_0), /* MOVE */
	CPUFUNC(op_313a_0), /* MOVE */
	CPUFUNC(op_313b_0), /* MOVE */
	CPUFUNC(op_313c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3178_0), /* MOVE */
	CPUFUNC(op_3179_0), /* MOVE */
	CPUFUNC(op_317a_0), /* MOVE */
	CPUFUNC(op_317b_0), /* MOVE */
	CPUFUNC(op_317c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b8_0), /* MOVE */
	CPUFUNC(op_31b9_0), /* MOVE */
	CPUFUNC(op_31ba_0), /* MOVE */
	CPUFUNC(op_31bb_0), /* MOVE */
	CPUFUNC(op_31bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3038_0), /* MOVE */
	CPUFUNC(op_3039_0), /* MOVE */
	CPUFUNC(op_303a_0), /* MOVE */
	CPUFUNC(op_303b_0), /* MOVE */
	CPUFUNC(op_303c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC_FF(op_3078_0), /* MOVEA */
	CPUFUNC_FF(op_3079_0), /* MOVEA */
	CPUFUNC_FF(op_307a_0), /* MOVEA */
	CPUFUNC_FF(op_307b_0), /* MOVEA */
	CPUFUNC_FF(op_307c_0), /* MOVEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_30b8_0), /* MOVE */
	CPUFUNC(op_30b9_0), /* MOVE */
	CPUFUNC(op_30ba_0), /* MOVE */
	CPUFUNC(op_30bb_0), /* MOVE */
	CPUFUNC(op_30bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_30f8_0), /* MOVE */
	CPUFUNC(op_30f9_0), /* MOVE */
	CPUFUNC(op_30fa_0), /* MOVE */
	CPUFUNC(op_30fb_0), /* MOVE */
	CPUFUNC(op_30fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3138_0), /* MOVE */
	CPUFUNC(op_3139_0), /* MOVE */
	CPUFUNC(op_313a_0), /* MOVE */
	CPUFUNC(op_313b_0), /* MOVE */
	CPUFUNC(op_313c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_3178_0), /* MOVE */
	CPUFUNC(op_3179_0), /* MOVE */
	CPUFUNC(op_317a_0), /* MOVE */
	CPUFUNC(op_317b_0), /* MOVE */
	CPUFUNC(op_317c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_31b8_0), /* MOVE */
	CPUFUNC(op_31b9_0), /* MOVE */
	CPUFUNC(op_31ba_0), /* MOVE */
	CPUFUNC(op_31bb_0), /* MOVE */
	CPUFUNC(op_31bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4000_0), /* NEGX */
	CPUFUNC(op_4000_0), /* NEGX */
	CPUFUNC(op_4000_0), /* NEGX */
	CPUFUNC(op_4000_0), /* NEGX */
	CPUFUNC(op_4000_0), /* NEGX */
	CPUFUNC(op_4000_0), /* NEGX */
	CPUFUNC(op_4000_0), /* NEGX */
	CPUFUNC(op_4000_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4010_0), /* NEGX */
	CPUFUNC(op_4010_0), /* NEGX */
	CPUFUNC(op_4010_0), /* NEGX */
	CPUFUNC(op_4010_0), /* NEGX */
	CPUFUNC(op_4010_0), /* NEGX */
	CPUFUNC(op_4010_0), /* NEGX */
	CPUFUNC(op_4010_0), /* NEGX */
	CPUFUNC(op_4010_0), /* NEGX */
	CPUFUNC(op_4018_0), /* NEGX */
	CPUFUNC(op_4018_0), /* NEGX */
	CPUFUNC(op_4018_0), /* NEGX */
	CPUFUNC(op_4018_0), /* NEGX */
	CPUFUNC(op_4018_0), /* NEGX */
	CPUFUNC(op_4018_0), /* NEGX */
	CPUFUNC(op_4018_0), /* NEGX */
	CPUFUNC(op_4018_0), /* NEGX */
	CPUFUNC(op_4020_0), /* NEGX */
	CPUFUNC(op_4020_0), /* NEGX */
	CPUFUNC(op_4020_0), /* NEGX */
	CPUFUNC(op_4020_0), /* NEGX */
	CPUFUNC(op_4020_0), /* NEGX */
	CPUFUNC(op_4020_0), /* NEGX */
	CPUFUNC(op_4020_0), /* NEGX */
	CPUFUNC(op_4020_0), /* NEGX */
	CPUFUNC(op_4028_0), /* NEGX */
	CPUFUNC(op_4028_0), /* NEGX */
	CPUFUNC(op_4028_0), /* NEGX */
	CPUFUNC(op_4028_0), /* NEGX */
	CPUFUNC(op_4028_0), /* NEGX */
	CPUFUNC(op_4028_0), /* NEGX */
	CPUFUNC(op_4028_0), /* NEGX */
	CPUFUNC(op_4028_0), /* NEGX */
	CPUFUNC(op_4030_0), /* NEGX */
	CPUFUNC(op_4030_0), /* NEGX */
	CPUFUNC(op_4030_0), /* NEGX */
	CPUFUNC(op_4030_0), /* NEGX */
	CPUFUNC(op_4030_0), /* NEGX */
	CPUFUNC(op_4030_0), /* NEGX */
	CPUFUNC(op_4030_0), /* NEGX */
	CPUFUNC(op_4030_0), /* NEGX */
	CPUFUNC(op_4038_0), /* NEGX */
	CPUFUNC(op_4039_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4040_0), /* NEGX */
	CPUFUNC(op_4040_0), /* NEGX */
	CPUFUNC(op_4040_0), /* NEGX */
	CPUFUNC(op_4040_0), /* NEGX */
	CPUFUNC(op_4040_0), /* NEGX */
	CPUFUNC(op_4040_0), /* NEGX */
	CPUFUNC(op_4040_0), /* NEGX */
	CPUFUNC(op_4040_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4050_0), /* NEGX */
	CPUFUNC(op_4050_0), /* NEGX */
	CPUFUNC(op_4050_0), /* NEGX */
	CPUFUNC(op_4050_0), /* NEGX */
	CPUFUNC(op_4050_0), /* NEGX */
	CPUFUNC(op_4050_0), /* NEGX */
	CPUFUNC(op_4050_0), /* NEGX */
	CPUFUNC(op_4050_0), /* NEGX */
	CPUFUNC(op_4058_0), /* NEGX */
	CPUFUNC(op_4058_0), /* NEGX */
	CPUFUNC(op_4058_0), /* NEGX */
	CPUFUNC(op_4058_0), /* NEGX */
	CPUFUNC(op_4058_0), /* NEGX */
	CPUFUNC(op_4058_0), /* NEGX */
	CPUFUNC(op_4058_0), /* NEGX */
	CPUFUNC(op_4058_0), /* NEGX */
	CPUFUNC(op_4060_0), /* NEGX */
	CPUFUNC(op_4060_0), /* NEGX */
	CPUFUNC(op_4060_0), /* NEGX */
	CPUFUNC(op_4060_0), /* NEGX */
	CPUFUNC(op_4060_0), /* NEGX */
	CPUFUNC(op_4060_0), /* NEGX */
	CPUFUNC(op_4060_0), /* NEGX */
	CPUFUNC(op_4060_0), /* NEGX */
	CPUFUNC(op_4068_0), /* NEGX */
	CPUFUNC(op_4068_0), /* NEGX */
	CPUFUNC(op_4068_0), /* NEGX */
	CPUFUNC(op_4068_0), /* NEGX */
	CPUFUNC(op_4068_0), /* NEGX */
	CPUFUNC(op_4068_0), /* NEGX */
	CPUFUNC(op_4068_0), /* NEGX */
	CPUFUNC(op_4068_0), /* NEGX */
	CPUFUNC(op_4070_0), /* NEGX */
	CPUFUNC(op_4070_0), /* NEGX */
	CPUFUNC(op_4070_0), /* NEGX */
	CPUFUNC(op_4070_0), /* NEGX */
	CPUFUNC(op_4070_0), /* NEGX */
	CPUFUNC(op_4070_0), /* NEGX */
	CPUFUNC(op_4070_0), /* NEGX */
	CPUFUNC(op_4070_0), /* NEGX */
	CPUFUNC(op_4078_0), /* NEGX */
	CPUFUNC(op_4079_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4080_0), /* NEGX */
	CPUFUNC(op_4080_0), /* NEGX */
	CPUFUNC(op_4080_0), /* NEGX */
	CPUFUNC(op_4080_0), /* NEGX */
	CPUFUNC(op_4080_0), /* NEGX */
	CPUFUNC(op_4080_0), /* NEGX */
	CPUFUNC(op_4080_0), /* NEGX */
	CPUFUNC(op_4080_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4090_0), /* NEGX */
	CPUFUNC(op_4090_0), /* NEGX */
	CPUFUNC(op_4090_0), /* NEGX */
	CPUFUNC(op_4090_0), /* NEGX */
	CPUFUNC(op_4090_0), /* NEGX */
	CPUFUNC(op_4090_0), /* NEGX */
	CPUFUNC(op_4090_0), /* NEGX */
	CPUFUNC(op_4090_0), /* NEGX */
	CPUFUNC(op_4098_0), /* NEGX */
	CPUFUNC(op_4098_0), /* NEGX */
	CPUFUNC(op_4098_0), /* NEGX */
	CPUFUNC(op_4098_0), /* NEGX */
	CPUFUNC(op_4098_0), /* NEGX */
	CPUFUNC(op_4098_0), /* NEGX */
	CPUFUNC(op_4098_0), /* NEGX */
	CPUFUNC(op_4098_0), /* NEGX */
	CPUFUNC(op_40a0_0), /* NEGX */
	CPUFUNC(op_40a0_0), /* NEGX */
	CPUFUNC(op_40a0_0), /* NEGX */
	CPUFUNC(op_40a0_0), /* NEGX */
	CPUFUNC(op_40a0_0), /* NEGX */
	CPUFUNC(op_40a0_0), /* NEGX */
	CPUFUNC(op_40a0_0), /* NEGX */
	CPUFUNC(op_40a0_0), /* NEGX */
	CPUFUNC(op_40a8_0), /* NEGX */
	CPUFUNC(op_40a8_0), /* NEGX */
	CPUFUNC(op_40a8_0), /* NEGX */
	CPUFUNC(op_40a8_0), /* NEGX */
	CPUFUNC(op_40a8_0), /* NEGX */
	CPUFUNC(op_40a8_0), /* NEGX */
	CPUFUNC(op_40a8_0), /* NEGX */
	CPUFUNC(op_40a8_0), /* NEGX */
	CPUFUNC(op_40b0_0), /* NEGX */
	CPUFUNC(op_40b0_0), /* NEGX */
	CPUFUNC(op_40b0_0), /* NEGX */
	CPUFUNC(op_40b0_0), /* NEGX */
	CPUFUNC(op_40b0_0), /* NEGX */
	CPUFUNC(op_40b0_0), /* NEGX */
	CPUFUNC(op_40b0_0), /* NEGX */
	CPUFUNC(op_40b0_0), /* NEGX */
	CPUFUNC(op_40b8_0), /* NEGX */
	CPUFUNC(op_40b9_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40c0_0), /* MVSR2 */
	CPUFUNC_FF(op_40c0_0), /* MVSR2 */
	CPUFUNC_FF(op_40c0_0), /* MVSR2 */
	CPUFUNC_FF(op_40c0_0), /* MVSR2 */
	CPUFUNC_FF(op_40c0_0), /* MVSR2 */
	CPUFUNC_FF(op_40c0_0), /* MVSR2 */
	CPUFUNC_FF(op_40c0_0), /* MVSR2 */
	CPUFUNC_FF(op_40c0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40d0_0), /* MVSR2 */
	CPUFUNC_FF(op_40d0_0), /* MVSR2 */
	CPUFUNC_FF(op_40d0_0), /* MVSR2 */
	CPUFUNC_FF(op_40d0_0), /* MVSR2 */
	CPUFUNC_FF(op_40d0_0), /* MVSR2 */
	CPUFUNC_FF(op_40d0_0), /* MVSR2 */
	CPUFUNC_FF(op_40d0_0), /* MVSR2 */
	CPUFUNC_FF(op_40d0_0), /* MVSR2 */
	CPUFUNC_FF(op_40d8_0), /* MVSR2 */
	CPUFUNC_FF(op_40d8_0), /* MVSR2 */
	CPUFUNC_FF(op_40d8_0), /* MVSR2 */
	CPUFUNC_FF(op_40d8_0), /* MVSR2 */
	CPUFUNC_FF(op_40d8_0), /* MVSR2 */
	CPUFUNC_FF(op_40d8_0), /* MVSR2 */
	CPUFUNC_FF(op_40d8_0), /* MVSR2 */
	CPUFUNC_FF(op_40d8_0), /* MVSR2 */
	CPUFUNC_FF(op_40e0_0), /* MVSR2 */
	CPUFUNC_FF(op_40e0_0), /* MVSR2 */
	CPUFUNC_FF(op_40e0_0), /* MVSR2 */
	CPUFUNC_FF(op_40e0_0), /* MVSR2 */
	CPUFUNC_FF(op_40e0_0), /* MVSR2 */
	CPUFUNC_FF(op_40e0_0), /* MVSR2 */
	CPUFUNC_FF(op_40e0_0), /* MVSR2 */
	CPUFUNC_FF(op_40e0_0), /* MVSR2 */
	CPUFUNC_FF(op_40e8_0), /* MVSR2 */
	CPUFUNC_FF(op_40e8_0), /* MVSR2 */
	CPUFUNC_FF(op_40e8_0), /* MVSR2 */
	CPUFUNC_FF(op_40e8_0), /* MVSR2 */
	CPUFUNC_FF(op_40e8_0), /* MVSR2 */
	CPUFUNC_FF(op_40e8_0), /* MVSR2 */
	CPUFUNC_FF(op_40e8_0), /* MVSR2 */
	CPUFUNC_FF(op_40e8_0), /* MVSR2 */
	CPUFUNC_FF(op_40f0_0), /* MVSR2 */
	CPUFUNC_FF(op_40f0_0), /* MVSR2 */
	CPUFUNC_FF(op_40f0_0), /* MVSR2 */
	CPUFUNC_FF(op_40f0_0), /* MVSR2 */
	CPUFUNC_FF(op_40f0_0), /* MVSR2 */
	CPUFUNC_FF(op_40f0_0), /* MVSR2 */
	CPUFUNC_FF(op_40f0_0), /* MVSR2 */
	CPUFUNC_FF(op_40f0_0), /* MVSR2 */
	CPUFUNC_FF(op_40f8_0), /* MVSR2 */
	CPUFUNC_FF(op_40f9_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4138_0), /* CHK */
	CPUFUNC(op_4139_0), /* CHK */
	CPUFUNC(op_413a_0), /* CHK */
	CPUFUNC(op_413b_0), /* CHK */
	CPUFUNC(op_413c_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b8_0), /* CHK */
	CPUFUNC(op_41b9_0), /* CHK */
	CPUFUNC(op_41ba_0), /* CHK */
	CPUFUNC(op_41bb_0), /* CHK */
	CPUFUNC(op_41bc_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f8_0), /* LEA */
	CPUFUNC_FF(op_41f9_0), /* LEA */
	CPUFUNC_FF(op_41fa_0), /* LEA */
	CPUFUNC_FF(op_41fb_0), /* LEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4200_0), /* CLR */
	CPUFUNC(op_4200_0), /* CLR */
	CPUFUNC(op_4200_0), /* CLR */
	CPUFUNC(op_4200_0), /* CLR */
	CPUFUNC(op_4200_0), /* CLR */
	CPUFUNC(op_4200_0), /* CLR */
	CPUFUNC(op_4200_0), /* CLR */
	CPUFUNC(op_4200_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4210_0), /* CLR */
	CPUFUNC(op_4210_0), /* CLR */
	CPUFUNC(op_4210_0), /* CLR */
	CPUFUNC(op_4210_0), /* CLR */
	CPUFUNC(op_4210_0), /* CLR */
	CPUFUNC(op_4210_0), /* CLR */
	CPUFUNC(op_4210_0), /* CLR */
	CPUFUNC(op_4210_0), /* CLR */
	CPUFUNC(op_4218_0), /* CLR */
	CPUFUNC(op_4218_0), /* CLR */
	CPUFUNC(op_4218_0), /* CLR */
	CPUFUNC(op_4218_0), /* CLR */
	CPUFUNC(op_4218_0), /* CLR */
	CPUFUNC(op_4218_0), /* CLR */
	CPUFUNC(op_4218_0), /* CLR */
	CPUFUNC(op_4218_0), /* CLR */
	CPUFUNC(op_4220_0), /* CLR */
	CPUFUNC(op_4220_0), /* CLR */
	CPUFUNC(op_4220_0), /* CLR */
	CPUFUNC(op_4220_0), /* CLR */
	CPUFUNC(op_4220_0), /* CLR */
	CPUFUNC(op_4220_0), /* CLR */
	CPUFUNC(op_4220_0), /* CLR */
	CPUFUNC(op_4220_0), /* CLR */
	CPUFUNC(op_4228_0), /* CLR */
	CPUFUNC(op_4228_0), /* CLR */
	CPUFUNC(op_4228_0), /* CLR */
	CPUFUNC(op_4228_0), /* CLR */
	CPUFUNC(op_4228_0), /* CLR */
	CPUFUNC(op_4228_0), /* CLR */
	CPUFUNC(op_4228_0), /* CLR */
	CPUFUNC(op_4228_0), /* CLR */
	CPUFUNC(op_4230_0), /* CLR */
	CPUFUNC(op_4230_0), /* CLR */
	CPUFUNC(op_4230_0), /* CLR */
	CPUFUNC(op_4230_0), /* CLR */
	CPUFUNC(op_4230_0), /* CLR */
	CPUFUNC(op_4230_0), /* CLR */
	CPUFUNC(op_4230_0), /* CLR */
	CPUFUNC(op_4230_0), /* CLR */
	CPUFUNC(op_4238_0), /* CLR */
	CPUFUNC(op_4239_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4240_0), /* CLR */
	CPUFUNC(op_4240_0), /* CLR */
	CPUFUNC(op_4240_0), /* CLR */
	CPUFUNC(op_4240_0), /* CLR */
	CPUFUNC(op_4240_0), /* CLR */
	CPUFUNC(op_4240_0), /* CLR */
	CPUFUNC(op_4240_0), /* CLR */
	CPUFUNC(op_4240_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4250_0), /* CLR */
	CPUFUNC(op_4250_0), /* CLR */
	CPUFUNC(op_4250_0), /* CLR */
	CPUFUNC(op_4250_0), /* CLR */
	CPUFUNC(op_4250_0), /* CLR */
	CPUFUNC(op_4250_0), /* CLR */
	CPUFUNC(op_4250_0), /* CLR */
	CPUFUNC(op_4250_0), /* CLR */
	CPUFUNC(op_4258_0), /* CLR */
	CPUFUNC(op_4258_0), /* CLR */
	CPUFUNC(op_4258_0), /* CLR */
	CPUFUNC(op_4258_0), /* CLR */
	CPUFUNC(op_4258_0), /* CLR */
	CPUFUNC(op_4258_0), /* CLR */
	CPUFUNC(op_4258_0), /* CLR */
	CPUFUNC(op_4258_0), /* CLR */
	CPUFUNC(op_4260_0), /* CLR */
	CPUFUNC(op_4260_0), /* CLR */
	CPUFUNC(op_4260_0), /* CLR */
	CPUFUNC(op_4260_0), /* CLR */
	CPUFUNC(op_4260_0), /* CLR */
	CPUFUNC(op_4260_0), /* CLR */
	CPUFUNC(op_4260_0), /* CLR */
	CPUFUNC(op_4260_0), /* CLR */
	CPUFUNC(op_4268_0), /* CLR */
	CPUFUNC(op_4268_0), /* CLR */
	CPUFUNC(op_4268_0), /* CLR */
	CPUFUNC(op_4268_0), /* CLR */
	CPUFUNC(op_4268_0), /* CLR */
	CPUFUNC(op_4268_0), /* CLR */
	CPUFUNC(op_4268_0), /* CLR */
	CPUFUNC(op_4268_0), /* CLR */
	CPUFUNC(op_4270_0), /* CLR */
	CPUFUNC(op_4270_0), /* CLR */
	CPUFUNC(op_4270_0), /* CLR */
	CPUFUNC(op_4270_0), /* CLR */
	CPUFUNC(op_4270_0), /* CLR */
	CPUFUNC(op_4270_0), /* CLR */
	CPUFUNC(op_4270_0), /* CLR */
	CPUFUNC(op_4270_0), /* CLR */
	CPUFUNC(op_4278_0), /* CLR */
	CPUFUNC(op_4279_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4280_0), /* CLR */
	CPUFUNC(op_4280_0), /* CLR */
	CPUFUNC(op_4280_0), /* CLR */
	CPUFUNC(op_4280_0), /* CLR */
	CPUFUNC(op_4280_0), /* CLR */
	CPUFUNC(op_4280_0), /* CLR */
	CPUFUNC(op_4280_0), /* CLR */
	CPUFUNC(op_4280_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4290_0), /* CLR */
	CPUFUNC(op_4290_0), /* CLR */
	CPUFUNC(op_4290_0), /* CLR */
	CPUFUNC(op_4290_0), /* CLR */
	CPUFUNC(op_4290_0), /* CLR */
	CPUFUNC(op_4290_0), /* CLR */
	CPUFUNC(op_4290_0), /* CLR */
	CPUFUNC(op_4290_0), /* CLR */
	CPUFUNC(op_4298_0), /* CLR */
	CPUFUNC(op_4298_0), /* CLR */
	CPUFUNC(op_4298_0), /* CLR */
	CPUFUNC(op_4298_0), /* CLR */
	CPUFUNC(op_4298_0), /* CLR */
	CPUFUNC(op_4298_0), /* CLR */
	CPUFUNC(op_4298_0), /* CLR */
	CPUFUNC(op_4298_0), /* CLR */
	CPUFUNC(op_42a0_0), /* CLR */
	CPUFUNC(op_42a0_0), /* CLR */
	CPUFUNC(op_42a0_0), /* CLR */
	CPUFUNC(op_42a0_0), /* CLR */
	CPUFUNC(op_42a0_0), /* CLR */
	CPUFUNC(op_42a0_0), /* CLR */
	CPUFUNC(op_42a0_0), /* CLR */
	CPUFUNC(op_42a0_0), /* CLR */
	CPUFUNC(op_42a8_0), /* CLR */
	CPUFUNC(op_42a8_0), /* CLR */
	CPUFUNC(op_42a8_0), /* CLR */
	CPUFUNC(op_42a8_0), /* CLR */
	CPUFUNC(op_42a8_0), /* CLR */
	CPUFUNC(op_42a8_0), /* CLR */
	CPUFUNC(op_42a8_0), /* CLR */
	CPUFUNC(op_42a8_0), /* CLR */
	CPUFUNC(op_42b0_0), /* CLR */
	CPUFUNC(op_42b0_0), /* CLR */
	CPUFUNC(op_42b0_0), /* CLR */
	CPUFUNC(op_42b0_0), /* CLR */
	CPUFUNC(op_42b0_0), /* CLR */
	CPUFUNC(op_42b0_0), /* CLR */
	CPUFUNC(op_42b0_0), /* CLR */
	CPUFUNC(op_42b0_0), /* CLR */
	CPUFUNC(op_42b8_0), /* CLR */
	CPUFUNC(op_42b9_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_42c0_0), /* MVSR2 */
	CPUFUNC_FF(op_42c0_0), /* MVSR2 */
	CPUFUNC_FF(op_42c0_0), /* MVSR2 */
	CPUFUNC_FF(op_42c0_0), /* MVSR2 */
	CPUFUNC_FF(op_42c0_0), /* MVSR2 */
	CPUFUNC_FF(op_42c0_0), /* MVSR2 */
	CPUFUNC_FF(op_42c0_0), /* MVSR2 */
	CPUFUNC_FF(op_42c0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_42d0_0), /* MVSR2 */
	CPUFUNC_FF(op_42d0_0), /* MVSR2 */
	CPUFUNC_FF(op_42d0_0), /* MVSR2 */
	CPUFUNC_FF(op_42d0_0), /* MVSR2 */
	CPUFUNC_FF(op_42d0_0), /* MVSR2 */
	CPUFUNC_FF(op_42d0_0), /* MVSR2 */
	CPUFUNC_FF(op_42d0_0), /* MVSR2 */
	CPUFUNC_FF(op_42d0_0), /* MVSR2 */
	CPUFUNC_FF(op_42d8_0), /* MVSR2 */
	CPUFUNC_FF(op_42d8_0), /* MVSR2 */
	CPUFUNC_FF(op_42d8_0), /* MVSR2 */
	CPUFUNC_FF(op_42d8_0), /* MVSR2 */
	CPUFUNC_FF(op_42d8_0), /* MVSR2 */
	CPUFUNC_FF(op_42d8_0), /* MVSR2 */
	CPUFUNC_FF(op_42d8_0), /* MVSR2 */
	CPUFUNC_FF(op_42d8_0), /* MVSR2 */
	CPUFUNC_FF(op_42e0_0), /* MVSR2 */
	CPUFUNC_FF(op_42e0_0), /* MVSR2 */
	CPUFUNC_FF(op_42e0_0), /* MVSR2 */
	CPUFUNC_FF(op_42e0_0), /* MVSR2 */
	CPUFUNC_FF(op_42e0_0), /* MVSR2 */
	CPUFUNC_FF(op_42e0_0), /* MVSR2 */
	CPUFUNC_FF(op_42e0_0), /* MVSR2 */
	CPUFUNC_FF(op_42e0_0), /* MVSR2 */
	CPUFUNC_FF(op_42e8_0), /* MVSR2 */
	CPUFUNC_FF(op_42e8_0), /* MVSR2 */
	CPUFUNC_FF(op_42e8_0), /* MVSR2 */
	CPUFUNC_FF(op_42e8_0), /* MVSR2 */
	CPUFUNC_FF(op_42e8_0), /* MVSR2 */
	CPUFUNC_FF(op_42e8_0), /* MVSR2 */
	CPUFUNC_FF(op_42e8_0), /* MVSR2 */
	CPUFUNC_FF(op_42e8_0), /* MVSR2 */
	CPUFUNC_FF(op_42f0_0), /* MVSR2 */
	CPUFUNC_FF(op_42f0_0), /* MVSR2 */
	CPUFUNC_FF(op_42f0_0), /* MVSR2 */
	CPUFUNC_FF(op_42f0_0), /* MVSR2 */
	CPUFUNC_FF(op_42f0_0), /* MVSR2 */
	CPUFUNC_FF(op_42f0_0), /* MVSR2 */
	CPUFUNC_FF(op_42f0_0), /* MVSR2 */
	CPUFUNC_FF(op_42f0_0), /* MVSR2 */
	CPUFUNC_FF(op_42f8_0), /* MVSR2 */
	CPUFUNC_FF(op_42f9_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4138_0), /* CHK */
	CPUFUNC(op_4139_0), /* CHK */
	CPUFUNC(op_413a_0), /* CHK */
	CPUFUNC(op_413b_0), /* CHK */
	CPUFUNC(op_413c_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b8_0), /* CHK */
	CPUFUNC(op_41b9_0), /* CHK */
	CPUFUNC(op_41ba_0), /* CHK */
	CPUFUNC(op_41bb_0), /* CHK */
	CPUFUNC(op_41bc_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f8_0), /* LEA */
	CPUFUNC_FF(op_41f9_0), /* LEA */
	CPUFUNC_FF(op_41fa_0), /* LEA */
	CPUFUNC_FF(op_41fb_0), /* LEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4400_0), /* NEG */
	CPUFUNC(op_4400_0), /* NEG */
	CPUFUNC(op_4400_0), /* NEG */
	CPUFUNC(op_4400_0), /* NEG */
	CPUFUNC(op_4400_0), /* NEG */
	CPUFUNC(op_4400_0), /* NEG */
	CPUFUNC(op_4400_0), /* NEG */
	CPUFUNC(op_4400_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4410_0), /* NEG */
	CPUFUNC(op_4410_0), /* NEG */
	CPUFUNC(op_4410_0), /* NEG */
	CPUFUNC(op_4410_0), /* NEG */
	CPUFUNC(op_4410_0), /* NEG */
	CPUFUNC(op_4410_0), /* NEG */
	CPUFUNC(op_4410_0), /* NEG */
	CPUFUNC(op_4410_0), /* NEG */
	CPUFUNC(op_4418_0), /* NEG */
	CPUFUNC(op_4418_0), /* NEG */
	CPUFUNC(op_4418_0), /* NEG */
	CPUFUNC(op_4418_0), /* NEG */
	CPUFUNC(op_4418_0), /* NEG */
	CPUFUNC(op_4418_0), /* NEG */
	CPUFUNC(op_4418_0), /* NEG */
	CPUFUNC(op_4418_0), /* NEG */
	CPUFUNC(op_4420_0), /* NEG */
	CPUFUNC(op_4420_0), /* NEG */
	CPUFUNC(op_4420_0), /* NEG */
	CPUFUNC(op_4420_0), /* NEG */
	CPUFUNC(op_4420_0), /* NEG */
	CPUFUNC(op_4420_0), /* NEG */
	CPUFUNC(op_4420_0), /* NEG */
	CPUFUNC(op_4420_0), /* NEG */
	CPUFUNC(op_4428_0), /* NEG */
	CPUFUNC(op_4428_0), /* NEG */
	CPUFUNC(op_4428_0), /* NEG */
	CPUFUNC(op_4428_0), /* NEG */
	CPUFUNC(op_4428_0), /* NEG */
	CPUFUNC(op_4428_0), /* NEG */
	CPUFUNC(op_4428_0), /* NEG */
	CPUFUNC(op_4428_0), /* NEG */
	CPUFUNC(op_4430_0), /* NEG */
	CPUFUNC(op_4430_0), /* NEG */
	CPUFUNC(op_4430_0), /* NEG */
	CPUFUNC(op_4430_0), /* NEG */
	CPUFUNC(op_4430_0), /* NEG */
	CPUFUNC(op_4430_0), /* NEG */
	CPUFUNC(op_4430_0), /* NEG */
	CPUFUNC(op_4430_0), /* NEG */
	CPUFUNC(op_4438_0), /* NEG */
	CPUFUNC(op_4439_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4440_0), /* NEG */
	CPUFUNC(op_4440_0), /* NEG */
	CPUFUNC(op_4440_0), /* NEG */
	CPUFUNC(op_4440_0), /* NEG */
	CPUFUNC(op_4440_0), /* NEG */
	CPUFUNC(op_4440_0), /* NEG */
	CPUFUNC(op_4440_0), /* NEG */
	CPUFUNC(op_4440_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4450_0), /* NEG */
	CPUFUNC(op_4450_0), /* NEG */
	CPUFUNC(op_4450_0), /* NEG */
	CPUFUNC(op_4450_0), /* NEG */
	CPUFUNC(op_4450_0), /* NEG */
	CPUFUNC(op_4450_0), /* NEG */
	CPUFUNC(op_4450_0), /* NEG */
	CPUFUNC(op_4450_0), /* NEG */
	CPUFUNC(op_4458_0), /* NEG */
	CPUFUNC(op_4458_0), /* NEG */
	CPUFUNC(op_4458_0), /* NEG */
	CPUFUNC(op_4458_0), /* NEG */
	CPUFUNC(op_4458_0), /* NEG */
	CPUFUNC(op_4458_0), /* NEG */
	CPUFUNC(op_4458_0), /* NEG */
	CPUFUNC(op_4458_0), /* NEG */
	CPUFUNC(op_4460_0), /* NEG */
	CPUFUNC(op_4460_0), /* NEG */
	CPUFUNC(op_4460_0), /* NEG */
	CPUFUNC(op_4460_0), /* NEG */
	CPUFUNC(op_4460_0), /* NEG */
	CPUFUNC(op_4460_0), /* NEG */
	CPUFUNC(op_4460_0), /* NEG */
	CPUFUNC(op_4460_0), /* NEG */
	CPUFUNC(op_4468_0), /* NEG */
	CPUFUNC(op_4468_0), /* NEG */
	CPUFUNC(op_4468_0), /* NEG */
	CPUFUNC(op_4468_0), /* NEG */
	CPUFUNC(op_4468_0), /* NEG */
	CPUFUNC(op_4468_0), /* NEG */
	CPUFUNC(op_4468_0), /* NEG */
	CPUFUNC(op_4468_0), /* NEG */
	CPUFUNC(op_4470_0), /* NEG */
	CPUFUNC(op_4470_0), /* NEG */
	CPUFUNC(op_4470_0), /* NEG */
	CPUFUNC(op_4470_0), /* NEG */
	CPUFUNC(op_4470_0), /* NEG */
	CPUFUNC(op_4470_0), /* NEG */
	CPUFUNC(op_4470_0), /* NEG */
	CPUFUNC(op_4470_0), /* NEG */
	CPUFUNC(op_4478_0), /* NEG */
	CPUFUNC(op_4479_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4480_0), /* NEG */
	CPUFUNC(op_4480_0), /* NEG */
	CPUFUNC(op_4480_0), /* NEG */
	CPUFUNC(op_4480_0), /* NEG */
	CPUFUNC(op_4480_0), /* NEG */
	CPUFUNC(op_4480_0), /* NEG */
	CPUFUNC(op_4480_0), /* NEG */
	CPUFUNC(op_4480_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4490_0), /* NEG */
	CPUFUNC(op_4490_0), /* NEG */
	CPUFUNC(op_4490_0), /* NEG */
	CPUFUNC(op_4490_0), /* NEG */
	CPUFUNC(op_4490_0), /* NEG */
	CPUFUNC(op_4490_0), /* NEG */
	CPUFUNC(op_4490_0), /* NEG */
	CPUFUNC(op_4490_0), /* NEG */
	CPUFUNC(op_4498_0), /* NEG */
	CPUFUNC(op_4498_0), /* NEG */
	CPUFUNC(op_4498_0), /* NEG */
	CPUFUNC(op_4498_0), /* NEG */
	CPUFUNC(op_4498_0), /* NEG */
	CPUFUNC(op_4498_0), /* NEG */
	CPUFUNC(op_4498_0), /* NEG */
	CPUFUNC(op_4498_0), /* NEG */
	CPUFUNC(op_44a0_0), /* NEG */
	CPUFUNC(op_44a0_0), /* NEG */
	CPUFUNC(op_44a0_0), /* NEG */
	CPUFUNC(op_44a0_0), /* NEG */
	CPUFUNC(op_44a0_0), /* NEG */
	CPUFUNC(op_44a0_0), /* NEG */
	CPUFUNC(op_44a0_0), /* NEG */
	CPUFUNC(op_44a0_0), /* NEG */
	CPUFUNC(op_44a8_0), /* NEG */
	CPUFUNC(op_44a8_0), /* NEG */
	CPUFUNC(op_44a8_0), /* NEG */
	CPUFUNC(op_44a8_0), /* NEG */
	CPUFUNC(op_44a8_0), /* NEG */
	CPUFUNC(op_44a8_0), /* NEG */
	CPUFUNC(op_44a8_0), /* NEG */
	CPUFUNC(op_44a8_0), /* NEG */
	CPUFUNC(op_44b0_0), /* NEG */
	CPUFUNC(op_44b0_0), /* NEG */
	CPUFUNC(op_44b0_0), /* NEG */
	CPUFUNC(op_44b0_0), /* NEG */
	CPUFUNC(op_44b0_0), /* NEG */
	CPUFUNC(op_44b0_0), /* NEG */
	CPUFUNC(op_44b0_0), /* NEG */
	CPUFUNC(op_44b0_0), /* NEG */
	CPUFUNC(op_44b8_0), /* NEG */
	CPUFUNC(op_44b9_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_44c0_0), /* MV2SR */
	CPUFUNC(op_44c0_0), /* MV2SR */
	CPUFUNC(op_44c0_0), /* MV2SR */
	CPUFUNC(op_44c0_0), /* MV2SR */
	CPUFUNC(op_44c0_0), /* MV2SR */
	CPUFUNC(op_44c0_0), /* MV2SR */
	CPUFUNC(op_44c0_0), /* MV2SR */
	CPUFUNC(op_44c0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_44d0_0), /* MV2SR */
	CPUFUNC(op_44d0_0), /* MV2SR */
	CPUFUNC(op_44d0_0), /* MV2SR */
	CPUFUNC(op_44d0_0), /* MV2SR */
	CPUFUNC(op_44d0_0), /* MV2SR */
	CPUFUNC(op_44d0_0), /* MV2SR */
	CPUFUNC(op_44d0_0), /* MV2SR */
	CPUFUNC(op_44d0_0), /* MV2SR */
	CPUFUNC(op_44d8_0), /* MV2SR */
	CPUFUNC(op_44d8_0), /* MV2SR */
	CPUFUNC(op_44d8_0), /* MV2SR */
	CPUFUNC(op_44d8_0), /* MV2SR */
	CPUFUNC(op_44d8_0), /* MV2SR */
	CPUFUNC(op_44d8_0), /* MV2SR */
	CPUFUNC(op_44d8_0), /* MV2SR */
	CPUFUNC(op_44d8_0), /* MV2SR */
	CPUFUNC(op_44e0_0), /* MV2SR */
	CPUFUNC(op_44e0_0), /* MV2SR */
	CPUFUNC(op_44e0_0), /* MV2SR */
	CPUFUNC(op_44e0_0), /* MV2SR */
	CPUFUNC(op_44e0_0), /* MV2SR */
	CPUFUNC(op_44e0_0), /* MV2SR */
	CPUFUNC(op_44e0_0), /* MV2SR */
	CPUFUNC(op_44e0_0), /* MV2SR */
	CPUFUNC(op_44e8_0), /* MV2SR */
	CPUFUNC(op_44e8_0), /* MV2SR */
	CPUFUNC(op_44e8_0), /* MV2SR */
	CPUFUNC(op_44e8_0), /* MV2SR */
	CPUFUNC(op_44e8_0), /* MV2SR */
	CPUFUNC(op_44e8_0), /* MV2SR */
	CPUFUNC(op_44e8_0), /* MV2SR */
	CPUFUNC(op_44e8_0), /* MV2SR */
	CPUFUNC(op_44f0_0), /* MV2SR */
	CPUFUNC(op_44f0_0), /* MV2SR */
	CPUFUNC(op_44f0_0), /* MV2SR */
	CPUFUNC(op_44f0_0), /* MV2SR */
	CPUFUNC(op_44f0_0), /* MV2SR */
	CPUFUNC(op_44f0_0), /* MV2SR */
	CPUFUNC(op_44f0_0), /* MV2SR */
	CPUFUNC(op_44f0_0), /* MV2SR */
	CPUFUNC(op_44f8_0), /* MV2SR */
	CPUFUNC(op_44f9_0), /* MV2SR */
	CPUFUNC(op_44fa_0), /* MV2SR */
	CPUFUNC(op_44fb_0), /* MV2SR */
	CPUFUNC(op_44fc_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4138_0), /* CHK */
	CPUFUNC(op_4139_0), /* CHK */
	CPUFUNC(op_413a_0), /* CHK */
	CPUFUNC(op_413b_0), /* CHK */
	CPUFUNC(op_413c_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b8_0), /* CHK */
	CPUFUNC(op_41b9_0), /* CHK */
	CPUFUNC(op_41ba_0), /* CHK */
	CPUFUNC(op_41bb_0), /* CHK */
	CPUFUNC(op_41bc_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f8_0), /* LEA */
	CPUFUNC_FF(op_41f9_0), /* LEA */
	CPUFUNC_FF(op_41fa_0), /* LEA */
	CPUFUNC_FF(op_41fb_0), /* LEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4600_0), /* NOT */
	CPUFUNC(op_4600_0), /* NOT */
	CPUFUNC(op_4600_0), /* NOT */
	CPUFUNC(op_4600_0), /* NOT */
	CPUFUNC(op_4600_0), /* NOT */
	CPUFUNC(op_4600_0), /* NOT */
	CPUFUNC(op_4600_0), /* NOT */
	CPUFUNC(op_4600_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4610_0), /* NOT */
	CPUFUNC(op_4610_0), /* NOT */
	CPUFUNC(op_4610_0), /* NOT */
	CPUFUNC(op_4610_0), /* NOT */
	CPUFUNC(op_4610_0), /* NOT */
	CPUFUNC(op_4610_0), /* NOT */
	CPUFUNC(op_4610_0), /* NOT */
	CPUFUNC(op_4610_0), /* NOT */
	CPUFUNC(op_4618_0), /* NOT */
	CPUFUNC(op_4618_0), /* NOT */
	CPUFUNC(op_4618_0), /* NOT */
	CPUFUNC(op_4618_0), /* NOT */
	CPUFUNC(op_4618_0), /* NOT */
	CPUFUNC(op_4618_0), /* NOT */
	CPUFUNC(op_4618_0), /* NOT */
	CPUFUNC(op_4618_0), /* NOT */
	CPUFUNC(op_4620_0), /* NOT */
	CPUFUNC(op_4620_0), /* NOT */
	CPUFUNC(op_4620_0), /* NOT */
	CPUFUNC(op_4620_0), /* NOT */
	CPUFUNC(op_4620_0), /* NOT */
	CPUFUNC(op_4620_0), /* NOT */
	CPUFUNC(op_4620_0), /* NOT */
	CPUFUNC(op_4620_0), /* NOT */
	CPUFUNC(op_4628_0), /* NOT */
	CPUFUNC(op_4628_0), /* NOT */
	CPUFUNC(op_4628_0), /* NOT */
	CPUFUNC(op_4628_0), /* NOT */
	CPUFUNC(op_4628_0), /* NOT */
	CPUFUNC(op_4628_0), /* NOT */
	CPUFUNC(op_4628_0), /* NOT */
	CPUFUNC(op_4628_0), /* NOT */
	CPUFUNC(op_4630_0), /* NOT */
	CPUFUNC(op_4630_0), /* NOT */
	CPUFUNC(op_4630_0), /* NOT */
	CPUFUNC(op_4630_0), /* NOT */
	CPUFUNC(op_4630_0), /* NOT */
	CPUFUNC(op_4630_0), /* NOT */
	CPUFUNC(op_4630_0), /* NOT */
	CPUFUNC(op_4630_0), /* NOT */
	CPUFUNC(op_4638_0), /* NOT */
	CPUFUNC(op_4639_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4640_0), /* NOT */
	CPUFUNC(op_4640_0), /* NOT */
	CPUFUNC(op_4640_0), /* NOT */
	CPUFUNC(op_4640_0), /* NOT */
	CPUFUNC(op_4640_0), /* NOT */
	CPUFUNC(op_4640_0), /* NOT */
	CPUFUNC(op_4640_0), /* NOT */
	CPUFUNC(op_4640_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4650_0), /* NOT */
	CPUFUNC(op_4650_0), /* NOT */
	CPUFUNC(op_4650_0), /* NOT */
	CPUFUNC(op_4650_0), /* NOT */
	CPUFUNC(op_4650_0), /* NOT */
	CPUFUNC(op_4650_0), /* NOT */
	CPUFUNC(op_4650_0), /* NOT */
	CPUFUNC(op_4650_0), /* NOT */
	CPUFUNC(op_4658_0), /* NOT */
	CPUFUNC(op_4658_0), /* NOT */
	CPUFUNC(op_4658_0), /* NOT */
	CPUFUNC(op_4658_0), /* NOT */
	CPUFUNC(op_4658_0), /* NOT */
	CPUFUNC(op_4658_0), /* NOT */
	CPUFUNC(op_4658_0), /* NOT */
	CPUFUNC(op_4658_0), /* NOT */
	CPUFUNC(op_4660_0), /* NOT */
	CPUFUNC(op_4660_0), /* NOT */
	CPUFUNC(op_4660_0), /* NOT */
	CPUFUNC(op_4660_0), /* NOT */
	CPUFUNC(op_4660_0), /* NOT */
	CPUFUNC(op_4660_0), /* NOT */
	CPUFUNC(op_4660_0), /* NOT */
	CPUFUNC(op_4660_0), /* NOT */
	CPUFUNC(op_4668_0), /* NOT */
	CPUFUNC(op_4668_0), /* NOT */
	CPUFUNC(op_4668_0), /* NOT */
	CPUFUNC(op_4668_0), /* NOT */
	CPUFUNC(op_4668_0), /* NOT */
	CPUFUNC(op_4668_0), /* NOT */
	CPUFUNC(op_4668_0), /* NOT */
	CPUFUNC(op_4668_0), /* NOT */
	CPUFUNC(op_4670_0), /* NOT */
	CPUFUNC(op_4670_0), /* NOT */
	CPUFUNC(op_4670_0), /* NOT */
	CPUFUNC(op_4670_0), /* NOT */
	CPUFUNC(op_4670_0), /* NOT */
	CPUFUNC(op_4670_0), /* NOT */
	CPUFUNC(op_4670_0), /* NOT */
	CPUFUNC(op_4670_0), /* NOT */
	CPUFUNC(op_4678_0), /* NOT */
	CPUFUNC(op_4679_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4680_0), /* NOT */
	CPUFUNC(op_4680_0), /* NOT */
	CPUFUNC(op_4680_0), /* NOT */
	CPUFUNC(op_4680_0), /* NOT */
	CPUFUNC(op_4680_0), /* NOT */
	CPUFUNC(op_4680_0), /* NOT */
	CPUFUNC(op_4680_0), /* NOT */
	CPUFUNC(op_4680_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4690_0), /* NOT */
	CPUFUNC(op_4690_0), /* NOT */
	CPUFUNC(op_4690_0), /* NOT */
	CPUFUNC(op_4690_0), /* NOT */
	CPUFUNC(op_4690_0), /* NOT */
	CPUFUNC(op_4690_0), /* NOT */
	CPUFUNC(op_4690_0), /* NOT */
	CPUFUNC(op_4690_0), /* NOT */
	CPUFUNC(op_4698_0), /* NOT */
	CPUFUNC(op_4698_0), /* NOT */
	CPUFUNC(op_4698_0), /* NOT */
	CPUFUNC(op_4698_0), /* NOT */
	CPUFUNC(op_4698_0), /* NOT */
	CPUFUNC(op_4698_0), /* NOT */
	CPUFUNC(op_4698_0), /* NOT */
	CPUFUNC(op_4698_0), /* NOT */
	CPUFUNC(op_46a0_0), /* NOT */
	CPUFUNC(op_46a0_0), /* NOT */
	CPUFUNC(op_46a0_0), /* NOT */
	CPUFUNC(op_46a0_0), /* NOT */
	CPUFUNC(op_46a0_0), /* NOT */
	CPUFUNC(op_46a0_0), /* NOT */
	CPUFUNC(op_46a0_0), /* NOT */
	CPUFUNC(op_46a0_0), /* NOT */
	CPUFUNC(op_46a8_0), /* NOT */
	CPUFUNC(op_46a8_0), /* NOT */
	CPUFUNC(op_46a8_0), /* NOT */
	CPUFUNC(op_46a8_0), /* NOT */
	CPUFUNC(op_46a8_0), /* NOT */
	CPUFUNC(op_46a8_0), /* NOT */
	CPUFUNC(op_46a8_0), /* NOT */
	CPUFUNC(op_46a8_0), /* NOT */
	CPUFUNC(op_46b0_0), /* NOT */
	CPUFUNC(op_46b0_0), /* NOT */
	CPUFUNC(op_46b0_0), /* NOT */
	CPUFUNC(op_46b0_0), /* NOT */
	CPUFUNC(op_46b0_0), /* NOT */
	CPUFUNC(op_46b0_0), /* NOT */
	CPUFUNC(op_46b0_0), /* NOT */
	CPUFUNC(op_46b0_0), /* NOT */
	CPUFUNC(op_46b8_0), /* NOT */
	CPUFUNC(op_46b9_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_46c0_0), /* MV2SR */
	CPUFUNC(op_46c0_0), /* MV2SR */
	CPUFUNC(op_46c0_0), /* MV2SR */
	CPUFUNC(op_46c0_0), /* MV2SR */
	CPUFUNC(op_46c0_0), /* MV2SR */
	CPUFUNC(op_46c0_0), /* MV2SR */
	CPUFUNC(op_46c0_0), /* MV2SR */
	CPUFUNC(op_46c0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_46d0_0), /* MV2SR */
	CPUFUNC(op_46d0_0), /* MV2SR */
	CPUFUNC(op_46d0_0), /* MV2SR */
	CPUFUNC(op_46d0_0), /* MV2SR */
	CPUFUNC(op_46d0_0), /* MV2SR */
	CPUFUNC(op_46d0_0), /* MV2SR */
	CPUFUNC(op_46d0_0), /* MV2SR */
	CPUFUNC(op_46d0_0), /* MV2SR */
	CPUFUNC(op_46d8_0), /* MV2SR */
	CPUFUNC(op_46d8_0), /* MV2SR */
	CPUFUNC(op_46d8_0), /* MV2SR */
	CPUFUNC(op_46d8_0), /* MV2SR */
	CPUFUNC(op_46d8_0), /* MV2SR */
	CPUFUNC(op_46d8_0), /* MV2SR */
	CPUFUNC(op_46d8_0), /* MV2SR */
	CPUFUNC(op_46d8_0), /* MV2SR */
	CPUFUNC(op_46e0_0), /* MV2SR */
	CPUFUNC(op_46e0_0), /* MV2SR */
	CPUFUNC(op_46e0_0), /* MV2SR */
	CPUFUNC(op_46e0_0), /* MV2SR */
	CPUFUNC(op_46e0_0), /* MV2SR */
	CPUFUNC(op_46e0_0), /* MV2SR */
	CPUFUNC(op_46e0_0), /* MV2SR */
	CPUFUNC(op_46e0_0), /* MV2SR */
	CPUFUNC(op_46e8_0), /* MV2SR */
	CPUFUNC(op_46e8_0), /* MV2SR */
	CPUFUNC(op_46e8_0), /* MV2SR */
	CPUFUNC(op_46e8_0), /* MV2SR */
	CPUFUNC(op_46e8_0), /* MV2SR */
	CPUFUNC(op_46e8_0), /* MV2SR */
	CPUFUNC(op_46e8_0), /* MV2SR */
	CPUFUNC(op_46e8_0), /* MV2SR */
	CPUFUNC(op_46f0_0), /* MV2SR */
	CPUFUNC(op_46f0_0), /* MV2SR */
	CPUFUNC(op_46f0_0), /* MV2SR */
	CPUFUNC(op_46f0_0), /* MV2SR */
	CPUFUNC(op_46f0_0), /* MV2SR */
	CPUFUNC(op_46f0_0), /* MV2SR */
	CPUFUNC(op_46f0_0), /* MV2SR */
	CPUFUNC(op_46f0_0), /* MV2SR */
	CPUFUNC(op_46f8_0), /* MV2SR */
	CPUFUNC(op_46f9_0), /* MV2SR */
	CPUFUNC(op_46fa_0), /* MV2SR */
	CPUFUNC(op_46fb_0), /* MV2SR */
	CPUFUNC(op_46fc_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4138_0), /* CHK */
	CPUFUNC(op_4139_0), /* CHK */
	CPUFUNC(op_413a_0), /* CHK */
	CPUFUNC(op_413b_0), /* CHK */
	CPUFUNC(op_413c_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b8_0), /* CHK */
	CPUFUNC(op_41b9_0), /* CHK */
	CPUFUNC(op_41ba_0), /* CHK */
	CPUFUNC(op_41bb_0), /* CHK */
	CPUFUNC(op_41bc_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f8_0), /* LEA */
	CPUFUNC_FF(op_41f9_0), /* LEA */
	CPUFUNC_FF(op_41fa_0), /* LEA */
	CPUFUNC_FF(op_41fb_0), /* LEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4800_0), /* NBCD */
	CPUFUNC(op_4800_0), /* NBCD */
	CPUFUNC(op_4800_0), /* NBCD */
	CPUFUNC(op_4800_0), /* NBCD */
	CPUFUNC(op_4800_0), /* NBCD */
	CPUFUNC(op_4800_0), /* NBCD */
	CPUFUNC(op_4800_0), /* NBCD */
	CPUFUNC(op_4800_0), /* NBCD */
	CPUFUNC_FF(op_4808_0), /* LINK */
	CPUFUNC_FF(op_4808_0), /* LINK */
	CPUFUNC_FF(op_4808_0), /* LINK */
	CPUFUNC_FF(op_4808_0), /* LINK */
	CPUFUNC_FF(op_4808_0), /* LINK */
	CPUFUNC_FF(op_4808_0), /* LINK */
	CPUFUNC_FF(op_4808_0), /* LINK */
	CPUFUNC_FF(op_4808_0), /* LINK */
	CPUFUNC(op_4810_0), /* NBCD */
	CPUFUNC(op_4810_0), /* NBCD */
	CPUFUNC(op_4810_0), /* NBCD */
	CPUFUNC(op_4810_0), /* NBCD */
	CPUFUNC(op_4810_0), /* NBCD */
	CPUFUNC(op_4810_0), /* NBCD */
	CPUFUNC(op_4810_0), /* NBCD */
	CPUFUNC(op_4810_0), /* NBCD */
	CPUFUNC(op_4818_0), /* NBCD */
	CPUFUNC(op_4818_0), /* NBCD */
	CPUFUNC(op_4818_0), /* NBCD */
	CPUFUNC(op_4818_0), /* NBCD */
	CPUFUNC(op_4818_0), /* NBCD */
	CPUFUNC(op_4818_0), /* NBCD */
	CPUFUNC(op_4818_0), /* NBCD */
	CPUFUNC(op_4818_0), /* NBCD */
	CPUFUNC(op_4820_0), /* NBCD */
	CPUFUNC(op_4820_0), /* NBCD */
	CPUFUNC(op_4820_0), /* NBCD */
	CPUFUNC(op_4820_0), /* NBCD */
	CPUFUNC(op_4820_0), /* NBCD */
	CPUFUNC(op_4820_0), /* NBCD */
	CPUFUNC(op_4820_0), /* NBCD */
	CPUFUNC(op_4820_0), /* NBCD */
	CPUFUNC(op_4828_0), /* NBCD */
	CPUFUNC(op_4828_0), /* NBCD */
	CPUFUNC(op_4828_0), /* NBCD */
	CPUFUNC(op_4828_0), /* NBCD */
	CPUFUNC(op_4828_0), /* NBCD */
	CPUFUNC(op_4828_0), /* NBCD */
	CPUFUNC(op_4828_0), /* NBCD */
	CPUFUNC(op_4828_0), /* NBCD */
	CPUFUNC(op_4830_0), /* NBCD */
	CPUFUNC(op_4830_0), /* NBCD */
	CPUFUNC(op_4830_0), /* NBCD */
	CPUFUNC(op_4830_0), /* NBCD */
	CPUFUNC(op_4830_0), /* NBCD */
	CPUFUNC(op_4830_0), /* NBCD */
	CPUFUNC(op_4830_0), /* NBCD */
	CPUFUNC(op_4830_0), /* NBCD */
	CPUFUNC(op_4838_0), /* NBCD */
	CPUFUNC(op_4839_0), /* NBCD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4840_0), /* SWAP */
	CPUFUNC(op_4840_0), /* SWAP */
	CPUFUNC(op_4840_0), /* SWAP */
	CPUFUNC(op_4840_0), /* SWAP */
	CPUFUNC(op_4840_0), /* SWAP */
	CPUFUNC(op_4840_0), /* SWAP */
	CPUFUNC(op_4840_0), /* SWAP */
	CPUFUNC(op_4840_0), /* SWAP */
	CPUFUNC_FF(op_4848_0), /* BKPT */
	CPUFUNC_FF(op_4848_0), /* BKPT */
	CPUFUNC_FF(op_4848_0), /* BKPT */
	CPUFUNC_FF(op_4848_0), /* BKPT */
	CPUFUNC_FF(op_4848_0), /* BKPT */
	CPUFUNC_FF(op_4848_0), /* BKPT */
	CPUFUNC_FF(op_4848_0), /* BKPT */
	CPUFUNC_FF(op_4848_0), /* BKPT */
	CPUFUNC_FF(op_4850_0), /* PEA */
	CPUFUNC_FF(op_4850_0), /* PEA */
	CPUFUNC_FF(op_4850_0), /* PEA */
	CPUFUNC_FF(op_4850_0), /* PEA */
	CPUFUNC_FF(op_4850_0), /* PEA */
	CPUFUNC_FF(op_4850_0), /* PEA */
	CPUFUNC_FF(op_4850_0), /* PEA */
	CPUFUNC_FF(op_4850_0), /* PEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4868_0), /* PEA */
	CPUFUNC_FF(op_4868_0), /* PEA */
	CPUFUNC_FF(op_4868_0), /* PEA */
	CPUFUNC_FF(op_4868_0), /* PEA */
	CPUFUNC_FF(op_4868_0), /* PEA */
	CPUFUNC_FF(op_4868_0), /* PEA */
	CPUFUNC_FF(op_4868_0), /* PEA */
	CPUFUNC_FF(op_4868_0), /* PEA */
	CPUFUNC_FF(op_4870_0), /* PEA */
	CPUFUNC_FF(op_4870_0), /* PEA */
	CPUFUNC_FF(op_4870_0), /* PEA */
	CPUFUNC_FF(op_4870_0), /* PEA */
	CPUFUNC_FF(op_4870_0), /* PEA */
	CPUFUNC_FF(op_4870_0), /* PEA */
	CPUFUNC_FF(op_4870_0), /* PEA */
	CPUFUNC_FF(op_4870_0), /* PEA */
	CPUFUNC_FF(op_4878_0), /* PEA */
	CPUFUNC_FF(op_4879_0), /* PEA */
	CPUFUNC_FF(op_487a_0), /* PEA */
	CPUFUNC_FF(op_487b_0), /* PEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4880_0), /* EXT */
	CPUFUNC(op_4880_0), /* EXT */
	CPUFUNC(op_4880_0), /* EXT */
	CPUFUNC(op_4880_0), /* EXT */
	CPUFUNC(op_4880_0), /* EXT */
	CPUFUNC(op_4880_0), /* EXT */
	CPUFUNC(op_4880_0), /* EXT */
	CPUFUNC(op_4880_0), /* EXT */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4890_0), /* MVMLE */
	CPUFUNC_FF(op_4890_0), /* MVMLE */
	CPUFUNC_FF(op_4890_0), /* MVMLE */
	CPUFUNC_FF(op_4890_0), /* MVMLE */
	CPUFUNC_FF(op_4890_0), /* MVMLE */
	CPUFUNC_FF(op_4890_0), /* MVMLE */
	CPUFUNC_FF(op_4890_0), /* MVMLE */
	CPUFUNC_FF(op_4890_0), /* MVMLE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_48a0_0), /* MVMLE */
	CPUFUNC_FF(op_48a0_0), /* MVMLE */
	CPUFUNC_FF(op_48a0_0), /* MVMLE */
	CPUFUNC_FF(op_48a0_0), /* MVMLE */
	CPUFUNC_FF(op_48a0_0), /* MVMLE */
	CPUFUNC_FF(op_48a0_0), /* MVMLE */
	CPUFUNC_FF(op_48a0_0), /* MVMLE */
	CPUFUNC_FF(op_48a0_0), /* MVMLE */
	CPUFUNC_FF(op_48a8_0), /* MVMLE */
	CPUFUNC_FF(op_48a8_0), /* MVMLE */
	CPUFUNC_FF(op_48a8_0), /* MVMLE */
	CPUFUNC_FF(op_48a8_0), /* MVMLE */
	CPUFUNC_FF(op_48a8_0), /* MVMLE */
	CPUFUNC_FF(op_48a8_0), /* MVMLE */
	CPUFUNC_FF(op_48a8_0), /* MVMLE */
	CPUFUNC_FF(op_48a8_0), /* MVMLE */
	CPUFUNC_FF(op_48b0_0), /* MVMLE */
	CPUFUNC_FF(op_48b0_0), /* MVMLE */
	CPUFUNC_FF(op_48b0_0), /* MVMLE */
	CPUFUNC_FF(op_48b0_0), /* MVMLE */
	CPUFUNC_FF(op_48b0_0), /* MVMLE */
	CPUFUNC_FF(op_48b0_0), /* MVMLE */
	CPUFUNC_FF(op_48b0_0), /* MVMLE */
	CPUFUNC_FF(op_48b0_0), /* MVMLE */
	CPUFUNC_FF(op_48b8_0), /* MVMLE */
	CPUFUNC_FF(op_48b9_0), /* MVMLE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_48c0_0), /* EXT */
	CPUFUNC(op_48c0_0), /* EXT */
	CPUFUNC(op_48c0_0), /* EXT */
	CPUFUNC(op_48c0_0), /* EXT */
	CPUFUNC(op_48c0_0), /* EXT */
	CPUFUNC(op_48c0_0), /* EXT */
	CPUFUNC(op_48c0_0), /* EXT */
	CPUFUNC(op_48c0_0), /* EXT */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_48d0_0), /* MVMLE */
	CPUFUNC_FF(op_48d0_0), /* MVMLE */
	CPUFUNC_FF(op_48d0_0), /* MVMLE */
	CPUFUNC_FF(op_48d0_0), /* MVMLE */
	CPUFUNC_FF(op_48d0_0), /* MVMLE */
	CPUFUNC_FF(op_48d0_0), /* MVMLE */
	CPUFUNC_FF(op_48d0_0), /* MVMLE */
	CPUFUNC_FF(op_48d0_0), /* MVMLE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_48e0_0), /* MVMLE */
	CPUFUNC_FF(op_48e0_0), /* MVMLE */
	CPUFUNC_FF(op_48e0_0), /* MVMLE */
	CPUFUNC_FF(op_48e0_0), /* MVMLE */
	CPUFUNC_FF(op_48e0_0), /* MVMLE */
	CPUFUNC_FF(op_48e0_0), /* MVMLE */
	CPUFUNC_FF(op_48e0_0), /* MVMLE */
	CPUFUNC_FF(op_48e0_0), /* MVMLE */
	CPUFUNC_FF(op_48e8_0), /* MVMLE */
	CPUFUNC_FF(op_48e8_0), /* MVMLE */
	CPUFUNC_FF(op_48e8_0), /* MVMLE */
	CPUFUNC_FF(op_48e8_0), /* MVMLE */
	CPUFUNC_FF(op_48e8_0), /* MVMLE */
	CPUFUNC_FF(op_48e8_0), /* MVMLE */
	CPUFUNC_FF(op_48e8_0), /* MVMLE */
	CPUFUNC_FF(op_48e8_0), /* MVMLE */
	CPUFUNC_FF(op_48f0_0), /* MVMLE */
	CPUFUNC_FF(op_48f0_0), /* MVMLE */
	CPUFUNC_FF(op_48f0_0), /* MVMLE */
	CPUFUNC_FF(op_48f0_0), /* MVMLE */
	CPUFUNC_FF(op_48f0_0), /* MVMLE */
	CPUFUNC_FF(op_48f0_0), /* MVMLE */
	CPUFUNC_FF(op_48f0_0), /* MVMLE */
	CPUFUNC_FF(op_48f0_0), /* MVMLE */
	CPUFUNC_FF(op_48f8_0), /* MVMLE */
	CPUFUNC_FF(op_48f9_0), /* MVMLE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4138_0), /* CHK */
	CPUFUNC(op_4139_0), /* CHK */
	CPUFUNC(op_413a_0), /* CHK */
	CPUFUNC(op_413b_0), /* CHK */
	CPUFUNC(op_413c_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b8_0), /* CHK */
	CPUFUNC(op_41b9_0), /* CHK */
	CPUFUNC(op_41ba_0), /* CHK */
	CPUFUNC(op_41bb_0), /* CHK */
	CPUFUNC(op_41bc_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_49c0_0), /* EXT */
	CPUFUNC(op_49c0_0), /* EXT */
	CPUFUNC(op_49c0_0), /* EXT */
	CPUFUNC(op_49c0_0), /* EXT */
	CPUFUNC(op_49c0_0), /* EXT */
	CPUFUNC(op_49c0_0), /* EXT */
	CPUFUNC(op_49c0_0), /* EXT */
	CPUFUNC(op_49c0_0), /* EXT */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f8_0), /* LEA */
	CPUFUNC_FF(op_41f9_0), /* LEA */
	CPUFUNC_FF(op_41fa_0), /* LEA */
	CPUFUNC_FF(op_41fb_0), /* LEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a00_0), /* TST */
	CPUFUNC(op_4a00_0), /* TST */
	CPUFUNC(op_4a00_0), /* TST */
	CPUFUNC(op_4a00_0), /* TST */
	CPUFUNC(op_4a00_0), /* TST */
	CPUFUNC(op_4a00_0), /* TST */
	CPUFUNC(op_4a00_0), /* TST */
	CPUFUNC(op_4a00_0), /* TST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a10_0), /* TST */
	CPUFUNC(op_4a10_0), /* TST */
	CPUFUNC(op_4a10_0), /* TST */
	CPUFUNC(op_4a10_0), /* TST */
	CPUFUNC(op_4a10_0), /* TST */
	CPUFUNC(op_4a10_0), /* TST */
	CPUFUNC(op_4a10_0), /* TST */
	CPUFUNC(op_4a10_0), /* TST */
	CPUFUNC(op_4a18_0), /* TST */
	CPUFUNC(op_4a18_0), /* TST */
	CPUFUNC(op_4a18_0), /* TST */
	CPUFUNC(op_4a18_0), /* TST */
	CPUFUNC(op_4a18_0), /* TST */
	CPUFUNC(op_4a18_0), /* TST */
	CPUFUNC(op_4a18_0), /* TST */
	CPUFUNC(op_4a18_0), /* TST */
	CPUFUNC(op_4a20_0), /* TST */
	CPUFUNC(op_4a20_0), /* TST */
	CPUFUNC(op_4a20_0), /* TST */
	CPUFUNC(op_4a20_0), /* TST */
	CPUFUNC(op_4a20_0), /* TST */
	CPUFUNC(op_4a20_0), /* TST */
	CPUFUNC(op_4a20_0), /* TST */
	CPUFUNC(op_4a20_0), /* TST */
	CPUFUNC(op_4a28_0), /* TST */
	CPUFUNC(op_4a28_0), /* TST */
	CPUFUNC(op_4a28_0), /* TST */
	CPUFUNC(op_4a28_0), /* TST */
	CPUFUNC(op_4a28_0), /* TST */
	CPUFUNC(op_4a28_0), /* TST */
	CPUFUNC(op_4a28_0), /* TST */
	CPUFUNC(op_4a28_0), /* TST */
	CPUFUNC(op_4a30_0), /* TST */
	CPUFUNC(op_4a30_0), /* TST */
	CPUFUNC(op_4a30_0), /* TST */
	CPUFUNC(op_4a30_0), /* TST */
	CPUFUNC(op_4a30_0), /* TST */
	CPUFUNC(op_4a30_0), /* TST */
	CPUFUNC(op_4a30_0), /* TST */
	CPUFUNC(op_4a30_0), /* TST */
	CPUFUNC(op_4a38_0), /* TST */
	CPUFUNC(op_4a39_0), /* TST */
	CPUFUNC(op_4a3a_0), /* TST */
	CPUFUNC(op_4a3b_0), /* TST */
	CPUFUNC(op_4a3c_0), /* TST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a40_0), /* TST */
	CPUFUNC(op_4a40_0), /* TST */
	CPUFUNC(op_4a40_0), /* TST */
	CPUFUNC(op_4a40_0), /* TST */
	CPUFUNC(op_4a40_0), /* TST */
	CPUFUNC(op_4a40_0), /* TST */
	CPUFUNC(op_4a40_0), /* TST */
	CPUFUNC(op_4a40_0), /* TST */
	CPUFUNC(op_4a48_0), /* TST */
	CPUFUNC(op_4a48_0), /* TST */
	CPUFUNC(op_4a48_0), /* TST */
	CPUFUNC(op_4a48_0), /* TST */
	CPUFUNC(op_4a48_0), /* TST */
	CPUFUNC(op_4a48_0), /* TST */
	CPUFUNC(op_4a48_0), /* TST */
	CPUFUNC(op_4a48_0), /* TST */
	CPUFUNC(op_4a50_0), /* TST */
	CPUFUNC(op_4a50_0), /* TST */
	CPUFUNC(op_4a50_0), /* TST */
	CPUFUNC(op_4a50_0), /* TST */
	CPUFUNC(op_4a50_0), /* TST */
	CPUFUNC(op_4a50_0), /* TST */
	CPUFUNC(op_4a50_0), /* TST */
	CPUFUNC(op_4a50_0), /* TST */
	CPUFUNC(op_4a58_0), /* TST */
	CPUFUNC(op_4a58_0), /* TST */
	CPUFUNC(op_4a58_0), /* TST */
	CPUFUNC(op_4a58_0), /* TST */
	CPUFUNC(op_4a58_0), /* TST */
	CPUFUNC(op_4a58_0), /* TST */
	CPUFUNC(op_4a58_0), /* TST */
	CPUFUNC(op_4a58_0), /* TST */
	CPUFUNC(op_4a60_0), /* TST */
	CPUFUNC(op_4a60_0), /* TST */
	CPUFUNC(op_4a60_0), /* TST */
	CPUFUNC(op_4a60_0), /* TST */
	CPUFUNC(op_4a60_0), /* TST */
	CPUFUNC(op_4a60_0), /* TST */
	CPUFUNC(op_4a60_0), /* TST */
	CPUFUNC(op_4a60_0), /* TST */
	CPUFUNC(op_4a68_0), /* TST */
	CPUFUNC(op_4a68_0), /* TST */
	CPUFUNC(op_4a68_0), /* TST */
	CPUFUNC(op_4a68_0), /* TST */
	CPUFUNC(op_4a68_0), /* TST */
	CPUFUNC(op_4a68_0), /* TST */
	CPUFUNC(op_4a68_0), /* TST */
	CPUFUNC(op_4a68_0), /* TST */
	CPUFUNC(op_4a70_0), /* TST */
	CPUFUNC(op_4a70_0), /* TST */
	CPUFUNC(op_4a70_0), /* TST */
	CPUFUNC(op_4a70_0), /* TST */
	CPUFUNC(op_4a70_0), /* TST */
	CPUFUNC(op_4a70_0), /* TST */
	CPUFUNC(op_4a70_0), /* TST */
	CPUFUNC(op_4a70_0), /* TST */
	CPUFUNC(op_4a78_0), /* TST */
	CPUFUNC(op_4a79_0), /* TST */
	CPUFUNC(op_4a7a_0), /* TST */
	CPUFUNC(op_4a7b_0), /* TST */
	CPUFUNC(op_4a7c_0), /* TST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a80_0), /* TST */
	CPUFUNC(op_4a80_0), /* TST */
	CPUFUNC(op_4a80_0), /* TST */
	CPUFUNC(op_4a80_0), /* TST */
	CPUFUNC(op_4a80_0), /* TST */
	CPUFUNC(op_4a80_0), /* TST */
	CPUFUNC(op_4a80_0), /* TST */
	CPUFUNC(op_4a80_0), /* TST */
	CPUFUNC(op_4a88_0), /* TST */
	CPUFUNC(op_4a88_0), /* TST */
	CPUFUNC(op_4a88_0), /* TST */
	CPUFUNC(op_4a88_0), /* TST */
	CPUFUNC(op_4a88_0), /* TST */
	CPUFUNC(op_4a88_0), /* TST */
	CPUFUNC(op_4a88_0), /* TST */
	CPUFUNC(op_4a88_0), /* TST */
	CPUFUNC(op_4a90_0), /* TST */
	CPUFUNC(op_4a90_0), /* TST */
	CPUFUNC(op_4a90_0), /* TST */
	CPUFUNC(op_4a90_0), /* TST */
	CPUFUNC(op_4a90_0), /* TST */
	CPUFUNC(op_4a90_0), /* TST */
	CPUFUNC(op_4a90_0), /* TST */
	CPUFUNC(op_4a90_0), /* TST */
	CPUFUNC(op_4a98_0), /* TST */
	CPUFUNC(op_4a98_0), /* TST */
	CPUFUNC(op_4a98_0), /* TST */
	CPUFUNC(op_4a98_0), /* TST */
	CPUFUNC(op_4a98_0), /* TST */
	CPUFUNC(op_4a98_0), /* TST */
	CPUFUNC(op_4a98_0), /* TST */
	CPUFUNC(op_4a98_0), /* TST */
	CPUFUNC(op_4aa0_0), /* TST */
	CPUFUNC(op_4aa0_0), /* TST */
	CPUFUNC(op_4aa0_0), /* TST */
	CPUFUNC(op_4aa0_0), /* TST */
	CPUFUNC(op_4aa0_0), /* TST */
	CPUFUNC(op_4aa0_0), /* TST */
	CPUFUNC(op_4aa0_0), /* TST */
	CPUFUNC(op_4aa0_0), /* TST */
	CPUFUNC(op_4aa8_0), /* TST */
	CPUFUNC(op_4aa8_0), /* TST */
	CPUFUNC(op_4aa8_0), /* TST */
	CPUFUNC(op_4aa8_0), /* TST */
	CPUFUNC(op_4aa8_0), /* TST */
	CPUFUNC(op_4aa8_0), /* TST */
	CPUFUNC(op_4aa8_0), /* TST */
	CPUFUNC(op_4aa8_0), /* TST */
	CPUFUNC(op_4ab0_0), /* TST */
	CPUFUNC(op_4ab0_0), /* TST */
	CPUFUNC(op_4ab0_0), /* TST */
	CPUFUNC(op_4ab0_0), /* TST */
	CPUFUNC(op_4ab0_0), /* TST */
	CPUFUNC(op_4ab0_0), /* TST */
	CPUFUNC(op_4ab0_0), /* TST */
	CPUFUNC(op_4ab0_0), /* TST */
	CPUFUNC(op_4ab8_0), /* TST */
	CPUFUNC(op_4ab9_0), /* TST */
	CPUFUNC(op_4aba_0), /* TST */
	CPUFUNC(op_4abb_0), /* TST */
	CPUFUNC(op_4abc_0), /* TST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4ac0_0), /* TAS */
	CPUFUNC(op_4ac0_0), /* TAS */
	CPUFUNC(op_4ac0_0), /* TAS */
	CPUFUNC(op_4ac0_0), /* TAS */
	CPUFUNC(op_4ac0_0), /* TAS */
	CPUFUNC(op_4ac0_0), /* TAS */
	CPUFUNC(op_4ac0_0), /* TAS */
	CPUFUNC(op_4ac0_0), /* TAS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4ad0_0), /* TAS */
	CPUFUNC(op_4ad0_0), /* TAS */
	CPUFUNC(op_4ad0_0), /* TAS */
	CPUFUNC(op_4ad0_0), /* TAS */
	CPUFUNC(op_4ad0_0), /* TAS */
	CPUFUNC(op_4ad0_0), /* TAS */
	CPUFUNC(op_4ad0_0), /* TAS */
	CPUFUNC(op_4ad0_0), /* TAS */
	CPUFUNC(op_4ad8_0), /* TAS */
	CPUFUNC(op_4ad8_0), /* TAS */
	CPUFUNC(op_4ad8_0), /* TAS */
	CPUFUNC(op_4ad8_0), /* TAS */
	CPUFUNC(op_4ad8_0), /* TAS */
	CPUFUNC(op_4ad8_0), /* TAS */
	CPUFUNC(op_4ad8_0), /* TAS */
	CPUFUNC(op_4ad8_0), /* TAS */
	CPUFUNC(op_4ae0_0), /* TAS */
	CPUFUNC(op_4ae0_0), /* TAS */
	CPUFUNC(op_4ae0_0), /* TAS */
	CPUFUNC(op_4ae0_0), /* TAS */
	CPUFUNC(op_4ae0_0), /* TAS */
	CPUFUNC(op_4ae0_0), /* TAS */
	CPUFUNC(op_4ae0_0), /* TAS */
	CPUFUNC(op_4ae0_0), /* TAS */
	CPUFUNC(op_4ae8_0), /* TAS */
	CPUFUNC(op_4ae8_0), /* TAS */
	CPUFUNC(op_4ae8_0), /* TAS */
	CPUFUNC(op_4ae8_0), /* TAS */
	CPUFUNC(op_4ae8_0), /* TAS */
	CPUFUNC(op_4ae8_0), /* TAS */
	CPUFUNC(op_4ae8_0), /* TAS */
	CPUFUNC(op_4ae8_0), /* TAS */
	CPUFUNC(op_4af0_0), /* TAS */
	CPUFUNC(op_4af0_0), /* TAS */
	CPUFUNC(op_4af0_0), /* TAS */
	CPUFUNC(op_4af0_0), /* TAS */
	CPUFUNC(op_4af0_0), /* TAS */
	CPUFUNC(op_4af0_0), /* TAS */
	CPUFUNC(op_4af0_0), /* TAS */
	CPUFUNC(op_4af0_0), /* TAS */
	CPUFUNC(op_4af8_0), /* TAS */
	CPUFUNC(op_4af9_0), /* TAS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4138_0), /* CHK */
	CPUFUNC(op_4139_0), /* CHK */
	CPUFUNC(op_413a_0), /* CHK */
	CPUFUNC(op_413b_0), /* CHK */
	CPUFUNC(op_413c_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b8_0), /* CHK */
	CPUFUNC(op_41b9_0), /* CHK */
	CPUFUNC(op_41ba_0), /* CHK */
	CPUFUNC(op_41bb_0), /* CHK */
	CPUFUNC(op_41bc_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f8_0), /* LEA */
	CPUFUNC_FF(op_41f9_0), /* LEA */
	CPUFUNC_FF(op_41fa_0), /* LEA */
	CPUFUNC_FF(op_41fb_0), /* LEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c00_0), /* MULL */
	CPUFUNC(op_4c00_0), /* MULL */
	CPUFUNC(op_4c00_0), /* MULL */
	CPUFUNC(op_4c00_0), /* MULL */
	CPUFUNC(op_4c00_0), /* MULL */
	CPUFUNC(op_4c00_0), /* MULL */
	CPUFUNC(op_4c00_0), /* MULL */
	CPUFUNC(op_4c00_0), /* MULL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c10_0), /* MULL */
	CPUFUNC(op_4c10_0), /* MULL */
	CPUFUNC(op_4c10_0), /* MULL */
	CPUFUNC(op_4c10_0), /* MULL */
	CPUFUNC(op_4c10_0), /* MULL */
	CPUFUNC(op_4c10_0), /* MULL */
	CPUFUNC(op_4c10_0), /* MULL */
	CPUFUNC(op_4c10_0), /* MULL */
	CPUFUNC(op_4c18_0), /* MULL */
	CPUFUNC(op_4c18_0), /* MULL */
	CPUFUNC(op_4c18_0), /* MULL */
	CPUFUNC(op_4c18_0), /* MULL */
	CPUFUNC(op_4c18_0), /* MULL */
	CPUFUNC(op_4c18_0), /* MULL */
	CPUFUNC(op_4c18_0), /* MULL */
	CPUFUNC(op_4c18_0), /* MULL */
	CPUFUNC(op_4c20_0), /* MULL */
	CPUFUNC(op_4c20_0), /* MULL */
	CPUFUNC(op_4c20_0), /* MULL */
	CPUFUNC(op_4c20_0), /* MULL */
	CPUFUNC(op_4c20_0), /* MULL */
	CPUFUNC(op_4c20_0), /* MULL */
	CPUFUNC(op_4c20_0), /* MULL */
	CPUFUNC(op_4c20_0), /* MULL */
	CPUFUNC(op_4c28_0), /* MULL */
	CPUFUNC(op_4c28_0), /* MULL */
	CPUFUNC(op_4c28_0), /* MULL */
	CPUFUNC(op_4c28_0), /* MULL */
	CPUFUNC(op_4c28_0), /* MULL */
	CPUFUNC(op_4c28_0), /* MULL */
	CPUFUNC(op_4c28_0), /* MULL */
	CPUFUNC(op_4c28_0), /* MULL */
	CPUFUNC(op_4c30_0), /* MULL */
	CPUFUNC(op_4c30_0), /* MULL */
	CPUFUNC(op_4c30_0), /* MULL */
	CPUFUNC(op_4c30_0), /* MULL */
	CPUFUNC(op_4c30_0), /* MULL */
	CPUFUNC(op_4c30_0), /* MULL */
	CPUFUNC(op_4c30_0), /* MULL */
	CPUFUNC(op_4c30_0), /* MULL */
	CPUFUNC(op_4c38_0), /* MULL */
	CPUFUNC(op_4c39_0), /* MULL */
	CPUFUNC(op_4c3a_0), /* MULL */
	CPUFUNC(op_4c3b_0), /* MULL */
	CPUFUNC(op_4c3c_0), /* MULL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c40_0), /* DIVL */
	CPUFUNC(op_4c40_0), /* DIVL */
	CPUFUNC(op_4c40_0), /* DIVL */
	CPUFUNC(op_4c40_0), /* DIVL */
	CPUFUNC(op_4c40_0), /* DIVL */
	CPUFUNC(op_4c40_0), /* DIVL */
	CPUFUNC(op_4c40_0), /* DIVL */
	CPUFUNC(op_4c40_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c50_0), /* DIVL */
	CPUFUNC(op_4c50_0), /* DIVL */
	CPUFUNC(op_4c50_0), /* DIVL */
	CPUFUNC(op_4c50_0), /* DIVL */
	CPUFUNC(op_4c50_0), /* DIVL */
	CPUFUNC(op_4c50_0), /* DIVL */
	CPUFUNC(op_4c50_0), /* DIVL */
	CPUFUNC(op_4c50_0), /* DIVL */
	CPUFUNC(op_4c58_0), /* DIVL */
	CPUFUNC(op_4c58_0), /* DIVL */
	CPUFUNC(op_4c58_0), /* DIVL */
	CPUFUNC(op_4c58_0), /* DIVL */
	CPUFUNC(op_4c58_0), /* DIVL */
	CPUFUNC(op_4c58_0), /* DIVL */
	CPUFUNC(op_4c58_0), /* DIVL */
	CPUFUNC(op_4c58_0), /* DIVL */
	CPUFUNC(op_4c60_0), /* DIVL */
	CPUFUNC(op_4c60_0), /* DIVL */
	CPUFUNC(op_4c60_0), /* DIVL */
	CPUFUNC(op_4c60_0), /* DIVL */
	CPUFUNC(op_4c60_0), /* DIVL */
	CPUFUNC(op_4c60_0), /* DIVL */
	CPUFUNC(op_4c60_0), /* DIVL */
	CPUFUNC(op_4c60_0), /* DIVL */
	CPUFUNC(op_4c68_0), /* DIVL */
	CPUFUNC(op_4c68_0), /* DIVL */
	CPUFUNC(op_4c68_0), /* DIVL */
	CPUFUNC(op_4c68_0), /* DIVL */
	CPUFUNC(op_4c68_0), /* DIVL */
	CPUFUNC(op_4c68_0), /* DIVL */
	CPUFUNC(op_4c68_0), /* DIVL */
	CPUFUNC(op_4c68_0), /* DIVL */
	CPUFUNC(op_4c70_0), /* DIVL */
	CPUFUNC(op_4c70_0), /* DIVL */
	CPUFUNC(op_4c70_0), /* DIVL */
	CPUFUNC(op_4c70_0), /* DIVL */
	CPUFUNC(op_4c70_0), /* DIVL */
	CPUFUNC(op_4c70_0), /* DIVL */
	CPUFUNC(op_4c70_0), /* DIVL */
	CPUFUNC(op_4c70_0), /* DIVL */
	CPUFUNC(op_4c78_0), /* DIVL */
	CPUFUNC(op_4c79_0), /* DIVL */
	CPUFUNC(op_4c7a_0), /* DIVL */
	CPUFUNC(op_4c7b_0), /* DIVL */
	CPUFUNC(op_4c7c_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4c90_0), /* MVMEL */
	CPUFUNC_FF(op_4c90_0), /* MVMEL */
	CPUFUNC_FF(op_4c90_0), /* MVMEL */
	CPUFUNC_FF(op_4c90_0), /* MVMEL */
	CPUFUNC_FF(op_4c90_0), /* MVMEL */
	CPUFUNC_FF(op_4c90_0), /* MVMEL */
	CPUFUNC_FF(op_4c90_0), /* MVMEL */
	CPUFUNC_FF(op_4c90_0), /* MVMEL */
	CPUFUNC_FF(op_4c98_0), /* MVMEL */
	CPUFUNC_FF(op_4c98_0), /* MVMEL */
	CPUFUNC_FF(op_4c98_0), /* MVMEL */
	CPUFUNC_FF(op_4c98_0), /* MVMEL */
	CPUFUNC_FF(op_4c98_0), /* MVMEL */
	CPUFUNC_FF(op_4c98_0), /* MVMEL */
	CPUFUNC_FF(op_4c98_0), /* MVMEL */
	CPUFUNC_FF(op_4c98_0), /* MVMEL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4ca8_0), /* MVMEL */
	CPUFUNC_FF(op_4ca8_0), /* MVMEL */
	CPUFUNC_FF(op_4ca8_0), /* MVMEL */
	CPUFUNC_FF(op_4ca8_0), /* MVMEL */
	CPUFUNC_FF(op_4ca8_0), /* MVMEL */
	CPUFUNC_FF(op_4ca8_0), /* MVMEL */
	CPUFUNC_FF(op_4ca8_0), /* MVMEL */
	CPUFUNC_FF(op_4ca8_0), /* MVMEL */
	CPUFUNC_FF(op_4cb0_0), /* MVMEL */
	CPUFUNC_FF(op_4cb0_0), /* MVMEL */
	CPUFUNC_FF(op_4cb0_0), /* MVMEL */
	CPUFUNC_FF(op_4cb0_0), /* MVMEL */
	CPUFUNC_FF(op_4cb0_0), /* MVMEL */
	CPUFUNC_FF(op_4cb0_0), /* MVMEL */
	CPUFUNC_FF(op_4cb0_0), /* MVMEL */
	CPUFUNC_FF(op_4cb0_0), /* MVMEL */
	CPUFUNC_FF(op_4cb8_0), /* MVMEL */
	CPUFUNC_FF(op_4cb9_0), /* MVMEL */
	CPUFUNC_FF(op_4cba_0), /* MVMEL */
	CPUFUNC_FF(op_4cbb_0), /* MVMEL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4cd0_0), /* MVMEL */
	CPUFUNC_FF(op_4cd0_0), /* MVMEL */
	CPUFUNC_FF(op_4cd0_0), /* MVMEL */
	CPUFUNC_FF(op_4cd0_0), /* MVMEL */
	CPUFUNC_FF(op_4cd0_0), /* MVMEL */
	CPUFUNC_FF(op_4cd0_0), /* MVMEL */
	CPUFUNC_FF(op_4cd0_0), /* MVMEL */
	CPUFUNC_FF(op_4cd0_0), /* MVMEL */
	CPUFUNC_FF(op_4cd8_0), /* MVMEL */
	CPUFUNC_FF(op_4cd8_0), /* MVMEL */
	CPUFUNC_FF(op_4cd8_0), /* MVMEL */
	CPUFUNC_FF(op_4cd8_0), /* MVMEL */
	CPUFUNC_FF(op_4cd8_0), /* MVMEL */
	CPUFUNC_FF(op_4cd8_0), /* MVMEL */
	CPUFUNC_FF(op_4cd8_0), /* MVMEL */
	CPUFUNC_FF(op_4cd8_0), /* MVMEL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4ce8_0), /* MVMEL */
	CPUFUNC_FF(op_4ce8_0), /* MVMEL */
	CPUFUNC_FF(op_4ce8_0), /* MVMEL */
	CPUFUNC_FF(op_4ce8_0), /* MVMEL */
	CPUFUNC_FF(op_4ce8_0), /* MVMEL */
	CPUFUNC_FF(op_4ce8_0), /* MVMEL */
	CPUFUNC_FF(op_4ce8_0), /* MVMEL */
	CPUFUNC_FF(op_4ce8_0), /* MVMEL */
	CPUFUNC_FF(op_4cf0_0), /* MVMEL */
	CPUFUNC_FF(op_4cf0_0), /* MVMEL */
	CPUFUNC_FF(op_4cf0_0), /* MVMEL */
	CPUFUNC_FF(op_4cf0_0), /* MVMEL */
	CPUFUNC_FF(op_4cf0_0), /* MVMEL */
	CPUFUNC_FF(op_4cf0_0), /* MVMEL */
	CPUFUNC_FF(op_4cf0_0), /* MVMEL */
	CPUFUNC_FF(op_4cf0_0), /* MVMEL */
	CPUFUNC_FF(op_4cf8_0), /* MVMEL */
	CPUFUNC_FF(op_4cf9_0), /* MVMEL */
	CPUFUNC_FF(op_4cfa_0), /* MVMEL */
	CPUFUNC_FF(op_4cfb_0), /* MVMEL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4138_0), /* CHK */
	CPUFUNC(op_4139_0), /* CHK */
	CPUFUNC(op_413a_0), /* CHK */
	CPUFUNC(op_413b_0), /* CHK */
	CPUFUNC(op_413c_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b8_0), /* CHK */
	CPUFUNC(op_41b9_0), /* CHK */
	CPUFUNC(op_41ba_0), /* CHK */
	CPUFUNC(op_41bb_0), /* CHK */
	CPUFUNC(op_41bc_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f8_0), /* LEA */
	CPUFUNC_FF(op_41f9_0), /* LEA */
	CPUFUNC_FF(op_41fa_0), /* LEA */
	CPUFUNC_FF(op_41fb_0), /* LEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	CPUFUNC_FF(op_4e50_0), /* LINK */
	CPUFUNC_FF(op_4e50_0), /* LINK */
	CPUFUNC_FF(op_4e50_0), /* LINK */
	CPUFUNC_FF(op_4e50_0), /* LINK */
	CPUFUNC_FF(op_4e50_0), /* LINK */
	CPUFUNC_FF(op_4e50_0), /* LINK */
	CPUFUNC_FF(op_4e50_0), /* LINK */
	CPUFUNC_FF(op_4e50_0), /* LINK */
	CPUFUNC_FF(op_4e58_0), /* UNLK */
	CPUFUNC_FF(op_4e58_0), /* UNLK */
	CPUFUNC_FF(op_4e58_0), /* UNLK */
	CPUFUNC_FF(op_4e58_0), /* UNLK */
	CPUFUNC_FF(op_4e58_0), /* UNLK */
	CPUFUNC_FF(op_4e58_0), /* UNLK */
	CPUFUNC_FF(op_4e58_0), /* UNLK */
	CPUFUNC_FF(op_4e58_0), /* UNLK */
	CPUFUNC_FF(op_4e60_0), /* MVR2USP */
	CPUFUNC_FF(op_4e60_0), /* MVR2USP */
	CPUFUNC_FF(op_4e60_0), /* MVR2USP */
	CPUFUNC_FF(op_4e60_0), /* MVR2USP */
	CPUFUNC_FF(op_4e60_0), /* MVR2USP */
	CPUFUNC_FF(op_4e60_0), /* MVR2USP */
	CPUFUNC_FF(op_4e60_0), /* MVR2USP */
	CPUFUNC_FF(op_4e60_0), /* MVR2USP */
	CPUFUNC_FF(op_4e68_0), /* MVUSP2R */
	CPUFUNC_FF(op_4e68_0), /* MVUSP2R */
	CPUFUNC_FF(op_4e68_0), /* MVUSP2R */
	CPUFUNC_FF(op_4e68_0), /* MVUSP2R */
	CPUFUNC_FF(op_4e68_0), /* MVUSP2R */
	CPUFUNC_FF(op_4e68_0), /* MVUSP2R */
	CPUFUNC_FF(op_4e68_0), /* MVUSP2R */
	CPUFUNC_FF(op_4e68_0), /* MVUSP2R */
	CPUFUNC_FF(op_4e70_0), /* RESET */
	CPUFUNC_FF(op_4e71_0), /* NOP */
	CPUFUNC(op_4e72_0), /* STOP */
	CPUFUNC(op_4e73_0), /* RTE */
	CPUFUNC_FF(op_4e74_0), /* RTD */
	CPUFUNC_FF(op_4e75_0), /* RTS */
	CPUFUNC_FF(op_4e76_0), /* TRAPV */
	CPUFUNC(op_4e77_0), /* RTR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e7a_0), /* MOVEC2 */
	CPUFUNC_FF(op_4e7b_0), /* MOVE2C */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e90_0), /* JSR */
	CPUFUNC_FF(op_4e90_0), /* JSR */
	CPUFUNC_FF(op_4e90_0), /* JSR */
	CPUFUNC_FF(op_4e90_0), /* JSR */
	CPUFUNC_FF(op_4e90_0), /* JSR */
	CPUFUNC_FF(op_4e90_0), /* JSR */
	CPUFUNC_FF(op_4e90_0), /* JSR */
	CPUFUNC_FF(op_4e90_0), /* JSR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4ea8_0), /* JSR */
	CPUFUNC_FF(op_4ea8_0), /* JSR */
	CPUFUNC_FF(op_4ea8_0), /* JSR */
	CPUFUNC_FF(op_4ea8_0), /* JSR */
	CPUFUNC_FF(op_4ea8_0), /* JSR */
	CPUFUNC_FF(op_4ea8_0), /* JSR */
	CPUFUNC_FF(op_4ea8_0), /* JSR */
	CPUFUNC_FF(op_4ea8_0), /* JSR */
	CPUFUNC_FF(op_4eb0_0), /* JSR */
	CPUFUNC_FF(op_4eb0_0), /* JSR */
	CPUFUNC_FF(op_4eb0_0), /* JSR */
	CPUFUNC_FF(op_4eb0_0), /* JSR */
	CPUFUNC_FF(op_4eb0_0), /* JSR */
	CPUFUNC_FF(op_4eb0_0), /* JSR */
	CPUFUNC_FF(op_4eb0_0), /* JSR */
	CPUFUNC_FF(op_4eb0_0), /* JSR */
	CPUFUNC_FF(op_4eb8_0), /* JSR */
	CPUFUNC_FF(op_4eb9_0), /* JSR */
	CPUFUNC_FF(op_4eba_0), /* JSR */
	CPUFUNC_FF(op_4ebb_0), /* JSR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4ed0_0), /* JMP */
	CPUFUNC_FF(op_4ed0_0), /* JMP */
	CPUFUNC_FF(op_4ed0_0), /* JMP */
	CPUFUNC_FF(op_4ed0_0), /* JMP */
	CPUFUNC_FF(op_4ed0_0), /* JMP */
	CPUFUNC_FF(op_4ed0_0), /* JMP */
	CPUFUNC_FF(op_4ed0_0), /* JMP */
	CPUFUNC_FF(op_4ed0_0), /* JMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4ee8_0), /* JMP */
	CPUFUNC_FF(op_4ee8_0), /* JMP */
	CPUFUNC_FF(op_4ee8_0), /* JMP */
	CPUFUNC_FF(op_4ee8_0), /* JMP */
	CPUFUNC_FF(op_4ee8_0), /* JMP */
	CPUFUNC_FF(op_4ee8_0), /* JMP */
	CPUFUNC_FF(op_4ee8_0), /* JMP */
	CPUFUNC_FF(op_4ee8_0), /* JMP */
	CPUFUNC_FF(op_4ef0_0), /* JMP */
	CPUFUNC_FF(op_4ef0_0), /* JMP */
	CPUFUNC_FF(op_4ef0_0), /* JMP */
	CPUFUNC_FF(op_4ef0_0), /* JMP */
	CPUFUNC_FF(op_4ef0_0), /* JMP */
	CPUFUNC_FF(op_4ef0_0), /* JMP */
	CPUFUNC_FF(op_4ef0_0), /* JMP */
	CPUFUNC_FF(op_4ef0_0), /* JMP */
	CPUFUNC_FF(op_4ef8_0), /* JMP */
	CPUFUNC_FF(op_4ef9_0), /* JMP */
	CPUFUNC_FF(op_4efa_0), /* JMP */
	CPUFUNC_FF(op_4efb_0), /* JMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4100_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4138_0), /* CHK */
	CPUFUNC(op_4139_0), /* CHK */
	CPUFUNC(op_413a_0), /* CHK */
	CPUFUNC(op_413b_0), /* CHK */
	CPUFUNC(op_413c_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4180_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_41b8_0), /* CHK */
	CPUFUNC(op_41b9_0), /* CHK */
	CPUFUNC(op_41ba_0), /* CHK */
	CPUFUNC(op_41bb_0), /* CHK */
	CPUFUNC(op_41bc_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_41f8_0), /* LEA */
	CPUFUNC_FF(op_41f9_0), /* LEA */
	CPUFUNC_FF(op_41fa_0), /* LEA */
	CPUFUNC_FF(op_41fb_0), /* LEA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5038_0), /* ADD */
	CPUFUNC(op_5039_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5078_0), /* ADD */
	CPUFUNC(op_5079_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b8_0), /* ADD */
	CPUFUNC(op_50b9_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50c0_0), /* Scc */
	CPUFUNC_FF(op_50c0_0), /* Scc */
	CPUFUNC_FF(op_50c0_0), /* Scc */
	CPUFUNC_FF(op_50c0_0), /* Scc */
	CPUFUNC_FF(op_50c0_0), /* Scc */
	CPUFUNC_FF(op_50c0_0), /* Scc */
	CPUFUNC_FF(op_50c0_0), /* Scc */
	CPUFUNC_FF(op_50c0_0), /* Scc */
	CPUFUNC_FF(op_50c8_0), /* DBcc */
	CPUFUNC_FF(op_50c8_0), /* DBcc */
	CPUFUNC_FF(op_50c8_0), /* DBcc */
	CPUFUNC_FF(op_50c8_0), /* DBcc */
	CPUFUNC_FF(op_50c8_0), /* DBcc */
	CPUFUNC_FF(op_50c8_0), /* DBcc */
	CPUFUNC_FF(op_50c8_0), /* DBcc */
	CPUFUNC_FF(op_50c8_0), /* DBcc */
	CPUFUNC_FF(op_50d0_0), /* Scc */
	CPUFUNC_FF(op_50d0_0), /* Scc */
	CPUFUNC_FF(op_50d0_0), /* Scc */
	CPUFUNC_FF(op_50d0_0), /* Scc */
	CPUFUNC_FF(op_50d0_0), /* Scc */
	CPUFUNC_FF(op_50d0_0), /* Scc */
	CPUFUNC_FF(op_50d0_0), /* Scc */
	CPUFUNC_FF(op_50d0_0), /* Scc */
	CPUFUNC_FF(op_50d8_0), /* Scc */
	CPUFUNC_FF(op_50d8_0), /* Scc */
	CPUFUNC_FF(op_50d8_0), /* Scc */
	CPUFUNC_FF(op_50d8_0), /* Scc */
	CPUFUNC_FF(op_50d8_0), /* Scc */
	CPUFUNC_FF(op_50d8_0), /* Scc */
	CPUFUNC_FF(op_50d8_0), /* Scc */
	CPUFUNC_FF(op_50d8_0), /* Scc */
	CPUFUNC_FF(op_50e0_0), /* Scc */
	CPUFUNC_FF(op_50e0_0), /* Scc */
	CPUFUNC_FF(op_50e0_0), /* Scc */
	CPUFUNC_FF(op_50e0_0), /* Scc */
	CPUFUNC_FF(op_50e0_0), /* Scc */
	CPUFUNC_FF(op_50e0_0), /* Scc */
	CPUFUNC_FF(op_50e0_0), /* Scc */
	CPUFUNC_FF(op_50e0_0), /* Scc */
	CPUFUNC_FF(op_50e8_0), /* Scc */
	CPUFUNC_FF(op_50e8_0), /* Scc */
	CPUFUNC_FF(op_50e8_0), /* Scc */
	CPUFUNC_FF(op_50e8_0), /* Scc */
	CPUFUNC_FF(op_50e8_0), /* Scc */
	CPUFUNC_FF(op_50e8_0), /* Scc */
	CPUFUNC_FF(op_50e8_0), /* Scc */
	CPUFUNC_FF(op_50e8_0), /* Scc */
	CPUFUNC_FF(op_50f0_0), /* Scc */
	CPUFUNC_FF(op_50f0_0), /* Scc */
	CPUFUNC_FF(op_50f0_0), /* Scc */
	CPUFUNC_FF(op_50f0_0), /* Scc */
	CPUFUNC_FF(op_50f0_0), /* Scc */
	CPUFUNC_FF(op_50f0_0), /* Scc */
	CPUFUNC_FF(op_50f0_0), /* Scc */
	CPUFUNC_FF(op_50f0_0), /* Scc */
	CPUFUNC_FF(op_50f8_0), /* Scc */
	CPUFUNC_FF(op_50f9_0), /* Scc */
	CPUFUNC_FF(op_50fa_0), /* TRAPcc */
	CPUFUNC_FF(op_50fb_0), /* TRAPcc */
	CPUFUNC_FF(op_50fc_0), /* TRAPcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5138_0), /* SUB */
	CPUFUNC(op_5139_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5178_0), /* SUB */
	CPUFUNC(op_5179_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b8_0), /* SUB */
	CPUFUNC(op_51b9_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_51c0_0), /* Scc */
	CPUFUNC_FF(op_51c0_0), /* Scc */
	CPUFUNC_FF(op_51c0_0), /* Scc */
	CPUFUNC_FF(op_51c0_0), /* Scc */
	CPUFUNC_FF(op_51c0_0), /* Scc */
	CPUFUNC_FF(op_51c0_0), /* Scc */
	CPUFUNC_FF(op_51c0_0), /* Scc */
	CPUFUNC_FF(op_51c0_0), /* Scc */
	CPUFUNC_FF(op_51c8_0), /* DBcc */
	CPUFUNC_FF(op_51c8_0), /* DBcc */
	CPUFUNC_FF(op_51c8_0), /* DBcc */
	CPUFUNC_FF(op_51c8_0), /* DBcc */
	CPUFUNC_FF(op_51c8_0), /* DBcc */
	CPUFUNC_FF(op_51c8_0), /* DBcc */
	CPUFUNC_FF(op_51c8_0), /* DBcc */
	CPUFUNC_FF(op_51c8_0), /* DBcc */
	CPUFUNC_FF(op_51d0_0), /* Scc */
	CPUFUNC_FF(op_51d0_0), /* Scc */
	CPUFUNC_FF(op_51d0_0), /* Scc */
	CPUFUNC_FF(op_51d0_0), /* Scc */
	CPUFUNC_FF(op_51d0_0), /* Scc */
	CPUFUNC_FF(op_51d0_0), /* Scc */
	CPUFUNC_FF(op_51d0_0), /* Scc */
	CPUFUNC_FF(op_51d0_0), /* Scc */
	CPUFUNC_FF(op_51d8_0), /* Scc */
	CPUFUNC_FF(op_51d8_0), /* Scc */
	CPUFUNC_FF(op_51d8_0), /* Scc */
	CPUFUNC_FF(op_51d8_0), /* Scc */
	CPUFUNC_FF(op_51d8_0), /* Scc */
	CPUFUNC_FF(op_51d8_0), /* Scc */
	CPUFUNC_FF(op_51d8_0), /* Scc */
	CPUFUNC_FF(op_51d8_0), /* Scc */
	CPUFUNC_FF(op_51e0_0), /* Scc */
	CPUFUNC_FF(op_51e0_0), /* Scc */
	CPUFUNC_FF(op_51e0_0), /* Scc */
	CPUFUNC_FF(op_51e0_0), /* Scc */
	CPUFUNC_FF(op_51e0_0), /* Scc */
	CPUFUNC_FF(op_51e0_0), /* Scc */
	CPUFUNC_FF(op_51e0_0), /* Scc */
	CPUFUNC_FF(op_51e0_0), /* Scc */
	CPUFUNC_FF(op_51e8_0), /* Scc */
	CPUFUNC_FF(op_51e8_0), /* Scc */
	CPUFUNC_FF(op_51e8_0), /* Scc */
	CPUFUNC_FF(op_51e8_0), /* Scc */
	CPUFUNC_FF(op_51e8_0), /* Scc */
	CPUFUNC_FF(op_51e8_0), /* Scc */
	CPUFUNC_FF(op_51e8_0), /* Scc */
	CPUFUNC_FF(op_51e8_0), /* Scc */
	CPUFUNC_FF(op_51f0_0), /* Scc */
	CPUFUNC_FF(op_51f0_0), /* Scc */
	CPUFUNC_FF(op_51f0_0), /* Scc */
	CPUFUNC_FF(op_51f0_0), /* Scc */
	CPUFUNC_FF(op_51f0_0), /* Scc */
	CPUFUNC_FF(op_51f0_0), /* Scc */
	CPUFUNC_FF(op_51f0_0), /* Scc */
	CPUFUNC_FF(op_51f0_0), /* Scc */
	CPUFUNC_FF(op_51f8_0), /* Scc */
	CPUFUNC_FF(op_51f9_0), /* Scc */
	CPUFUNC_FF(op_51fa_0), /* TRAPcc */
	CPUFUNC_FF(op_51fb_0), /* TRAPcc */
	CPUFUNC_FF(op_51fc_0), /* TRAPcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5038_0), /* ADD */
	CPUFUNC(op_5039_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5078_0), /* ADD */
	CPUFUNC(op_5079_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b8_0), /* ADD */
	CPUFUNC(op_50b9_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_52c0_0), /* Scc */
	CPUFUNC_FF(op_52c0_0), /* Scc */
	CPUFUNC_FF(op_52c0_0), /* Scc */
	CPUFUNC_FF(op_52c0_0), /* Scc */
	CPUFUNC_FF(op_52c0_0), /* Scc */
	CPUFUNC_FF(op_52c0_0), /* Scc */
	CPUFUNC_FF(op_52c0_0), /* Scc */
	CPUFUNC_FF(op_52c0_0), /* Scc */
	CPUFUNC_FF(op_52c8_0), /* DBcc */
	CPUFUNC_FF(op_52c8_0), /* DBcc */
	CPUFUNC_FF(op_52c8_0), /* DBcc */
	CPUFUNC_FF(op_52c8_0), /* DBcc */
	CPUFUNC_FF(op_52c8_0), /* DBcc */
	CPUFUNC_FF(op_52c8_0), /* DBcc */
	CPUFUNC_FF(op_52c8_0), /* DBcc */
	CPUFUNC_FF(op_52c8_0), /* DBcc */
	CPUFUNC_FF(op_52d0_0), /* Scc */
	CPUFUNC_FF(op_52d0_0), /* Scc */
	CPUFUNC_FF(op_52d0_0), /* Scc */
	CPUFUNC_FF(op_52d0_0), /* Scc */
	CPUFUNC_FF(op_52d0_0), /* Scc */
	CPUFUNC_FF(op_52d0_0), /* Scc */
	CPUFUNC_FF(op_52d0_0), /* Scc */
	CPUFUNC_FF(op_52d0_0), /* Scc */
	CPUFUNC_FF(op_52d8_0), /* Scc */
	CPUFUNC_FF(op_52d8_0), /* Scc */
	CPUFUNC_FF(op_52d8_0), /* Scc */
	CPUFUNC_FF(op_52d8_0), /* Scc */
	CPUFUNC_FF(op_52d8_0), /* Scc */
	CPUFUNC_FF(op_52d8_0), /* Scc */
	CPUFUNC_FF(op_52d8_0), /* Scc */
	CPUFUNC_FF(op_52d8_0), /* Scc */
	CPUFUNC_FF(op_52e0_0), /* Scc */
	CPUFUNC_FF(op_52e0_0), /* Scc */
	CPUFUNC_FF(op_52e0_0), /* Scc */
	CPUFUNC_FF(op_52e0_0), /* Scc */
	CPUFUNC_FF(op_52e0_0), /* Scc */
	CPUFUNC_FF(op_52e0_0), /* Scc */
	CPUFUNC_FF(op_52e0_0), /* Scc */
	CPUFUNC_FF(op_52e0_0), /* Scc */
	CPUFUNC_FF(op_52e8_0), /* Scc */
	CPUFUNC_FF(op_52e8_0), /* Scc */
	CPUFUNC_FF(op_52e8_0), /* Scc */
	CPUFUNC_FF(op_52e8_0), /* Scc */
	CPUFUNC_FF(op_52e8_0), /* Scc */
	CPUFUNC_FF(op_52e8_0), /* Scc */
	CPUFUNC_FF(op_52e8_0), /* Scc */
	CPUFUNC_FF(op_52e8_0), /* Scc */
	CPUFUNC_FF(op_52f0_0), /* Scc */
	CPUFUNC_FF(op_52f0_0), /* Scc */
	CPUFUNC_FF(op_52f0_0), /* Scc */
	CPUFUNC_FF(op_52f0_0), /* Scc */
	CPUFUNC_FF(op_52f0_0), /* Scc */
	CPUFUNC_FF(op_52f0_0), /* Scc */
	CPUFUNC_FF(op_52f0_0), /* Scc */
	CPUFUNC_FF(op_52f0_0), /* Scc */
	CPUFUNC_FF(op_52f8_0), /* Scc */
	CPUFUNC_FF(op_52f9_0), /* Scc */
	CPUFUNC_FF(op_52fa_0), /* TRAPcc */
	CPUFUNC_FF(op_52fb_0), /* TRAPcc */
	CPUFUNC_FF(op_52fc_0), /* TRAPcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5138_0), /* SUB */
	CPUFUNC(op_5139_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5178_0), /* SUB */
	CPUFUNC(op_5179_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b8_0), /* SUB */
	CPUFUNC(op_51b9_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_53c0_0), /* Scc */
	CPUFUNC_FF(op_53c0_0), /* Scc */
	CPUFUNC_FF(op_53c0_0), /* Scc */
	CPUFUNC_FF(op_53c0_0), /* Scc */
	CPUFUNC_FF(op_53c0_0), /* Scc */
	CPUFUNC_FF(op_53c0_0), /* Scc */
	CPUFUNC_FF(op_53c0_0), /* Scc */
	CPUFUNC_FF(op_53c0_0), /* Scc */
	CPUFUNC_FF(op_53c8_0), /* DBcc */
	CPUFUNC_FF(op_53c8_0), /* DBcc */
	CPUFUNC_FF(op_53c8_0), /* DBcc */
	CPUFUNC_FF(op_53c8_0), /* DBcc */
	CPUFUNC_FF(op_53c8_0), /* DBcc */
	CPUFUNC_FF(op_53c8_0), /* DBcc */
	CPUFUNC_FF(op_53c8_0), /* DBcc */
	CPUFUNC_FF(op_53c8_0), /* DBcc */
	CPUFUNC_FF(op_53d0_0), /* Scc */
	CPUFUNC_FF(op_53d0_0), /* Scc */
	CPUFUNC_FF(op_53d0_0), /* Scc */
	CPUFUNC_FF(op_53d0_0), /* Scc */
	CPUFUNC_FF(op_53d0_0), /* Scc */
	CPUFUNC_FF(op_53d0_0), /* Scc */
	CPUFUNC_FF(op_53d0_0), /* Scc */
	CPUFUNC_FF(op_53d0_0), /* Scc */
	CPUFUNC_FF(op_53d8_0), /* Scc */
	CPUFUNC_FF(op_53d8_0), /* Scc */
	CPUFUNC_FF(op_53d8_0), /* Scc */
	CPUFUNC_FF(op_53d8_0), /* Scc */
	CPUFUNC_FF(op_53d8_0), /* Scc */
	CPUFUNC_FF(op_53d8_0), /* Scc */
	CPUFUNC_FF(op_53d8_0), /* Scc */
	CPUFUNC_FF(op_53d8_0), /* Scc */
	CPUFUNC_FF(op_53e0_0), /* Scc */
	CPUFUNC_FF(op_53e0_0), /* Scc */
	CPUFUNC_FF(op_53e0_0), /* Scc */
	CPUFUNC_FF(op_53e0_0), /* Scc */
	CPUFUNC_FF(op_53e0_0), /* Scc */
	CPUFUNC_FF(op_53e0_0), /* Scc */
	CPUFUNC_FF(op_53e0_0), /* Scc */
	CPUFUNC_FF(op_53e0_0), /* Scc */
	CPUFUNC_FF(op_53e8_0), /* Scc */
	CPUFUNC_FF(op_53e8_0), /* Scc */
	CPUFUNC_FF(op_53e8_0), /* Scc */
	CPUFUNC_FF(op_53e8_0), /* Scc */
	CPUFUNC_FF(op_53e8_0), /* Scc */
	CPUFUNC_FF(op_53e8_0), /* Scc */
	CPUFUNC_FF(op_53e8_0), /* Scc */
	CPUFUNC_FF(op_53e8_0), /* Scc */
	CPUFUNC_FF(op_53f0_0), /* Scc */
	CPUFUNC_FF(op_53f0_0), /* Scc */
	CPUFUNC_FF(op_53f0_0), /* Scc */
	CPUFUNC_FF(op_53f0_0), /* Scc */
	CPUFUNC_FF(op_53f0_0), /* Scc */
	CPUFUNC_FF(op_53f0_0), /* Scc */
	CPUFUNC_FF(op_53f0_0), /* Scc */
	CPUFUNC_FF(op_53f0_0), /* Scc */
	CPUFUNC_FF(op_53f8_0), /* Scc */
	CPUFUNC_FF(op_53f9_0), /* Scc */
	CPUFUNC_FF(op_53fa_0), /* TRAPcc */
	CPUFUNC_FF(op_53fb_0), /* TRAPcc */
	CPUFUNC_FF(op_53fc_0), /* TRAPcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5038_0), /* ADD */
	CPUFUNC(op_5039_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5078_0), /* ADD */
	CPUFUNC(op_5079_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b8_0), /* ADD */
	CPUFUNC(op_50b9_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_54c0_0), /* Scc */
	CPUFUNC_FF(op_54c0_0), /* Scc */
	CPUFUNC_FF(op_54c0_0), /* Scc */
	CPUFUNC_FF(op_54c0_0), /* Scc */
	CPUFUNC_FF(op_54c0_0), /* Scc */
	CPUFUNC_FF(op_54c0_0), /* Scc */
	CPUFUNC_FF(op_54c0_0), /* Scc */
	CPUFUNC_FF(op_54c0_0), /* Scc */
	CPUFUNC_FF(op_54c8_0), /* DBcc */
	CPUFUNC_FF(op_54c8_0), /* DBcc */
	CPUFUNC_FF(op_54c8_0), /* DBcc */
	CPUFUNC_FF(op_54c8_0), /* DBcc */
	CPUFUNC_FF(op_54c8_0), /* DBcc */
	CPUFUNC_FF(op_54c8_0), /* DBcc */
	CPUFUNC_FF(op_54c8_0), /* DBcc */
	CPUFUNC_FF(op_54c8_0), /* DBcc */
	CPUFUNC_FF(op_54d0_0), /* Scc */
	CPUFUNC_FF(op_54d0_0), /* Scc */
	CPUFUNC_FF(op_54d0_0), /* Scc */
	CPUFUNC_FF(op_54d0_0), /* Scc */
	CPUFUNC_FF(op_54d0_0), /* Scc */
	CPUFUNC_FF(op_54d0_0), /* Scc */
	CPUFUNC_FF(op_54d0_0), /* Scc */
	CPUFUNC_FF(op_54d0_0), /* Scc */
	CPUFUNC_FF(op_54d8_0), /* Scc */
	CPUFUNC_FF(op_54d8_0), /* Scc */
	CPUFUNC_FF(op_54d8_0), /* Scc */
	CPUFUNC_FF(op_54d8_0), /* Scc */
	CPUFUNC_FF(op_54d8_0), /* Scc */
	CPUFUNC_FF(op_54d8_0), /* Scc */
	CPUFUNC_FF(op_54d8_0), /* Scc */
	CPUFUNC_FF(op_54d8_0), /* Scc */
	CPUFUNC_FF(op_54e0_0), /* Scc */
	CPUFUNC_FF(op_54e0_0), /* Scc */
	CPUFUNC_FF(op_54e0_0), /* Scc */
	CPUFUNC_FF(op_54e0_0), /* Scc */
	CPUFUNC_FF(op_54e0_0), /* Scc */
	CPUFUNC_FF(op_54e0_0), /* Scc */
	CPUFUNC_FF(op_54e0_0), /* Scc */
	CPUFUNC_FF(op_54e0_0), /* Scc */
	CPUFUNC_FF(op_54e8_0), /* Scc */
	CPUFUNC_FF(op_54e8_0), /* Scc */
	CPUFUNC_FF(op_54e8_0), /* Scc */
	CPUFUNC_FF(op_54e8_0), /* Scc */
	CPUFUNC_FF(op_54e8_0), /* Scc */
	CPUFUNC_FF(op_54e8_0), /* Scc */
	CPUFUNC_FF(op_54e8_0), /* Scc */
	CPUFUNC_FF(op_54e8_0), /* Scc */
	CPUFUNC_FF(op_54f0_0), /* Scc */
	CPUFUNC_FF(op_54f0_0), /* Scc */
	CPUFUNC_FF(op_54f0_0), /* Scc */
	CPUFUNC_FF(op_54f0_0), /* Scc */
	CPUFUNC_FF(op_54f0_0), /* Scc */
	CPUFUNC_FF(op_54f0_0), /* Scc */
	CPUFUNC_FF(op_54f0_0), /* Scc */
	CPUFUNC_FF(op_54f0_0), /* Scc */
	CPUFUNC_FF(op_54f8_0), /* Scc */
	CPUFUNC_FF(op_54f9_0), /* Scc */
	CPUFUNC_FF(op_54fa_0), /* TRAPcc */
	CPUFUNC_FF(op_54fb_0), /* TRAPcc */
	CPUFUNC_FF(op_54fc_0), /* TRAPcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5138_0), /* SUB */
	CPUFUNC(op_5139_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5178_0), /* SUB */
	CPUFUNC(op_5179_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b8_0), /* SUB */
	CPUFUNC(op_51b9_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_55c0_0), /* Scc */
	CPUFUNC_FF(op_55c0_0), /* Scc */
	CPUFUNC_FF(op_55c0_0), /* Scc */
	CPUFUNC_FF(op_55c0_0), /* Scc */
	CPUFUNC_FF(op_55c0_0), /* Scc */
	CPUFUNC_FF(op_55c0_0), /* Scc */
	CPUFUNC_FF(op_55c0_0), /* Scc */
	CPUFUNC_FF(op_55c0_0), /* Scc */
	CPUFUNC_FF(op_55c8_0), /* DBcc */
	CPUFUNC_FF(op_55c8_0), /* DBcc */
	CPUFUNC_FF(op_55c8_0), /* DBcc */
	CPUFUNC_FF(op_55c8_0), /* DBcc */
	CPUFUNC_FF(op_55c8_0), /* DBcc */
	CPUFUNC_FF(op_55c8_0), /* DBcc */
	CPUFUNC_FF(op_55c8_0), /* DBcc */
	CPUFUNC_FF(op_55c8_0), /* DBcc */
	CPUFUNC_FF(op_55d0_0), /* Scc */
	CPUFUNC_FF(op_55d0_0), /* Scc */
	CPUFUNC_FF(op_55d0_0), /* Scc */
	CPUFUNC_FF(op_55d0_0), /* Scc */
	CPUFUNC_FF(op_55d0_0), /* Scc */
	CPUFUNC_FF(op_55d0_0), /* Scc */
	CPUFUNC_FF(op_55d0_0), /* Scc */
	CPUFUNC_FF(op_55d0_0), /* Scc */
	CPUFUNC_FF(op_55d8_0), /* Scc */
	CPUFUNC_FF(op_55d8_0), /* Scc */
	CPUFUNC_FF(op_55d8_0), /* Scc */
	CPUFUNC_FF(op_55d8_0), /* Scc */
	CPUFUNC_FF(op_55d8_0), /* Scc */
	CPUFUNC_FF(op_55d8_0), /* Scc */
	CPUFUNC_FF(op_55d8_0), /* Scc */
	CPUFUNC_FF(op_55d8_0), /* Scc */
	CPUFUNC_FF(op_55e0_0), /* Scc */
	CPUFUNC_FF(op_55e0_0), /* Scc */
	CPUFUNC_FF(op_55e0_0), /* Scc */
	CPUFUNC_FF(op_55e0_0), /* Scc */
	CPUFUNC_FF(op_55e0_0), /* Scc */
	CPUFUNC_FF(op_55e0_0), /* Scc */
	CPUFUNC_FF(op_55e0_0), /* Scc */
	CPUFUNC_FF(op_55e0_0), /* Scc */
	CPUFUNC_FF(op_55e8_0), /* Scc */
	CPUFUNC_FF(op_55e8_0), /* Scc */
	CPUFUNC_FF(op_55e8_0), /* Scc */
	CPUFUNC_FF(op_55e8_0), /* Scc */
	CPUFUNC_FF(op_55e8_0), /* Scc */
	CPUFUNC_FF(op_55e8_0), /* Scc */
	CPUFUNC_FF(op_55e8_0), /* Scc */
	CPUFUNC_FF(op_55e8_0), /* Scc */
	CPUFUNC_FF(op_55f0_0), /* Scc */
	CPUFUNC_FF(op_55f0_0), /* Scc */
	CPUFUNC_FF(op_55f0_0), /* Scc */
	CPUFUNC_FF(op_55f0_0), /* Scc */
	CPUFUNC_FF(op_55f0_0), /* Scc */
	CPUFUNC_FF(op_55f0_0), /* Scc */
	CPUFUNC_FF(op_55f0_0), /* Scc */
	CPUFUNC_FF(op_55f0_0), /* Scc */
	CPUFUNC_FF(op_55f8_0), /* Scc */
	CPUFUNC_FF(op_55f9_0), /* Scc */
	CPUFUNC_FF(op_55fa_0), /* TRAPcc */
	CPUFUNC_FF(op_55fb_0), /* TRAPcc */
	CPUFUNC_FF(op_55fc_0), /* TRAPcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5038_0), /* ADD */
	CPUFUNC(op_5039_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5078_0), /* ADD */
	CPUFUNC(op_5079_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b8_0), /* ADD */
	CPUFUNC(op_50b9_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_56c0_0), /* Scc */
	CPUFUNC_FF(op_56c0_0), /* Scc */
	CPUFUNC_FF(op_56c0_0), /* Scc */
	CPUFUNC_FF(op_56c0_0), /* Scc */
	CPUFUNC_FF(op_56c0_0), /* Scc */
	CPUFUNC_FF(op_56c0_0), /* Scc */
	CPUFUNC_FF(op_56c0_0), /* Scc */
	CPUFUNC_FF(op_56c0_0), /* Scc */
	CPUFUNC_FF(op_56c8_0), /* DBcc */
	CPUFUNC_FF(op_56c8_0), /* DBcc */
	CPUFUNC_FF(op_56c8_0), /* DBcc */
	CPUFUNC_FF(op_56c8_0), /* DBcc */
	CPUFUNC_FF(op_56c8_0), /* DBcc */
	CPUFUNC_FF(op_56c8_0), /* DBcc */
	CPUFUNC_FF(op_56c8_0), /* DBcc */
	CPUFUNC_FF(op_56c8_0), /* DBcc */
	CPUFUNC_FF(op_56d0_0), /* Scc */
	CPUFUNC_FF(op_56d0_0), /* Scc */
	CPUFUNC_FF(op_56d0_0), /* Scc */
	CPUFUNC_FF(op_56d0_0), /* Scc */
	CPUFUNC_FF(op_56d0_0), /* Scc */
	CPUFUNC_FF(op_56d0_0), /* Scc */
	CPUFUNC_FF(op_56d0_0), /* Scc */
	CPUFUNC_FF(op_56d0_0), /* Scc */
	CPUFUNC_FF(op_56d8_0), /* Scc */
	CPUFUNC_FF(op_56d8_0), /* Scc */
	CPUFUNC_FF(op_56d8_0), /* Scc */
	CPUFUNC_FF(op_56d8_0), /* Scc */
	CPUFUNC_FF(op_56d8_0), /* Scc */
	CPUFUNC_FF(op_56d8_0), /* Scc */
	CPUFUNC_FF(op_56d8_0), /* Scc */
	CPUFUNC_FF(op_56d8_0), /* Scc */
	CPUFUNC_FF(op_56e0_0), /* Scc */
	CPUFUNC_FF(op_56e0_0), /* Scc */
	CPUFUNC_FF(op_56e0_0), /* Scc */
	CPUFUNC_FF(op_56e0_0), /* Scc */
	CPUFUNC_FF(op_56e0_0), /* Scc */
	CPUFUNC_FF(op_56e0_0), /* Scc */
	CPUFUNC_FF(op_56e0_0), /* Scc */
	CPUFUNC_FF(op_56e0_0), /* Scc */
	CPUFUNC_FF(op_56e8_0), /* Scc */
	CPUFUNC_FF(op_56e8_0), /* Scc */
	CPUFUNC_FF(op_56e8_0), /* Scc */
	CPUFUNC_FF(op_56e8_0), /* Scc */
	CPUFUNC_FF(op_56e8_0), /* Scc */
	CPUFUNC_FF(op_56e8_0), /* Scc */
	CPUFUNC_FF(op_56e8_0), /* Scc */
	CPUFUNC_FF(op_56e8_0), /* Scc */
	CPUFUNC_FF(op_56f0_0), /* Scc */
	CPUFUNC_FF(op_56f0_0), /* Scc */
	CPUFUNC_FF(op_56f0_0), /* Scc */
	CPUFUNC_FF(op_56f0_0), /* Scc */
	CPUFUNC_FF(op_56f0_0), /* Scc */
	CPUFUNC_FF(op_56f0_0), /* Scc */
	CPUFUNC_FF(op_56f0_0), /* Scc */
	CPUFUNC_FF(op_56f0_0), /* Scc */
	CPUFUNC_FF(op_56f8_0), /* Scc */
	CPUFUNC_FF(op_56f9_0), /* Scc */
	CPUFUNC_FF(op_56fa_0), /* TRAPcc */
	CPUFUNC_FF(op_56fb_0), /* TRAPcc */
	CPUFUNC_FF(op_56fc_0), /* TRAPcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5138_0), /* SUB */
	CPUFUNC(op_5139_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5178_0), /* SUB */
	CPUFUNC(op_5179_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b8_0), /* SUB */
	CPUFUNC(op_51b9_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_57c0_0), /* Scc */
	CPUFUNC_FF(op_57c0_0), /* Scc */
	CPUFUNC_FF(op_57c0_0), /* Scc */
	CPUFUNC_FF(op_57c0_0), /* Scc */
	CPUFUNC_FF(op_57c0_0), /* Scc */
	CPUFUNC_FF(op_57c0_0), /* Scc */
	CPUFUNC_FF(op_57c0_0), /* Scc */
	CPUFUNC_FF(op_57c0_0), /* Scc */
	CPUFUNC_FF(op_57c8_0), /* DBcc */
	CPUFUNC_FF(op_57c8_0), /* DBcc */
	CPUFUNC_FF(op_57c8_0), /* DBcc */
	CPUFUNC_FF(op_57c8_0), /* DBcc */
	CPUFUNC_FF(op_57c8_0), /* DBcc */
	CPUFUNC_FF(op_57c8_0), /* DBcc */
	CPUFUNC_FF(op_57c8_0), /* DBcc */
	CPUFUNC_FF(op_57c8_0), /* DBcc */
	CPUFUNC_FF(op_57d0_0), /* Scc */
	CPUFUNC_FF(op_57d0_0), /* Scc */
	CPUFUNC_FF(op_57d0_0), /* Scc */
	CPUFUNC_FF(op_57d0_0), /* Scc */
	CPUFUNC_FF(op_57d0_0), /* Scc */
	CPUFUNC_FF(op_57d0_0), /* Scc */
	CPUFUNC_FF(op_57d0_0), /* Scc */
	CPUFUNC_FF(op_57d0_0), /* Scc */
	CPUFUNC_FF(op_57d8_0), /* Scc */
	CPUFUNC_FF(op_57d8_0), /* Scc */
	CPUFUNC_FF(op_57d8_0), /* Scc */
	CPUFUNC_FF(op_57d8_0), /* Scc */
	CPUFUNC_FF(op_57d8_0), /* Scc */
	CPUFUNC_FF(op_57d8_0), /* Scc */
	CPUFUNC_FF(op_57d8_0), /* Scc */
	CPUFUNC_FF(op_57d8_0), /* Scc */
	CPUFUNC_FF(op_57e0_0), /* Scc */
	CPUFUNC_FF(op_57e0_0), /* Scc */
	CPUFUNC_FF(op_57e0_0), /* Scc */
	CPUFUNC_FF(op_57e0_0), /* Scc */
	CPUFUNC_FF(op_57e0_0), /* Scc */
	CPUFUNC_FF(op_57e0_0), /* Scc */
	CPUFUNC_FF(op_57e0_0), /* Scc */
	CPUFUNC_FF(op_57e0_0), /* Scc */
	CPUFUNC_FF(op_57e8_0), /* Scc */
	CPUFUNC_FF(op_57e8_0), /* Scc */
	CPUFUNC_FF(op_57e8_0), /* Scc */
	CPUFUNC_FF(op_57e8_0), /* Scc */
	CPUFUNC_FF(op_57e8_0), /* Scc */
	CPUFUNC_FF(op_57e8_0), /* Scc */
	CPUFUNC_FF(op_57e8_0), /* Scc */
	CPUFUNC_FF(op_57e8_0), /* Scc */
	CPUFUNC_FF(op_57f0_0), /* Scc */
	CPUFUNC_FF(op_57f0_0), /* Scc */
	CPUFUNC_FF(op_57f0_0), /* Scc */
	CPUFUNC_FF(op_57f0_0), /* Scc */
	CPUFUNC_FF(op_57f0_0), /* Scc */
	CPUFUNC_FF(op_57f0_0), /* Scc */
	CPUFUNC_FF(op_57f0_0), /* Scc */
	CPUFUNC_FF(op_57f0_0), /* Scc */
	CPUFUNC_FF(op_57f8_0), /* Scc */
	CPUFUNC_FF(op_57f9_0), /* Scc */
	CPUFUNC_FF(op_57fa_0), /* TRAPcc */
	CPUFUNC_FF(op_57fb_0), /* TRAPcc */
	CPUFUNC_FF(op_57fc_0), /* TRAPcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5038_0), /* ADD */
	CPUFUNC(op_5039_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5078_0), /* ADD */
	CPUFUNC(op_5079_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b8_0), /* ADD */
	CPUFUNC(op_50b9_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_58c0_0), /* Scc */
	CPUFUNC_FF(op_58c0_0), /* Scc */
	CPUFUNC_FF(op_58c0_0), /* Scc */
	CPUFUNC_FF(op_58c0_0), /* Scc */
	CPUFUNC_FF(op_58c0_0), /* Scc */
	CPUFUNC_FF(op_58c0_0), /* Scc */
	CPUFUNC_FF(op_58c0_0), /* Scc */
	CPUFUNC_FF(op_58c0_0), /* Scc */
	CPUFUNC_FF(op_58c8_0), /* DBcc */
	CPUFUNC_FF(op_58c8_0), /* DBcc */
	CPUFUNC_FF(op_58c8_0), /* DBcc */
	CPUFUNC_FF(op_58c8_0), /* DBcc */
	CPUFUNC_FF(op_58c8_0), /* DBcc */
	CPUFUNC_FF(op_58c8_0), /* DBcc */
	CPUFUNC_FF(op_58c8_0), /* DBcc */
	CPUFUNC_FF(op_58c8_0), /* DBcc */
	CPUFUNC_FF(op_58d0_0), /* Scc */
	CPUFUNC_FF(op_58d0_0), /* Scc */
	CPUFUNC_FF(op_58d0_0), /* Scc */
	CPUFUNC_FF(op_58d0_0), /* Scc */
	CPUFUNC_FF(op_58d0_0), /* Scc */
	CPUFUNC_FF(op_58d0_0), /* Scc */
	CPUFUNC_FF(op_58d0_0), /* Scc */
	CPUFUNC_FF(op_58d0_0), /* Scc */
	CPUFUNC_FF(op_58d8_0), /* Scc */
	CPUFUNC_FF(op_58d8_0), /* Scc */
	CPUFUNC_FF(op_58d8_0), /* Scc */
	CPUFUNC_FF(op_58d8_0), /* Scc */
	CPUFUNC_FF(op_58d8_0), /* Scc */
	CPUFUNC_FF(op_58d8_0), /* Scc */
	CPUFUNC_FF(op_58d8_0), /* Scc */
	CPUFUNC_FF(op_58d8_0), /* Scc */
	CPUFUNC_FF(op_58e0_0), /* Scc */
	CPUFUNC_FF(op_58e0_0), /* Scc */
	CPUFUNC_FF(op_58e0_0), /* Scc */
	CPUFUNC_FF(op_58e0_0), /* Scc */
	CPUFUNC_FF(op_58e0_0), /* Scc */
	CPUFUNC_FF(op_58e0_0), /* Scc */
	CPUFUNC_FF(op_58e0_0), /* Scc */
	CPUFUNC_FF(op_58e0_0), /* Scc */
	CPUFUNC_FF(op_58e8_0), /* Scc */
	CPUFUNC_FF(op_58e8_0), /* Scc */
	CPUFUNC_FF(op_58e8_0), /* Scc */
	CPUFUNC_FF(op_58e8_0), /* Scc */
	CPUFUNC_FF(op_58e8_0), /* Scc */
	CPUFUNC_FF(op_58e8_0), /* Scc */
	CPUFUNC_FF(op_58e8_0), /* Scc */
	CPUFUNC_FF(op_58e8_0), /* Scc */
	CPUFUNC_FF(op_58f0_0), /* Scc */
	CPUFUNC_FF(op_58f0_0), /* Scc */
	CPUFUNC_FF(op_58f0_0), /* Scc */
	CPUFUNC_FF(op_58f0_0), /* Scc */
	CPUFUNC_FF(op_58f0_0), /* Scc */
	CPUFUNC_FF(op_58f0_0), /* Scc */
	CPUFUNC_FF(op_58f0_0), /* Scc */
	CPUFUNC_FF(op_58f0_0), /* Scc */
	CPUFUNC_FF(op_58f8_0), /* Scc */
	CPUFUNC_FF(op_58f9_0), /* Scc */
	CPUFUNC_FF(op_58fa_0), /* TRAPcc */
	CPUFUNC_FF(op_58fb_0), /* TRAPcc */
	CPUFUNC_FF(op_58fc_0), /* TRAPcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5138_0), /* SUB */
	CPUFUNC(op_5139_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5178_0), /* SUB */
	CPUFUNC(op_5179_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b8_0), /* SUB */
	CPUFUNC(op_51b9_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_59c0_0), /* Scc */
	CPUFUNC_FF(op_59c0_0), /* Scc */
	CPUFUNC_FF(op_59c0_0), /* Scc */
	CPUFUNC_FF(op_59c0_0), /* Scc */
	CPUFUNC_FF(op_59c0_0), /* Scc */
	CPUFUNC_FF(op_59c0_0), /* Scc */
	CPUFUNC_FF(op_59c0_0), /* Scc */
	CPUFUNC_FF(op_59c0_0), /* Scc */
	CPUFUNC_FF(op_59c8_0), /* DBcc */
	CPUFUNC_FF(op_59c8_0), /* DBcc */
	CPUFUNC_FF(op_59c8_0), /* DBcc */
	CPUFUNC_FF(op_59c8_0), /* DBcc */
	CPUFUNC_FF(op_59c8_0), /* DBcc */
	CPUFUNC_FF(op_59c8_0), /* DBcc */
	CPUFUNC_FF(op_59c8_0), /* DBcc */
	CPUFUNC_FF(op_59c8_0), /* DBcc */
	CPUFUNC_FF(op_59d0_0), /* Scc */
	CPUFUNC_FF(op_59d0_0), /* Scc */
	CPUFUNC_FF(op_59d0_0), /* Scc */
	CPUFUNC_FF(op_59d0_0), /* Scc */
	CPUFUNC_FF(op_59d0_0), /* Scc */
	CPUFUNC_FF(op_59d0_0), /* Scc */
	CPUFUNC_FF(op_59d0_0), /* Scc */
	CPUFUNC_FF(op_59d0_0), /* Scc */
	CPUFUNC_FF(op_59d8_0), /* Scc */
	CPUFUNC_FF(op_59d8_0), /* Scc */
	CPUFUNC_FF(op_59d8_0), /* Scc */
	CPUFUNC_FF(op_59d8_0), /* Scc */
	CPUFUNC_FF(op_59d8_0), /* Scc */
	CPUFUNC_FF(op_59d8_0), /* Scc */
	CPUFUNC_FF(op_59d8_0), /* Scc */
	CPUFUNC_FF(op_59d8_0), /* Scc */
	CPUFUNC_FF(op_59e0_0), /* Scc */
	CPUFUNC_FF(op_59e0_0), /* Scc */
	CPUFUNC_FF(op_59e0_0), /* Scc */
	CPUFUNC_FF(op_59e0_0), /* Scc */
	CPUFUNC_FF(op_59e0_0), /* Scc */
	CPUFUNC_FF(op_59e0_0), /* Scc */
	CPUFUNC_FF(op_59e0_0), /* Scc */
	CPUFUNC_FF(op_59e0_0), /* Scc */
	CPUFUNC_FF(op_59e8_0), /* Scc */
	CPUFUNC_FF(op_59e8_0), /* Scc */
	CPUFUNC_FF(op_59e8_0), /* Scc */
	CPUFUNC_FF(op_59e8_0), /* Scc */
	CPUFUNC_FF(op_59e8_0), /* Scc */
	CPUFUNC_FF(op_59e8_0), /* Scc */
	CPUFUNC_FF(op_59e8_0), /* Scc */
	CPUFUNC_FF(op_59e8_0), /* Scc */
	CPUFUNC_FF(op_59f0_0), /* Scc */
	CPUFUNC_FF(op_59f0_0), /* Scc */
	CPUFUNC_FF(op_59f0_0), /* Scc */
	CPUFUNC_FF(op_59f0_0), /* Scc */
	CPUFUNC_FF(op_59f0_0), /* Scc */
	CPUFUNC_FF(op_59f0_0), /* Scc */
	CPUFUNC_FF(op_59f0_0), /* Scc */
	CPUFUNC_FF(op_59f0_0), /* Scc */
	CPUFUNC_FF(op_59f8_0), /* Scc */
	CPUFUNC_FF(op_59f9_0), /* Scc */
	CPUFUNC_FF(op_59fa_0), /* TRAPcc */
	CPUFUNC_FF(op_59fb_0), /* TRAPcc */
	CPUFUNC_FF(op_59fc_0), /* TRAPcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5038_0), /* ADD */
	CPUFUNC(op_5039_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5078_0), /* ADD */
	CPUFUNC(op_5079_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b8_0), /* ADD */
	CPUFUNC(op_50b9_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_5ac0_0), /* Scc */
	CPUFUNC_FF(op_5ac0_0), /* Scc */
	CPUFUNC_FF(op_5ac0_0), /* Scc */
	CPUFUNC_FF(op_5ac0_0), /* Scc */
	CPUFUNC_FF(op_5ac0_0), /* Scc */
	CPUFUNC_FF(op_5ac0_0), /* Scc */
	CPUFUNC_FF(op_5ac0_0), /* Scc */
	CPUFUNC_FF(op_5ac0_0), /* Scc */
	CPUFUNC_FF(op_5ac8_0), /* DBcc */
	CPUFUNC_FF(op_5ac8_0), /* DBcc */
	CPUFUNC_FF(op_5ac8_0), /* DBcc */
	CPUFUNC_FF(op_5ac8_0), /* DBcc */
	CPUFUNC_FF(op_5ac8_0), /* DBcc */
	CPUFUNC_FF(op_5ac8_0), /* DBcc */
	CPUFUNC_FF(op_5ac8_0), /* DBcc */
	CPUFUNC_FF(op_5ac8_0), /* DBcc */
	CPUFUNC_FF(op_5ad0_0), /* Scc */
	CPUFUNC_FF(op_5ad0_0), /* Scc */
	CPUFUNC_FF(op_5ad0_0), /* Scc */
	CPUFUNC_FF(op_5ad0_0), /* Scc */
	CPUFUNC_FF(op_5ad0_0), /* Scc */
	CPUFUNC_FF(op_5ad0_0), /* Scc */
	CPUFUNC_FF(op_5ad0_0), /* Scc */
	CPUFUNC_FF(op_5ad0_0), /* Scc */
	CPUFUNC_FF(op_5ad8_0), /* Scc */
	CPUFUNC_FF(op_5ad8_0), /* Scc */
	CPUFUNC_FF(op_5ad8_0), /* Scc */
	CPUFUNC_FF(op_5ad8_0), /* Scc */
	CPUFUNC_FF(op_5ad8_0), /* Scc */
	CPUFUNC_FF(op_5ad8_0), /* Scc */
	CPUFUNC_FF(op_5ad8_0), /* Scc */
	CPUFUNC_FF(op_5ad8_0), /* Scc */
	CPUFUNC_FF(op_5ae0_0), /* Scc */
	CPUFUNC_FF(op_5ae0_0), /* Scc */
	CPUFUNC_FF(op_5ae0_0), /* Scc */
	CPUFUNC_FF(op_5ae0_0), /* Scc */
	CPUFUNC_FF(op_5ae0_0), /* Scc */
	CPUFUNC_FF(op_5ae0_0), /* Scc */
	CPUFUNC_FF(op_5ae0_0), /* Scc */
	CPUFUNC_FF(op_5ae0_0), /* Scc */
	CPUFUNC_FF(op_5ae8_0), /* Scc */
	CPUFUNC_FF(op_5ae8_0), /* Scc */
	CPUFUNC_FF(op_5ae8_0), /* Scc */
	CPUFUNC_FF(op_5ae8_0), /* Scc */
	CPUFUNC_FF(op_5ae8_0), /* Scc */
	CPUFUNC_FF(op_5ae8_0), /* Scc */
	CPUFUNC_FF(op_5ae8_0), /* Scc */
	CPUFUNC_FF(op_5ae8_0), /* Scc */
	CPUFUNC_FF(op_5af0_0), /* Scc */
	CPUFUNC_FF(op_5af0_0), /* Scc */
	CPUFUNC_FF(op_5af0_0), /* Scc */
	CPUFUNC_FF(op_5af0_0), /* Scc */
	CPUFUNC_FF(op_5af0_0), /* Scc */
	CPUFUNC_FF(op_5af0_0), /* Scc */
	CPUFUNC_FF(op_5af0_0), /* Scc */
	CPUFUNC_FF(op_5af0_0), /* Scc */
	CPUFUNC_FF(op_5af8_0), /* Scc */
	CPUFUNC_FF(op_5af9_0), /* Scc */
	CPUFUNC_FF(op_5afa_0), /* TRAPcc */
	CPUFUNC_FF(op_5afb_0), /* TRAPcc */
	CPUFUNC_FF(op_5afc_0), /* TRAPcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5138_0), /* SUB */
	CPUFUNC(op_5139_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5178_0), /* SUB */
	CPUFUNC(op_5179_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b8_0), /* SUB */
	CPUFUNC(op_51b9_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_5bc0_0), /* Scc */
	CPUFUNC_FF(op_5bc0_0), /* Scc */
	CPUFUNC_FF(op_5bc0_0), /* Scc */
	CPUFUNC_FF(op_5bc0_0), /* Scc */
	CPUFUNC_FF(op_5bc0_0), /* Scc */
	CPUFUNC_FF(op_5bc0_0), /* Scc */
	CPUFUNC_FF(op_5bc0_0), /* Scc */
	CPUFUNC_FF(op_5bc0_0), /* Scc */
	CPUFUNC_FF(op_5bc8_0), /* DBcc */
	CPUFUNC_FF(op_5bc8_0), /* DBcc */
	CPUFUNC_FF(op_5bc8_0), /* DBcc */
	CPUFUNC_FF(op_5bc8_0), /* DBcc */
	CPUFUNC_FF(op_5bc8_0), /* DBcc */
	CPUFUNC_FF(op_5bc8_0), /* DBcc */
	CPUFUNC_FF(op_5bc8_0), /* DBcc */
	CPUFUNC_FF(op_5bc8_0), /* DBcc */
	CPUFUNC_FF(op_5bd0_0), /* Scc */
	CPUFUNC_FF(op_5bd0_0), /* Scc */
	CPUFUNC_FF(op_5bd0_0), /* Scc */
	CPUFUNC_FF(op_5bd0_0), /* Scc */
	CPUFUNC_FF(op_5bd0_0), /* Scc */
	CPUFUNC_FF(op_5bd0_0), /* Scc */
	CPUFUNC_FF(op_5bd0_0), /* Scc */
	CPUFUNC_FF(op_5bd0_0), /* Scc */
	CPUFUNC_FF(op_5bd8_0), /* Scc */
	CPUFUNC_FF(op_5bd8_0), /* Scc */
	CPUFUNC_FF(op_5bd8_0), /* Scc */
	CPUFUNC_FF(op_5bd8_0), /* Scc */
	CPUFUNC_FF(op_5bd8_0), /* Scc */
	CPUFUNC_FF(op_5bd8_0), /* Scc */
	CPUFUNC_FF(op_5bd8_0), /* Scc */
	CPUFUNC_FF(op_5bd8_0), /* Scc */
	CPUFUNC_FF(op_5be0_0), /* Scc */
	CPUFUNC_FF(op_5be0_0), /* Scc */
	CPUFUNC_FF(op_5be0_0), /* Scc */
	CPUFUNC_FF(op_5be0_0), /* Scc */
	CPUFUNC_FF(op_5be0_0), /* Scc */
	CPUFUNC_FF(op_5be0_0), /* Scc */
	CPUFUNC_FF(op_5be0_0), /* Scc */
	CPUFUNC_FF(op_5be0_0), /* Scc */
	CPUFUNC_FF(op_5be8_0), /* Scc */
	CPUFUNC_FF(op_5be8_0), /* Scc */
	CPUFUNC_FF(op_5be8_0), /* Scc */
	CPUFUNC_FF(op_5be8_0), /* Scc */
	CPUFUNC_FF(op_5be8_0), /* Scc */
	CPUFUNC_FF(op_5be8_0), /* Scc */
	CPUFUNC_FF(op_5be8_0), /* Scc */
	CPUFUNC_FF(op_5be8_0), /* Scc */
	CPUFUNC_FF(op_5bf0_0), /* Scc */
	CPUFUNC_FF(op_5bf0_0), /* Scc */
	CPUFUNC_FF(op_5bf0_0), /* Scc */
	CPUFUNC_FF(op_5bf0_0), /* Scc */
	CPUFUNC_FF(op_5bf0_0), /* Scc */
	CPUFUNC_FF(op_5bf0_0), /* Scc */
	CPUFUNC_FF(op_5bf0_0), /* Scc */
	CPUFUNC_FF(op_5bf0_0), /* Scc */
	CPUFUNC_FF(op_5bf8_0), /* Scc */
	CPUFUNC_FF(op_5bf9_0), /* Scc */
	CPUFUNC_FF(op_5bfa_0), /* TRAPcc */
	CPUFUNC_FF(op_5bfb_0), /* TRAPcc */
	CPUFUNC_FF(op_5bfc_0), /* TRAPcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5038_0), /* ADD */
	CPUFUNC(op_5039_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5078_0), /* ADD */
	CPUFUNC(op_5079_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b8_0), /* ADD */
	CPUFUNC(op_50b9_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_5cc0_0), /* Scc */
	CPUFUNC_FF(op_5cc0_0), /* Scc */
	CPUFUNC_FF(op_5cc0_0), /* Scc */
	CPUFUNC_FF(op_5cc0_0), /* Scc */
	CPUFUNC_FF(op_5cc0_0), /* Scc */
	CPUFUNC_FF(op_5cc0_0), /* Scc */
	CPUFUNC_FF(op_5cc0_0), /* Scc */
	CPUFUNC_FF(op_5cc0_0), /* Scc */
	CPUFUNC_FF(op_5cc8_0), /* DBcc */
	CPUFUNC_FF(op_5cc8_0), /* DBcc */
	CPUFUNC_FF(op_5cc8_0), /* DBcc */
	CPUFUNC_FF(op_5cc8_0), /* DBcc */
	CPUFUNC_FF(op_5cc8_0), /* DBcc */
	CPUFUNC_FF(op_5cc8_0), /* DBcc */
	CPUFUNC_FF(op_5cc8_0), /* DBcc */
	CPUFUNC_FF(op_5cc8_0), /* DBcc */
	CPUFUNC_FF(op_5cd0_0), /* Scc */
	CPUFUNC_FF(op_5cd0_0), /* Scc */
	CPUFUNC_FF(op_5cd0_0), /* Scc */
	CPUFUNC_FF(op_5cd0_0), /* Scc */
	CPUFUNC_FF(op_5cd0_0), /* Scc */
	CPUFUNC_FF(op_5cd0_0), /* Scc */
	CPUFUNC_FF(op_5cd0_0), /* Scc */
	CPUFUNC_FF(op_5cd0_0), /* Scc */
	CPUFUNC_FF(op_5cd8_0), /* Scc */
	CPUFUNC_FF(op_5cd8_0), /* Scc */
	CPUFUNC_FF(op_5cd8_0), /* Scc */
	CPUFUNC_FF(op_5cd8_0), /* Scc */
	CPUFUNC_FF(op_5cd8_0), /* Scc */
	CPUFUNC_FF(op_5cd8_0), /* Scc */
	CPUFUNC_FF(op_5cd8_0), /* Scc */
	CPUFUNC_FF(op_5cd8_0), /* Scc */
	CPUFUNC_FF(op_5ce0_0), /* Scc */
	CPUFUNC_FF(op_5ce0_0), /* Scc */
	CPUFUNC_FF(op_5ce0_0), /* Scc */
	CPUFUNC_FF(op_5ce0_0), /* Scc */
	CPUFUNC_FF(op_5ce0_0), /* Scc */
	CPUFUNC_FF(op_5ce0_0), /* Scc */
	CPUFUNC_FF(op_5ce0_0), /* Scc */
	CPUFUNC_FF(op_5ce0_0), /* Scc */
	CPUFUNC_FF(op_5ce8_0), /* Scc */
	CPUFUNC_FF(op_5ce8_0), /* Scc */
	CPUFUNC_FF(op_5ce8_0), /* Scc */
	CPUFUNC_FF(op_5ce8_0), /* Scc */
	CPUFUNC_FF(op_5ce8_0), /* Scc */
	CPUFUNC_FF(op_5ce8_0), /* Scc */
	CPUFUNC_FF(op_5ce8_0), /* Scc */
	CPUFUNC_FF(op_5ce8_0), /* Scc */
	CPUFUNC_FF(op_5cf0_0), /* Scc */
	CPUFUNC_FF(op_5cf0_0), /* Scc */
	CPUFUNC_FF(op_5cf0_0), /* Scc */
	CPUFUNC_FF(op_5cf0_0), /* Scc */
	CPUFUNC_FF(op_5cf0_0), /* Scc */
	CPUFUNC_FF(op_5cf0_0), /* Scc */
	CPUFUNC_FF(op_5cf0_0), /* Scc */
	CPUFUNC_FF(op_5cf0_0), /* Scc */
	CPUFUNC_FF(op_5cf8_0), /* Scc */
	CPUFUNC_FF(op_5cf9_0), /* Scc */
	CPUFUNC_FF(op_5cfa_0), /* TRAPcc */
	CPUFUNC_FF(op_5cfb_0), /* TRAPcc */
	CPUFUNC_FF(op_5cfc_0), /* TRAPcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5138_0), /* SUB */
	CPUFUNC(op_5139_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5178_0), /* SUB */
	CPUFUNC(op_5179_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b8_0), /* SUB */
	CPUFUNC(op_51b9_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_5dc0_0), /* Scc */
	CPUFUNC_FF(op_5dc0_0), /* Scc */
	CPUFUNC_FF(op_5dc0_0), /* Scc */
	CPUFUNC_FF(op_5dc0_0), /* Scc */
	CPUFUNC_FF(op_5dc0_0), /* Scc */
	CPUFUNC_FF(op_5dc0_0), /* Scc */
	CPUFUNC_FF(op_5dc0_0), /* Scc */
	CPUFUNC_FF(op_5dc0_0), /* Scc */
	CPUFUNC_FF(op_5dc8_0), /* DBcc */
	CPUFUNC_FF(op_5dc8_0), /* DBcc */
	CPUFUNC_FF(op_5dc8_0), /* DBcc */
	CPUFUNC_FF(op_5dc8_0), /* DBcc */
	CPUFUNC_FF(op_5dc8_0), /* DBcc */
	CPUFUNC_FF(op_5dc8_0), /* DBcc */
	CPUFUNC_FF(op_5dc8_0), /* DBcc */
	CPUFUNC_FF(op_5dc8_0), /* DBcc */
	CPUFUNC_FF(op_5dd0_0), /* Scc */
	CPUFUNC_FF(op_5dd0_0), /* Scc */
	CPUFUNC_FF(op_5dd0_0), /* Scc */
	CPUFUNC_FF(op_5dd0_0), /* Scc */
	CPUFUNC_FF(op_5dd0_0), /* Scc */
	CPUFUNC_FF(op_5dd0_0), /* Scc */
	CPUFUNC_FF(op_5dd0_0), /* Scc */
	CPUFUNC_FF(op_5dd0_0), /* Scc */
	CPUFUNC_FF(op_5dd8_0), /* Scc */
	CPUFUNC_FF(op_5dd8_0), /* Scc */
	CPUFUNC_FF(op_5dd8_0), /* Scc */
	CPUFUNC_FF(op_5dd8_0), /* Scc */
	CPUFUNC_FF(op_5dd8_0), /* Scc */
	CPUFUNC_FF(op_5dd8_0), /* Scc */
	CPUFUNC_FF(op_5dd8_0), /* Scc */
	CPUFUNC_FF(op_5dd8_0), /* Scc */
	CPUFUNC_FF(op_5de0_0), /* Scc */
	CPUFUNC_FF(op_5de0_0), /* Scc */
	CPUFUNC_FF(op_5de0_0), /* Scc */
	CPUFUNC_FF(op_5de0_0), /* Scc */
	CPUFUNC_FF(op_5de0_0), /* Scc */
	CPUFUNC_FF(op_5de0_0), /* Scc */
	CPUFUNC_FF(op_5de0_0), /* Scc */
	CPUFUNC_FF(op_5de0_0), /* Scc */
	CPUFUNC_FF(op_5de8_0), /* Scc */
	CPUFUNC_FF(op_5de8_0), /* Scc */
	CPUFUNC_FF(op_5de8_0), /* Scc */
	CPUFUNC_FF(op_5de8_0), /* Scc */
	CPUFUNC_FF(op_5de8_0), /* Scc */
	CPUFUNC_FF(op_5de8_0), /* Scc */
	CPUFUNC_FF(op_5de8_0), /* Scc */
	CPUFUNC_FF(op_5de8_0), /* Scc */
	CPUFUNC_FF(op_5df0_0), /* Scc */
	CPUFUNC_FF(op_5df0_0), /* Scc */
	CPUFUNC_FF(op_5df0_0), /* Scc */
	CPUFUNC_FF(op_5df0_0), /* Scc */
	CPUFUNC_FF(op_5df0_0), /* Scc */
	CPUFUNC_FF(op_5df0_0), /* Scc */
	CPUFUNC_FF(op_5df0_0), /* Scc */
	CPUFUNC_FF(op_5df0_0), /* Scc */
	CPUFUNC_FF(op_5df8_0), /* Scc */
	CPUFUNC_FF(op_5df9_0), /* Scc */
	CPUFUNC_FF(op_5dfa_0), /* TRAPcc */
	CPUFUNC_FF(op_5dfb_0), /* TRAPcc */
	CPUFUNC_FF(op_5dfc_0), /* TRAPcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5000_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5038_0), /* ADD */
	CPUFUNC(op_5039_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5078_0), /* ADD */
	CPUFUNC(op_5079_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_50b8_0), /* ADD */
	CPUFUNC(op_50b9_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_5ec0_0), /* Scc */
	CPUFUNC_FF(op_5ec0_0), /* Scc */
	CPUFUNC_FF(op_5ec0_0), /* Scc */
	CPUFUNC_FF(op_5ec0_0), /* Scc */
	CPUFUNC_FF(op_5ec0_0), /* Scc */
	CPUFUNC_FF(op_5ec0_0), /* Scc */
	CPUFUNC_FF(op_5ec0_0), /* Scc */
	CPUFUNC_FF(op_5ec0_0), /* Scc */
	CPUFUNC_FF(op_5ec8_0), /* DBcc */
	CPUFUNC_FF(op_5ec8_0), /* DBcc */
	CPUFUNC_FF(op_5ec8_0), /* DBcc */
	CPUFUNC_FF(op_5ec8_0), /* DBcc */
	CPUFUNC_FF(op_5ec8_0), /* DBcc */
	CPUFUNC_FF(op_5ec8_0), /* DBcc */
	CPUFUNC_FF(op_5ec8_0), /* DBcc */
	CPUFUNC_FF(op_5ec8_0), /* DBcc */
	CPUFUNC_FF(op_5ed0_0), /* Scc */
	CPUFUNC_FF(op_5ed0_0), /* Scc */
	CPUFUNC_FF(op_5ed0_0), /* Scc */
	CPUFUNC_FF(op_5ed0_0), /* Scc */
	CPUFUNC_FF(op_5ed0_0), /* Scc */
	CPUFUNC_FF(op_5ed0_0), /* Scc */
	CPUFUNC_FF(op_5ed0_0), /* Scc */
	CPUFUNC_FF(op_5ed0_0), /* Scc */
	CPUFUNC_FF(op_5ed8_0), /* Scc */
	CPUFUNC_FF(op_5ed8_0), /* Scc */
	CPUFUNC_FF(op_5ed8_0), /* Scc */
	CPUFUNC_FF(op_5ed8_0), /* Scc */
	CPUFUNC_FF(op_5ed8_0), /* Scc */
	CPUFUNC_FF(op_5ed8_0), /* Scc */
	CPUFUNC_FF(op_5ed8_0), /* Scc */
	CPUFUNC_FF(op_5ed8_0), /* Scc */
	CPUFUNC_FF(op_5ee0_0), /* Scc */
	CPUFUNC_FF(op_5ee0_0), /* Scc */
	CPUFUNC_FF(op_5ee0_0), /* Scc */
	CPUFUNC_FF(op_5ee0_0), /* Scc */
	CPUFUNC_FF(op_5ee0_0), /* Scc */
	CPUFUNC_FF(op_5ee0_0), /* Scc */
	CPUFUNC_FF(op_5ee0_0), /* Scc */
	CPUFUNC_FF(op_5ee0_0), /* Scc */
	CPUFUNC_FF(op_5ee8_0), /* Scc */
	CPUFUNC_FF(op_5ee8_0), /* Scc */
	CPUFUNC_FF(op_5ee8_0), /* Scc */
	CPUFUNC_FF(op_5ee8_0), /* Scc */
	CPUFUNC_FF(op_5ee8_0), /* Scc */
	CPUFUNC_FF(op_5ee8_0), /* Scc */
	CPUFUNC_FF(op_5ee8_0), /* Scc */
	CPUFUNC_FF(op_5ee8_0), /* Scc */
	CPUFUNC_FF(op_5ef0_0), /* Scc */
	CPUFUNC_FF(op_5ef0_0), /* Scc */
	CPUFUNC_FF(op_5ef0_0), /* Scc */
	CPUFUNC_FF(op_5ef0_0), /* Scc */
	CPUFUNC_FF(op_5ef0_0), /* Scc */
	CPUFUNC_FF(op_5ef0_0), /* Scc */
	CPUFUNC_FF(op_5ef0_0), /* Scc */
	CPUFUNC_FF(op_5ef0_0), /* Scc */
	CPUFUNC_FF(op_5ef8_0), /* Scc */
	CPUFUNC_FF(op_5ef9_0), /* Scc */
	CPUFUNC_FF(op_5efa_0), /* TRAPcc */
	CPUFUNC_FF(op_5efb_0), /* TRAPcc */
	CPUFUNC_FF(op_5efc_0), /* TRAPcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5100_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5138_0), /* SUB */
	CPUFUNC(op_5139_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5178_0), /* SUB */
	CPUFUNC(op_5179_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_51b8_0), /* SUB */
	CPUFUNC(op_51b9_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_5fc0_0), /* Scc */
	CPUFUNC_FF(op_5fc0_0), /* Scc */
	CPUFUNC_FF(op_5fc0_0), /* Scc */
	CPUFUNC_FF(op_5fc0_0), /* Scc */
	CPUFUNC_FF(op_5fc0_0), /* Scc */
	CPUFUNC_FF(op_5fc0_0), /* Scc */
	CPUFUNC_FF(op_5fc0_0), /* Scc */
	CPUFUNC_FF(op_5fc0_0), /* Scc */
	CPUFUNC_FF(op_5fc8_0), /* DBcc */
	CPUFUNC_FF(op_5fc8_0), /* DBcc */
	CPUFUNC_FF(op_5fc8_0), /* DBcc */
	CPUFUNC_FF(op_5fc8_0), /* DBcc */
	CPUFUNC_FF(op_5fc8_0), /* DBcc */
	CPUFUNC_FF(op_5fc8_0), /* DBcc */
	CPUFUNC_FF(op_5fc8_0), /* DBcc */
	CPUFUNC_FF(op_5fc8_0), /* DBcc */
	CPUFUNC_FF(op_5fd0_0), /* Scc */
	CPUFUNC_FF(op_5fd0_0), /* Scc */
	CPUFUNC_FF(op_5fd0_0), /* Scc */
	CPUFUNC_FF(op_5fd0_0), /* Scc */
	CPUFUNC_FF(op_5fd0_0), /* Scc */
	CPUFUNC_FF(op_5fd0_0), /* Scc */
	CPUFUNC_FF(op_5fd0_0), /* Scc */
	CPUFUNC_FF(op_5fd0_0), /* Scc */
	CPUFUNC_FF(op_5fd8_0), /* Scc */
	CPUFUNC_FF(op_5fd8_0), /* Scc */
	CPUFUNC_FF(op_5fd8_0), /* Scc */
	CPUFUNC_FF(op_5fd8_0), /* Scc */
	CPUFUNC_FF(op_5fd8_0), /* Scc */
	CPUFUNC_FF(op_5fd8_0), /* Scc */
	CPUFUNC_FF(op_5fd8_0), /* Scc */
	CPUFUNC_FF(op_5fd8_0), /* Scc */
	CPUFUNC_FF(op_5fe0_0), /* Scc */
	CPUFUNC_FF(op_5fe0_0), /* Scc */
	CPUFUNC_FF(op_5fe0_0), /* Scc */
	CPUFUNC_FF(op_5fe0_0), /* Scc */
	CPUFUNC_FF(op_5fe0_0), /* Scc */
	CPUFUNC_FF(op_5fe0_0), /* Scc */
	CPUFUNC_FF(op_5fe0_0), /* Scc */
	CPUFUNC_FF(op_5fe0_0), /* Scc */
	CPUFUNC_FF(op_5fe8_0), /* Scc */
	CPUFUNC_FF(op_5fe8_0), /* Scc */
	CPUFUNC_FF(op_5fe8_0), /* Scc */
	CPUFUNC_FF(op_5fe8_0), /* Scc */
	CPUFUNC_FF(op_5fe8_0), /* Scc */
	CPUFUNC_FF(op_5fe8_0), /* Scc */
	CPUFUNC_FF(op_5fe8_0), /* Scc */
	CPUFUNC_FF(op_5fe8_0), /* Scc */
	CPUFUNC_FF(op_5ff0_0), /* Scc */
	CPUFUNC_FF(op_5ff0_0), /* Scc */
	CPUFUNC_FF(op_5ff0_0), /* Scc */
	CPUFUNC_FF(op_5ff0_0), /* Scc */
	CPUFUNC_FF(op_5ff0_0), /* Scc */
	CPUFUNC_FF(op_5ff0_0), /* Scc */
	CPUFUNC_FF(op_5ff0_0), /* Scc */
	CPUFUNC_FF(op_5ff0_0), /* Scc */
	CPUFUNC_FF(op_5ff8_0), /* Scc */
	CPUFUNC_FF(op_5ff9_0), /* Scc */
	CPUFUNC_FF(op_5ffa_0), /* TRAPcc */
	CPUFUNC_FF(op_5ffb_0), /* TRAPcc */
	CPUFUNC_FF(op_5ffc_0), /* TRAPcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_6000_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_60ff_0), /* Bcc */
	CPUFUNC_FF(op_6100_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_61ff_0), /* BSR */
	CPUFUNC_FF(op_6200_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_62ff_0), /* Bcc */
	CPUFUNC_FF(op_6300_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_63ff_0), /* Bcc */
	CPUFUNC_FF(op_6400_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_64ff_0), /* Bcc */
	CPUFUNC_FF(op_6500_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_65ff_0), /* Bcc */
	CPUFUNC_FF(op_6600_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_66ff_0), /* Bcc */
	CPUFUNC_FF(op_6700_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_67ff_0), /* Bcc */
	CPUFUNC_FF(op_6800_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_68ff_0), /* Bcc */
	CPUFUNC_FF(op_6900_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_69ff_0), /* Bcc */
	CPUFUNC_FF(op_6a00_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6aff_0), /* Bcc */
	CPUFUNC_FF(op_6b00_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6bff_0), /* Bcc */
	CPUFUNC_FF(op_6c00_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6cff_0), /* Bcc */
	CPUFUNC_FF(op_6d00_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6dff_0), /* Bcc */
	CPUFUNC_FF(op_6e00_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6eff_0), /* Bcc */
	CPUFUNC_FF(op_6f00_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC_FF(op_6fff_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7100_0), /* EMULOP_RETURN */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7300_0), /* NATFEAT_ID */
	CPUFUNC_FF(op_7301_0), /* NATFEAT_CALL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8038_0), /* OR */
	CPUFUNC(op_8039_0), /* OR */
	CPUFUNC(op_803a_0), /* OR */
	CPUFUNC(op_803b_0), /* OR */
	CPUFUNC(op_803c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8078_0), /* OR */
	CPUFUNC(op_8079_0), /* OR */
	CPUFUNC(op_807a_0), /* OR */
	CPUFUNC(op_807b_0), /* OR */
	CPUFUNC(op_807c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b8_0), /* OR */
	CPUFUNC(op_80b9_0), /* OR */
	CPUFUNC(op_80ba_0), /* OR */
	CPUFUNC(op_80bb_0), /* OR */
	CPUFUNC(op_80bc_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f8_0), /* DIVU */
	CPUFUNC(op_80f9_0), /* DIVU */
	CPUFUNC(op_80fa_0), /* DIVU */
	CPUFUNC(op_80fb_0), /* DIVU */
	CPUFUNC(op_80fc_0), /* DIVU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8138_0), /* OR */
	CPUFUNC(op_8139_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8178_0), /* OR */
	CPUFUNC(op_8179_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b8_0), /* OR */
	CPUFUNC(op_81b9_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f8_0), /* DIVS */
	CPUFUNC(op_81f9_0), /* DIVS */
	CPUFUNC(op_81fa_0), /* DIVS */
	CPUFUNC(op_81fb_0), /* DIVS */
	CPUFUNC(op_81fc_0), /* DIVS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8038_0), /* OR */
	CPUFUNC(op_8039_0), /* OR */
	CPUFUNC(op_803a_0), /* OR */
	CPUFUNC(op_803b_0), /* OR */
	CPUFUNC(op_803c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8078_0), /* OR */
	CPUFUNC(op_8079_0), /* OR */
	CPUFUNC(op_807a_0), /* OR */
	CPUFUNC(op_807b_0), /* OR */
	CPUFUNC(op_807c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b8_0), /* OR */
	CPUFUNC(op_80b9_0), /* OR */
	CPUFUNC(op_80ba_0), /* OR */
	CPUFUNC(op_80bb_0), /* OR */
	CPUFUNC(op_80bc_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f8_0), /* DIVU */
	CPUFUNC(op_80f9_0), /* DIVU */
	CPUFUNC(op_80fa_0), /* DIVU */
	CPUFUNC(op_80fb_0), /* DIVU */
	CPUFUNC(op_80fc_0), /* DIVU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8138_0), /* OR */
	CPUFUNC(op_8139_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8178_0), /* OR */
	CPUFUNC(op_8179_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b8_0), /* OR */
	CPUFUNC(op_81b9_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f8_0), /* DIVS */
	CPUFUNC(op_81f9_0), /* DIVS */
	CPUFUNC(op_81fa_0), /* DIVS */
	CPUFUNC(op_81fb_0), /* DIVS */
	CPUFUNC(op_81fc_0), /* DIVS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8038_0), /* OR */
	CPUFUNC(op_8039_0), /* OR */
	CPUFUNC(op_803a_0), /* OR */
	CPUFUNC(op_803b_0), /* OR */
	CPUFUNC(op_803c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8078_0), /* OR */
	CPUFUNC(op_8079_0), /* OR */
	CPUFUNC(op_807a_0), /* OR */
	CPUFUNC(op_807b_0), /* OR */
	CPUFUNC(op_807c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b8_0), /* OR */
	CPUFUNC(op_80b9_0), /* OR */
	CPUFUNC(op_80ba_0), /* OR */
	CPUFUNC(op_80bb_0), /* OR */
	CPUFUNC(op_80bc_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f8_0), /* DIVU */
	CPUFUNC(op_80f9_0), /* DIVU */
	CPUFUNC(op_80fa_0), /* DIVU */
	CPUFUNC(op_80fb_0), /* DIVU */
	CPUFUNC(op_80fc_0), /* DIVU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8138_0), /* OR */
	CPUFUNC(op_8139_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8178_0), /* OR */
	CPUFUNC(op_8179_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b8_0), /* OR */
	CPUFUNC(op_81b9_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f8_0), /* DIVS */
	CPUFUNC(op_81f9_0), /* DIVS */
	CPUFUNC(op_81fa_0), /* DIVS */
	CPUFUNC(op_81fb_0), /* DIVS */
	CPUFUNC(op_81fc_0), /* DIVS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8038_0), /* OR */
	CPUFUNC(op_8039_0), /* OR */
	CPUFUNC(op_803a_0), /* OR */
	CPUFUNC(op_803b_0), /* OR */
	CPUFUNC(op_803c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8078_0), /* OR */
	CPUFUNC(op_8079_0), /* OR */
	CPUFUNC(op_807a_0), /* OR */
	CPUFUNC(op_807b_0), /* OR */
	CPUFUNC(op_807c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b8_0), /* OR */
	CPUFUNC(op_80b9_0), /* OR */
	CPUFUNC(op_80ba_0), /* OR */
	CPUFUNC(op_80bb_0), /* OR */
	CPUFUNC(op_80bc_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f8_0), /* DIVU */
	CPUFUNC(op_80f9_0), /* DIVU */
	CPUFUNC(op_80fa_0), /* DIVU */
	CPUFUNC(op_80fb_0), /* DIVU */
	CPUFUNC(op_80fc_0), /* DIVU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8138_0), /* OR */
	CPUFUNC(op_8139_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8178_0), /* OR */
	CPUFUNC(op_8179_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b8_0), /* OR */
	CPUFUNC(op_81b9_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f8_0), /* DIVS */
	CPUFUNC(op_81f9_0), /* DIVS */
	CPUFUNC(op_81fa_0), /* DIVS */
	CPUFUNC(op_81fb_0), /* DIVS */
	CPUFUNC(op_81fc_0), /* DIVS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8038_0), /* OR */
	CPUFUNC(op_8039_0), /* OR */
	CPUFUNC(op_803a_0), /* OR */
	CPUFUNC(op_803b_0), /* OR */
	CPUFUNC(op_803c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8078_0), /* OR */
	CPUFUNC(op_8079_0), /* OR */
	CPUFUNC(op_807a_0), /* OR */
	CPUFUNC(op_807b_0), /* OR */
	CPUFUNC(op_807c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b8_0), /* OR */
	CPUFUNC(op_80b9_0), /* OR */
	CPUFUNC(op_80ba_0), /* OR */
	CPUFUNC(op_80bb_0), /* OR */
	CPUFUNC(op_80bc_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f8_0), /* DIVU */
	CPUFUNC(op_80f9_0), /* DIVU */
	CPUFUNC(op_80fa_0), /* DIVU */
	CPUFUNC(op_80fb_0), /* DIVU */
	CPUFUNC(op_80fc_0), /* DIVU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8138_0), /* OR */
	CPUFUNC(op_8139_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8178_0), /* OR */
	CPUFUNC(op_8179_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b8_0), /* OR */
	CPUFUNC(op_81b9_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f8_0), /* DIVS */
	CPUFUNC(op_81f9_0), /* DIVS */
	CPUFUNC(op_81fa_0), /* DIVS */
	CPUFUNC(op_81fb_0), /* DIVS */
	CPUFUNC(op_81fc_0), /* DIVS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8038_0), /* OR */
	CPUFUNC(op_8039_0), /* OR */
	CPUFUNC(op_803a_0), /* OR */
	CPUFUNC(op_803b_0), /* OR */
	CPUFUNC(op_803c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8078_0), /* OR */
	CPUFUNC(op_8079_0), /* OR */
	CPUFUNC(op_807a_0), /* OR */
	CPUFUNC(op_807b_0), /* OR */
	CPUFUNC(op_807c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b8_0), /* OR */
	CPUFUNC(op_80b9_0), /* OR */
	CPUFUNC(op_80ba_0), /* OR */
	CPUFUNC(op_80bb_0), /* OR */
	CPUFUNC(op_80bc_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f8_0), /* DIVU */
	CPUFUNC(op_80f9_0), /* DIVU */
	CPUFUNC(op_80fa_0), /* DIVU */
	CPUFUNC(op_80fb_0), /* DIVU */
	CPUFUNC(op_80fc_0), /* DIVU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8138_0), /* OR */
	CPUFUNC(op_8139_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8178_0), /* OR */
	CPUFUNC(op_8179_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b8_0), /* OR */
	CPUFUNC(op_81b9_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f8_0), /* DIVS */
	CPUFUNC(op_81f9_0), /* DIVS */
	CPUFUNC(op_81fa_0), /* DIVS */
	CPUFUNC(op_81fb_0), /* DIVS */
	CPUFUNC(op_81fc_0), /* DIVS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8038_0), /* OR */
	CPUFUNC(op_8039_0), /* OR */
	CPUFUNC(op_803a_0), /* OR */
	CPUFUNC(op_803b_0), /* OR */
	CPUFUNC(op_803c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8078_0), /* OR */
	CPUFUNC(op_8079_0), /* OR */
	CPUFUNC(op_807a_0), /* OR */
	CPUFUNC(op_807b_0), /* OR */
	CPUFUNC(op_807c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b8_0), /* OR */
	CPUFUNC(op_80b9_0), /* OR */
	CPUFUNC(op_80ba_0), /* OR */
	CPUFUNC(op_80bb_0), /* OR */
	CPUFUNC(op_80bc_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f8_0), /* DIVU */
	CPUFUNC(op_80f9_0), /* DIVU */
	CPUFUNC(op_80fa_0), /* DIVU */
	CPUFUNC(op_80fb_0), /* DIVU */
	CPUFUNC(op_80fc_0), /* DIVU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8138_0), /* OR */
	CPUFUNC(op_8139_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8178_0), /* OR */
	CPUFUNC(op_8179_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b8_0), /* OR */
	CPUFUNC(op_81b9_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f8_0), /* DIVS */
	CPUFUNC(op_81f9_0), /* DIVS */
	CPUFUNC(op_81fa_0), /* DIVS */
	CPUFUNC(op_81fb_0), /* DIVS */
	CPUFUNC(op_81fc_0), /* DIVS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8000_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8038_0), /* OR */
	CPUFUNC(op_8039_0), /* OR */
	CPUFUNC(op_803a_0), /* OR */
	CPUFUNC(op_803b_0), /* OR */
	CPUFUNC(op_803c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC(op_8040_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8078_0), /* OR */
	CPUFUNC(op_8079_0), /* OR */
	CPUFUNC(op_807a_0), /* OR */
	CPUFUNC(op_807b_0), /* OR */
	CPUFUNC(op_807c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC(op_8080_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_80b8_0), /* OR */
	CPUFUNC(op_80b9_0), /* OR */
	CPUFUNC(op_80ba_0), /* OR */
	CPUFUNC(op_80bb_0), /* OR */
	CPUFUNC(op_80bc_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_80c0_0), /* DIVU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_80f8_0), /* DIVU */
	CPUFUNC(op_80f9_0), /* DIVU */
	CPUFUNC(op_80fa_0), /* DIVU */
	CPUFUNC(op_80fb_0), /* DIVU */
	CPUFUNC(op_80fc_0), /* DIVU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8108_0), /* SBCD */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8138_0), /* OR */
	CPUFUNC(op_8139_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8178_0), /* OR */
	CPUFUNC(op_8179_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_81b8_0), /* OR */
	CPUFUNC(op_81b9_0), /* OR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_81c0_0), /* DIVS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_81f8_0), /* DIVS */
	CPUFUNC(op_81f9_0), /* DIVS */
	CPUFUNC(op_81fa_0), /* DIVS */
	CPUFUNC(op_81fb_0), /* DIVS */
	CPUFUNC(op_81fc_0), /* DIVS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9038_0), /* SUB */
	CPUFUNC(op_9039_0), /* SUB */
	CPUFUNC(op_903a_0), /* SUB */
	CPUFUNC(op_903b_0), /* SUB */
	CPUFUNC(op_903c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9078_0), /* SUB */
	CPUFUNC(op_9079_0), /* SUB */
	CPUFUNC(op_907a_0), /* SUB */
	CPUFUNC(op_907b_0), /* SUB */
	CPUFUNC(op_907c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b8_0), /* SUB */
	CPUFUNC(op_90b9_0), /* SUB */
	CPUFUNC(op_90ba_0), /* SUB */
	CPUFUNC(op_90bb_0), /* SUB */
	CPUFUNC(op_90bc_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f8_0), /* SUBA */
	CPUFUNC_FF(op_90f9_0), /* SUBA */
	CPUFUNC_FF(op_90fa_0), /* SUBA */
	CPUFUNC_FF(op_90fb_0), /* SUBA */
	CPUFUNC_FF(op_90fc_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9138_0), /* SUB */
	CPUFUNC(op_9139_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9178_0), /* SUB */
	CPUFUNC(op_9179_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b8_0), /* SUB */
	CPUFUNC(op_91b9_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f8_0), /* SUBA */
	CPUFUNC_FF(op_91f9_0), /* SUBA */
	CPUFUNC_FF(op_91fa_0), /* SUBA */
	CPUFUNC_FF(op_91fb_0), /* SUBA */
	CPUFUNC_FF(op_91fc_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9038_0), /* SUB */
	CPUFUNC(op_9039_0), /* SUB */
	CPUFUNC(op_903a_0), /* SUB */
	CPUFUNC(op_903b_0), /* SUB */
	CPUFUNC(op_903c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9078_0), /* SUB */
	CPUFUNC(op_9079_0), /* SUB */
	CPUFUNC(op_907a_0), /* SUB */
	CPUFUNC(op_907b_0), /* SUB */
	CPUFUNC(op_907c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b8_0), /* SUB */
	CPUFUNC(op_90b9_0), /* SUB */
	CPUFUNC(op_90ba_0), /* SUB */
	CPUFUNC(op_90bb_0), /* SUB */
	CPUFUNC(op_90bc_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f8_0), /* SUBA */
	CPUFUNC_FF(op_90f9_0), /* SUBA */
	CPUFUNC_FF(op_90fa_0), /* SUBA */
	CPUFUNC_FF(op_90fb_0), /* SUBA */
	CPUFUNC_FF(op_90fc_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9138_0), /* SUB */
	CPUFUNC(op_9139_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9178_0), /* SUB */
	CPUFUNC(op_9179_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b8_0), /* SUB */
	CPUFUNC(op_91b9_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f8_0), /* SUBA */
	CPUFUNC_FF(op_91f9_0), /* SUBA */
	CPUFUNC_FF(op_91fa_0), /* SUBA */
	CPUFUNC_FF(op_91fb_0), /* SUBA */
	CPUFUNC_FF(op_91fc_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9038_0), /* SUB */
	CPUFUNC(op_9039_0), /* SUB */
	CPUFUNC(op_903a_0), /* SUB */
	CPUFUNC(op_903b_0), /* SUB */
	CPUFUNC(op_903c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9078_0), /* SUB */
	CPUFUNC(op_9079_0), /* SUB */
	CPUFUNC(op_907a_0), /* SUB */
	CPUFUNC(op_907b_0), /* SUB */
	CPUFUNC(op_907c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b8_0), /* SUB */
	CPUFUNC(op_90b9_0), /* SUB */
	CPUFUNC(op_90ba_0), /* SUB */
	CPUFUNC(op_90bb_0), /* SUB */
	CPUFUNC(op_90bc_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f8_0), /* SUBA */
	CPUFUNC_FF(op_90f9_0), /* SUBA */
	CPUFUNC_FF(op_90fa_0), /* SUBA */
	CPUFUNC_FF(op_90fb_0), /* SUBA */
	CPUFUNC_FF(op_90fc_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9138_0), /* SUB */
	CPUFUNC(op_9139_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9178_0), /* SUB */
	CPUFUNC(op_9179_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b8_0), /* SUB */
	CPUFUNC(op_91b9_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f8_0), /* SUBA */
	CPUFUNC_FF(op_91f9_0), /* SUBA */
	CPUFUNC_FF(op_91fa_0), /* SUBA */
	CPUFUNC_FF(op_91fb_0), /* SUBA */
	CPUFUNC_FF(op_91fc_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9038_0), /* SUB */
	CPUFUNC(op_9039_0), /* SUB */
	CPUFUNC(op_903a_0), /* SUB */
	CPUFUNC(op_903b_0), /* SUB */
	CPUFUNC(op_903c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9078_0), /* SUB */
	CPUFUNC(op_9079_0), /* SUB */
	CPUFUNC(op_907a_0), /* SUB */
	CPUFUNC(op_907b_0), /* SUB */
	CPUFUNC(op_907c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b8_0), /* SUB */
	CPUFUNC(op_90b9_0), /* SUB */
	CPUFUNC(op_90ba_0), /* SUB */
	CPUFUNC(op_90bb_0), /* SUB */
	CPUFUNC(op_90bc_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f8_0), /* SUBA */
	CPUFUNC_FF(op_90f9_0), /* SUBA */
	CPUFUNC_FF(op_90fa_0), /* SUBA */
	CPUFUNC_FF(op_90fb_0), /* SUBA */
	CPUFUNC_FF(op_90fc_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9138_0), /* SUB */
	CPUFUNC(op_9139_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9178_0), /* SUB */
	CPUFUNC(op_9179_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b8_0), /* SUB */
	CPUFUNC(op_91b9_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f8_0), /* SUBA */
	CPUFUNC_FF(op_91f9_0), /* SUBA */
	CPUFUNC_FF(op_91fa_0), /* SUBA */
	CPUFUNC_FF(op_91fb_0), /* SUBA */
	CPUFUNC_FF(op_91fc_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9038_0), /* SUB */
	CPUFUNC(op_9039_0), /* SUB */
	CPUFUNC(op_903a_0), /* SUB */
	CPUFUNC(op_903b_0), /* SUB */
	CPUFUNC(op_903c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9078_0), /* SUB */
	CPUFUNC(op_9079_0), /* SUB */
	CPUFUNC(op_907a_0), /* SUB */
	CPUFUNC(op_907b_0), /* SUB */
	CPUFUNC(op_907c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b8_0), /* SUB */
	CPUFUNC(op_90b9_0), /* SUB */
	CPUFUNC(op_90ba_0), /* SUB */
	CPUFUNC(op_90bb_0), /* SUB */
	CPUFUNC(op_90bc_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f8_0), /* SUBA */
	CPUFUNC_FF(op_90f9_0), /* SUBA */
	CPUFUNC_FF(op_90fa_0), /* SUBA */
	CPUFUNC_FF(op_90fb_0), /* SUBA */
	CPUFUNC_FF(op_90fc_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9138_0), /* SUB */
	CPUFUNC(op_9139_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9178_0), /* SUB */
	CPUFUNC(op_9179_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b8_0), /* SUB */
	CPUFUNC(op_91b9_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f8_0), /* SUBA */
	CPUFUNC_FF(op_91f9_0), /* SUBA */
	CPUFUNC_FF(op_91fa_0), /* SUBA */
	CPUFUNC_FF(op_91fb_0), /* SUBA */
	CPUFUNC_FF(op_91fc_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9038_0), /* SUB */
	CPUFUNC(op_9039_0), /* SUB */
	CPUFUNC(op_903a_0), /* SUB */
	CPUFUNC(op_903b_0), /* SUB */
	CPUFUNC(op_903c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9078_0), /* SUB */
	CPUFUNC(op_9079_0), /* SUB */
	CPUFUNC(op_907a_0), /* SUB */
	CPUFUNC(op_907b_0), /* SUB */
	CPUFUNC(op_907c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b8_0), /* SUB */
	CPUFUNC(op_90b9_0), /* SUB */
	CPUFUNC(op_90ba_0), /* SUB */
	CPUFUNC(op_90bb_0), /* SUB */
	CPUFUNC(op_90bc_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f8_0), /* SUBA */
	CPUFUNC_FF(op_90f9_0), /* SUBA */
	CPUFUNC_FF(op_90fa_0), /* SUBA */
	CPUFUNC_FF(op_90fb_0), /* SUBA */
	CPUFUNC_FF(op_90fc_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9138_0), /* SUB */
	CPUFUNC(op_9139_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9178_0), /* SUB */
	CPUFUNC(op_9179_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b8_0), /* SUB */
	CPUFUNC(op_91b9_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f8_0), /* SUBA */
	CPUFUNC_FF(op_91f9_0), /* SUBA */
	CPUFUNC_FF(op_91fa_0), /* SUBA */
	CPUFUNC_FF(op_91fb_0), /* SUBA */
	CPUFUNC_FF(op_91fc_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9038_0), /* SUB */
	CPUFUNC(op_9039_0), /* SUB */
	CPUFUNC(op_903a_0), /* SUB */
	CPUFUNC(op_903b_0), /* SUB */
	CPUFUNC(op_903c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9078_0), /* SUB */
	CPUFUNC(op_9079_0), /* SUB */
	CPUFUNC(op_907a_0), /* SUB */
	CPUFUNC(op_907b_0), /* SUB */
	CPUFUNC(op_907c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b8_0), /* SUB */
	CPUFUNC(op_90b9_0), /* SUB */
	CPUFUNC(op_90ba_0), /* SUB */
	CPUFUNC(op_90bb_0), /* SUB */
	CPUFUNC(op_90bc_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f8_0), /* SUBA */
	CPUFUNC_FF(op_90f9_0), /* SUBA */
	CPUFUNC_FF(op_90fa_0), /* SUBA */
	CPUFUNC_FF(op_90fb_0), /* SUBA */
	CPUFUNC_FF(op_90fc_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9138_0), /* SUB */
	CPUFUNC(op_9139_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9178_0), /* SUB */
	CPUFUNC(op_9179_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b8_0), /* SUB */
	CPUFUNC(op_91b9_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f8_0), /* SUBA */
	CPUFUNC_FF(op_91f9_0), /* SUBA */
	CPUFUNC_FF(op_91fa_0), /* SUBA */
	CPUFUNC_FF(op_91fb_0), /* SUBA */
	CPUFUNC_FF(op_91fc_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9000_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9038_0), /* SUB */
	CPUFUNC(op_9039_0), /* SUB */
	CPUFUNC(op_903a_0), /* SUB */
	CPUFUNC(op_903b_0), /* SUB */
	CPUFUNC(op_903c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9078_0), /* SUB */
	CPUFUNC(op_9079_0), /* SUB */
	CPUFUNC(op_907a_0), /* SUB */
	CPUFUNC(op_907b_0), /* SUB */
	CPUFUNC(op_907c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_90b8_0), /* SUB */
	CPUFUNC(op_90b9_0), /* SUB */
	CPUFUNC(op_90ba_0), /* SUB */
	CPUFUNC(op_90bb_0), /* SUB */
	CPUFUNC(op_90bc_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_90f8_0), /* SUBA */
	CPUFUNC_FF(op_90f9_0), /* SUBA */
	CPUFUNC_FF(op_90fa_0), /* SUBA */
	CPUFUNC_FF(op_90fb_0), /* SUBA */
	CPUFUNC_FF(op_90fc_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9108_0), /* SUBX */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9138_0), /* SUB */
	CPUFUNC(op_9139_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9178_0), /* SUB */
	CPUFUNC(op_9179_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_91b8_0), /* SUB */
	CPUFUNC(op_91b9_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_91f8_0), /* SUBA */
	CPUFUNC_FF(op_91f9_0), /* SUBA */
	CPUFUNC_FF(op_91fa_0), /* SUBA */
	CPUFUNC_FF(op_91fb_0), /* SUBA */
	CPUFUNC_FF(op_91fc_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b038_0), /* CMP */
	CPUFUNC(op_b039_0), /* CMP */
	CPUFUNC(op_b03a_0), /* CMP */
	CPUFUNC(op_b03b_0), /* CMP */
	CPUFUNC(op_b03c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b078_0), /* CMP */
	CPUFUNC(op_b079_0), /* CMP */
	CPUFUNC(op_b07a_0), /* CMP */
	CPUFUNC(op_b07b_0), /* CMP */
	CPUFUNC(op_b07c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b8_0), /* CMP */
	CPUFUNC(op_b0b9_0), /* CMP */
	CPUFUNC(op_b0ba_0), /* CMP */
	CPUFUNC(op_b0bb_0), /* CMP */
	CPUFUNC(op_b0bc_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f8_0), /* CMPA */
	CPUFUNC(op_b0f9_0), /* CMPA */
	CPUFUNC(op_b0fa_0), /* CMPA */
	CPUFUNC(op_b0fb_0), /* CMPA */
	CPUFUNC(op_b0fc_0), /* CMPA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b138_0), /* EOR */
	CPUFUNC(op_b139_0), /* EOR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b178_0), /* EOR */
	CPUFUNC(op_b179_0), /* EOR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b8_0), /* EOR */
	CPUFUNC(op_b1b9_0), /* EOR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f8_0), /* CMPA */
	CPUFUNC(op_b1f9_0), /* CMPA */
	CPUFUNC(op_b1fa_0), /* CMPA */
	CPUFUNC(op_b1fb_0), /* CMPA */
	CPUFUNC(op_b1fc_0), /* CMPA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b038_0), /* CMP */
	CPUFUNC(op_b039_0), /* CMP */
	CPUFUNC(op_b03a_0), /* CMP */
	CPUFUNC(op_b03b_0), /* CMP */
	CPUFUNC(op_b03c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b078_0), /* CMP */
	CPUFUNC(op_b079_0), /* CMP */
	CPUFUNC(op_b07a_0), /* CMP */
	CPUFUNC(op_b07b_0), /* CMP */
	CPUFUNC(op_b07c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b8_0), /* CMP */
	CPUFUNC(op_b0b9_0), /* CMP */
	CPUFUNC(op_b0ba_0), /* CMP */
	CPUFUNC(op_b0bb_0), /* CMP */
	CPUFUNC(op_b0bc_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f8_0), /* CMPA */
	CPUFUNC(op_b0f9_0), /* CMPA */
	CPUFUNC(op_b0fa_0), /* CMPA */
	CPUFUNC(op_b0fb_0), /* CMPA */
	CPUFUNC(op_b0fc_0), /* CMPA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b138_0), /* EOR */
	CPUFUNC(op_b139_0), /* EOR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b178_0), /* EOR */
	CPUFUNC(op_b179_0), /* EOR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b8_0), /* EOR */
	CPUFUNC(op_b1b9_0), /* EOR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f8_0), /* CMPA */
	CPUFUNC(op_b1f9_0), /* CMPA */
	CPUFUNC(op_b1fa_0), /* CMPA */
	CPUFUNC(op_b1fb_0), /* CMPA */
	CPUFUNC(op_b1fc_0), /* CMPA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b038_0), /* CMP */
	CPUFUNC(op_b039_0), /* CMP */
	CPUFUNC(op_b03a_0), /* CMP */
	CPUFUNC(op_b03b_0), /* CMP */
	CPUFUNC(op_b03c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b078_0), /* CMP */
	CPUFUNC(op_b079_0), /* CMP */
	CPUFUNC(op_b07a_0), /* CMP */
	CPUFUNC(op_b07b_0), /* CMP */
	CPUFUNC(op_b07c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b8_0), /* CMP */
	CPUFUNC(op_b0b9_0), /* CMP */
	CPUFUNC(op_b0ba_0), /* CMP */
	CPUFUNC(op_b0bb_0), /* CMP */
	CPUFUNC(op_b0bc_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f8_0), /* CMPA */
	CPUFUNC(op_b0f9_0), /* CMPA */
	CPUFUNC(op_b0fa_0), /* CMPA */
	CPUFUNC(op_b0fb_0), /* CMPA */
	CPUFUNC(op_b0fc_0), /* CMPA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b138_0), /* EOR */
	CPUFUNC(op_b139_0), /* EOR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b178_0), /* EOR */
	CPUFUNC(op_b179_0), /* EOR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b8_0), /* EOR */
	CPUFUNC(op_b1b9_0), /* EOR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f8_0), /* CMPA */
	CPUFUNC(op_b1f9_0), /* CMPA */
	CPUFUNC(op_b1fa_0), /* CMPA */
	CPUFUNC(op_b1fb_0), /* CMPA */
	CPUFUNC(op_b1fc_0), /* CMPA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b038_0), /* CMP */
	CPUFUNC(op_b039_0), /* CMP */
	CPUFUNC(op_b03a_0), /* CMP */
	CPUFUNC(op_b03b_0), /* CMP */
	CPUFUNC(op_b03c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b078_0), /* CMP */
	CPUFUNC(op_b079_0), /* CMP */
	CPUFUNC(op_b07a_0), /* CMP */
	CPUFUNC(op_b07b_0), /* CMP */
	CPUFUNC(op_b07c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b8_0), /* CMP */
	CPUFUNC(op_b0b9_0), /* CMP */
	CPUFUNC(op_b0ba_0), /* CMP */
	CPUFUNC(op_b0bb_0), /* CMP */
	CPUFUNC(op_b0bc_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f8_0), /* CMPA */
	CPUFUNC(op_b0f9_0), /* CMPA */
	CPUFUNC(op_b0fa_0), /* CMPA */
	CPUFUNC(op_b0fb_0), /* CMPA */
	CPUFUNC(op_b0fc_0), /* CMPA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b138_0), /* EOR */
	CPUFUNC(op_b139_0), /* EOR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b178_0), /* EOR */
	CPUFUNC(op_b179_0), /* EOR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b8_0), /* EOR */
	CPUFUNC(op_b1b9_0), /* EOR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f8_0), /* CMPA */
	CPUFUNC(op_b1f9_0), /* CMPA */
	CPUFUNC(op_b1fa_0), /* CMPA */
	CPUFUNC(op_b1fb_0), /* CMPA */
	CPUFUNC(op_b1fc_0), /* CMPA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b038_0), /* CMP */
	CPUFUNC(op_b039_0), /* CMP */
	CPUFUNC(op_b03a_0), /* CMP */
	CPUFUNC(op_b03b_0), /* CMP */
	CPUFUNC(op_b03c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b078_0), /* CMP */
	CPUFUNC(op_b079_0), /* CMP */
	CPUFUNC(op_b07a_0), /* CMP */
	CPUFUNC(op_b07b_0), /* CMP */
	CPUFUNC(op_b07c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b8_0), /* CMP */
	CPUFUNC(op_b0b9_0), /* CMP */
	CPUFUNC(op_b0ba_0), /* CMP */
	CPUFUNC(op_b0bb_0), /* CMP */
	CPUFUNC(op_b0bc_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f8_0), /* CMPA */
	CPUFUNC(op_b0f9_0), /* CMPA */
	CPUFUNC(op_b0fa_0), /* CMPA */
	CPUFUNC(op_b0fb_0), /* CMPA */
	CPUFUNC(op_b0fc_0), /* CMPA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b138_0), /* EOR */
	CPUFUNC(op_b139_0), /* EOR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b178_0), /* EOR */
	CPUFUNC(op_b179_0), /* EOR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b8_0), /* EOR */
	CPUFUNC(op_b1b9_0), /* EOR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f8_0), /* CMPA */
	CPUFUNC(op_b1f9_0), /* CMPA */
	CPUFUNC(op_b1fa_0), /* CMPA */
	CPUFUNC(op_b1fb_0), /* CMPA */
	CPUFUNC(op_b1fc_0), /* CMPA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b038_0), /* CMP */
	CPUFUNC(op_b039_0), /* CMP */
	CPUFUNC(op_b03a_0), /* CMP */
	CPUFUNC(op_b03b_0), /* CMP */
	CPUFUNC(op_b03c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b078_0), /* CMP */
	CPUFUNC(op_b079_0), /* CMP */
	CPUFUNC(op_b07a_0), /* CMP */
	CPUFUNC(op_b07b_0), /* CMP */
	CPUFUNC(op_b07c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b8_0), /* CMP */
	CPUFUNC(op_b0b9_0), /* CMP */
	CPUFUNC(op_b0ba_0), /* CMP */
	CPUFUNC(op_b0bb_0), /* CMP */
	CPUFUNC(op_b0bc_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f8_0), /* CMPA */
	CPUFUNC(op_b0f9_0), /* CMPA */
	CPUFUNC(op_b0fa_0), /* CMPA */
	CPUFUNC(op_b0fb_0), /* CMPA */
	CPUFUNC(op_b0fc_0), /* CMPA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b138_0), /* EOR */
	CPUFUNC(op_b139_0), /* EOR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b178_0), /* EOR */
	CPUFUNC(op_b179_0), /* EOR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b8_0), /* EOR */
	CPUFUNC(op_b1b9_0), /* EOR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f8_0), /* CMPA */
	CPUFUNC(op_b1f9_0), /* CMPA */
	CPUFUNC(op_b1fa_0), /* CMPA */
	CPUFUNC(op_b1fb_0), /* CMPA */
	CPUFUNC(op_b1fc_0), /* CMPA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b038_0), /* CMP */
	CPUFUNC(op_b039_0), /* CMP */
	CPUFUNC(op_b03a_0), /* CMP */
	CPUFUNC(op_b03b_0), /* CMP */
	CPUFUNC(op_b03c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b078_0), /* CMP */
	CPUFUNC(op_b079_0), /* CMP */
	CPUFUNC(op_b07a_0), /* CMP */
	CPUFUNC(op_b07b_0), /* CMP */
	CPUFUNC(op_b07c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b8_0), /* CMP */
	CPUFUNC(op_b0b9_0), /* CMP */
	CPUFUNC(op_b0ba_0), /* CMP */
	CPUFUNC(op_b0bb_0), /* CMP */
	CPUFUNC(op_b0bc_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f8_0), /* CMPA */
	CPUFUNC(op_b0f9_0), /* CMPA */
	CPUFUNC(op_b0fa_0), /* CMPA */
	CPUFUNC(op_b0fb_0), /* CMPA */
	CPUFUNC(op_b0fc_0), /* CMPA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b138_0), /* EOR */
	CPUFUNC(op_b139_0), /* EOR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b178_0), /* EOR */
	CPUFUNC(op_b179_0), /* EOR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b8_0), /* EOR */
	CPUFUNC(op_b1b9_0), /* EOR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f8_0), /* CMPA */
	CPUFUNC(op_b1f9_0), /* CMPA */
	CPUFUNC(op_b1fa_0), /* CMPA */
	CPUFUNC(op_b1fb_0), /* CMPA */
	CPUFUNC(op_b1fc_0), /* CMPA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b000_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b038_0), /* CMP */
	CPUFUNC(op_b039_0), /* CMP */
	CPUFUNC(op_b03a_0), /* CMP */
	CPUFUNC(op_b03b_0), /* CMP */
	CPUFUNC(op_b03c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b078_0), /* CMP */
	CPUFUNC(op_b079_0), /* CMP */
	CPUFUNC(op_b07a_0), /* CMP */
	CPUFUNC(op_b07b_0), /* CMP */
	CPUFUNC(op_b07c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b0b8_0), /* CMP */
	CPUFUNC(op_b0b9_0), /* CMP */
	CPUFUNC(op_b0ba_0), /* CMP */
	CPUFUNC(op_b0bb_0), /* CMP */
	CPUFUNC(op_b0bc_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b0f8_0), /* CMPA */
	CPUFUNC(op_b0f9_0), /* CMPA */
	CPUFUNC(op_b0fa_0), /* CMPA */
	CPUFUNC(op_b0fb_0), /* CMPA */
	CPUFUNC(op_b0fc_0), /* CMPA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b108_0), /* CMPM */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b138_0), /* EOR */
	CPUFUNC(op_b139_0), /* EOR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b178_0), /* EOR */
	CPUFUNC(op_b179_0), /* EOR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b1b8_0), /* EOR */
	CPUFUNC(op_b1b9_0), /* EOR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b1f8_0), /* CMPA */
	CPUFUNC(op_b1f9_0), /* CMPA */
	CPUFUNC(op_b1fa_0), /* CMPA */
	CPUFUNC(op_b1fb_0), /* CMPA */
	CPUFUNC(op_b1fc_0), /* CMPA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c038_0), /* AND */
	CPUFUNC(op_c039_0), /* AND */
	CPUFUNC(op_c03a_0), /* AND */
	CPUFUNC(op_c03b_0), /* AND */
	CPUFUNC(op_c03c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c078_0), /* AND */
	CPUFUNC(op_c079_0), /* AND */
	CPUFUNC(op_c07a_0), /* AND */
	CPUFUNC(op_c07b_0), /* AND */
	CPUFUNC(op_c07c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b8_0), /* AND */
	CPUFUNC(op_c0b9_0), /* AND */
	CPUFUNC(op_c0ba_0), /* AND */
	CPUFUNC(op_c0bb_0), /* AND */
	CPUFUNC(op_c0bc_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f8_0), /* MULU */
	CPUFUNC(op_c0f9_0), /* MULU */
	CPUFUNC(op_c0fa_0), /* MULU */
	CPUFUNC(op_c0fb_0), /* MULU */
	CPUFUNC(op_c0fc_0), /* MULU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c138_0), /* AND */
	CPUFUNC(op_c139_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c178_0), /* AND */
	CPUFUNC(op_c179_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b8_0), /* AND */
	CPUFUNC(op_c1b9_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f8_0), /* MULS */
	CPUFUNC(op_c1f9_0), /* MULS */
	CPUFUNC(op_c1fa_0), /* MULS */
	CPUFUNC(op_c1fb_0), /* MULS */
	CPUFUNC(op_c1fc_0), /* MULS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c038_0), /* AND */
	CPUFUNC(op_c039_0), /* AND */
	CPUFUNC(op_c03a_0), /* AND */
	CPUFUNC(op_c03b_0), /* AND */
	CPUFUNC(op_c03c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c078_0), /* AND */
	CPUFUNC(op_c079_0), /* AND */
	CPUFUNC(op_c07a_0), /* AND */
	CPUFUNC(op_c07b_0), /* AND */
	CPUFUNC(op_c07c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b8_0), /* AND */
	CPUFUNC(op_c0b9_0), /* AND */
	CPUFUNC(op_c0ba_0), /* AND */
	CPUFUNC(op_c0bb_0), /* AND */
	CPUFUNC(op_c0bc_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f8_0), /* MULU */
	CPUFUNC(op_c0f9_0), /* MULU */
	CPUFUNC(op_c0fa_0), /* MULU */
	CPUFUNC(op_c0fb_0), /* MULU */
	CPUFUNC(op_c0fc_0), /* MULU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c138_0), /* AND */
	CPUFUNC(op_c139_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c178_0), /* AND */
	CPUFUNC(op_c179_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b8_0), /* AND */
	CPUFUNC(op_c1b9_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f8_0), /* MULS */
	CPUFUNC(op_c1f9_0), /* MULS */
	CPUFUNC(op_c1fa_0), /* MULS */
	CPUFUNC(op_c1fb_0), /* MULS */
	CPUFUNC(op_c1fc_0), /* MULS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c038_0), /* AND */
	CPUFUNC(op_c039_0), /* AND */
	CPUFUNC(op_c03a_0), /* AND */
	CPUFUNC(op_c03b_0), /* AND */
	CPUFUNC(op_c03c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c078_0), /* AND */
	CPUFUNC(op_c079_0), /* AND */
	CPUFUNC(op_c07a_0), /* AND */
	CPUFUNC(op_c07b_0), /* AND */
	CPUFUNC(op_c07c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b8_0), /* AND */
	CPUFUNC(op_c0b9_0), /* AND */
	CPUFUNC(op_c0ba_0), /* AND */
	CPUFUNC(op_c0bb_0), /* AND */
	CPUFUNC(op_c0bc_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f8_0), /* MULU */
	CPUFUNC(op_c0f9_0), /* MULU */
	CPUFUNC(op_c0fa_0), /* MULU */
	CPUFUNC(op_c0fb_0), /* MULU */
	CPUFUNC(op_c0fc_0), /* MULU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c138_0), /* AND */
	CPUFUNC(op_c139_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c178_0), /* AND */
	CPUFUNC(op_c179_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b8_0), /* AND */
	CPUFUNC(op_c1b9_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f8_0), /* MULS */
	CPUFUNC(op_c1f9_0), /* MULS */
	CPUFUNC(op_c1fa_0), /* MULS */
	CPUFUNC(op_c1fb_0), /* MULS */
	CPUFUNC(op_c1fc_0), /* MULS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c038_0), /* AND */
	CPUFUNC(op_c039_0), /* AND */
	CPUFUNC(op_c03a_0), /* AND */
	CPUFUNC(op_c03b_0), /* AND */
	CPUFUNC(op_c03c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c078_0), /* AND */
	CPUFUNC(op_c079_0), /* AND */
	CPUFUNC(op_c07a_0), /* AND */
	CPUFUNC(op_c07b_0), /* AND */
	CPUFUNC(op_c07c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b8_0), /* AND */
	CPUFUNC(op_c0b9_0), /* AND */
	CPUFUNC(op_c0ba_0), /* AND */
	CPUFUNC(op_c0bb_0), /* AND */
	CPUFUNC(op_c0bc_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f8_0), /* MULU */
	CPUFUNC(op_c0f9_0), /* MULU */
	CPUFUNC(op_c0fa_0), /* MULU */
	CPUFUNC(op_c0fb_0), /* MULU */
	CPUFUNC(op_c0fc_0), /* MULU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c138_0), /* AND */
	CPUFUNC(op_c139_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c178_0), /* AND */
	CPUFUNC(op_c179_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b8_0), /* AND */
	CPUFUNC(op_c1b9_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f8_0), /* MULS */
	CPUFUNC(op_c1f9_0), /* MULS */
	CPUFUNC(op_c1fa_0), /* MULS */
	CPUFUNC(op_c1fb_0), /* MULS */
	CPUFUNC(op_c1fc_0), /* MULS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c038_0), /* AND */
	CPUFUNC(op_c039_0), /* AND */
	CPUFUNC(op_c03a_0), /* AND */
	CPUFUNC(op_c03b_0), /* AND */
	CPUFUNC(op_c03c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c078_0), /* AND */
	CPUFUNC(op_c079_0), /* AND */
	CPUFUNC(op_c07a_0), /* AND */
	CPUFUNC(op_c07b_0), /* AND */
	CPUFUNC(op_c07c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b8_0), /* AND */
	CPUFUNC(op_c0b9_0), /* AND */
	CPUFUNC(op_c0ba_0), /* AND */
	CPUFUNC(op_c0bb_0), /* AND */
	CPUFUNC(op_c0bc_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f8_0), /* MULU */
	CPUFUNC(op_c0f9_0), /* MULU */
	CPUFUNC(op_c0fa_0), /* MULU */
	CPUFUNC(op_c0fb_0), /* MULU */
	CPUFUNC(op_c0fc_0), /* MULU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c138_0), /* AND */
	CPUFUNC(op_c139_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c178_0), /* AND */
	CPUFUNC(op_c179_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b8_0), /* AND */
	CPUFUNC(op_c1b9_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f8_0), /* MULS */
	CPUFUNC(op_c1f9_0), /* MULS */
	CPUFUNC(op_c1fa_0), /* MULS */
	CPUFUNC(op_c1fb_0), /* MULS */
	CPUFUNC(op_c1fc_0), /* MULS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c038_0), /* AND */
	CPUFUNC(op_c039_0), /* AND */
	CPUFUNC(op_c03a_0), /* AND */
	CPUFUNC(op_c03b_0), /* AND */
	CPUFUNC(op_c03c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c078_0), /* AND */
	CPUFUNC(op_c079_0), /* AND */
	CPUFUNC(op_c07a_0), /* AND */
	CPUFUNC(op_c07b_0), /* AND */
	CPUFUNC(op_c07c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b8_0), /* AND */
	CPUFUNC(op_c0b9_0), /* AND */
	CPUFUNC(op_c0ba_0), /* AND */
	CPUFUNC(op_c0bb_0), /* AND */
	CPUFUNC(op_c0bc_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f8_0), /* MULU */
	CPUFUNC(op_c0f9_0), /* MULU */
	CPUFUNC(op_c0fa_0), /* MULU */
	CPUFUNC(op_c0fb_0), /* MULU */
	CPUFUNC(op_c0fc_0), /* MULU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c138_0), /* AND */
	CPUFUNC(op_c139_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c178_0), /* AND */
	CPUFUNC(op_c179_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b8_0), /* AND */
	CPUFUNC(op_c1b9_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f8_0), /* MULS */
	CPUFUNC(op_c1f9_0), /* MULS */
	CPUFUNC(op_c1fa_0), /* MULS */
	CPUFUNC(op_c1fb_0), /* MULS */
	CPUFUNC(op_c1fc_0), /* MULS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c038_0), /* AND */
	CPUFUNC(op_c039_0), /* AND */
	CPUFUNC(op_c03a_0), /* AND */
	CPUFUNC(op_c03b_0), /* AND */
	CPUFUNC(op_c03c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c078_0), /* AND */
	CPUFUNC(op_c079_0), /* AND */
	CPUFUNC(op_c07a_0), /* AND */
	CPUFUNC(op_c07b_0), /* AND */
	CPUFUNC(op_c07c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b8_0), /* AND */
	CPUFUNC(op_c0b9_0), /* AND */
	CPUFUNC(op_c0ba_0), /* AND */
	CPUFUNC(op_c0bb_0), /* AND */
	CPUFUNC(op_c0bc_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f8_0), /* MULU */
	CPUFUNC(op_c0f9_0), /* MULU */
	CPUFUNC(op_c0fa_0), /* MULU */
	CPUFUNC(op_c0fb_0), /* MULU */
	CPUFUNC(op_c0fc_0), /* MULU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c138_0), /* AND */
	CPUFUNC(op_c139_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c178_0), /* AND */
	CPUFUNC(op_c179_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b8_0), /* AND */
	CPUFUNC(op_c1b9_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f8_0), /* MULS */
	CPUFUNC(op_c1f9_0), /* MULS */
	CPUFUNC(op_c1fa_0), /* MULS */
	CPUFUNC(op_c1fb_0), /* MULS */
	CPUFUNC(op_c1fc_0), /* MULS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c000_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c038_0), /* AND */
	CPUFUNC(op_c039_0), /* AND */
	CPUFUNC(op_c03a_0), /* AND */
	CPUFUNC(op_c03b_0), /* AND */
	CPUFUNC(op_c03c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC(op_c040_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c078_0), /* AND */
	CPUFUNC(op_c079_0), /* AND */
	CPUFUNC(op_c07a_0), /* AND */
	CPUFUNC(op_c07b_0), /* AND */
	CPUFUNC(op_c07c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c0b8_0), /* AND */
	CPUFUNC(op_c0b9_0), /* AND */
	CPUFUNC(op_c0ba_0), /* AND */
	CPUFUNC(op_c0bb_0), /* AND */
	CPUFUNC(op_c0bc_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c0c0_0), /* MULU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c0f8_0), /* MULU */
	CPUFUNC(op_c0f9_0), /* MULU */
	CPUFUNC(op_c0fa_0), /* MULU */
	CPUFUNC(op_c0fb_0), /* MULU */
	CPUFUNC(op_c0fc_0), /* MULU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c108_0), /* ABCD */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c138_0), /* AND */
	CPUFUNC(op_c139_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c178_0), /* AND */
	CPUFUNC(op_c179_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c1b8_0), /* AND */
	CPUFUNC(op_c1b9_0), /* AND */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c1c0_0), /* MULS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c1f8_0), /* MULS */
	CPUFUNC(op_c1f9_0), /* MULS */
	CPUFUNC(op_c1fa_0), /* MULS */
	CPUFUNC(op_c1fb_0), /* MULS */
	CPUFUNC(op_c1fc_0), /* MULS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d038_0), /* ADD */
	CPUFUNC(op_d039_0), /* ADD */
	CPUFUNC(op_d03a_0), /* ADD */
	CPUFUNC(op_d03b_0), /* ADD */
	CPUFUNC(op_d03c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d078_0), /* ADD */
	CPUFUNC(op_d079_0), /* ADD */
	CPUFUNC(op_d07a_0), /* ADD */
	CPUFUNC(op_d07b_0), /* ADD */
	CPUFUNC(op_d07c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b8_0), /* ADD */
	CPUFUNC(op_d0b9_0), /* ADD */
	CPUFUNC(op_d0ba_0), /* ADD */
	CPUFUNC(op_d0bb_0), /* ADD */
	CPUFUNC(op_d0bc_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f8_0), /* ADDA */
	CPUFUNC_FF(op_d0f9_0), /* ADDA */
	CPUFUNC_FF(op_d0fa_0), /* ADDA */
	CPUFUNC_FF(op_d0fb_0), /* ADDA */
	CPUFUNC_FF(op_d0fc_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d138_0), /* ADD */
	CPUFUNC(op_d139_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d178_0), /* ADD */
	CPUFUNC(op_d179_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b8_0), /* ADD */
	CPUFUNC(op_d1b9_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f8_0), /* ADDA */
	CPUFUNC_FF(op_d1f9_0), /* ADDA */
	CPUFUNC_FF(op_d1fa_0), /* ADDA */
	CPUFUNC_FF(op_d1fb_0), /* ADDA */
	CPUFUNC_FF(op_d1fc_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d038_0), /* ADD */
	CPUFUNC(op_d039_0), /* ADD */
	CPUFUNC(op_d03a_0), /* ADD */
	CPUFUNC(op_d03b_0), /* ADD */
	CPUFUNC(op_d03c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d078_0), /* ADD */
	CPUFUNC(op_d079_0), /* ADD */
	CPUFUNC(op_d07a_0), /* ADD */
	CPUFUNC(op_d07b_0), /* ADD */
	CPUFUNC(op_d07c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b8_0), /* ADD */
	CPUFUNC(op_d0b9_0), /* ADD */
	CPUFUNC(op_d0ba_0), /* ADD */
	CPUFUNC(op_d0bb_0), /* ADD */
	CPUFUNC(op_d0bc_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f8_0), /* ADDA */
	CPUFUNC_FF(op_d0f9_0), /* ADDA */
	CPUFUNC_FF(op_d0fa_0), /* ADDA */
	CPUFUNC_FF(op_d0fb_0), /* ADDA */
	CPUFUNC_FF(op_d0fc_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d138_0), /* ADD */
	CPUFUNC(op_d139_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d178_0), /* ADD */
	CPUFUNC(op_d179_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b8_0), /* ADD */
	CPUFUNC(op_d1b9_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f8_0), /* ADDA */
	CPUFUNC_FF(op_d1f9_0), /* ADDA */
	CPUFUNC_FF(op_d1fa_0), /* ADDA */
	CPUFUNC_FF(op_d1fb_0), /* ADDA */
	CPUFUNC_FF(op_d1fc_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d038_0), /* ADD */
	CPUFUNC(op_d039_0), /* ADD */
	CPUFUNC(op_d03a_0), /* ADD */
	CPUFUNC(op_d03b_0), /* ADD */
	CPUFUNC(op_d03c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d078_0), /* ADD */
	CPUFUNC(op_d079_0), /* ADD */
	CPUFUNC(op_d07a_0), /* ADD */
	CPUFUNC(op_d07b_0), /* ADD */
	CPUFUNC(op_d07c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b8_0), /* ADD */
	CPUFUNC(op_d0b9_0), /* ADD */
	CPUFUNC(op_d0ba_0), /* ADD */
	CPUFUNC(op_d0bb_0), /* ADD */
	CPUFUNC(op_d0bc_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f8_0), /* ADDA */
	CPUFUNC_FF(op_d0f9_0), /* ADDA */
	CPUFUNC_FF(op_d0fa_0), /* ADDA */
	CPUFUNC_FF(op_d0fb_0), /* ADDA */
	CPUFUNC_FF(op_d0fc_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d138_0), /* ADD */
	CPUFUNC(op_d139_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d178_0), /* ADD */
	CPUFUNC(op_d179_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b8_0), /* ADD */
	CPUFUNC(op_d1b9_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f8_0), /* ADDA */
	CPUFUNC_FF(op_d1f9_0), /* ADDA */
	CPUFUNC_FF(op_d1fa_0), /* ADDA */
	CPUFUNC_FF(op_d1fb_0), /* ADDA */
	CPUFUNC_FF(op_d1fc_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d038_0), /* ADD */
	CPUFUNC(op_d039_0), /* ADD */
	CPUFUNC(op_d03a_0), /* ADD */
	CPUFUNC(op_d03b_0), /* ADD */
	CPUFUNC(op_d03c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d078_0), /* ADD */
	CPUFUNC(op_d079_0), /* ADD */
	CPUFUNC(op_d07a_0), /* ADD */
	CPUFUNC(op_d07b_0), /* ADD */
	CPUFUNC(op_d07c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b8_0), /* ADD */
	CPUFUNC(op_d0b9_0), /* ADD */
	CPUFUNC(op_d0ba_0), /* ADD */
	CPUFUNC(op_d0bb_0), /* ADD */
	CPUFUNC(op_d0bc_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f8_0), /* ADDA */
	CPUFUNC_FF(op_d0f9_0), /* ADDA */
	CPUFUNC_FF(op_d0fa_0), /* ADDA */
	CPUFUNC_FF(op_d0fb_0), /* ADDA */
	CPUFUNC_FF(op_d0fc_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d138_0), /* ADD */
	CPUFUNC(op_d139_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d178_0), /* ADD */
	CPUFUNC(op_d179_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b8_0), /* ADD */
	CPUFUNC(op_d1b9_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f8_0), /* ADDA */
	CPUFUNC_FF(op_d1f9_0), /* ADDA */
	CPUFUNC_FF(op_d1fa_0), /* ADDA */
	CPUFUNC_FF(op_d1fb_0), /* ADDA */
	CPUFUNC_FF(op_d1fc_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d038_0), /* ADD */
	CPUFUNC(op_d039_0), /* ADD */
	CPUFUNC(op_d03a_0), /* ADD */
	CPUFUNC(op_d03b_0), /* ADD */
	CPUFUNC(op_d03c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d078_0), /* ADD */
	CPUFUNC(op_d079_0), /* ADD */
	CPUFUNC(op_d07a_0), /* ADD */
	CPUFUNC(op_d07b_0), /* ADD */
	CPUFUNC(op_d07c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b8_0), /* ADD */
	CPUFUNC(op_d0b9_0), /* ADD */
	CPUFUNC(op_d0ba_0), /* ADD */
	CPUFUNC(op_d0bb_0), /* ADD */
	CPUFUNC(op_d0bc_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f8_0), /* ADDA */
	CPUFUNC_FF(op_d0f9_0), /* ADDA */
	CPUFUNC_FF(op_d0fa_0), /* ADDA */
	CPUFUNC_FF(op_d0fb_0), /* ADDA */
	CPUFUNC_FF(op_d0fc_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d138_0), /* ADD */
	CPUFUNC(op_d139_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d178_0), /* ADD */
	CPUFUNC(op_d179_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b8_0), /* ADD */
	CPUFUNC(op_d1b9_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f8_0), /* ADDA */
	CPUFUNC_FF(op_d1f9_0), /* ADDA */
	CPUFUNC_FF(op_d1fa_0), /* ADDA */
	CPUFUNC_FF(op_d1fb_0), /* ADDA */
	CPUFUNC_FF(op_d1fc_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d038_0), /* ADD */
	CPUFUNC(op_d039_0), /* ADD */
	CPUFUNC(op_d03a_0), /* ADD */
	CPUFUNC(op_d03b_0), /* ADD */
	CPUFUNC(op_d03c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d078_0), /* ADD */
	CPUFUNC(op_d079_0), /* ADD */
	CPUFUNC(op_d07a_0), /* ADD */
	CPUFUNC(op_d07b_0), /* ADD */
	CPUFUNC(op_d07c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b8_0), /* ADD */
	CPUFUNC(op_d0b9_0), /* ADD */
	CPUFUNC(op_d0ba_0), /* ADD */
	CPUFUNC(op_d0bb_0), /* ADD */
	CPUFUNC(op_d0bc_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f8_0), /* ADDA */
	CPUFUNC_FF(op_d0f9_0), /* ADDA */
	CPUFUNC_FF(op_d0fa_0), /* ADDA */
	CPUFUNC_FF(op_d0fb_0), /* ADDA */
	CPUFUNC_FF(op_d0fc_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d138_0), /* ADD */
	CPUFUNC(op_d139_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d178_0), /* ADD */
	CPUFUNC(op_d179_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b8_0), /* ADD */
	CPUFUNC(op_d1b9_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f8_0), /* ADDA */
	CPUFUNC_FF(op_d1f9_0), /* ADDA */
	CPUFUNC_FF(op_d1fa_0), /* ADDA */
	CPUFUNC_FF(op_d1fb_0), /* ADDA */
	CPUFUNC_FF(op_d1fc_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d038_0), /* ADD */
	CPUFUNC(op_d039_0), /* ADD */
	CPUFUNC(op_d03a_0), /* ADD */
	CPUFUNC(op_d03b_0), /* ADD */
	CPUFUNC(op_d03c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d078_0), /* ADD */
	CPUFUNC(op_d079_0), /* ADD */
	CPUFUNC(op_d07a_0), /* ADD */
	CPUFUNC(op_d07b_0), /* ADD */
	CPUFUNC(op_d07c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b8_0), /* ADD */
	CPUFUNC(op_d0b9_0), /* ADD */
	CPUFUNC(op_d0ba_0), /* ADD */
	CPUFUNC(op_d0bb_0), /* ADD */
	CPUFUNC(op_d0bc_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f8_0), /* ADDA */
	CPUFUNC_FF(op_d0f9_0), /* ADDA */
	CPUFUNC_FF(op_d0fa_0), /* ADDA */
	CPUFUNC_FF(op_d0fb_0), /* ADDA */
	CPUFUNC_FF(op_d0fc_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d138_0), /* ADD */
	CPUFUNC(op_d139_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d178_0), /* ADD */
	CPUFUNC(op_d179_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b8_0), /* ADD */
	CPUFUNC(op_d1b9_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f8_0), /* ADDA */
	CPUFUNC_FF(op_d1f9_0), /* ADDA */
	CPUFUNC_FF(op_d1fa_0), /* ADDA */
	CPUFUNC_FF(op_d1fb_0), /* ADDA */
	CPUFUNC_FF(op_d1fc_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d000_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d038_0), /* ADD */
	CPUFUNC(op_d039_0), /* ADD */
	CPUFUNC(op_d03a_0), /* ADD */
	CPUFUNC(op_d03b_0), /* ADD */
	CPUFUNC(op_d03c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d078_0), /* ADD */
	CPUFUNC(op_d079_0), /* ADD */
	CPUFUNC(op_d07a_0), /* ADD */
	CPUFUNC(op_d07b_0), /* ADD */
	CPUFUNC(op_d07c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d0b8_0), /* ADD */
	CPUFUNC(op_d0b9_0), /* ADD */
	CPUFUNC(op_d0ba_0), /* ADD */
	CPUFUNC(op_d0bb_0), /* ADD */
	CPUFUNC(op_d0bc_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f8_0), /* ADDA */
	CPUFUNC_FF(op_d0f9_0), /* ADDA */
	CPUFUNC_FF(op_d0fa_0), /* ADDA */
	CPUFUNC_FF(op_d0fb_0), /* ADDA */
	CPUFUNC_FF(op_d0fc_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d138_0), /* ADD */
	CPUFUNC(op_d139_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d178_0), /* ADD */
	CPUFUNC(op_d179_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d1b8_0), /* ADD */
	CPUFUNC(op_d1b9_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f8_0), /* ADDA */
	CPUFUNC_FF(op_d1f9_0), /* ADDA */
	CPUFUNC_FF(op_d1fa_0), /* ADDA */
	CPUFUNC_FF(op_d1fb_0), /* ADDA */
	CPUFUNC_FF(op_d1fc_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e0d0_0), /* ASRW */
	CPUFUNC(op_e0d0_0), /* ASRW */
	CPUFUNC(op_e0d0_0), /* ASRW */
	CPUFUNC(op_e0d0_0), /* ASRW */
	CPUFUNC(op_e0d0_0), /* ASRW */
	CPUFUNC(op_e0d0_0), /* ASRW */
	CPUFUNC(op_e0d0_0), /* ASRW */
	CPUFUNC(op_e0d0_0), /* ASRW */
	CPUFUNC(op_e0d8_0), /* ASRW */
	CPUFUNC(op_e0d8_0), /* ASRW */
	CPUFUNC(op_e0d8_0), /* ASRW */
	CPUFUNC(op_e0d8_0), /* ASRW */
	CPUFUNC(op_e0d8_0), /* ASRW */
	CPUFUNC(op_e0d8_0), /* ASRW */
	CPUFUNC(op_e0d8_0), /* ASRW */
	CPUFUNC(op_e0d8_0), /* ASRW */
	CPUFUNC(op_e0e0_0), /* ASRW */
	CPUFUNC(op_e0e0_0), /* ASRW */
	CPUFUNC(op_e0e0_0), /* ASRW */
	CPUFUNC(op_e0e0_0), /* ASRW */
	CPUFUNC(op_e0e0_0), /* ASRW */
	CPUFUNC(op_e0e0_0), /* ASRW */
	CPUFUNC(op_e0e0_0), /* ASRW */
	CPUFUNC(op_e0e0_0), /* ASRW */
	CPUFUNC(op_e0e8_0), /* ASRW */
	CPUFUNC(op_e0e8_0), /* ASRW */
	CPUFUNC(op_e0e8_0), /* ASRW */
	CPUFUNC(op_e0e8_0), /* ASRW */
	CPUFUNC(op_e0e8_0), /* ASRW */
	CPUFUNC(op_e0e8_0), /* ASRW */
	CPUFUNC(op_e0e8_0), /* ASRW */
	CPUFUNC(op_e0e8_0), /* ASRW */
	CPUFUNC(op_e0f0_0), /* ASRW */
	CPUFUNC(op_e0f0_0), /* ASRW */
	CPUFUNC(op_e0f0_0), /* ASRW */
	CPUFUNC(op_e0f0_0), /* ASRW */
	CPUFUNC(op_e0f0_0), /* ASRW */
	CPUFUNC(op_e0f0_0), /* ASRW */
	CPUFUNC(op_e0f0_0), /* ASRW */
	CPUFUNC(op_e0f0_0), /* ASRW */
	CPUFUNC(op_e0f8_0), /* ASRW */
	CPUFUNC(op_e0f9_0), /* ASRW */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e1d0_0), /* ASLW */
	CPUFUNC(op_e1d0_0), /* ASLW */
	CPUFUNC(op_e1d0_0), /* ASLW */
	CPUFUNC(op_e1d0_0), /* ASLW */
	CPUFUNC(op_e1d0_0), /* ASLW */
	CPUFUNC(op_e1d0_0), /* ASLW */
	CPUFUNC(op_e1d0_0), /* ASLW */
	CPUFUNC(op_e1d0_0), /* ASLW */
	CPUFUNC(op_e1d8_0), /* ASLW */
	CPUFUNC(op_e1d8_0), /* ASLW */
	CPUFUNC(op_e1d8_0), /* ASLW */
	CPUFUNC(op_e1d8_0), /* ASLW */
	CPUFUNC(op_e1d8_0), /* ASLW */
	CPUFUNC(op_e1d8_0), /* ASLW */
	CPUFUNC(op_e1d8_0), /* ASLW */
	CPUFUNC(op_e1d8_0), /* ASLW */
	CPUFUNC(op_e1e0_0), /* ASLW */
	CPUFUNC(op_e1e0_0), /* ASLW */
	CPUFUNC(op_e1e0_0), /* ASLW */
	CPUFUNC(op_e1e0_0), /* ASLW */
	CPUFUNC(op_e1e0_0), /* ASLW */
	CPUFUNC(op_e1e0_0), /* ASLW */
	CPUFUNC(op_e1e0_0), /* ASLW */
	CPUFUNC(op_e1e0_0), /* ASLW */
	CPUFUNC(op_e1e8_0), /* ASLW */
	CPUFUNC(op_e1e8_0), /* ASLW */
	CPUFUNC(op_e1e8_0), /* ASLW */
	CPUFUNC(op_e1e8_0), /* ASLW */
	CPUFUNC(op_e1e8_0), /* ASLW */
	CPUFUNC(op_e1e8_0), /* ASLW */
	CPUFUNC(op_e1e8_0), /* ASLW */
	CPUFUNC(op_e1e8_0), /* ASLW */
	CPUFUNC(op_e1f0_0), /* ASLW */
	CPUFUNC(op_e1f0_0), /* ASLW */
	CPUFUNC(op_e1f0_0), /* ASLW */
	CPUFUNC(op_e1f0_0), /* ASLW */
	CPUFUNC(op_e1f0_0), /* ASLW */
	CPUFUNC(op_e1f0_0), /* ASLW */
	CPUFUNC(op_e1f0_0), /* ASLW */
	CPUFUNC(op_e1f0_0), /* ASLW */
	CPUFUNC(op_e1f8_0), /* ASLW */
	CPUFUNC(op_e1f9_0), /* ASLW */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e2d0_0), /* LSRW */
	CPUFUNC(op_e2d0_0), /* LSRW */
	CPUFUNC(op_e2d0_0), /* LSRW */
	CPUFUNC(op_e2d0_0), /* LSRW */
	CPUFUNC(op_e2d0_0), /* LSRW */
	CPUFUNC(op_e2d0_0), /* LSRW */
	CPUFUNC(op_e2d0_0), /* LSRW */
	CPUFUNC(op_e2d0_0), /* LSRW */
	CPUFUNC(op_e2d8_0), /* LSRW */
	CPUFUNC(op_e2d8_0), /* LSRW */
	CPUFUNC(op_e2d8_0), /* LSRW */
	CPUFUNC(op_e2d8_0), /* LSRW */
	CPUFUNC(op_e2d8_0), /* LSRW */
	CPUFUNC(op_e2d8_0), /* LSRW */
	CPUFUNC(op_e2d8_0), /* LSRW */
	CPUFUNC(op_e2d8_0), /* LSRW */
	CPUFUNC(op_e2e0_0), /* LSRW */
	CPUFUNC(op_e2e0_0), /* LSRW */
	CPUFUNC(op_e2e0_0), /* LSRW */
	CPUFUNC(op_e2e0_0), /* LSRW */
	CPUFUNC(op_e2e0_0), /* LSRW */
	CPUFUNC(op_e2e0_0), /* LSRW */
	CPUFUNC(op_e2e0_0), /* LSRW */
	CPUFUNC(op_e2e0_0), /* LSRW */
	CPUFUNC(op_e2e8_0), /* LSRW */
	CPUFUNC(op_e2e8_0), /* LSRW */
	CPUFUNC(op_e2e8_0), /* LSRW */
	CPUFUNC(op_e2e8_0), /* LSRW */
	CPUFUNC(op_e2e8_0), /* LSRW */
	CPUFUNC(op_e2e8_0), /* LSRW */
	CPUFUNC(op_e2e8_0), /* LSRW */
	CPUFUNC(op_e2e8_0), /* LSRW */
	CPUFUNC(op_e2f0_0), /* LSRW */
	CPUFUNC(op_e2f0_0), /* LSRW */
	CPUFUNC(op_e2f0_0), /* LSRW */
	CPUFUNC(op_e2f0_0), /* LSRW */
	CPUFUNC(op_e2f0_0), /* LSRW */
	CPUFUNC(op_e2f0_0), /* LSRW */
	CPUFUNC(op_e2f0_0), /* LSRW */
	CPUFUNC(op_e2f0_0), /* LSRW */
	CPUFUNC(op_e2f8_0), /* LSRW */
	CPUFUNC(op_e2f9_0), /* LSRW */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e3d0_0), /* LSLW */
	CPUFUNC(op_e3d0_0), /* LSLW */
	CPUFUNC(op_e3d0_0), /* LSLW */
	CPUFUNC(op_e3d0_0), /* LSLW */
	CPUFUNC(op_e3d0_0), /* LSLW */
	CPUFUNC(op_e3d0_0), /* LSLW */
	CPUFUNC(op_e3d0_0), /* LSLW */
	CPUFUNC(op_e3d0_0), /* LSLW */
	CPUFUNC(op_e3d8_0), /* LSLW */
	CPUFUNC(op_e3d8_0), /* LSLW */
	CPUFUNC(op_e3d8_0), /* LSLW */
	CPUFUNC(op_e3d8_0), /* LSLW */
	CPUFUNC(op_e3d8_0), /* LSLW */
	CPUFUNC(op_e3d8_0), /* LSLW */
	CPUFUNC(op_e3d8_0), /* LSLW */
	CPUFUNC(op_e3d8_0), /* LSLW */
	CPUFUNC(op_e3e0_0), /* LSLW */
	CPUFUNC(op_e3e0_0), /* LSLW */
	CPUFUNC(op_e3e0_0), /* LSLW */
	CPUFUNC(op_e3e0_0), /* LSLW */
	CPUFUNC(op_e3e0_0), /* LSLW */
	CPUFUNC(op_e3e0_0), /* LSLW */
	CPUFUNC(op_e3e0_0), /* LSLW */
	CPUFUNC(op_e3e0_0), /* LSLW */
	CPUFUNC(op_e3e8_0), /* LSLW */
	CPUFUNC(op_e3e8_0), /* LSLW */
	CPUFUNC(op_e3e8_0), /* LSLW */
	CPUFUNC(op_e3e8_0), /* LSLW */
	CPUFUNC(op_e3e8_0), /* LSLW */
	CPUFUNC(op_e3e8_0), /* LSLW */
	CPUFUNC(op_e3e8_0), /* LSLW */
	CPUFUNC(op_e3e8_0), /* LSLW */
	CPUFUNC(op_e3f0_0), /* LSLW */
	CPUFUNC(op_e3f0_0), /* LSLW */
	CPUFUNC(op_e3f0_0), /* LSLW */
	CPUFUNC(op_e3f0_0), /* LSLW */
	CPUFUNC(op_e3f0_0), /* LSLW */
	CPUFUNC(op_e3f0_0), /* LSLW */
	CPUFUNC(op_e3f0_0), /* LSLW */
	CPUFUNC(op_e3f0_0), /* LSLW */
	CPUFUNC(op_e3f8_0), /* LSLW */
	CPUFUNC(op_e3f9_0), /* LSLW */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e4d0_0), /* ROXRW */
	CPUFUNC(op_e4d0_0), /* ROXRW */
	CPUFUNC(op_e4d0_0), /* ROXRW */
	CPUFUNC(op_e4d0_0), /* ROXRW */
	CPUFUNC(op_e4d0_0), /* ROXRW */
	CPUFUNC(op_e4d0_0), /* ROXRW */
	CPUFUNC(op_e4d0_0), /* ROXRW */
	CPUFUNC(op_e4d0_0), /* ROXRW */
	CPUFUNC(op_e4d8_0), /* ROXRW */
	CPUFUNC(op_e4d8_0), /* ROXRW */
	CPUFUNC(op_e4d8_0), /* ROXRW */
	CPUFUNC(op_e4d8_0), /* ROXRW */
	CPUFUNC(op_e4d8_0), /* ROXRW */
	CPUFUNC(op_e4d8_0), /* ROXRW */
	CPUFUNC(op_e4d8_0), /* ROXRW */
	CPUFUNC(op_e4d8_0), /* ROXRW */
	CPUFUNC(op_e4e0_0), /* ROXRW */
	CPUFUNC(op_e4e0_0), /* ROXRW */
	CPUFUNC(op_e4e0_0), /* ROXRW */
	CPUFUNC(op_e4e0_0), /* ROXRW */
	CPUFUNC(op_e4e0_0), /* ROXRW */
	CPUFUNC(op_e4e0_0), /* ROXRW */
	CPUFUNC(op_e4e0_0), /* ROXRW */
	CPUFUNC(op_e4e0_0), /* ROXRW */
	CPUFUNC(op_e4e8_0), /* ROXRW */
	CPUFUNC(op_e4e8_0), /* ROXRW */
	CPUFUNC(op_e4e8_0), /* ROXRW */
	CPUFUNC(op_e4e8_0), /* ROXRW */
	CPUFUNC(op_e4e8_0), /* ROXRW */
	CPUFUNC(op_e4e8_0), /* ROXRW */
	CPUFUNC(op_e4e8_0), /* ROXRW */
	CPUFUNC(op_e4e8_0), /* ROXRW */
	CPUFUNC(op_e4f0_0), /* ROXRW */
	CPUFUNC(op_e4f0_0), /* ROXRW */
	CPUFUNC(op_e4f0_0), /* ROXRW */
	CPUFUNC(op_e4f0_0), /* ROXRW */
	CPUFUNC(op_e4f0_0), /* ROXRW */
	CPUFUNC(op_e4f0_0), /* ROXRW */
	CPUFUNC(op_e4f0_0), /* ROXRW */
	CPUFUNC(op_e4f0_0), /* ROXRW */
	CPUFUNC(op_e4f8_0), /* ROXRW */
	CPUFUNC(op_e4f9_0), /* ROXRW */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e5d0_0), /* ROXLW */
	CPUFUNC(op_e5d0_0), /* ROXLW */
	CPUFUNC(op_e5d0_0), /* ROXLW */
	CPUFUNC(op_e5d0_0), /* ROXLW */
	CPUFUNC(op_e5d0_0), /* ROXLW */
	CPUFUNC(op_e5d0_0), /* ROXLW */
	CPUFUNC(op_e5d0_0), /* ROXLW */
	CPUFUNC(op_e5d0_0), /* ROXLW */
	CPUFUNC(op_e5d8_0), /* ROXLW */
	CPUFUNC(op_e5d8_0), /* ROXLW */
	CPUFUNC(op_e5d8_0), /* ROXLW */
	CPUFUNC(op_e5d8_0), /* ROXLW */
	CPUFUNC(op_e5d8_0), /* ROXLW */
	CPUFUNC(op_e5d8_0), /* ROXLW */
	CPUFUNC(op_e5d8_0), /* ROXLW */
	CPUFUNC(op_e5d8_0), /* ROXLW */
	CPUFUNC(op_e5e0_0), /* ROXLW */
	CPUFUNC(op_e5e0_0), /* ROXLW */
	CPUFUNC(op_e5e0_0), /* ROXLW */
	CPUFUNC(op_e5e0_0), /* ROXLW */
	CPUFUNC(op_e5e0_0), /* ROXLW */
	CPUFUNC(op_e5e0_0), /* ROXLW */
	CPUFUNC(op_e5e0_0), /* ROXLW */
	CPUFUNC(op_e5e0_0), /* ROXLW */
	CPUFUNC(op_e5e8_0), /* ROXLW */
	CPUFUNC(op_e5e8_0), /* ROXLW */
	CPUFUNC(op_e5e8_0), /* ROXLW */
	CPUFUNC(op_e5e8_0), /* ROXLW */
	CPUFUNC(op_e5e8_0), /* ROXLW */
	CPUFUNC(op_e5e8_0), /* ROXLW */
	CPUFUNC(op_e5e8_0), /* ROXLW */
	CPUFUNC(op_e5e8_0), /* ROXLW */
	CPUFUNC(op_e5f0_0), /* ROXLW */
	CPUFUNC(op_e5f0_0), /* ROXLW */
	CPUFUNC(op_e5f0_0), /* ROXLW */
	CPUFUNC(op_e5f0_0), /* ROXLW */
	CPUFUNC(op_e5f0_0), /* ROXLW */
	CPUFUNC(op_e5f0_0), /* ROXLW */
	CPUFUNC(op_e5f0_0), /* ROXLW */
	CPUFUNC(op_e5f0_0), /* ROXLW */
	CPUFUNC(op_e5f8_0), /* ROXLW */
	CPUFUNC(op_e5f9_0), /* ROXLW */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e6d0_0), /* RORW */
	CPUFUNC(op_e6d0_0), /* RORW */
	CPUFUNC(op_e6d0_0), /* RORW */
	CPUFUNC(op_e6d0_0), /* RORW */
	CPUFUNC(op_e6d0_0), /* RORW */
	CPUFUNC(op_e6d0_0), /* RORW */
	CPUFUNC(op_e6d0_0), /* RORW */
	CPUFUNC(op_e6d0_0), /* RORW */
	CPUFUNC(op_e6d8_0), /* RORW */
	CPUFUNC(op_e6d8_0), /* RORW */
	CPUFUNC(op_e6d8_0), /* RORW */
	CPUFUNC(op_e6d8_0), /* RORW */
	CPUFUNC(op_e6d8_0), /* RORW */
	CPUFUNC(op_e6d8_0), /* RORW */
	CPUFUNC(op_e6d8_0), /* RORW */
	CPUFUNC(op_e6d8_0), /* RORW */
	CPUFUNC(op_e6e0_0), /* RORW */
	CPUFUNC(op_e6e0_0), /* RORW */
	CPUFUNC(op_e6e0_0), /* RORW */
	CPUFUNC(op_e6e0_0), /* RORW */
	CPUFUNC(op_e6e0_0), /* RORW */
	CPUFUNC(op_e6e0_0), /* RORW */
	CPUFUNC(op_e6e0_0), /* RORW */
	CPUFUNC(op_e6e0_0), /* RORW */
	CPUFUNC(op_e6e8_0), /* RORW */
	CPUFUNC(op_e6e8_0), /* RORW */
	CPUFUNC(op_e6e8_0), /* RORW */
	CPUFUNC(op_e6e8_0), /* RORW */
	CPUFUNC(op_e6e8_0), /* RORW */
	CPUFUNC(op_e6e8_0), /* RORW */
	CPUFUNC(op_e6e8_0), /* RORW */
	CPUFUNC(op_e6e8_0), /* RORW */
	CPUFUNC(op_e6f0_0), /* RORW */
	CPUFUNC(op_e6f0_0), /* RORW */
	CPUFUNC(op_e6f0_0), /* RORW */
	CPUFUNC(op_e6f0_0), /* RORW */
	CPUFUNC(op_e6f0_0), /* RORW */
	CPUFUNC(op_e6f0_0), /* RORW */
	CPUFUNC(op_e6f0_0), /* RORW */
	CPUFUNC(op_e6f0_0), /* RORW */
	CPUFUNC(op_e6f8_0), /* RORW */
	CPUFUNC(op_e6f9_0), /* RORW */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e7d0_0), /* ROLW */
	CPUFUNC(op_e7d0_0), /* ROLW */
	CPUFUNC(op_e7d0_0), /* ROLW */
	CPUFUNC(op_e7d0_0), /* ROLW */
	CPUFUNC(op_e7d0_0), /* ROLW */
	CPUFUNC(op_e7d0_0), /* ROLW */
	CPUFUNC(op_e7d0_0), /* ROLW */
	CPUFUNC(op_e7d0_0), /* ROLW */
	CPUFUNC(op_e7d8_0), /* ROLW */
	CPUFUNC(op_e7d8_0), /* ROLW */
	CPUFUNC(op_e7d8_0), /* ROLW */
	CPUFUNC(op_e7d8_0), /* ROLW */
	CPUFUNC(op_e7d8_0), /* ROLW */
	CPUFUNC(op_e7d8_0), /* ROLW */
	CPUFUNC(op_e7d8_0), /* ROLW */
	CPUFUNC(op_e7d8_0), /* ROLW */
	CPUFUNC(op_e7e0_0), /* ROLW */
	CPUFUNC(op_e7e0_0), /* ROLW */
	CPUFUNC(op_e7e0_0), /* ROLW */
	CPUFUNC(op_e7e0_0), /* ROLW */
	CPUFUNC(op_e7e0_0), /* ROLW */
	CPUFUNC(op_e7e0_0), /* ROLW */
	CPUFUNC(op_e7e0_0), /* ROLW */
	CPUFUNC(op_e7e0_0), /* ROLW */
	CPUFUNC(op_e7e8_0), /* ROLW */
	CPUFUNC(op_e7e8_0), /* ROLW */
	CPUFUNC(op_e7e8_0), /* ROLW */
	CPUFUNC(op_e7e8_0), /* ROLW */
	CPUFUNC(op_e7e8_0), /* ROLW */
	CPUFUNC(op_e7e8_0), /* ROLW */
	CPUFUNC(op_e7e8_0), /* ROLW */
	CPUFUNC(op_e7e8_0), /* ROLW */
	CPUFUNC(op_e7f0_0), /* ROLW */
	CPUFUNC(op_e7f0_0), /* ROLW */
	CPUFUNC(op_e7f0_0), /* ROLW */
	CPUFUNC(op_e7f0_0), /* ROLW */
	CPUFUNC(op_e7f0_0), /* ROLW */
	CPUFUNC(op_e7f0_0), /* ROLW */
	CPUFUNC(op_e7f0_0), /* ROLW */
	CPUFUNC(op_e7f0_0), /* ROLW */
	CPUFUNC(op_e7f8_0), /* ROLW */
	CPUFUNC(op_e7f9_0), /* ROLW */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e8c0_0), /* BFTST */
	CPUFUNC(op_e8c0_0), /* BFTST */
	CPUFUNC(op_e8c0_0), /* BFTST */
	CPUFUNC(op_e8c0_0), /* BFTST */
	CPUFUNC(op_e8c0_0), /* BFTST */
	CPUFUNC(op_e8c0_0), /* BFTST */
	CPUFUNC(op_e8c0_0), /* BFTST */
	CPUFUNC(op_e8c0_0), /* BFTST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e8d0_0), /* BFTST */
	CPUFUNC(op_e8d0_0), /* BFTST */
	CPUFUNC(op_e8d0_0), /* BFTST */
	CPUFUNC(op_e8d0_0), /* BFTST */
	CPUFUNC(op_e8d0_0), /* BFTST */
	CPUFUNC(op_e8d0_0), /* BFTST */
	CPUFUNC(op_e8d0_0), /* BFTST */
	CPUFUNC(op_e8d0_0), /* BFTST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e8e8_0), /* BFTST */
	CPUFUNC(op_e8e8_0), /* BFTST */
	CPUFUNC(op_e8e8_0), /* BFTST */
	CPUFUNC(op_e8e8_0), /* BFTST */
	CPUFUNC(op_e8e8_0), /* BFTST */
	CPUFUNC(op_e8e8_0), /* BFTST */
	CPUFUNC(op_e8e8_0), /* BFTST */
	CPUFUNC(op_e8e8_0), /* BFTST */
	CPUFUNC(op_e8f0_0), /* BFTST */
	CPUFUNC(op_e8f0_0), /* BFTST */
	CPUFUNC(op_e8f0_0), /* BFTST */
	CPUFUNC(op_e8f0_0), /* BFTST */
	CPUFUNC(op_e8f0_0), /* BFTST */
	CPUFUNC(op_e8f0_0), /* BFTST */
	CPUFUNC(op_e8f0_0), /* BFTST */
	CPUFUNC(op_e8f0_0), /* BFTST */
	CPUFUNC(op_e8f8_0), /* BFTST */
	CPUFUNC(op_e8f9_0), /* BFTST */
	CPUFUNC(op_e8fa_0), /* BFTST */
	CPUFUNC(op_e8fb_0), /* BFTST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e9c0_0), /* BFEXTU */
	CPUFUNC(op_e9c0_0), /* BFEXTU */
	CPUFUNC(op_e9c0_0), /* BFEXTU */
	CPUFUNC(op_e9c0_0), /* BFEXTU */
	CPUFUNC(op_e9c0_0), /* BFEXTU */
	CPUFUNC(op_e9c0_0), /* BFEXTU */
	CPUFUNC(op_e9c0_0), /* BFEXTU */
	CPUFUNC(op_e9c0_0), /* BFEXTU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e9d0_0), /* BFEXTU */
	CPUFUNC(op_e9d0_0), /* BFEXTU */
	CPUFUNC(op_e9d0_0), /* BFEXTU */
	CPUFUNC(op_e9d0_0), /* BFEXTU */
	CPUFUNC(op_e9d0_0), /* BFEXTU */
	CPUFUNC(op_e9d0_0), /* BFEXTU */
	CPUFUNC(op_e9d0_0), /* BFEXTU */
	CPUFUNC(op_e9d0_0), /* BFEXTU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e9e8_0), /* BFEXTU */
	CPUFUNC(op_e9e8_0), /* BFEXTU */
	CPUFUNC(op_e9e8_0), /* BFEXTU */
	CPUFUNC(op_e9e8_0), /* BFEXTU */
	CPUFUNC(op_e9e8_0), /* BFEXTU */
	CPUFUNC(op_e9e8_0), /* BFEXTU */
	CPUFUNC(op_e9e8_0), /* BFEXTU */
	CPUFUNC(op_e9e8_0), /* BFEXTU */
	CPUFUNC(op_e9f0_0), /* BFEXTU */
	CPUFUNC(op_e9f0_0), /* BFEXTU */
	CPUFUNC(op_e9f0_0), /* BFEXTU */
	CPUFUNC(op_e9f0_0), /* BFEXTU */
	CPUFUNC(op_e9f0_0), /* BFEXTU */
	CPUFUNC(op_e9f0_0), /* BFEXTU */
	CPUFUNC(op_e9f0_0), /* BFEXTU */
	CPUFUNC(op_e9f0_0), /* BFEXTU */
	CPUFUNC(op_e9f8_0), /* BFEXTU */
	CPUFUNC(op_e9f9_0), /* BFEXTU */
	CPUFUNC(op_e9fa_0), /* BFEXTU */
	CPUFUNC(op_e9fb_0), /* BFEXTU */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_eac0_0), /* BFCHG */
	CPUFUNC(op_eac0_0), /* BFCHG */
	CPUFUNC(op_eac0_0), /* BFCHG */
	CPUFUNC(op_eac0_0), /* BFCHG */
	CPUFUNC(op_eac0_0), /* BFCHG */
	CPUFUNC(op_eac0_0), /* BFCHG */
	CPUFUNC(op_eac0_0), /* BFCHG */
	CPUFUNC(op_eac0_0), /* BFCHG */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_ead0_0), /* BFCHG */
	CPUFUNC(op_ead0_0), /* BFCHG */
	CPUFUNC(op_ead0_0), /* BFCHG */
	CPUFUNC(op_ead0_0), /* BFCHG */
	CPUFUNC(op_ead0_0), /* BFCHG */
	CPUFUNC(op_ead0_0), /* BFCHG */
	CPUFUNC(op_ead0_0), /* BFCHG */
	CPUFUNC(op_ead0_0), /* BFCHG */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_eae8_0), /* BFCHG */
	CPUFUNC(op_eae8_0), /* BFCHG */
	CPUFUNC(op_eae8_0), /* BFCHG */
	CPUFUNC(op_eae8_0), /* BFCHG */
	CPUFUNC(op_eae8_0), /* BFCHG */
	CPUFUNC(op_eae8_0), /* BFCHG */
	CPUFUNC(op_eae8_0), /* BFCHG */
	CPUFUNC(op_eae8_0), /* BFCHG */
	CPUFUNC(op_eaf0_0), /* BFCHG */
	CPUFUNC(op_eaf0_0), /* BFCHG */
	CPUFUNC(op_eaf0_0), /* BFCHG */
	CPUFUNC(op_eaf0_0), /* BFCHG */
	CPUFUNC(op_eaf0_0), /* BFCHG */
	CPUFUNC(op_eaf0_0), /* BFCHG */
	CPUFUNC(op_eaf0_0), /* BFCHG */
	CPUFUNC(op_eaf0_0), /* BFCHG */
	CPUFUNC(op_eaf8_0), /* BFCHG */
	CPUFUNC(op_eaf9_0), /* BFCHG */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_ebc0_0), /* BFEXTS */
	CPUFUNC(op_ebc0_0), /* BFEXTS */
	CPUFUNC(op_ebc0_0), /* BFEXTS */
	CPUFUNC(op_ebc0_0), /* BFEXTS */
	CPUFUNC(op_ebc0_0), /* BFEXTS */
	CPUFUNC(op_ebc0_0), /* BFEXTS */
	CPUFUNC(op_ebc0_0), /* BFEXTS */
	CPUFUNC(op_ebc0_0), /* BFEXTS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_ebd0_0), /* BFEXTS */
	CPUFUNC(op_ebd0_0), /* BFEXTS */
	CPUFUNC(op_ebd0_0), /* BFEXTS */
	CPUFUNC(op_ebd0_0), /* BFEXTS */
	CPUFUNC(op_ebd0_0), /* BFEXTS */
	CPUFUNC(op_ebd0_0), /* BFEXTS */
	CPUFUNC(op_ebd0_0), /* BFEXTS */
	CPUFUNC(op_ebd0_0), /* BFEXTS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_ebe8_0), /* BFEXTS */
	CPUFUNC(op_ebe8_0), /* BFEXTS */
	CPUFUNC(op_ebe8_0), /* BFEXTS */
	CPUFUNC(op_ebe8_0), /* BFEXTS */
	CPUFUNC(op_ebe8_0), /* BFEXTS */
	CPUFUNC(op_ebe8_0), /* BFEXTS */
	CPUFUNC(op_ebe8_0), /* BFEXTS */
	CPUFUNC(op_ebe8_0), /* BFEXTS */
	CPUFUNC(op_ebf0_0), /* BFEXTS */
	CPUFUNC(op_ebf0_0), /* BFEXTS */
	CPUFUNC(op_ebf0_0), /* BFEXTS */
	CPUFUNC(op_ebf0_0), /* BFEXTS */
	CPUFUNC(op_ebf0_0), /* BFEXTS */
	CPUFUNC(op_ebf0_0), /* BFEXTS */
	CPUFUNC(op_ebf0_0), /* BFEXTS */
	CPUFUNC(op_ebf0_0), /* BFEXTS */
	CPUFUNC(op_ebf8_0), /* BFEXTS */
	CPUFUNC(op_ebf9_0), /* BFEXTS */
	CPUFUNC(op_ebfa_0), /* BFEXTS */
	CPUFUNC(op_ebfb_0), /* BFEXTS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_ecc0_0), /* BFCLR */
	CPUFUNC(op_ecc0_0), /* BFCLR */
	CPUFUNC(op_ecc0_0), /* BFCLR */
	CPUFUNC(op_ecc0_0), /* BFCLR */
	CPUFUNC(op_ecc0_0), /* BFCLR */
	CPUFUNC(op_ecc0_0), /* BFCLR */
	CPUFUNC(op_ecc0_0), /* BFCLR */
	CPUFUNC(op_ecc0_0), /* BFCLR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_ecd0_0), /* BFCLR */
	CPUFUNC(op_ecd0_0), /* BFCLR */
	CPUFUNC(op_ecd0_0), /* BFCLR */
	CPUFUNC(op_ecd0_0), /* BFCLR */
	CPUFUNC(op_ecd0_0), /* BFCLR */
	CPUFUNC(op_ecd0_0), /* BFCLR */
	CPUFUNC(op_ecd0_0), /* BFCLR */
	CPUFUNC(op_ecd0_0), /* BFCLR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_ece8_0), /* BFCLR */
	CPUFUNC(op_ece8_0), /* BFCLR */
	CPUFUNC(op_ece8_0), /* BFCLR */
	CPUFUNC(op_ece8_0), /* BFCLR */
	CPUFUNC(op_ece8_0), /* BFCLR */
	CPUFUNC(op_ece8_0), /* BFCLR */
	CPUFUNC(op_ece8_0), /* BFCLR */
	CPUFUNC(op_ece8_0), /* BFCLR */
	CPUFUNC(op_ecf0_0), /* BFCLR */
	CPUFUNC(op_ecf0_0), /* BFCLR */
	CPUFUNC(op_ecf0_0), /* BFCLR */
	CPUFUNC(op_ecf0_0), /* BFCLR */
	CPUFUNC(op_ecf0_0), /* BFCLR */
	CPUFUNC(op_ecf0_0), /* BFCLR */
	CPUFUNC(op_ecf0_0), /* BFCLR */
	CPUFUNC(op_ecf0_0), /* BFCLR */
	CPUFUNC(op_ecf8_0), /* BFCLR */
	CPUFUNC(op_ecf9_0), /* BFCLR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_edc0_0), /* BFFFO */
	CPUFUNC(op_edc0_0), /* BFFFO */
	CPUFUNC(op_edc0_0), /* BFFFO */
	CPUFUNC(op_edc0_0), /* BFFFO */
	CPUFUNC(op_edc0_0), /* BFFFO */
	CPUFUNC(op_edc0_0), /* BFFFO */
	CPUFUNC(op_edc0_0), /* BFFFO */
	CPUFUNC(op_edc0_0), /* BFFFO */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_edd0_0), /* BFFFO */
	CPUFUNC(op_edd0_0), /* BFFFO */
	CPUFUNC(op_edd0_0), /* BFFFO */
	CPUFUNC(op_edd0_0), /* BFFFO */
	CPUFUNC(op_edd0_0), /* BFFFO */
	CPUFUNC(op_edd0_0), /* BFFFO */
	CPUFUNC(op_edd0_0), /* BFFFO */
	CPUFUNC(op_edd0_0), /* BFFFO */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_ede8_0), /* BFFFO */
	CPUFUNC(op_ede8_0), /* BFFFO */
	CPUFUNC(op_ede8_0), /* BFFFO */
	CPUFUNC(op_ede8_0), /* BFFFO */
	CPUFUNC(op_ede8_0), /* BFFFO */
	CPUFUNC(op_ede8_0), /* BFFFO */
	CPUFUNC(op_ede8_0), /* BFFFO */
	CPUFUNC(op_ede8_0), /* BFFFO */
	CPUFUNC(op_edf0_0), /* BFFFO */
	CPUFUNC(op_edf0_0), /* BFFFO */
	CPUFUNC(op_edf0_0), /* BFFFO */
	CPUFUNC(op_edf0_0), /* BFFFO */
	CPUFUNC(op_edf0_0), /* BFFFO */
	CPUFUNC(op_edf0_0), /* BFFFO */
	CPUFUNC(op_edf0_0), /* BFFFO */
	CPUFUNC(op_edf0_0), /* BFFFO */
	CPUFUNC(op_edf8_0), /* BFFFO */
	CPUFUNC(op_edf9_0), /* BFFFO */
	CPUFUNC(op_edfa_0), /* BFFFO */
	CPUFUNC(op_edfb_0), /* BFFFO */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_eec0_0), /* BFSET */
	CPUFUNC(op_eec0_0), /* BFSET */
	CPUFUNC(op_eec0_0), /* BFSET */
	CPUFUNC(op_eec0_0), /* BFSET */
	CPUFUNC(op_eec0_0), /* BFSET */
	CPUFUNC(op_eec0_0), /* BFSET */
	CPUFUNC(op_eec0_0), /* BFSET */
	CPUFUNC(op_eec0_0), /* BFSET */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_eed0_0), /* BFSET */
	CPUFUNC(op_eed0_0), /* BFSET */
	CPUFUNC(op_eed0_0), /* BFSET */
	CPUFUNC(op_eed0_0), /* BFSET */
	CPUFUNC(op_eed0_0), /* BFSET */
	CPUFUNC(op_eed0_0), /* BFSET */
	CPUFUNC(op_eed0_0), /* BFSET */
	CPUFUNC(op_eed0_0), /* BFSET */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_eee8_0), /* BFSET */
	CPUFUNC(op_eee8_0), /* BFSET */
	CPUFUNC(op_eee8_0), /* BFSET */
	CPUFUNC(op_eee8_0), /* BFSET */
	CPUFUNC(op_eee8_0), /* BFSET */
	CPUFUNC(op_eee8_0), /* BFSET */
	CPUFUNC(op_eee8_0), /* BFSET */
	CPUFUNC(op_eee8_0), /* BFSET */
	CPUFUNC(op_eef0_0), /* BFSET */
	CPUFUNC(op_eef0_0), /* BFSET */
	CPUFUNC(op_eef0_0), /* BFSET */
	CPUFUNC(op_eef0_0), /* BFSET */
	CPUFUNC(op_eef0_0), /* BFSET */
	CPUFUNC(op_eef0_0), /* BFSET */
	CPUFUNC(op_eef0_0), /* BFSET */
	CPUFUNC(op_eef0_0), /* BFSET */
	CPUFUNC(op_eef8_0), /* BFSET */
	CPUFUNC(op_eef9_0), /* BFSET */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_efc0_0), /* BFINS */
	CPUFUNC(op_efc0_0), /* BFINS */
	CPUFUNC(op_efc0_0), /* BFINS */
	CPUFUNC(op_efc0_0), /* BFINS */
	CPUFUNC(op_efc0_0), /* BFINS */
	CPUFUNC(op_efc0_0), /* BFINS */
	CPUFUNC(op_efc0_0), /* BFINS */
	CPUFUNC(op_efc0_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_efd0_0), /* BFINS */
	CPUFUNC(op_efd0_0), /* BFINS */
	CPUFUNC(op_efd0_0), /* BFINS */
	CPUFUNC(op_efd0_0), /* BFINS */
	CPUFUNC(op_efd0_0), /* BFINS */
	CPUFUNC(op_efd0_0), /* BFINS */
	CPUFUNC(op_efd0_0), /* BFINS */
	CPUFUNC(op_efd0_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_efe8_0), /* BFINS */
	CPUFUNC(op_efe8_0), /* BFINS */
	CPUFUNC(op_efe8_0), /* BFINS */
	CPUFUNC(op_efe8_0), /* BFINS */
	CPUFUNC(op_efe8_0), /* BFINS */
	CPUFUNC(op_efe8_0), /* BFINS */
	CPUFUNC(op_efe8_0), /* BFINS */
	CPUFUNC(op_efe8_0), /* BFINS */
	CPUFUNC(op_eff0_0), /* BFINS */
	CPUFUNC(op_eff0_0), /* BFINS */
	CPUFUNC(op_eff0_0), /* BFINS */
	CPUFUNC(op_eff0_0), /* BFINS */
	CPUFUNC(op_eff0_0), /* BFINS */
	CPUFUNC(op_eff0_0), /* BFINS */
	CPUFUNC(op_eff0_0), /* BFINS */
	CPUFUNC(op_eff0_0), /* BFINS */
	CPUFUNC(op_eff8_0), /* BFINS */
	CPUFUNC(op_eff9_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f200_0), /* FPP */
	CPUFUNC_FF(op_f200_0), /* FPP */
	CPUFUNC_FF(op_f200_0), /* FPP */
	CPUFUNC_FF(op_f200_0), /* FPP */
	CPUFUNC_FF(op_f200_0), /* FPP */
	CPUFUNC_FF(op_f200_0), /* FPP */
	CPUFUNC_FF(op_f200_0), /* FPP */
	CPUFUNC_FF(op_f200_0), /* FPP */
	CPUFUNC_FF(op_f208_0), /* FPP */
	CPUFUNC_FF(op_f208_0), /* FPP */
	CPUFUNC_FF(op_f208_0), /* FPP */
	CPUFUNC_FF(op_f208_0), /* FPP */
	CPUFUNC_FF(op_f208_0), /* FPP */
	CPUFUNC_FF(op_f208_0), /* FPP */
	CPUFUNC_FF(op_f208_0), /* FPP */
	CPUFUNC_FF(op_f208_0), /* FPP */
	CPUFUNC_FF(op_f210_0), /* FPP */
	CPUFUNC_FF(op_f210_0), /* FPP */
	CPUFUNC_FF(op_f210_0), /* FPP */
	CPUFUNC_FF(op_f210_0), /* FPP */
	CPUFUNC_FF(op_f210_0), /* FPP */
	CPUFUNC_FF(op_f210_0), /* FPP */
	CPUFUNC_FF(op_f210_0), /* FPP */
	CPUFUNC_FF(op_f210_0), /* FPP */
	CPUFUNC_FF(op_f218_0), /* FPP */
	CPUFUNC_FF(op_f218_0), /* FPP */
	CPUFUNC_FF(op_f218_0), /* FPP */
	CPUFUNC_FF(op_f218_0), /* FPP */
	CPUFUNC_FF(op_f218_0), /* FPP */
	CPUFUNC_FF(op_f218_0), /* FPP */
	CPUFUNC_FF(op_f218_0), /* FPP */
	CPUFUNC_FF(op_f218_0), /* FPP */
	CPUFUNC_FF(op_f220_0), /* FPP */
	CPUFUNC_FF(op_f220_0), /* FPP */
	CPUFUNC_FF(op_f220_0), /* FPP */
	CPUFUNC_FF(op_f220_0), /* FPP */
	CPUFUNC_FF(op_f220_0), /* FPP */
	CPUFUNC_FF(op_f220_0), /* FPP */
	CPUFUNC_FF(op_f220_0), /* FPP */
	CPUFUNC_FF(op_f220_0), /* FPP */
	CPUFUNC_FF(op_f228_0), /* FPP */
	CPUFUNC_FF(op_f228_0), /* FPP */
	CPUFUNC_FF(op_f228_0), /* FPP */
	CPUFUNC_FF(op_f228_0), /* FPP */
	CPUFUNC_FF(op_f228_0), /* FPP */
	CPUFUNC_FF(op_f228_0), /* FPP */
	CPUFUNC_FF(op_f228_0), /* FPP */
	CPUFUNC_FF(op_f228_0), /* FPP */
	CPUFUNC_FF(op_f230_0), /* FPP */
	CPUFUNC_FF(op_f230_0), /* FPP */
	CPUFUNC_FF(op_f230_0), /* FPP */
	CPUFUNC_FF(op_f230_0), /* FPP */
	CPUFUNC_FF(op_f230_0), /* FPP */
	CPUFUNC_FF(op_f230_0), /* FPP */
	CPUFUNC_FF(op_f230_0), /* FPP */
	CPUFUNC_FF(op_f230_0), /* FPP */
	CPUFUNC_FF(op_f238_0), /* FPP */
	CPUFUNC_FF(op_f239_0), /* FPP */
	CPUFUNC_FF(op_f23a_0), /* FPP */
	CPUFUNC_FF(op_f23b_0), /* FPP */
	CPUFUNC_FF(op_f23c_0), /* FPP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f240_0), /* FScc */
	CPUFUNC_FF(op_f240_0), /* FScc */
	CPUFUNC_FF(op_f240_0), /* FScc */
	CPUFUNC_FF(op_f240_0), /* FScc */
	CPUFUNC_FF(op_f240_0), /* FScc */
	CPUFUNC_FF(op_f240_0), /* FScc */
	CPUFUNC_FF(op_f240_0), /* FScc */
	CPUFUNC_FF(op_f240_0), /* FScc */
	CPUFUNC_FF(op_f248_0), /* FDBcc */
	CPUFUNC_FF(op_f248_0), /* FDBcc */
	CPUFUNC_FF(op_f248_0), /* FDBcc */
	CPUFUNC_FF(op_f248_0), /* FDBcc */
	CPUFUNC_FF(op_f248_0), /* FDBcc */
	CPUFUNC_FF(op_f248_0), /* FDBcc */
	CPUFUNC_FF(op_f248_0), /* FDBcc */
	CPUFUNC_FF(op_f248_0), /* FDBcc */
	CPUFUNC_FF(op_f250_0), /* FScc */
	CPUFUNC_FF(op_f250_0), /* FScc */
	CPUFUNC_FF(op_f250_0), /* FScc */
	CPUFUNC_FF(op_f250_0), /* FScc */
	CPUFUNC_FF(op_f250_0), /* FScc */
	CPUFUNC_FF(op_f250_0), /* FScc */
	CPUFUNC_FF(op_f250_0), /* FScc */
	CPUFUNC_FF(op_f250_0), /* FScc */
	CPUFUNC_FF(op_f258_0), /* FScc */
	CPUFUNC_FF(op_f258_0), /* FScc */
	CPUFUNC_FF(op_f258_0), /* FScc */
	CPUFUNC_FF(op_f258_0), /* FScc */
	CPUFUNC_FF(op_f258_0), /* FScc */
	CPUFUNC_FF(op_f258_0), /* FScc */
	CPUFUNC_FF(op_f258_0), /* FScc */
	CPUFUNC_FF(op_f258_0), /* FScc */
	CPUFUNC_FF(op_f260_0), /* FScc */
	CPUFUNC_FF(op_f260_0), /* FScc */
	CPUFUNC_FF(op_f260_0), /* FScc */
	CPUFUNC_FF(op_f260_0), /* FScc */
	CPUFUNC_FF(op_f260_0), /* FScc */
	CPUFUNC_FF(op_f260_0), /* FScc */
	CPUFUNC_FF(op_f260_0), /* FScc */
	CPUFUNC_FF(op_f260_0), /* FScc */
	CPUFUNC_FF(op_f268_0), /* FScc */
	CPUFUNC_FF(op_f268_0), /* FScc */
	CPUFUNC_FF(op_f268_0), /* FScc */
	CPUFUNC_FF(op_f268_0), /* FScc */
	CPUFUNC_FF(op_f268_0), /* FScc */
	CPUFUNC_FF(op_f268_0), /* FScc */
	CPUFUNC_FF(op_f268_0), /* FScc */
	CPUFUNC_FF(op_f268_0), /* FScc */
	CPUFUNC_FF(op_f270_0), /* FScc */
	CPUFUNC_FF(op_f270_0), /* FScc */
	CPUFUNC_FF(op_f270_0), /* FScc */
	CPUFUNC_FF(op_f270_0), /* FScc */
	CPUFUNC_FF(op_f270_0), /* FScc */
	CPUFUNC_FF(op_f270_0), /* FScc */
	CPUFUNC_FF(op_f270_0), /* FScc */
	CPUFUNC_FF(op_f270_0), /* FScc */
	CPUFUNC_FF(op_f278_0), /* FScc */
	CPUFUNC_FF(op_f279_0), /* FScc */
	CPUFUNC_FF(op_f27a_0), /* FTRAPcc */
	CPUFUNC_FF(op_f27b_0), /* FTRAPcc */
	CPUFUNC_FF(op_f27c_0), /* FTRAPcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f310_0), /* FSAVE */
	CPUFUNC_FF(op_f310_0), /* FSAVE */
	CPUFUNC_FF(op_f310_0), /* FSAVE */
	CPUFUNC_FF(op_f310_0), /* FSAVE */
	CPUFUNC_FF(op_f310_0), /* FSAVE */
	CPUFUNC_FF(op_f310_0), /* FSAVE */
	CPUFUNC_FF(op_f310_0), /* FSAVE */
	CPUFUNC_FF(op_f310_0), /* FSAVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f320_0), /* FSAVE */
	CPUFUNC_FF(op_f320_0), /* FSAVE */
	CPUFUNC_FF(op_f320_0), /* FSAVE */
	CPUFUNC_FF(op_f320_0), /* FSAVE */
	CPUFUNC_FF(op_f320_0), /* FSAVE */
	CPUFUNC_FF(op_f320_0), /* FSAVE */
	CPUFUNC_FF(op_f320_0), /* FSAVE */
	CPUFUNC_FF(op_f320_0), /* FSAVE */
	CPUFUNC_FF(op_f328_0), /* FSAVE */
	CPUFUNC_FF(op_f328_0), /* FSAVE */
	CPUFUNC_FF(op_f328_0), /* FSAVE */
	CPUFUNC_FF(op_f328_0), /* FSAVE */
	CPUFUNC_FF(op_f328_0), /* FSAVE */
	CPUFUNC_FF(op_f328_0), /* FSAVE */
	CPUFUNC_FF(op_f328_0), /* FSAVE */
	CPUFUNC_FF(op_f328_0), /* FSAVE */
	CPUFUNC_FF(op_f330_0), /* FSAVE */
	CPUFUNC_FF(op_f330_0), /* FSAVE */
	CPUFUNC_FF(op_f330_0), /* FSAVE */
	CPUFUNC_FF(op_f330_0), /* FSAVE */
	CPUFUNC_FF(op_f330_0), /* FSAVE */
	CPUFUNC_FF(op_f330_0), /* FSAVE */
	CPUFUNC_FF(op_f330_0), /* FSAVE */
	CPUFUNC_FF(op_f330_0), /* FSAVE */
	CPUFUNC_FF(op_f338_0), /* FSAVE */
	CPUFUNC_FF(op_f339_0), /* FSAVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f350_0), /* FRESTORE */
	CPUFUNC_FF(op_f350_0), /* FRESTORE */
	CPUFUNC_FF(op_f350_0), /* FRESTORE */
	CPUFUNC_FF(op_f350_0), /* FRESTORE */
	CPUFUNC_FF(op_f350_0), /* FRESTORE */
	CPUFUNC_FF(op_f350_0), /* FRESTORE */
	CPUFUNC_FF(op_f350_0), /* FRESTORE */
	CPUFUNC_FF(op_f350_0), /* FRESTORE */
	CPUFUNC_FF(op_f358_0), /* FRESTORE */
	CPUFUNC_FF(op_f358_0), /* FRESTORE */
	CPUFUNC_FF(op_f358_0), /* FRESTORE */
	CPUFUNC_FF(op_f358_0), /* FRESTORE */
	CPUFUNC_FF(op_f358_0), /* FRESTORE */
	CPUFUNC_FF(op_f358_0), /* FRESTORE */
	CPUFUNC_FF(op_f358_0), /* FRESTORE */
	CPUFUNC_FF(op_f358_0), /* FRESTORE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f368_0), /* FRESTORE */
	CPUFUNC_FF(op_f368_0), /* FRESTORE */
	CPUFUNC_FF(op_f368_0), /* FRESTORE */
	CPUFUNC_FF(op_f368_0), /* FRESTORE */
	CPUFUNC_FF(op_f368_0), /* FRESTORE */
	CPUFUNC_FF(op_f368_0), /* FRESTORE */
	CPUFUNC_FF(op_f368_0), /* FRESTORE */
	CPUFUNC_FF(op_f368_0), /* FRESTORE */
	CPUFUNC_FF(op_f370_0), /* FRESTORE */
	CPUFUNC_FF(op_f370_0), /* FRESTORE */
	CPUFUNC_FF(op_f370_0), /* FRESTORE */
	CPUFUNC_FF(op_f370_0), /* FRESTORE */
	CPUFUNC_FF(op_f370_0), /* FRESTORE */
	CPUFUNC_FF(op_f370_0), /* FRESTORE */
	CPUFUNC_FF(op_f370_0), /* FRESTORE */
	CPUFUNC_FF(op_f370_0), /* FRESTORE */
	CPUFUNC_FF(op_f378_0), /* FRESTORE */
	CPUFUNC_FF(op_f379_0), /* FRESTORE */
	CPUFUNC_FF(op_f37a_0), /* FRESTORE */
	CPUFUNC_FF(op_f37b_0), /* FRESTORE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f418_0), /* CINVA */
	CPUFUNC_FF(op_f419_0), /* CINVA */
	CPUFUNC_FF(op_f41a_0), /* CINVA */
	CPUFUNC_FF(op_f41b_0), /* CINVA */
	CPUFUNC_FF(op_f41c_0), /* CINVA */
	CPUFUNC_FF(op_f41d_0), /* CINVA */
	CPUFUNC_FF(op_f41e_0), /* CINVA */
	CPUFUNC_FF(op_f41f_0), /* CINVA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f438_0), /* CPUSHA */
	CPUFUNC_FF(op_f439_0), /* CPUSHA */
	CPUFUNC_FF(op_f43a_0), /* CPUSHA */
	CPUFUNC_FF(op_f43b_0), /* CPUSHA */
	CPUFUNC_FF(op_f43c_0), /* CPUSHA */
	CPUFUNC_FF(op_f43d_0), /* CPUSHA */
	CPUFUNC_FF(op_f43e_0), /* CPUSHA */
	CPUFUNC_FF(op_f43f_0), /* CPUSHA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f418_0), /* CINVA */
	CPUFUNC_FF(op_f419_0), /* CINVA */
	CPUFUNC_FF(op_f41a_0), /* CINVA */
	CPUFUNC_FF(op_f41b_0), /* CINVA */
	CPUFUNC_FF(op_f41c_0), /* CINVA */
	CPUFUNC_FF(op_f41d_0), /* CINVA */
	CPUFUNC_FF(op_f41e_0), /* CINVA */
	CPUFUNC_FF(op_f41f_0), /* CINVA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f438_0), /* CPUSHA */
	CPUFUNC_FF(op_f439_0), /* CPUSHA */
	CPUFUNC_FF(op_f43a_0), /* CPUSHA */
	CPUFUNC_FF(op_f43b_0), /* CPUSHA */
	CPUFUNC_FF(op_f43c_0), /* CPUSHA */
	CPUFUNC_FF(op_f43d_0), /* CPUSHA */
	CPUFUNC_FF(op_f43e_0), /* CPUSHA */
	CPUFUNC_FF(op_f43f_0), /* CPUSHA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f418_0), /* CINVA */
	CPUFUNC_FF(op_f419_0), /* CINVA */
	CPUFUNC_FF(op_f41a_0), /* CINVA */
	CPUFUNC_FF(op_f41b_0), /* CINVA */
	CPUFUNC_FF(op_f41c_0), /* CINVA */
	CPUFUNC_FF(op_f41d_0), /* CINVA */
	CPUFUNC_FF(op_f41e_0), /* CINVA */
	CPUFUNC_FF(op_f41f_0), /* CINVA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f438_0), /* CPUSHA */
	CPUFUNC_FF(op_f439_0), /* CPUSHA */
	CPUFUNC_FF(op_f43a_0), /* CPUSHA */
	CPUFUNC_FF(op_f43b_0), /* CPUSHA */
	CPUFUNC_FF(op_f43c_0), /* CPUSHA */
	CPUFUNC_FF(op_f43d_0), /* CPUSHA */
	CPUFUNC_FF(op_f43e_0), /* CPUSHA */
	CPUFUNC_FF(op_f43f_0), /* CPUSHA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC_FF(op_f418_0), /* CINVA */
	CPUFUNC_FF(op_f419_0), /* CINVA */
	CPUFUNC_FF(op_f41a_0), /* CINVA */
	CPUFUNC_FF(op_f41b_0), /* CINVA */
	CPUFUNC_FF(op_f41c_0), /* CINVA */
	CPUFUNC_FF(op_f41d_0), /* CINVA */
	CPUFUNC_FF(op_f41e_0), /* CINVA */
	CPUFUNC_FF(op_f41f_0), /* CINVA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC_FF(op_f438_0), /* CPUSHA */
	CPUFUNC_FF(op_f439_0), /* CPUSHA */
	CPUFUNC_FF(op_f43a_0), /* CPUSHA */
	CPUFUNC_FF(op_f43b_0), /* CPUSHA */
	CPUFUNC_FF(op_f43c_0), /* CPUSHA */
	CPUFUNC_FF(op_f43d_0), /* CPUSHA */
	CPUFUNC_FF(op_f43e_0), /* CPUSHA */
	CPUFUNC_FF(op_f43f_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f600_0), /* MOVE16 */
	CPUFUNC_FF(op_f600_0), /* MOVE16 */
	CPUFUNC_FF(op_f600_0), /* MOVE16 */
	CPUFUNC_FF(op_f600_0), /* MOVE16 */
	CPUFUNC_FF(op_f600_0), /* MOVE16 */
	CPUFUNC_FF(op_f600_0), /* MOVE16 */
	CPUFUNC_FF(op_f600_0), /* MOVE16 */
	CPUFUNC_FF(op_f600_0), /* MOVE16 */
	CPUFUNC_FF(op_f608_0), /* MOVE16 */
	CPUFUNC_FF(op_f608_0), /* MOVE16 */
	CPUFUNC_FF(op_f608_0), /* MOVE16 */
	CPUFUNC_FF(op_f608_0), /* MOVE16 */
	CPUFUNC_FF(op_f608_0), /* MOVE16 */
	CPUFUNC_FF(op_f608_0), /* MOVE16 */
	CPUFUNC_FF(op_f608_0), /* MOVE16 */
	CPUFUNC_FF(op_f608_0), /* MOVE16 */
	CPUFUNC_FF(op_f610_0), /* MOVE16 */
	CPUFUNC_FF(op_f610_0), /* MOVE16 */
	CPUFUNC_FF(op_f610_0), /* MOVE16 */
	CPUFUNC_FF(op_f610_0), /* MOVE16 */
	CPUFUNC_FF(op_f610_0), /* MOVE16 */
	CPUFUNC_FF(op_f610_0), /* MOVE16 */
	CPUFUNC_FF(op_f610_0), /* MOVE16 */
	CPUFUNC_FF(op_f610_0), /* MOVE16 */
	CPUFUNC_FF(op_f618_0), /* MOVE16 */
	CPUFUNC_FF(op_f618_0), /* MOVE16 */
	CPUFUNC_FF(op_f618_0), /* MOVE16 */
	CPUFUNC_FF(op_f618_0), /* MOVE16 */
	CPUFUNC_FF(op_f618_0), /* MOVE16 */
	CPUFUNC_FF(op_f618_0), /* MOVE16 */
	CPUFUNC_FF(op_f618_0), /* MOVE16 */
	CPUFUNC_FF(op_f618_0), /* MOVE16 */
	CPUFUNC_FF(op_f620_0), /* MOVE16 */
	CPUFUNC_FF(op_f620_0), /* MOVE16 */
	CPUFUNC_FF(op_f620_0), /* MOVE16 */
	CPUFUNC_FF(op_f620_0), /* MOVE16 */
	CPUFUNC_FF(op_f620_0), /* MOVE16 */
	CPUFUNC_FF(op_f620_0), /* MOVE16 */
	CPUFUNC_FF(op_f620_0), /* MOVE16 */
	CPUFUNC_FF(op_f620_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1 /* ILLEGAL */
#else
	CPUFUNC(op_0_0), /* OR */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_200_0), /* AND */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_400_0), /* SUB */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_600_0), /* ADD */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_800_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_a00_0), /* EOR */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_c00_0), /* CMP */
	CPUFUNC(op_100_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_4000_0), /* NEGX */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4200_0), /* CLR */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4400_0), /* NEG */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4600_0), /* NOT */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4800_0), /* NBCD */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4a00_0), /* TST */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4c00_0), /* MULL */
	CPUFUNC(op_4100_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC_FF(op_6000_0), /* Bcc */
	CPUFUNC_FF(op_6100_0), /* BSR */
	CPUFUNC_FF(op_6200_0), /* Bcc */
	CPUFUNC_FF(op_6300_0), /* Bcc */
	CPUFUNC_FF(op_6400_0), /* Bcc */
	CPUFUNC_FF(op_6500_0), /* Bcc */
	CPUFUNC_FF(op_6600_0), /* Bcc */
	CPUFUNC_FF(op_6700_0), /* Bcc */
	CPUFUNC_FF(op_6800_0), /* Bcc */
	CPUFUNC_FF(op_6900_0), /* Bcc */
	CPUFUNC_FF(op_6a00_0), /* Bcc */
	CPUFUNC_FF(op_6b00_0), /* Bcc */
	CPUFUNC_FF(op_6c00_0), /* Bcc */
	CPUFUNC_FF(op_6d00_0), /* Bcc */
	CPUFUNC_FF(op_6e00_0), /* Bcc */
	CPUFUNC_FF(op_6f00_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7100_0), /* EMULOP_RETURN */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7300_0), /* NATFEAT_ID */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f200_0), /* FPP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f600_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_0_0), /* OR */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_200_0), /* AND */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_400_0), /* SUB */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_600_0), /* ADD */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_800_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_a00_0), /* EOR */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_c00_0), /* CMP */
	CPUFUNC(op_100_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_4000_0), /* NEGX */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4200_0), /* CLR */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4400_0), /* NEG */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4600_0), /* NOT */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4800_0), /* NBCD */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4a00_0), /* TST */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4c00_0), /* MULL */
	CPUFUNC(op_4100_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7301_0), /* NATFEAT_CALL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f200_0), /* FPP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f600_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_0_0), /* OR */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_200_0), /* AND */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_400_0), /* SUB */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_600_0), /* ADD */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_800_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_a00_0), /* EOR */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_c00_0), /* CMP */
	CPUFUNC(op_100_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_4000_0), /* NEGX */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4200_0), /* CLR */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4400_0), /* NEG */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4600_0), /* NOT */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4800_0), /* NBCD */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4a00_0), /* TST */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4c00_0), /* MULL */
	CPUFUNC(op_4100_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f200_0), /* FPP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f600_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_0_0), /* OR */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_200_0), /* AND */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_400_0), /* SUB */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_600_0), /* ADD */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_800_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_a00_0), /* EOR */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_c00_0), /* CMP */
	CPUFUNC(op_100_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_4000_0), /* NEGX */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4200_0), /* CLR */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4400_0), /* NEG */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4600_0), /* NOT */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4800_0), /* NBCD */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4a00_0), /* TST */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4c00_0), /* MULL */
	CPUFUNC(op_4100_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f200_0), /* FPP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f600_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_0_0), /* OR */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_200_0), /* AND */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_400_0), /* SUB */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_600_0), /* ADD */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_800_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_a00_0), /* EOR */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_c00_0), /* CMP */
	CPUFUNC(op_100_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_4000_0), /* NEGX */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4200_0), /* CLR */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4400_0), /* NEG */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4600_0), /* NOT */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4800_0), /* NBCD */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4a00_0), /* TST */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4c00_0), /* MULL */
	CPUFUNC(op_4100_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f200_0), /* FPP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f600_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_0_0), /* OR */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_200_0), /* AND */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_400_0), /* SUB */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_600_0), /* ADD */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_800_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_a00_0), /* EOR */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_c00_0), /* CMP */
	CPUFUNC(op_100_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_4000_0), /* NEGX */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4200_0), /* CLR */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4400_0), /* NEG */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4600_0), /* NOT */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4800_0), /* NBCD */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4a00_0), /* TST */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4c00_0), /* MULL */
	CPUFUNC(op_4100_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f200_0), /* FPP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f600_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_0_0), /* OR */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_200_0), /* AND */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_400_0), /* SUB */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_600_0), /* ADD */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_800_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_a00_0), /* EOR */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_c00_0), /* CMP */
	CPUFUNC(op_100_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_4000_0), /* NEGX */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4200_0), /* CLR */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4400_0), /* NEG */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4600_0), /* NOT */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4800_0), /* NBCD */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4a00_0), /* TST */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4c00_0), /* MULL */
	CPUFUNC(op_4100_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f200_0), /* FPP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f600_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_0_0), /* OR */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_200_0), /* AND */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_400_0), /* SUB */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_600_0), /* ADD */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_800_0), /* BTST */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_a00_0), /* EOR */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_c00_0), /* CMP */
	CPUFUNC(op_100_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_100_0), /* BTST */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_1000_0), /* MOVE */
	CPUFUNC(op_1100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_2000_0), /* MOVE */
	CPUFUNC(op_2100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_3000_0), /* MOVE */
	CPUFUNC(op_3100_0), /* MOVE */
	CPUFUNC(op_4000_0), /* NEGX */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4200_0), /* CLR */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4400_0), /* NEG */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4600_0), /* NOT */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4800_0), /* NBCD */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4a00_0), /* TST */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_4c00_0), /* MULL */
	CPUFUNC(op_4100_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4100_0), /* CHK */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC(op_5000_0), /* ADD */
	CPUFUNC(op_5100_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_8000_0), /* OR */
	CPUFUNC(op_8100_0), /* SBCD */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	CPUFUNC(op_9000_0), /* SUB */
	CPUFUNC(op_9100_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_b000_0), /* CMP */
	CPUFUNC(op_b100_0), /* EOR */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_c000_0), /* AND */
	CPUFUNC(op_c100_0), /* ABCD */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_d000_0), /* ADD */
	CPUFUNC(op_d100_0), /* ADDX */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	CPUFUNC(op_e000_0), /* ASR */
	CPUFUNC(op_e100_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f200_0), /* FPP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f600_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4808_0), /* LINK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f208_0), /* FPP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f608_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4808_0), /* LINK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f208_0), /* FPP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f608_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4808_0), /* LINK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f208_0), /* FPP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f608_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4808_0), /* LINK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f208_0), /* FPP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f608_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4808_0), /* LINK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f208_0), /* FPP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f608_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4808_0), /* LINK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f208_0), /* FPP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f608_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4808_0), /* LINK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f208_0), /* FPP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f608_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_108_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_2008_0), /* MOVE */
	CPUFUNC(op_2108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	CPUFUNC(op_3008_0), /* MOVE */
	CPUFUNC(op_3108_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4808_0), /* LINK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8108_0), /* SBCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_9108_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b108_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c108_0), /* ABCD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d108_0), /* ADDX */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	CPUFUNC(op_e008_0), /* LSR */
	CPUFUNC(op_e108_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f208_0), /* FPP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f608_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10_0), /* OR */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_210_0), /* AND */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_410_0), /* SUB */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_610_0), /* ADD */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_810_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_a10_0), /* EOR */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_c10_0), /* CMP */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC_FF(op_e10_0), /* MOVES */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_4010_0), /* NEGX */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4210_0), /* CLR */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4410_0), /* NEG */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4610_0), /* NOT */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4810_0), /* NBCD */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4a10_0), /* TST */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4c10_0), /* MULL */
	CPUFUNC(op_4110_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f210_0), /* FPP */
	CPUFUNC_FF(op_f310_0), /* FSAVE */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f610_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10_0), /* OR */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_210_0), /* AND */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_410_0), /* SUB */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_610_0), /* ADD */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_810_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_a10_0), /* EOR */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_c10_0), /* CMP */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC_FF(op_e10_0), /* MOVES */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_4010_0), /* NEGX */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4210_0), /* CLR */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4410_0), /* NEG */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4610_0), /* NOT */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4810_0), /* NBCD */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4a10_0), /* TST */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4c10_0), /* MULL */
	CPUFUNC(op_4110_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f210_0), /* FPP */
	CPUFUNC_FF(op_f310_0), /* FSAVE */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f610_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10_0), /* OR */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_210_0), /* AND */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_410_0), /* SUB */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_610_0), /* ADD */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_810_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_a10_0), /* EOR */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_c10_0), /* CMP */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC_FF(op_e10_0), /* MOVES */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_4010_0), /* NEGX */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4210_0), /* CLR */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4410_0), /* NEG */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4610_0), /* NOT */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4810_0), /* NBCD */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4a10_0), /* TST */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4c10_0), /* MULL */
	CPUFUNC(op_4110_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f210_0), /* FPP */
	CPUFUNC_FF(op_f310_0), /* FSAVE */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f610_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10_0), /* OR */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_210_0), /* AND */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_410_0), /* SUB */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_610_0), /* ADD */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_810_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_a10_0), /* EOR */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_c10_0), /* CMP */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC_FF(op_e10_0), /* MOVES */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_4010_0), /* NEGX */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4210_0), /* CLR */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4410_0), /* NEG */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4610_0), /* NOT */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4810_0), /* NBCD */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4a10_0), /* TST */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4c10_0), /* MULL */
	CPUFUNC(op_4110_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f210_0), /* FPP */
	CPUFUNC_FF(op_f310_0), /* FSAVE */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f610_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10_0), /* OR */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_210_0), /* AND */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_410_0), /* SUB */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_610_0), /* ADD */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_810_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_a10_0), /* EOR */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_c10_0), /* CMP */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC_FF(op_e10_0), /* MOVES */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_4010_0), /* NEGX */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4210_0), /* CLR */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4410_0), /* NEG */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4610_0), /* NOT */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4810_0), /* NBCD */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4a10_0), /* TST */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4c10_0), /* MULL */
	CPUFUNC(op_4110_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f210_0), /* FPP */
	CPUFUNC_FF(op_f310_0), /* FSAVE */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f610_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10_0), /* OR */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_210_0), /* AND */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_410_0), /* SUB */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_610_0), /* ADD */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_810_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_a10_0), /* EOR */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_c10_0), /* CMP */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC_FF(op_e10_0), /* MOVES */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_4010_0), /* NEGX */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4210_0), /* CLR */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4410_0), /* NEG */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4610_0), /* NOT */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4810_0), /* NBCD */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4a10_0), /* TST */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4c10_0), /* MULL */
	CPUFUNC(op_4110_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f210_0), /* FPP */
	CPUFUNC_FF(op_f310_0), /* FSAVE */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f610_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10_0), /* OR */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_210_0), /* AND */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_410_0), /* SUB */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_610_0), /* ADD */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_810_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_a10_0), /* EOR */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_c10_0), /* CMP */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC_FF(op_e10_0), /* MOVES */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_4010_0), /* NEGX */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4210_0), /* CLR */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4410_0), /* NEG */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4610_0), /* NOT */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4810_0), /* NBCD */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4a10_0), /* TST */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4c10_0), /* MULL */
	CPUFUNC(op_4110_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f210_0), /* FPP */
	CPUFUNC_FF(op_f310_0), /* FSAVE */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f610_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10_0), /* OR */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_210_0), /* AND */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_410_0), /* SUB */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_610_0), /* ADD */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_810_0), /* BTST */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_a10_0), /* EOR */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_c10_0), /* CMP */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC_FF(op_e10_0), /* MOVES */
	CPUFUNC(op_110_0), /* BTST */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_1010_0), /* MOVE */
	CPUFUNC(op_1110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_2010_0), /* MOVE */
	CPUFUNC(op_2110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_3010_0), /* MOVE */
	CPUFUNC(op_3110_0), /* MOVE */
	CPUFUNC(op_4010_0), /* NEGX */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4210_0), /* CLR */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4410_0), /* NEG */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4610_0), /* NOT */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4810_0), /* NBCD */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4a10_0), /* TST */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_4c10_0), /* MULL */
	CPUFUNC(op_4110_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4110_0), /* CHK */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC(op_5010_0), /* ADD */
	CPUFUNC(op_5110_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_8010_0), /* OR */
	CPUFUNC(op_8110_0), /* OR */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	CPUFUNC(op_9010_0), /* SUB */
	CPUFUNC(op_9110_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_b010_0), /* CMP */
	CPUFUNC(op_b110_0), /* EOR */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_c010_0), /* AND */
	CPUFUNC(op_c110_0), /* AND */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_d010_0), /* ADD */
	CPUFUNC(op_d110_0), /* ADD */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	CPUFUNC(op_e010_0), /* ROXR */
	CPUFUNC(op_e110_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f210_0), /* FPP */
	CPUFUNC_FF(op_f310_0), /* FSAVE */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f610_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_18_0), /* OR */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_218_0), /* AND */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_418_0), /* SUB */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_618_0), /* ADD */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_818_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_a18_0), /* EOR */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_c18_0), /* CMP */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC_FF(op_e18_0), /* MOVES */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_4018_0), /* NEGX */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4218_0), /* CLR */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4418_0), /* NEG */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4618_0), /* NOT */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4818_0), /* NBCD */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4a18_0), /* TST */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4c18_0), /* MULL */
	CPUFUNC(op_4118_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f218_0), /* FPP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f418_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f618_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_18_0), /* OR */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_218_0), /* AND */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_418_0), /* SUB */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_618_0), /* ADD */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_818_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_a18_0), /* EOR */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_c18_0), /* CMP */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC_FF(op_e18_0), /* MOVES */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_4018_0), /* NEGX */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4218_0), /* CLR */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4418_0), /* NEG */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4618_0), /* NOT */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4818_0), /* NBCD */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4a18_0), /* TST */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4c18_0), /* MULL */
	CPUFUNC(op_4118_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f218_0), /* FPP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f419_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f618_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_18_0), /* OR */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_218_0), /* AND */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_418_0), /* SUB */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_618_0), /* ADD */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_818_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_a18_0), /* EOR */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_c18_0), /* CMP */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC_FF(op_e18_0), /* MOVES */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_4018_0), /* NEGX */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4218_0), /* CLR */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4418_0), /* NEG */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4618_0), /* NOT */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4818_0), /* NBCD */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4a18_0), /* TST */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4c18_0), /* MULL */
	CPUFUNC(op_4118_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f218_0), /* FPP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f41a_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f618_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_18_0), /* OR */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_218_0), /* AND */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_418_0), /* SUB */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_618_0), /* ADD */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_818_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_a18_0), /* EOR */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_c18_0), /* CMP */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC_FF(op_e18_0), /* MOVES */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_4018_0), /* NEGX */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4218_0), /* CLR */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4418_0), /* NEG */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4618_0), /* NOT */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4818_0), /* NBCD */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4a18_0), /* TST */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4c18_0), /* MULL */
	CPUFUNC(op_4118_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f218_0), /* FPP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f41b_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f618_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_18_0), /* OR */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_218_0), /* AND */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_418_0), /* SUB */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_618_0), /* ADD */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_818_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_a18_0), /* EOR */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_c18_0), /* CMP */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC_FF(op_e18_0), /* MOVES */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_4018_0), /* NEGX */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4218_0), /* CLR */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4418_0), /* NEG */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4618_0), /* NOT */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4818_0), /* NBCD */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4a18_0), /* TST */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4c18_0), /* MULL */
	CPUFUNC(op_4118_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f218_0), /* FPP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f41c_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f618_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_18_0), /* OR */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_218_0), /* AND */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_418_0), /* SUB */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_618_0), /* ADD */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_818_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_a18_0), /* EOR */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_c18_0), /* CMP */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC_FF(op_e18_0), /* MOVES */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_4018_0), /* NEGX */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4218_0), /* CLR */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4418_0), /* NEG */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4618_0), /* NOT */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4818_0), /* NBCD */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4a18_0), /* TST */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4c18_0), /* MULL */
	CPUFUNC(op_4118_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f218_0), /* FPP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f41d_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f618_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_18_0), /* OR */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_218_0), /* AND */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_418_0), /* SUB */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_618_0), /* ADD */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_818_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_a18_0), /* EOR */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_c18_0), /* CMP */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC_FF(op_e18_0), /* MOVES */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_4018_0), /* NEGX */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4218_0), /* CLR */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4418_0), /* NEG */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4618_0), /* NOT */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4818_0), /* NBCD */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4a18_0), /* TST */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4c18_0), /* MULL */
	CPUFUNC(op_4118_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f218_0), /* FPP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f41e_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f618_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_18_0), /* OR */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_218_0), /* AND */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_418_0), /* SUB */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_618_0), /* ADD */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_818_0), /* BTST */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_a18_0), /* EOR */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_c18_0), /* CMP */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC_FF(op_e18_0), /* MOVES */
	CPUFUNC(op_118_0), /* BTST */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_1018_0), /* MOVE */
	CPUFUNC(op_1118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_2018_0), /* MOVE */
	CPUFUNC(op_2118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_3018_0), /* MOVE */
	CPUFUNC(op_3118_0), /* MOVE */
	CPUFUNC(op_4018_0), /* NEGX */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4218_0), /* CLR */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4418_0), /* NEG */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4618_0), /* NOT */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4818_0), /* NBCD */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4a18_0), /* TST */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_4c18_0), /* MULL */
	CPUFUNC(op_4118_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4118_0), /* CHK */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC(op_5018_0), /* ADD */
	CPUFUNC(op_5118_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_8018_0), /* OR */
	CPUFUNC(op_8118_0), /* OR */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	CPUFUNC(op_9018_0), /* SUB */
	CPUFUNC(op_9118_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_b018_0), /* CMP */
	CPUFUNC(op_b118_0), /* EOR */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_c018_0), /* AND */
	CPUFUNC(op_c118_0), /* AND */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_d018_0), /* ADD */
	CPUFUNC(op_d118_0), /* ADD */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	CPUFUNC(op_e018_0), /* ROR */
	CPUFUNC(op_e118_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f218_0), /* FPP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f41f_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f618_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20_0), /* OR */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_220_0), /* AND */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_420_0), /* SUB */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_620_0), /* ADD */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_820_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_a20_0), /* EOR */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_c20_0), /* CMP */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC_FF(op_e20_0), /* MOVES */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_4020_0), /* NEGX */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4220_0), /* CLR */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4420_0), /* NEG */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4620_0), /* NOT */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4820_0), /* NBCD */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4a20_0), /* TST */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4c20_0), /* MULL */
	CPUFUNC(op_4120_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f220_0), /* FPP */
	CPUFUNC_FF(op_f320_0), /* FSAVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f620_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20_0), /* OR */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_220_0), /* AND */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_420_0), /* SUB */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_620_0), /* ADD */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_820_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_a20_0), /* EOR */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_c20_0), /* CMP */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC_FF(op_e20_0), /* MOVES */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_4020_0), /* NEGX */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4220_0), /* CLR */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4420_0), /* NEG */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4620_0), /* NOT */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4820_0), /* NBCD */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4a20_0), /* TST */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4c20_0), /* MULL */
	CPUFUNC(op_4120_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f220_0), /* FPP */
	CPUFUNC_FF(op_f320_0), /* FSAVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f620_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20_0), /* OR */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_220_0), /* AND */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_420_0), /* SUB */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_620_0), /* ADD */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_820_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_a20_0), /* EOR */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_c20_0), /* CMP */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC_FF(op_e20_0), /* MOVES */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_4020_0), /* NEGX */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4220_0), /* CLR */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4420_0), /* NEG */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4620_0), /* NOT */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4820_0), /* NBCD */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4a20_0), /* TST */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4c20_0), /* MULL */
	CPUFUNC(op_4120_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f220_0), /* FPP */
	CPUFUNC_FF(op_f320_0), /* FSAVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f620_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20_0), /* OR */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_220_0), /* AND */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_420_0), /* SUB */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_620_0), /* ADD */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_820_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_a20_0), /* EOR */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_c20_0), /* CMP */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC_FF(op_e20_0), /* MOVES */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_4020_0), /* NEGX */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4220_0), /* CLR */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4420_0), /* NEG */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4620_0), /* NOT */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4820_0), /* NBCD */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4a20_0), /* TST */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4c20_0), /* MULL */
	CPUFUNC(op_4120_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f220_0), /* FPP */
	CPUFUNC_FF(op_f320_0), /* FSAVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f620_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20_0), /* OR */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_220_0), /* AND */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_420_0), /* SUB */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_620_0), /* ADD */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_820_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_a20_0), /* EOR */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_c20_0), /* CMP */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC_FF(op_e20_0), /* MOVES */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_4020_0), /* NEGX */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4220_0), /* CLR */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4420_0), /* NEG */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4620_0), /* NOT */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4820_0), /* NBCD */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4a20_0), /* TST */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4c20_0), /* MULL */
	CPUFUNC(op_4120_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f220_0), /* FPP */
	CPUFUNC_FF(op_f320_0), /* FSAVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f620_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20_0), /* OR */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_220_0), /* AND */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_420_0), /* SUB */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_620_0), /* ADD */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_820_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_a20_0), /* EOR */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_c20_0), /* CMP */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC_FF(op_e20_0), /* MOVES */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_4020_0), /* NEGX */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4220_0), /* CLR */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4420_0), /* NEG */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4620_0), /* NOT */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4820_0), /* NBCD */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4a20_0), /* TST */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4c20_0), /* MULL */
	CPUFUNC(op_4120_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f220_0), /* FPP */
	CPUFUNC_FF(op_f320_0), /* FSAVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f620_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20_0), /* OR */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_220_0), /* AND */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_420_0), /* SUB */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_620_0), /* ADD */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_820_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_a20_0), /* EOR */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_c20_0), /* CMP */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC_FF(op_e20_0), /* MOVES */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_4020_0), /* NEGX */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4220_0), /* CLR */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4420_0), /* NEG */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4620_0), /* NOT */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4820_0), /* NBCD */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4a20_0), /* TST */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4c20_0), /* MULL */
	CPUFUNC(op_4120_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f220_0), /* FPP */
	CPUFUNC_FF(op_f320_0), /* FSAVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f620_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20_0), /* OR */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_220_0), /* AND */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_420_0), /* SUB */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_620_0), /* ADD */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_820_0), /* BTST */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_a20_0), /* EOR */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_c20_0), /* CMP */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC_FF(op_e20_0), /* MOVES */
	CPUFUNC(op_120_0), /* BTST */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_1020_0), /* MOVE */
	CPUFUNC(op_1120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_2020_0), /* MOVE */
	CPUFUNC(op_2120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_3020_0), /* MOVE */
	CPUFUNC(op_3120_0), /* MOVE */
	CPUFUNC(op_4020_0), /* NEGX */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4220_0), /* CLR */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4420_0), /* NEG */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4620_0), /* NOT */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4820_0), /* NBCD */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4a20_0), /* TST */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_4c20_0), /* MULL */
	CPUFUNC(op_4120_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4120_0), /* CHK */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC(op_5020_0), /* ADD */
	CPUFUNC(op_5120_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_8020_0), /* OR */
	CPUFUNC(op_8120_0), /* OR */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	CPUFUNC(op_9020_0), /* SUB */
	CPUFUNC(op_9120_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_b020_0), /* CMP */
	CPUFUNC(op_b120_0), /* EOR */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_c020_0), /* AND */
	CPUFUNC(op_c120_0), /* AND */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_d020_0), /* ADD */
	CPUFUNC(op_d120_0), /* ADD */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	CPUFUNC(op_e020_0), /* ASR */
	CPUFUNC(op_e120_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f220_0), /* FPP */
	CPUFUNC_FF(op_f320_0), /* FSAVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	CPUFUNC_FF(op_f620_0), /* MOVE16 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_28_0), /* OR */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_228_0), /* AND */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_428_0), /* SUB */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_628_0), /* ADD */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_828_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_a28_0), /* EOR */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_c28_0), /* CMP */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC_FF(op_e28_0), /* MOVES */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_4028_0), /* NEGX */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4228_0), /* CLR */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4428_0), /* NEG */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4628_0), /* NOT */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4828_0), /* NBCD */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4a28_0), /* TST */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4c28_0), /* MULL */
	CPUFUNC(op_4128_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f228_0), /* FPP */
	CPUFUNC_FF(op_f328_0), /* FSAVE */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_28_0), /* OR */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_228_0), /* AND */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_428_0), /* SUB */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_628_0), /* ADD */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_828_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_a28_0), /* EOR */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_c28_0), /* CMP */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC_FF(op_e28_0), /* MOVES */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_4028_0), /* NEGX */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4228_0), /* CLR */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4428_0), /* NEG */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4628_0), /* NOT */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4828_0), /* NBCD */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4a28_0), /* TST */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4c28_0), /* MULL */
	CPUFUNC(op_4128_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f228_0), /* FPP */
	CPUFUNC_FF(op_f328_0), /* FSAVE */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_28_0), /* OR */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_228_0), /* AND */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_428_0), /* SUB */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_628_0), /* ADD */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_828_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_a28_0), /* EOR */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_c28_0), /* CMP */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC_FF(op_e28_0), /* MOVES */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_4028_0), /* NEGX */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4228_0), /* CLR */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4428_0), /* NEG */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4628_0), /* NOT */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4828_0), /* NBCD */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4a28_0), /* TST */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4c28_0), /* MULL */
	CPUFUNC(op_4128_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f228_0), /* FPP */
	CPUFUNC_FF(op_f328_0), /* FSAVE */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_28_0), /* OR */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_228_0), /* AND */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_428_0), /* SUB */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_628_0), /* ADD */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_828_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_a28_0), /* EOR */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_c28_0), /* CMP */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC_FF(op_e28_0), /* MOVES */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_4028_0), /* NEGX */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4228_0), /* CLR */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4428_0), /* NEG */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4628_0), /* NOT */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4828_0), /* NBCD */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4a28_0), /* TST */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4c28_0), /* MULL */
	CPUFUNC(op_4128_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f228_0), /* FPP */
	CPUFUNC_FF(op_f328_0), /* FSAVE */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_28_0), /* OR */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_228_0), /* AND */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_428_0), /* SUB */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_628_0), /* ADD */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_828_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_a28_0), /* EOR */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_c28_0), /* CMP */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC_FF(op_e28_0), /* MOVES */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_4028_0), /* NEGX */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4228_0), /* CLR */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4428_0), /* NEG */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4628_0), /* NOT */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4828_0), /* NBCD */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4a28_0), /* TST */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4c28_0), /* MULL */
	CPUFUNC(op_4128_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f228_0), /* FPP */
	CPUFUNC_FF(op_f328_0), /* FSAVE */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_28_0), /* OR */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_228_0), /* AND */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_428_0), /* SUB */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_628_0), /* ADD */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_828_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_a28_0), /* EOR */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_c28_0), /* CMP */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC_FF(op_e28_0), /* MOVES */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_4028_0), /* NEGX */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4228_0), /* CLR */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4428_0), /* NEG */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4628_0), /* NOT */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4828_0), /* NBCD */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4a28_0), /* TST */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4c28_0), /* MULL */
	CPUFUNC(op_4128_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f228_0), /* FPP */
	CPUFUNC_FF(op_f328_0), /* FSAVE */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_28_0), /* OR */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_228_0), /* AND */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_428_0), /* SUB */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_628_0), /* ADD */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_828_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_a28_0), /* EOR */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_c28_0), /* CMP */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC_FF(op_e28_0), /* MOVES */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_4028_0), /* NEGX */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4228_0), /* CLR */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4428_0), /* NEG */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4628_0), /* NOT */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4828_0), /* NBCD */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4a28_0), /* TST */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4c28_0), /* MULL */
	CPUFUNC(op_4128_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f228_0), /* FPP */
	CPUFUNC_FF(op_f328_0), /* FSAVE */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_28_0), /* OR */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_228_0), /* AND */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_428_0), /* SUB */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_628_0), /* ADD */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_828_0), /* BTST */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_a28_0), /* EOR */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_c28_0), /* CMP */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC_FF(op_e28_0), /* MOVES */
	CPUFUNC(op_128_0), /* BTST */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_1028_0), /* MOVE */
	CPUFUNC(op_1128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_2028_0), /* MOVE */
	CPUFUNC(op_2128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_3028_0), /* MOVE */
	CPUFUNC(op_3128_0), /* MOVE */
	CPUFUNC(op_4028_0), /* NEGX */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4228_0), /* CLR */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4428_0), /* NEG */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4628_0), /* NOT */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4828_0), /* NBCD */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4a28_0), /* TST */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_4c28_0), /* MULL */
	CPUFUNC(op_4128_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4128_0), /* CHK */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC(op_5028_0), /* ADD */
	CPUFUNC(op_5128_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_8028_0), /* OR */
	CPUFUNC(op_8128_0), /* OR */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	CPUFUNC(op_9028_0), /* SUB */
	CPUFUNC(op_9128_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_b028_0), /* CMP */
	CPUFUNC(op_b128_0), /* EOR */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_c028_0), /* AND */
	CPUFUNC(op_c128_0), /* AND */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_d028_0), /* ADD */
	CPUFUNC(op_d128_0), /* ADD */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	CPUFUNC(op_e028_0), /* LSR */
	CPUFUNC(op_e128_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f228_0), /* FPP */
	CPUFUNC_FF(op_f328_0), /* FSAVE */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30_0), /* OR */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_230_0), /* AND */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_430_0), /* SUB */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_630_0), /* ADD */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_830_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_a30_0), /* EOR */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_c30_0), /* CMP */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC_FF(op_e30_0), /* MOVES */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_4030_0), /* NEGX */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4230_0), /* CLR */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4430_0), /* NEG */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4630_0), /* NOT */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4830_0), /* NBCD */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4a30_0), /* TST */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4c30_0), /* MULL */
	CPUFUNC(op_4130_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f230_0), /* FPP */
	CPUFUNC_FF(op_f330_0), /* FSAVE */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30_0), /* OR */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_230_0), /* AND */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_430_0), /* SUB */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_630_0), /* ADD */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_830_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_a30_0), /* EOR */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_c30_0), /* CMP */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC_FF(op_e30_0), /* MOVES */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_4030_0), /* NEGX */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4230_0), /* CLR */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4430_0), /* NEG */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4630_0), /* NOT */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4830_0), /* NBCD */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4a30_0), /* TST */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4c30_0), /* MULL */
	CPUFUNC(op_4130_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f230_0), /* FPP */
	CPUFUNC_FF(op_f330_0), /* FSAVE */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30_0), /* OR */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_230_0), /* AND */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_430_0), /* SUB */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_630_0), /* ADD */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_830_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_a30_0), /* EOR */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_c30_0), /* CMP */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC_FF(op_e30_0), /* MOVES */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_4030_0), /* NEGX */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4230_0), /* CLR */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4430_0), /* NEG */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4630_0), /* NOT */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4830_0), /* NBCD */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4a30_0), /* TST */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4c30_0), /* MULL */
	CPUFUNC(op_4130_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f230_0), /* FPP */
	CPUFUNC_FF(op_f330_0), /* FSAVE */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30_0), /* OR */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_230_0), /* AND */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_430_0), /* SUB */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_630_0), /* ADD */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_830_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_a30_0), /* EOR */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_c30_0), /* CMP */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC_FF(op_e30_0), /* MOVES */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_4030_0), /* NEGX */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4230_0), /* CLR */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4430_0), /* NEG */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4630_0), /* NOT */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4830_0), /* NBCD */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4a30_0), /* TST */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4c30_0), /* MULL */
	CPUFUNC(op_4130_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f230_0), /* FPP */
	CPUFUNC_FF(op_f330_0), /* FSAVE */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30_0), /* OR */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_230_0), /* AND */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_430_0), /* SUB */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_630_0), /* ADD */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_830_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_a30_0), /* EOR */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_c30_0), /* CMP */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC_FF(op_e30_0), /* MOVES */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_4030_0), /* NEGX */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4230_0), /* CLR */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4430_0), /* NEG */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4630_0), /* NOT */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4830_0), /* NBCD */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4a30_0), /* TST */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4c30_0), /* MULL */
	CPUFUNC(op_4130_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f230_0), /* FPP */
	CPUFUNC_FF(op_f330_0), /* FSAVE */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30_0), /* OR */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_230_0), /* AND */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_430_0), /* SUB */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_630_0), /* ADD */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_830_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_a30_0), /* EOR */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_c30_0), /* CMP */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC_FF(op_e30_0), /* MOVES */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_4030_0), /* NEGX */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4230_0), /* CLR */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4430_0), /* NEG */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4630_0), /* NOT */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4830_0), /* NBCD */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4a30_0), /* TST */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4c30_0), /* MULL */
	CPUFUNC(op_4130_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f230_0), /* FPP */
	CPUFUNC_FF(op_f330_0), /* FSAVE */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30_0), /* OR */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_230_0), /* AND */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_430_0), /* SUB */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_630_0), /* ADD */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_830_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_a30_0), /* EOR */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_c30_0), /* CMP */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC_FF(op_e30_0), /* MOVES */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_4030_0), /* NEGX */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4230_0), /* CLR */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4430_0), /* NEG */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4630_0), /* NOT */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4830_0), /* NBCD */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4a30_0), /* TST */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4c30_0), /* MULL */
	CPUFUNC(op_4130_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f230_0), /* FPP */
	CPUFUNC_FF(op_f330_0), /* FSAVE */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30_0), /* OR */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_230_0), /* AND */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_430_0), /* SUB */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_630_0), /* ADD */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_830_0), /* BTST */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_a30_0), /* EOR */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_c30_0), /* CMP */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC_FF(op_e30_0), /* MOVES */
	CPUFUNC(op_130_0), /* BTST */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_1030_0), /* MOVE */
	CPUFUNC(op_1130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_2030_0), /* MOVE */
	CPUFUNC(op_2130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_3030_0), /* MOVE */
	CPUFUNC(op_3130_0), /* MOVE */
	CPUFUNC(op_4030_0), /* NEGX */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4230_0), /* CLR */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4430_0), /* NEG */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4630_0), /* NOT */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4830_0), /* NBCD */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4a30_0), /* TST */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_4c30_0), /* MULL */
	CPUFUNC(op_4130_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4130_0), /* CHK */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC(op_5030_0), /* ADD */
	CPUFUNC(op_5130_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_8030_0), /* OR */
	CPUFUNC(op_8130_0), /* OR */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	CPUFUNC(op_9030_0), /* SUB */
	CPUFUNC(op_9130_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_b030_0), /* CMP */
	CPUFUNC(op_b130_0), /* EOR */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_c030_0), /* AND */
	CPUFUNC(op_c130_0), /* AND */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_d030_0), /* ADD */
	CPUFUNC(op_d130_0), /* ADD */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	CPUFUNC(op_e030_0), /* ROXR */
	CPUFUNC(op_e130_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f230_0), /* FPP */
	CPUFUNC_FF(op_f330_0), /* FSAVE */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_38_0), /* OR */
	CPUFUNC(op_138_0), /* BTST */
	CPUFUNC(op_238_0), /* AND */
	CPUFUNC(op_138_0), /* BTST */
	CPUFUNC(op_438_0), /* SUB */
	CPUFUNC(op_138_0), /* BTST */
	CPUFUNC(op_638_0), /* ADD */
	CPUFUNC(op_138_0), /* BTST */
	CPUFUNC(op_838_0), /* BTST */
	CPUFUNC(op_138_0), /* BTST */
	CPUFUNC(op_a38_0), /* EOR */
	CPUFUNC(op_138_0), /* BTST */
	CPUFUNC(op_c38_0), /* CMP */
	CPUFUNC(op_138_0), /* BTST */
	CPUFUNC_FF(op_e38_0), /* MOVES */
	CPUFUNC(op_138_0), /* BTST */
	CPUFUNC(op_1038_0), /* MOVE */
	CPUFUNC(op_1138_0), /* MOVE */
	CPUFUNC(op_1038_0), /* MOVE */
	CPUFUNC(op_1138_0), /* MOVE */
	CPUFUNC(op_1038_0), /* MOVE */
	CPUFUNC(op_1138_0), /* MOVE */
	CPUFUNC(op_1038_0), /* MOVE */
	CPUFUNC(op_1138_0), /* MOVE */
	CPUFUNC(op_1038_0), /* MOVE */
	CPUFUNC(op_1138_0), /* MOVE */
	CPUFUNC(op_1038_0), /* MOVE */
	CPUFUNC(op_1138_0), /* MOVE */
	CPUFUNC(op_1038_0), /* MOVE */
	CPUFUNC(op_1138_0), /* MOVE */
	CPUFUNC(op_1038_0), /* MOVE */
	CPUFUNC(op_1138_0), /* MOVE */
	CPUFUNC(op_2038_0), /* MOVE */
	CPUFUNC(op_2138_0), /* MOVE */
	CPUFUNC(op_2038_0), /* MOVE */
	CPUFUNC(op_2138_0), /* MOVE */
	CPUFUNC(op_2038_0), /* MOVE */
	CPUFUNC(op_2138_0), /* MOVE */
	CPUFUNC(op_2038_0), /* MOVE */
	CPUFUNC(op_2138_0), /* MOVE */
	CPUFUNC(op_2038_0), /* MOVE */
	CPUFUNC(op_2138_0), /* MOVE */
	CPUFUNC(op_2038_0), /* MOVE */
	CPUFUNC(op_2138_0), /* MOVE */
	CPUFUNC(op_2038_0), /* MOVE */
	CPUFUNC(op_2138_0), /* MOVE */
	CPUFUNC(op_2038_0), /* MOVE */
	CPUFUNC(op_2138_0), /* MOVE */
	CPUFUNC(op_3038_0), /* MOVE */
	CPUFUNC(op_3138_0), /* MOVE */
	CPUFUNC(op_3038_0), /* MOVE */
	CPUFUNC(op_3138_0), /* MOVE */
	CPUFUNC(op_3038_0), /* MOVE */
	CPUFUNC(op_3138_0), /* MOVE */
	CPUFUNC(op_3038_0), /* MOVE */
	CPUFUNC(op_3138_0), /* MOVE */
	CPUFUNC(op_3038_0), /* MOVE */
	CPUFUNC(op_3138_0), /* MOVE */
	CPUFUNC(op_3038_0), /* MOVE */
	CPUFUNC(op_3138_0), /* MOVE */
	CPUFUNC(op_3038_0), /* MOVE */
	CPUFUNC(op_3138_0), /* MOVE */
	CPUFUNC(op_3038_0), /* MOVE */
	CPUFUNC(op_3138_0), /* MOVE */
	CPUFUNC(op_4038_0), /* NEGX */
	CPUFUNC(op_4138_0), /* CHK */
	CPUFUNC(op_4238_0), /* CLR */
	CPUFUNC(op_4138_0), /* CHK */
	CPUFUNC(op_4438_0), /* NEG */
	CPUFUNC(op_4138_0), /* CHK */
	CPUFUNC(op_4638_0), /* NOT */
	CPUFUNC(op_4138_0), /* CHK */
	CPUFUNC(op_4838_0), /* NBCD */
	CPUFUNC(op_4138_0), /* CHK */
	CPUFUNC(op_4a38_0), /* TST */
	CPUFUNC(op_4138_0), /* CHK */
	CPUFUNC(op_4c38_0), /* MULL */
	CPUFUNC(op_4138_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4138_0), /* CHK */
	CPUFUNC(op_5038_0), /* ADD */
	CPUFUNC(op_5138_0), /* SUB */
	CPUFUNC(op_5038_0), /* ADD */
	CPUFUNC(op_5138_0), /* SUB */
	CPUFUNC(op_5038_0), /* ADD */
	CPUFUNC(op_5138_0), /* SUB */
	CPUFUNC(op_5038_0), /* ADD */
	CPUFUNC(op_5138_0), /* SUB */
	CPUFUNC(op_5038_0), /* ADD */
	CPUFUNC(op_5138_0), /* SUB */
	CPUFUNC(op_5038_0), /* ADD */
	CPUFUNC(op_5138_0), /* SUB */
	CPUFUNC(op_5038_0), /* ADD */
	CPUFUNC(op_5138_0), /* SUB */
	CPUFUNC(op_5038_0), /* ADD */
	CPUFUNC(op_5138_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8038_0), /* OR */
	CPUFUNC(op_8138_0), /* OR */
	CPUFUNC(op_8038_0), /* OR */
	CPUFUNC(op_8138_0), /* OR */
	CPUFUNC(op_8038_0), /* OR */
	CPUFUNC(op_8138_0), /* OR */
	CPUFUNC(op_8038_0), /* OR */
	CPUFUNC(op_8138_0), /* OR */
	CPUFUNC(op_8038_0), /* OR */
	CPUFUNC(op_8138_0), /* OR */
	CPUFUNC(op_8038_0), /* OR */
	CPUFUNC(op_8138_0), /* OR */
	CPUFUNC(op_8038_0), /* OR */
	CPUFUNC(op_8138_0), /* OR */
	CPUFUNC(op_8038_0), /* OR */
	CPUFUNC(op_8138_0), /* OR */
	CPUFUNC(op_9038_0), /* SUB */
	CPUFUNC(op_9138_0), /* SUB */
	CPUFUNC(op_9038_0), /* SUB */
	CPUFUNC(op_9138_0), /* SUB */
	CPUFUNC(op_9038_0), /* SUB */
	CPUFUNC(op_9138_0), /* SUB */
	CPUFUNC(op_9038_0), /* SUB */
	CPUFUNC(op_9138_0), /* SUB */
	CPUFUNC(op_9038_0), /* SUB */
	CPUFUNC(op_9138_0), /* SUB */
	CPUFUNC(op_9038_0), /* SUB */
	CPUFUNC(op_9138_0), /* SUB */
	CPUFUNC(op_9038_0), /* SUB */
	CPUFUNC(op_9138_0), /* SUB */
	CPUFUNC(op_9038_0), /* SUB */
	CPUFUNC(op_9138_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b038_0), /* CMP */
	CPUFUNC(op_b138_0), /* EOR */
	CPUFUNC(op_b038_0), /* CMP */
	CPUFUNC(op_b138_0), /* EOR */
	CPUFUNC(op_b038_0), /* CMP */
	CPUFUNC(op_b138_0), /* EOR */
	CPUFUNC(op_b038_0), /* CMP */
	CPUFUNC(op_b138_0), /* EOR */
	CPUFUNC(op_b038_0), /* CMP */
	CPUFUNC(op_b138_0), /* EOR */
	CPUFUNC(op_b038_0), /* CMP */
	CPUFUNC(op_b138_0), /* EOR */
	CPUFUNC(op_b038_0), /* CMP */
	CPUFUNC(op_b138_0), /* EOR */
	CPUFUNC(op_b038_0), /* CMP */
	CPUFUNC(op_b138_0), /* EOR */
	CPUFUNC(op_c038_0), /* AND */
	CPUFUNC(op_c138_0), /* AND */
	CPUFUNC(op_c038_0), /* AND */
	CPUFUNC(op_c138_0), /* AND */
	CPUFUNC(op_c038_0), /* AND */
	CPUFUNC(op_c138_0), /* AND */
	CPUFUNC(op_c038_0), /* AND */
	CPUFUNC(op_c138_0), /* AND */
	CPUFUNC(op_c038_0), /* AND */
	CPUFUNC(op_c138_0), /* AND */
	CPUFUNC(op_c038_0), /* AND */
	CPUFUNC(op_c138_0), /* AND */
	CPUFUNC(op_c038_0), /* AND */
	CPUFUNC(op_c138_0), /* AND */
	CPUFUNC(op_c038_0), /* AND */
	CPUFUNC(op_c138_0), /* AND */
	CPUFUNC(op_d038_0), /* ADD */
	CPUFUNC(op_d138_0), /* ADD */
	CPUFUNC(op_d038_0), /* ADD */
	CPUFUNC(op_d138_0), /* ADD */
	CPUFUNC(op_d038_0), /* ADD */
	CPUFUNC(op_d138_0), /* ADD */
	CPUFUNC(op_d038_0), /* ADD */
	CPUFUNC(op_d138_0), /* ADD */
	CPUFUNC(op_d038_0), /* ADD */
	CPUFUNC(op_d138_0), /* ADD */
	CPUFUNC(op_d038_0), /* ADD */
	CPUFUNC(op_d138_0), /* ADD */
	CPUFUNC(op_d038_0), /* ADD */
	CPUFUNC(op_d138_0), /* ADD */
	CPUFUNC(op_d038_0), /* ADD */
	CPUFUNC(op_d138_0), /* ADD */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f238_0), /* FPP */
	CPUFUNC_FF(op_f338_0), /* FSAVE */
	CPUFUNC_FF(op_f438_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_39_0), /* OR */
	CPUFUNC(op_139_0), /* BTST */
	CPUFUNC(op_239_0), /* AND */
	CPUFUNC(op_139_0), /* BTST */
	CPUFUNC(op_439_0), /* SUB */
	CPUFUNC(op_139_0), /* BTST */
	CPUFUNC(op_639_0), /* ADD */
	CPUFUNC(op_139_0), /* BTST */
	CPUFUNC(op_839_0), /* BTST */
	CPUFUNC(op_139_0), /* BTST */
	CPUFUNC(op_a39_0), /* EOR */
	CPUFUNC(op_139_0), /* BTST */
	CPUFUNC(op_c39_0), /* CMP */
	CPUFUNC(op_139_0), /* BTST */
	CPUFUNC_FF(op_e39_0), /* MOVES */
	CPUFUNC(op_139_0), /* BTST */
	CPUFUNC(op_1039_0), /* MOVE */
	CPUFUNC(op_1139_0), /* MOVE */
	CPUFUNC(op_1039_0), /* MOVE */
	CPUFUNC(op_1139_0), /* MOVE */
	CPUFUNC(op_1039_0), /* MOVE */
	CPUFUNC(op_1139_0), /* MOVE */
	CPUFUNC(op_1039_0), /* MOVE */
	CPUFUNC(op_1139_0), /* MOVE */
	CPUFUNC(op_1039_0), /* MOVE */
	CPUFUNC(op_1139_0), /* MOVE */
	CPUFUNC(op_1039_0), /* MOVE */
	CPUFUNC(op_1139_0), /* MOVE */
	CPUFUNC(op_1039_0), /* MOVE */
	CPUFUNC(op_1139_0), /* MOVE */
	CPUFUNC(op_1039_0), /* MOVE */
	CPUFUNC(op_1139_0), /* MOVE */
	CPUFUNC(op_2039_0), /* MOVE */
	CPUFUNC(op_2139_0), /* MOVE */
	CPUFUNC(op_2039_0), /* MOVE */
	CPUFUNC(op_2139_0), /* MOVE */
	CPUFUNC(op_2039_0), /* MOVE */
	CPUFUNC(op_2139_0), /* MOVE */
	CPUFUNC(op_2039_0), /* MOVE */
	CPUFUNC(op_2139_0), /* MOVE */
	CPUFUNC(op_2039_0), /* MOVE */
	CPUFUNC(op_2139_0), /* MOVE */
	CPUFUNC(op_2039_0), /* MOVE */
	CPUFUNC(op_2139_0), /* MOVE */
	CPUFUNC(op_2039_0), /* MOVE */
	CPUFUNC(op_2139_0), /* MOVE */
	CPUFUNC(op_2039_0), /* MOVE */
	CPUFUNC(op_2139_0), /* MOVE */
	CPUFUNC(op_3039_0), /* MOVE */
	CPUFUNC(op_3139_0), /* MOVE */
	CPUFUNC(op_3039_0), /* MOVE */
	CPUFUNC(op_3139_0), /* MOVE */
	CPUFUNC(op_3039_0), /* MOVE */
	CPUFUNC(op_3139_0), /* MOVE */
	CPUFUNC(op_3039_0), /* MOVE */
	CPUFUNC(op_3139_0), /* MOVE */
	CPUFUNC(op_3039_0), /* MOVE */
	CPUFUNC(op_3139_0), /* MOVE */
	CPUFUNC(op_3039_0), /* MOVE */
	CPUFUNC(op_3139_0), /* MOVE */
	CPUFUNC(op_3039_0), /* MOVE */
	CPUFUNC(op_3139_0), /* MOVE */
	CPUFUNC(op_3039_0), /* MOVE */
	CPUFUNC(op_3139_0), /* MOVE */
	CPUFUNC(op_4039_0), /* NEGX */
	CPUFUNC(op_4139_0), /* CHK */
	CPUFUNC(op_4239_0), /* CLR */
	CPUFUNC(op_4139_0), /* CHK */
	CPUFUNC(op_4439_0), /* NEG */
	CPUFUNC(op_4139_0), /* CHK */
	CPUFUNC(op_4639_0), /* NOT */
	CPUFUNC(op_4139_0), /* CHK */
	CPUFUNC(op_4839_0), /* NBCD */
	CPUFUNC(op_4139_0), /* CHK */
	CPUFUNC(op_4a39_0), /* TST */
	CPUFUNC(op_4139_0), /* CHK */
	CPUFUNC(op_4c39_0), /* MULL */
	CPUFUNC(op_4139_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4139_0), /* CHK */
	CPUFUNC(op_5039_0), /* ADD */
	CPUFUNC(op_5139_0), /* SUB */
	CPUFUNC(op_5039_0), /* ADD */
	CPUFUNC(op_5139_0), /* SUB */
	CPUFUNC(op_5039_0), /* ADD */
	CPUFUNC(op_5139_0), /* SUB */
	CPUFUNC(op_5039_0), /* ADD */
	CPUFUNC(op_5139_0), /* SUB */
	CPUFUNC(op_5039_0), /* ADD */
	CPUFUNC(op_5139_0), /* SUB */
	CPUFUNC(op_5039_0), /* ADD */
	CPUFUNC(op_5139_0), /* SUB */
	CPUFUNC(op_5039_0), /* ADD */
	CPUFUNC(op_5139_0), /* SUB */
	CPUFUNC(op_5039_0), /* ADD */
	CPUFUNC(op_5139_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8039_0), /* OR */
	CPUFUNC(op_8139_0), /* OR */
	CPUFUNC(op_8039_0), /* OR */
	CPUFUNC(op_8139_0), /* OR */
	CPUFUNC(op_8039_0), /* OR */
	CPUFUNC(op_8139_0), /* OR */
	CPUFUNC(op_8039_0), /* OR */
	CPUFUNC(op_8139_0), /* OR */
	CPUFUNC(op_8039_0), /* OR */
	CPUFUNC(op_8139_0), /* OR */
	CPUFUNC(op_8039_0), /* OR */
	CPUFUNC(op_8139_0), /* OR */
	CPUFUNC(op_8039_0), /* OR */
	CPUFUNC(op_8139_0), /* OR */
	CPUFUNC(op_8039_0), /* OR */
	CPUFUNC(op_8139_0), /* OR */
	CPUFUNC(op_9039_0), /* SUB */
	CPUFUNC(op_9139_0), /* SUB */
	CPUFUNC(op_9039_0), /* SUB */
	CPUFUNC(op_9139_0), /* SUB */
	CPUFUNC(op_9039_0), /* SUB */
	CPUFUNC(op_9139_0), /* SUB */
	CPUFUNC(op_9039_0), /* SUB */
	CPUFUNC(op_9139_0), /* SUB */
	CPUFUNC(op_9039_0), /* SUB */
	CPUFUNC(op_9139_0), /* SUB */
	CPUFUNC(op_9039_0), /* SUB */
	CPUFUNC(op_9139_0), /* SUB */
	CPUFUNC(op_9039_0), /* SUB */
	CPUFUNC(op_9139_0), /* SUB */
	CPUFUNC(op_9039_0), /* SUB */
	CPUFUNC(op_9139_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b039_0), /* CMP */
	CPUFUNC(op_b139_0), /* EOR */
	CPUFUNC(op_b039_0), /* CMP */
	CPUFUNC(op_b139_0), /* EOR */
	CPUFUNC(op_b039_0), /* CMP */
	CPUFUNC(op_b139_0), /* EOR */
	CPUFUNC(op_b039_0), /* CMP */
	CPUFUNC(op_b139_0), /* EOR */
	CPUFUNC(op_b039_0), /* CMP */
	CPUFUNC(op_b139_0), /* EOR */
	CPUFUNC(op_b039_0), /* CMP */
	CPUFUNC(op_b139_0), /* EOR */
	CPUFUNC(op_b039_0), /* CMP */
	CPUFUNC(op_b139_0), /* EOR */
	CPUFUNC(op_b039_0), /* CMP */
	CPUFUNC(op_b139_0), /* EOR */
	CPUFUNC(op_c039_0), /* AND */
	CPUFUNC(op_c139_0), /* AND */
	CPUFUNC(op_c039_0), /* AND */
	CPUFUNC(op_c139_0), /* AND */
	CPUFUNC(op_c039_0), /* AND */
	CPUFUNC(op_c139_0), /* AND */
	CPUFUNC(op_c039_0), /* AND */
	CPUFUNC(op_c139_0), /* AND */
	CPUFUNC(op_c039_0), /* AND */
	CPUFUNC(op_c139_0), /* AND */
	CPUFUNC(op_c039_0), /* AND */
	CPUFUNC(op_c139_0), /* AND */
	CPUFUNC(op_c039_0), /* AND */
	CPUFUNC(op_c139_0), /* AND */
	CPUFUNC(op_c039_0), /* AND */
	CPUFUNC(op_c139_0), /* AND */
	CPUFUNC(op_d039_0), /* ADD */
	CPUFUNC(op_d139_0), /* ADD */
	CPUFUNC(op_d039_0), /* ADD */
	CPUFUNC(op_d139_0), /* ADD */
	CPUFUNC(op_d039_0), /* ADD */
	CPUFUNC(op_d139_0), /* ADD */
	CPUFUNC(op_d039_0), /* ADD */
	CPUFUNC(op_d139_0), /* ADD */
	CPUFUNC(op_d039_0), /* ADD */
	CPUFUNC(op_d139_0), /* ADD */
	CPUFUNC(op_d039_0), /* ADD */
	CPUFUNC(op_d139_0), /* ADD */
	CPUFUNC(op_d039_0), /* ADD */
	CPUFUNC(op_d139_0), /* ADD */
	CPUFUNC(op_d039_0), /* ADD */
	CPUFUNC(op_d139_0), /* ADD */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f239_0), /* FPP */
	CPUFUNC_FF(op_f339_0), /* FSAVE */
	CPUFUNC_FF(op_f439_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_13a_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_13a_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_13a_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_13a_0), /* BTST */
	CPUFUNC(op_83a_0), /* BTST */
	CPUFUNC(op_13a_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_13a_0), /* BTST */
	CPUFUNC(op_c3a_0), /* CMP */
	CPUFUNC(op_13a_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_13a_0), /* BTST */
	CPUFUNC(op_103a_0), /* MOVE */
	CPUFUNC(op_113a_0), /* MOVE */
	CPUFUNC(op_103a_0), /* MOVE */
	CPUFUNC(op_113a_0), /* MOVE */
	CPUFUNC(op_103a_0), /* MOVE */
	CPUFUNC(op_113a_0), /* MOVE */
	CPUFUNC(op_103a_0), /* MOVE */
	CPUFUNC(op_113a_0), /* MOVE */
	CPUFUNC(op_103a_0), /* MOVE */
	CPUFUNC(op_113a_0), /* MOVE */
	CPUFUNC(op_103a_0), /* MOVE */
	CPUFUNC(op_113a_0), /* MOVE */
	CPUFUNC(op_103a_0), /* MOVE */
	CPUFUNC(op_113a_0), /* MOVE */
	CPUFUNC(op_103a_0), /* MOVE */
	CPUFUNC(op_113a_0), /* MOVE */
	CPUFUNC(op_203a_0), /* MOVE */
	CPUFUNC(op_213a_0), /* MOVE */
	CPUFUNC(op_203a_0), /* MOVE */
	CPUFUNC(op_213a_0), /* MOVE */
	CPUFUNC(op_203a_0), /* MOVE */
	CPUFUNC(op_213a_0), /* MOVE */
	CPUFUNC(op_203a_0), /* MOVE */
	CPUFUNC(op_213a_0), /* MOVE */
	CPUFUNC(op_203a_0), /* MOVE */
	CPUFUNC(op_213a_0), /* MOVE */
	CPUFUNC(op_203a_0), /* MOVE */
	CPUFUNC(op_213a_0), /* MOVE */
	CPUFUNC(op_203a_0), /* MOVE */
	CPUFUNC(op_213a_0), /* MOVE */
	CPUFUNC(op_203a_0), /* MOVE */
	CPUFUNC(op_213a_0), /* MOVE */
	CPUFUNC(op_303a_0), /* MOVE */
	CPUFUNC(op_313a_0), /* MOVE */
	CPUFUNC(op_303a_0), /* MOVE */
	CPUFUNC(op_313a_0), /* MOVE */
	CPUFUNC(op_303a_0), /* MOVE */
	CPUFUNC(op_313a_0), /* MOVE */
	CPUFUNC(op_303a_0), /* MOVE */
	CPUFUNC(op_313a_0), /* MOVE */
	CPUFUNC(op_303a_0), /* MOVE */
	CPUFUNC(op_313a_0), /* MOVE */
	CPUFUNC(op_303a_0), /* MOVE */
	CPUFUNC(op_313a_0), /* MOVE */
	CPUFUNC(op_303a_0), /* MOVE */
	CPUFUNC(op_313a_0), /* MOVE */
	CPUFUNC(op_303a_0), /* MOVE */
	CPUFUNC(op_313a_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_413a_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_413a_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_413a_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_413a_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_413a_0), /* CHK */
	CPUFUNC(op_4a3a_0), /* TST */
	CPUFUNC(op_413a_0), /* CHK */
	CPUFUNC(op_4c3a_0), /* MULL */
	CPUFUNC(op_413a_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_413a_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_803a_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_803a_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_803a_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_803a_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_803a_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_803a_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_803a_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_803a_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_903a_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_903a_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_903a_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_903a_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_903a_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_903a_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_903a_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_903a_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b03a_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b03a_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b03a_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b03a_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b03a_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b03a_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b03a_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b03a_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c03a_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c03a_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c03a_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c03a_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c03a_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c03a_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c03a_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c03a_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d03a_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d03a_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d03a_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d03a_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d03a_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d03a_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d03a_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d03a_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f23a_0), /* FPP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f43a_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_13b_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_13b_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_13b_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_13b_0), /* BTST */
	CPUFUNC(op_83b_0), /* BTST */
	CPUFUNC(op_13b_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_13b_0), /* BTST */
	CPUFUNC(op_c3b_0), /* CMP */
	CPUFUNC(op_13b_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_13b_0), /* BTST */
	CPUFUNC(op_103b_0), /* MOVE */
	CPUFUNC(op_113b_0), /* MOVE */
	CPUFUNC(op_103b_0), /* MOVE */
	CPUFUNC(op_113b_0), /* MOVE */
	CPUFUNC(op_103b_0), /* MOVE */
	CPUFUNC(op_113b_0), /* MOVE */
	CPUFUNC(op_103b_0), /* MOVE */
	CPUFUNC(op_113b_0), /* MOVE */
	CPUFUNC(op_103b_0), /* MOVE */
	CPUFUNC(op_113b_0), /* MOVE */
	CPUFUNC(op_103b_0), /* MOVE */
	CPUFUNC(op_113b_0), /* MOVE */
	CPUFUNC(op_103b_0), /* MOVE */
	CPUFUNC(op_113b_0), /* MOVE */
	CPUFUNC(op_103b_0), /* MOVE */
	CPUFUNC(op_113b_0), /* MOVE */
	CPUFUNC(op_203b_0), /* MOVE */
	CPUFUNC(op_213b_0), /* MOVE */
	CPUFUNC(op_203b_0), /* MOVE */
	CPUFUNC(op_213b_0), /* MOVE */
	CPUFUNC(op_203b_0), /* MOVE */
	CPUFUNC(op_213b_0), /* MOVE */
	CPUFUNC(op_203b_0), /* MOVE */
	CPUFUNC(op_213b_0), /* MOVE */
	CPUFUNC(op_203b_0), /* MOVE */
	CPUFUNC(op_213b_0), /* MOVE */
	CPUFUNC(op_203b_0), /* MOVE */
	CPUFUNC(op_213b_0), /* MOVE */
	CPUFUNC(op_203b_0), /* MOVE */
	CPUFUNC(op_213b_0), /* MOVE */
	CPUFUNC(op_203b_0), /* MOVE */
	CPUFUNC(op_213b_0), /* MOVE */
	CPUFUNC(op_303b_0), /* MOVE */
	CPUFUNC(op_313b_0), /* MOVE */
	CPUFUNC(op_303b_0), /* MOVE */
	CPUFUNC(op_313b_0), /* MOVE */
	CPUFUNC(op_303b_0), /* MOVE */
	CPUFUNC(op_313b_0), /* MOVE */
	CPUFUNC(op_303b_0), /* MOVE */
	CPUFUNC(op_313b_0), /* MOVE */
	CPUFUNC(op_303b_0), /* MOVE */
	CPUFUNC(op_313b_0), /* MOVE */
	CPUFUNC(op_303b_0), /* MOVE */
	CPUFUNC(op_313b_0), /* MOVE */
	CPUFUNC(op_303b_0), /* MOVE */
	CPUFUNC(op_313b_0), /* MOVE */
	CPUFUNC(op_303b_0), /* MOVE */
	CPUFUNC(op_313b_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_413b_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_413b_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_413b_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_413b_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_413b_0), /* CHK */
	CPUFUNC(op_4a3b_0), /* TST */
	CPUFUNC(op_413b_0), /* CHK */
	CPUFUNC(op_4c3b_0), /* MULL */
	CPUFUNC(op_413b_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_413b_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_803b_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_803b_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_803b_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_803b_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_803b_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_803b_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_803b_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_803b_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_903b_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_903b_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_903b_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_903b_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_903b_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_903b_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_903b_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_903b_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b03b_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b03b_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b03b_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b03b_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b03b_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b03b_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b03b_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b03b_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c03b_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c03b_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c03b_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c03b_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c03b_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c03b_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c03b_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c03b_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d03b_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d03b_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d03b_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d03b_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d03b_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d03b_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d03b_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d03b_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f23b_0), /* FPP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f43b_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_3c_0), /* ORSR */
	CPUFUNC(op_13c_0), /* BTST */
	CPUFUNC(op_23c_0), /* ANDSR */
	CPUFUNC(op_13c_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_13c_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_13c_0), /* BTST */
	CPUFUNC(op_83c_0), /* BTST */
	CPUFUNC(op_13c_0), /* BTST */
	CPUFUNC(op_a3c_0), /* EORSR */
	CPUFUNC(op_13c_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_13c_0), /* BTST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_13c_0), /* BTST */
	CPUFUNC(op_103c_0), /* MOVE */
	CPUFUNC(op_113c_0), /* MOVE */
	CPUFUNC(op_103c_0), /* MOVE */
	CPUFUNC(op_113c_0), /* MOVE */
	CPUFUNC(op_103c_0), /* MOVE */
	CPUFUNC(op_113c_0), /* MOVE */
	CPUFUNC(op_103c_0), /* MOVE */
	CPUFUNC(op_113c_0), /* MOVE */
	CPUFUNC(op_103c_0), /* MOVE */
	CPUFUNC(op_113c_0), /* MOVE */
	CPUFUNC(op_103c_0), /* MOVE */
	CPUFUNC(op_113c_0), /* MOVE */
	CPUFUNC(op_103c_0), /* MOVE */
	CPUFUNC(op_113c_0), /* MOVE */
	CPUFUNC(op_103c_0), /* MOVE */
	CPUFUNC(op_113c_0), /* MOVE */
	CPUFUNC(op_203c_0), /* MOVE */
	CPUFUNC(op_213c_0), /* MOVE */
	CPUFUNC(op_203c_0), /* MOVE */
	CPUFUNC(op_213c_0), /* MOVE */
	CPUFUNC(op_203c_0), /* MOVE */
	CPUFUNC(op_213c_0), /* MOVE */
	CPUFUNC(op_203c_0), /* MOVE */
	CPUFUNC(op_213c_0), /* MOVE */
	CPUFUNC(op_203c_0), /* MOVE */
	CPUFUNC(op_213c_0), /* MOVE */
	CPUFUNC(op_203c_0), /* MOVE */
	CPUFUNC(op_213c_0), /* MOVE */
	CPUFUNC(op_203c_0), /* MOVE */
	CPUFUNC(op_213c_0), /* MOVE */
	CPUFUNC(op_203c_0), /* MOVE */
	CPUFUNC(op_213c_0), /* MOVE */
	CPUFUNC(op_303c_0), /* MOVE */
	CPUFUNC(op_313c_0), /* MOVE */
	CPUFUNC(op_303c_0), /* MOVE */
	CPUFUNC(op_313c_0), /* MOVE */
	CPUFUNC(op_303c_0), /* MOVE */
	CPUFUNC(op_313c_0), /* MOVE */
	CPUFUNC(op_303c_0), /* MOVE */
	CPUFUNC(op_313c_0), /* MOVE */
	CPUFUNC(op_303c_0), /* MOVE */
	CPUFUNC(op_313c_0), /* MOVE */
	CPUFUNC(op_303c_0), /* MOVE */
	CPUFUNC(op_313c_0), /* MOVE */
	CPUFUNC(op_303c_0), /* MOVE */
	CPUFUNC(op_313c_0), /* MOVE */
	CPUFUNC(op_303c_0), /* MOVE */
	CPUFUNC(op_313c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_413c_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_413c_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_413c_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_413c_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_413c_0), /* CHK */
	CPUFUNC(op_4a3c_0), /* TST */
	CPUFUNC(op_413c_0), /* CHK */
	CPUFUNC(op_4c3c_0), /* MULL */
	CPUFUNC(op_413c_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_413c_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_803c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_803c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_803c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_803c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_803c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_803c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_803c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_803c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_903c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_903c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_903c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_903c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_903c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_903c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_903c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_903c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b03c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b03c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b03c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b03c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b03c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b03c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b03c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b03c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c03c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c03c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c03c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c03c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c03c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c03c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c03c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c03c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d03c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d03c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d03c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d03c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d03c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d03c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d03c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d03c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f23c_0), /* FPP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f43c_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f43d_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f43e_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	CPUFUNC(op_e038_0), /* ROR */
	CPUFUNC(op_e138_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f43f_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_40_0), /* OR */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_240_0), /* AND */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_440_0), /* SUB */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_640_0), /* ADD */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_840_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_a40_0), /* EOR */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_c40_0), /* CMP */
	CPUFUNC(op_140_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_140_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_4040_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4240_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4440_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4640_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4840_0), /* SWAP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a40_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c40_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f240_0), /* FScc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_40_0), /* OR */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_240_0), /* AND */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_440_0), /* SUB */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_640_0), /* ADD */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_840_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_a40_0), /* EOR */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_c40_0), /* CMP */
	CPUFUNC(op_140_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_140_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_4040_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4240_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4440_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4640_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4840_0), /* SWAP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a40_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c40_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f240_0), /* FScc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_40_0), /* OR */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_240_0), /* AND */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_440_0), /* SUB */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_640_0), /* ADD */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_840_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_a40_0), /* EOR */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_c40_0), /* CMP */
	CPUFUNC(op_140_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_140_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_4040_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4240_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4440_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4640_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4840_0), /* SWAP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a40_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c40_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f240_0), /* FScc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_40_0), /* OR */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_240_0), /* AND */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_440_0), /* SUB */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_640_0), /* ADD */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_840_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_a40_0), /* EOR */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_c40_0), /* CMP */
	CPUFUNC(op_140_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_140_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_4040_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4240_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4440_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4640_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4840_0), /* SWAP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a40_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c40_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f240_0), /* FScc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_40_0), /* OR */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_240_0), /* AND */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_440_0), /* SUB */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_640_0), /* ADD */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_840_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_a40_0), /* EOR */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_c40_0), /* CMP */
	CPUFUNC(op_140_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_140_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_4040_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4240_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4440_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4640_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4840_0), /* SWAP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a40_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c40_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f240_0), /* FScc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_40_0), /* OR */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_240_0), /* AND */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_440_0), /* SUB */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_640_0), /* ADD */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_840_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_a40_0), /* EOR */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_c40_0), /* CMP */
	CPUFUNC(op_140_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_140_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_4040_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4240_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4440_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4640_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4840_0), /* SWAP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a40_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c40_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f240_0), /* FScc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_40_0), /* OR */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_240_0), /* AND */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_440_0), /* SUB */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_640_0), /* ADD */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_840_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_a40_0), /* EOR */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_c40_0), /* CMP */
	CPUFUNC(op_140_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_140_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_4040_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4240_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4440_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4640_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4840_0), /* SWAP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a40_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c40_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f240_0), /* FScc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_40_0), /* OR */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_240_0), /* AND */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_440_0), /* SUB */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_640_0), /* ADD */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_840_0), /* BCHG */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_a40_0), /* EOR */
	CPUFUNC(op_140_0), /* BCHG */
	CPUFUNC(op_c40_0), /* CMP */
	CPUFUNC(op_140_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_140_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_2040_0), /* MOVEA */
	CPUFUNC(op_2140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC_FF(op_3040_0), /* MOVEA */
	CPUFUNC(op_3140_0), /* MOVE */
	CPUFUNC(op_4040_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4240_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4440_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4640_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4840_0), /* SWAP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a40_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c40_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC(op_5040_0), /* ADD */
	CPUFUNC(op_5140_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_8040_0), /* OR */
	CPUFUNC_FF(op_8140_0), /* PACK */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	CPUFUNC(op_9040_0), /* SUB */
	CPUFUNC(op_9140_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_b040_0), /* CMP */
	CPUFUNC(op_b140_0), /* EOR */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_c040_0), /* AND */
	CPUFUNC_FF(op_c140_0), /* EXG */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_d040_0), /* ADD */
	CPUFUNC(op_d140_0), /* ADDX */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	CPUFUNC(op_e040_0), /* ASR */
	CPUFUNC(op_e140_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f240_0), /* FScc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4848_0), /* BKPT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a48_0), /* TST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f248_0), /* FDBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4848_0), /* BKPT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a48_0), /* TST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f248_0), /* FDBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4848_0), /* BKPT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a48_0), /* TST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f248_0), /* FDBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4848_0), /* BKPT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a48_0), /* TST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f248_0), /* FDBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4848_0), /* BKPT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a48_0), /* TST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f248_0), /* FDBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4848_0), /* BKPT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a48_0), /* TST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f248_0), /* FDBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4848_0), /* BKPT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a48_0), /* TST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f248_0), /* FDBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_148_0), /* MVPMR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_2048_0), /* MOVEA */
	CPUFUNC(op_2148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	CPUFUNC_FF(op_3048_0), /* MOVEA */
	CPUFUNC(op_3148_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4848_0), /* BKPT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a48_0), /* TST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e40_0), /* TRAP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_5048_0), /* ADDA */
	CPUFUNC_FF(op_5148_0), /* SUBA */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8148_0), /* PACK */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	CPUFUNC(op_9048_0), /* SUB */
	CPUFUNC(op_9148_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	CPUFUNC(op_b048_0), /* CMP */
	CPUFUNC(op_b148_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c148_0), /* EXG */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_d048_0), /* ADD */
	CPUFUNC(op_d148_0), /* ADDX */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	CPUFUNC(op_e048_0), /* LSR */
	CPUFUNC(op_e148_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f248_0), /* FDBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_50_0), /* OR */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_250_0), /* AND */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_450_0), /* SUB */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_650_0), /* ADD */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_850_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_a50_0), /* EOR */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_c50_0), /* CMP */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC_FF(op_e50_0), /* MOVES */
	CPUFUNC(op_150_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_4050_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4250_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4450_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4650_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4850_0), /* PEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a50_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c50_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e50_0), /* LINK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f250_0), /* FScc */
	CPUFUNC_FF(op_f350_0), /* FRESTORE */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_50_0), /* OR */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_250_0), /* AND */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_450_0), /* SUB */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_650_0), /* ADD */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_850_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_a50_0), /* EOR */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_c50_0), /* CMP */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC_FF(op_e50_0), /* MOVES */
	CPUFUNC(op_150_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_4050_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4250_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4450_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4650_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4850_0), /* PEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a50_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c50_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e50_0), /* LINK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f250_0), /* FScc */
	CPUFUNC_FF(op_f350_0), /* FRESTORE */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_50_0), /* OR */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_250_0), /* AND */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_450_0), /* SUB */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_650_0), /* ADD */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_850_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_a50_0), /* EOR */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_c50_0), /* CMP */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC_FF(op_e50_0), /* MOVES */
	CPUFUNC(op_150_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_4050_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4250_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4450_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4650_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4850_0), /* PEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a50_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c50_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e50_0), /* LINK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f250_0), /* FScc */
	CPUFUNC_FF(op_f350_0), /* FRESTORE */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_50_0), /* OR */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_250_0), /* AND */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_450_0), /* SUB */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_650_0), /* ADD */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_850_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_a50_0), /* EOR */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_c50_0), /* CMP */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC_FF(op_e50_0), /* MOVES */
	CPUFUNC(op_150_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_4050_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4250_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4450_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4650_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4850_0), /* PEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a50_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c50_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e50_0), /* LINK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f250_0), /* FScc */
	CPUFUNC_FF(op_f350_0), /* FRESTORE */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_50_0), /* OR */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_250_0), /* AND */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_450_0), /* SUB */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_650_0), /* ADD */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_850_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_a50_0), /* EOR */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_c50_0), /* CMP */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC_FF(op_e50_0), /* MOVES */
	CPUFUNC(op_150_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_4050_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4250_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4450_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4650_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4850_0), /* PEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a50_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c50_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e50_0), /* LINK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f250_0), /* FScc */
	CPUFUNC_FF(op_f350_0), /* FRESTORE */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_50_0), /* OR */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_250_0), /* AND */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_450_0), /* SUB */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_650_0), /* ADD */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_850_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_a50_0), /* EOR */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_c50_0), /* CMP */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC_FF(op_e50_0), /* MOVES */
	CPUFUNC(op_150_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_4050_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4250_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4450_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4650_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4850_0), /* PEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a50_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c50_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e50_0), /* LINK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f250_0), /* FScc */
	CPUFUNC_FF(op_f350_0), /* FRESTORE */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_50_0), /* OR */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_250_0), /* AND */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_450_0), /* SUB */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_650_0), /* ADD */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_850_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_a50_0), /* EOR */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_c50_0), /* CMP */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC_FF(op_e50_0), /* MOVES */
	CPUFUNC(op_150_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_4050_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4250_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4450_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4650_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4850_0), /* PEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a50_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c50_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e50_0), /* LINK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f250_0), /* FScc */
	CPUFUNC_FF(op_f350_0), /* FRESTORE */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_50_0), /* OR */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_250_0), /* AND */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_450_0), /* SUB */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_650_0), /* ADD */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_850_0), /* BCHG */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_a50_0), /* EOR */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC(op_c50_0), /* CMP */
	CPUFUNC(op_150_0), /* BCHG */
	CPUFUNC_FF(op_e50_0), /* MOVES */
	CPUFUNC(op_150_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_2050_0), /* MOVEA */
	CPUFUNC(op_2150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC_FF(op_3050_0), /* MOVEA */
	CPUFUNC(op_3150_0), /* MOVE */
	CPUFUNC(op_4050_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4250_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4450_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4650_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4850_0), /* PEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a50_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c50_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e50_0), /* LINK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC(op_5050_0), /* ADD */
	CPUFUNC(op_5150_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_8050_0), /* OR */
	CPUFUNC(op_8150_0), /* OR */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	CPUFUNC(op_9050_0), /* SUB */
	CPUFUNC(op_9150_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_b050_0), /* CMP */
	CPUFUNC(op_b150_0), /* EOR */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_c050_0), /* AND */
	CPUFUNC(op_c150_0), /* AND */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_d050_0), /* ADD */
	CPUFUNC(op_d150_0), /* ADD */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	CPUFUNC(op_e050_0), /* ROXR */
	CPUFUNC(op_e150_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f250_0), /* FScc */
	CPUFUNC_FF(op_f350_0), /* FRESTORE */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_58_0), /* OR */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_258_0), /* AND */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_458_0), /* SUB */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_658_0), /* ADD */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_858_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_a58_0), /* EOR */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_c58_0), /* CMP */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC_FF(op_e58_0), /* MOVES */
	CPUFUNC(op_158_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_4058_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4258_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4458_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4658_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a58_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c58_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e58_0), /* UNLK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f258_0), /* FScc */
	CPUFUNC_FF(op_f358_0), /* FRESTORE */
	CPUFUNC_FF(op_f418_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_58_0), /* OR */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_258_0), /* AND */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_458_0), /* SUB */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_658_0), /* ADD */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_858_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_a58_0), /* EOR */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_c58_0), /* CMP */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC_FF(op_e58_0), /* MOVES */
	CPUFUNC(op_158_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_4058_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4258_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4458_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4658_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a58_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c58_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e58_0), /* UNLK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f258_0), /* FScc */
	CPUFUNC_FF(op_f358_0), /* FRESTORE */
	CPUFUNC_FF(op_f419_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_58_0), /* OR */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_258_0), /* AND */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_458_0), /* SUB */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_658_0), /* ADD */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_858_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_a58_0), /* EOR */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_c58_0), /* CMP */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC_FF(op_e58_0), /* MOVES */
	CPUFUNC(op_158_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_4058_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4258_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4458_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4658_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a58_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c58_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e58_0), /* UNLK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f258_0), /* FScc */
	CPUFUNC_FF(op_f358_0), /* FRESTORE */
	CPUFUNC_FF(op_f41a_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_58_0), /* OR */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_258_0), /* AND */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_458_0), /* SUB */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_658_0), /* ADD */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_858_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_a58_0), /* EOR */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_c58_0), /* CMP */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC_FF(op_e58_0), /* MOVES */
	CPUFUNC(op_158_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_4058_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4258_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4458_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4658_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a58_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c58_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e58_0), /* UNLK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f258_0), /* FScc */
	CPUFUNC_FF(op_f358_0), /* FRESTORE */
	CPUFUNC_FF(op_f41b_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_58_0), /* OR */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_258_0), /* AND */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_458_0), /* SUB */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_658_0), /* ADD */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_858_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_a58_0), /* EOR */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_c58_0), /* CMP */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC_FF(op_e58_0), /* MOVES */
	CPUFUNC(op_158_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_4058_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4258_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4458_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4658_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a58_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c58_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e58_0), /* UNLK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f258_0), /* FScc */
	CPUFUNC_FF(op_f358_0), /* FRESTORE */
	CPUFUNC_FF(op_f41c_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_58_0), /* OR */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_258_0), /* AND */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_458_0), /* SUB */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_658_0), /* ADD */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_858_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_a58_0), /* EOR */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_c58_0), /* CMP */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC_FF(op_e58_0), /* MOVES */
	CPUFUNC(op_158_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_4058_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4258_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4458_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4658_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a58_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c58_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e58_0), /* UNLK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f258_0), /* FScc */
	CPUFUNC_FF(op_f358_0), /* FRESTORE */
	CPUFUNC_FF(op_f41d_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_58_0), /* OR */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_258_0), /* AND */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_458_0), /* SUB */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_658_0), /* ADD */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_858_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_a58_0), /* EOR */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_c58_0), /* CMP */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC_FF(op_e58_0), /* MOVES */
	CPUFUNC(op_158_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_4058_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4258_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4458_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4658_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a58_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c58_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e58_0), /* UNLK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f258_0), /* FScc */
	CPUFUNC_FF(op_f358_0), /* FRESTORE */
	CPUFUNC_FF(op_f41e_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_58_0), /* OR */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_258_0), /* AND */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_458_0), /* SUB */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_658_0), /* ADD */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_858_0), /* BCHG */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_a58_0), /* EOR */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC(op_c58_0), /* CMP */
	CPUFUNC(op_158_0), /* BCHG */
	CPUFUNC_FF(op_e58_0), /* MOVES */
	CPUFUNC(op_158_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_2058_0), /* MOVEA */
	CPUFUNC(op_2158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC_FF(op_3058_0), /* MOVEA */
	CPUFUNC(op_3158_0), /* MOVE */
	CPUFUNC(op_4058_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4258_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4458_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4658_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a58_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c58_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e58_0), /* UNLK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC(op_5058_0), /* ADD */
	CPUFUNC(op_5158_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_8058_0), /* OR */
	CPUFUNC(op_8158_0), /* OR */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	CPUFUNC(op_9058_0), /* SUB */
	CPUFUNC(op_9158_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_b058_0), /* CMP */
	CPUFUNC(op_b158_0), /* EOR */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_c058_0), /* AND */
	CPUFUNC(op_c158_0), /* AND */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_d058_0), /* ADD */
	CPUFUNC(op_d158_0), /* ADD */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	CPUFUNC(op_e058_0), /* ROR */
	CPUFUNC(op_e158_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f258_0), /* FScc */
	CPUFUNC_FF(op_f358_0), /* FRESTORE */
	CPUFUNC_FF(op_f41f_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_60_0), /* OR */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_260_0), /* AND */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_460_0), /* SUB */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_660_0), /* ADD */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_860_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_a60_0), /* EOR */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_c60_0), /* CMP */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC_FF(op_e60_0), /* MOVES */
	CPUFUNC(op_160_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_4060_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4260_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4460_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4660_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a60_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c60_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e60_0), /* MVR2USP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f260_0), /* FScc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_60_0), /* OR */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_260_0), /* AND */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_460_0), /* SUB */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_660_0), /* ADD */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_860_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_a60_0), /* EOR */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_c60_0), /* CMP */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC_FF(op_e60_0), /* MOVES */
	CPUFUNC(op_160_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_4060_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4260_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4460_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4660_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a60_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c60_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e60_0), /* MVR2USP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f260_0), /* FScc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_60_0), /* OR */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_260_0), /* AND */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_460_0), /* SUB */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_660_0), /* ADD */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_860_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_a60_0), /* EOR */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_c60_0), /* CMP */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC_FF(op_e60_0), /* MOVES */
	CPUFUNC(op_160_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_4060_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4260_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4460_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4660_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a60_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c60_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e60_0), /* MVR2USP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f260_0), /* FScc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_60_0), /* OR */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_260_0), /* AND */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_460_0), /* SUB */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_660_0), /* ADD */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_860_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_a60_0), /* EOR */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_c60_0), /* CMP */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC_FF(op_e60_0), /* MOVES */
	CPUFUNC(op_160_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_4060_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4260_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4460_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4660_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a60_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c60_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e60_0), /* MVR2USP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f260_0), /* FScc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_60_0), /* OR */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_260_0), /* AND */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_460_0), /* SUB */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_660_0), /* ADD */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_860_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_a60_0), /* EOR */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_c60_0), /* CMP */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC_FF(op_e60_0), /* MOVES */
	CPUFUNC(op_160_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_4060_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4260_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4460_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4660_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a60_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c60_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e60_0), /* MVR2USP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f260_0), /* FScc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_60_0), /* OR */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_260_0), /* AND */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_460_0), /* SUB */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_660_0), /* ADD */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_860_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_a60_0), /* EOR */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_c60_0), /* CMP */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC_FF(op_e60_0), /* MOVES */
	CPUFUNC(op_160_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_4060_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4260_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4460_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4660_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a60_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c60_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e60_0), /* MVR2USP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f260_0), /* FScc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_60_0), /* OR */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_260_0), /* AND */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_460_0), /* SUB */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_660_0), /* ADD */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_860_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_a60_0), /* EOR */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_c60_0), /* CMP */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC_FF(op_e60_0), /* MOVES */
	CPUFUNC(op_160_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_4060_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4260_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4460_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4660_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a60_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c60_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e60_0), /* MVR2USP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f260_0), /* FScc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_60_0), /* OR */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_260_0), /* AND */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_460_0), /* SUB */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_660_0), /* ADD */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_860_0), /* BCHG */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_a60_0), /* EOR */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC(op_c60_0), /* CMP */
	CPUFUNC(op_160_0), /* BCHG */
	CPUFUNC_FF(op_e60_0), /* MOVES */
	CPUFUNC(op_160_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_2060_0), /* MOVEA */
	CPUFUNC(op_2160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC_FF(op_3060_0), /* MOVEA */
	CPUFUNC(op_3160_0), /* MOVE */
	CPUFUNC(op_4060_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4260_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4460_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4660_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a60_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c60_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e60_0), /* MVR2USP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC(op_5060_0), /* ADD */
	CPUFUNC(op_5160_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_8060_0), /* OR */
	CPUFUNC(op_8160_0), /* OR */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	CPUFUNC(op_9060_0), /* SUB */
	CPUFUNC(op_9160_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_b060_0), /* CMP */
	CPUFUNC(op_b160_0), /* EOR */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_c060_0), /* AND */
	CPUFUNC(op_c160_0), /* AND */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_d060_0), /* ADD */
	CPUFUNC(op_d160_0), /* ADD */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	CPUFUNC(op_e060_0), /* ASR */
	CPUFUNC(op_e160_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f260_0), /* FScc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_68_0), /* OR */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_268_0), /* AND */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_468_0), /* SUB */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_668_0), /* ADD */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_868_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_a68_0), /* EOR */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_c68_0), /* CMP */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC_FF(op_e68_0), /* MOVES */
	CPUFUNC(op_168_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_4068_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4268_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4468_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4668_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4868_0), /* PEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a68_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c68_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e68_0), /* MVUSP2R */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f268_0), /* FScc */
	CPUFUNC_FF(op_f368_0), /* FRESTORE */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_68_0), /* OR */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_268_0), /* AND */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_468_0), /* SUB */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_668_0), /* ADD */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_868_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_a68_0), /* EOR */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_c68_0), /* CMP */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC_FF(op_e68_0), /* MOVES */
	CPUFUNC(op_168_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_4068_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4268_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4468_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4668_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4868_0), /* PEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a68_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c68_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e68_0), /* MVUSP2R */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f268_0), /* FScc */
	CPUFUNC_FF(op_f368_0), /* FRESTORE */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_68_0), /* OR */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_268_0), /* AND */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_468_0), /* SUB */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_668_0), /* ADD */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_868_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_a68_0), /* EOR */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_c68_0), /* CMP */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC_FF(op_e68_0), /* MOVES */
	CPUFUNC(op_168_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_4068_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4268_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4468_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4668_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4868_0), /* PEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a68_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c68_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e68_0), /* MVUSP2R */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f268_0), /* FScc */
	CPUFUNC_FF(op_f368_0), /* FRESTORE */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_68_0), /* OR */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_268_0), /* AND */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_468_0), /* SUB */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_668_0), /* ADD */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_868_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_a68_0), /* EOR */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_c68_0), /* CMP */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC_FF(op_e68_0), /* MOVES */
	CPUFUNC(op_168_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_4068_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4268_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4468_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4668_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4868_0), /* PEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a68_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c68_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e68_0), /* MVUSP2R */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f268_0), /* FScc */
	CPUFUNC_FF(op_f368_0), /* FRESTORE */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_68_0), /* OR */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_268_0), /* AND */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_468_0), /* SUB */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_668_0), /* ADD */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_868_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_a68_0), /* EOR */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_c68_0), /* CMP */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC_FF(op_e68_0), /* MOVES */
	CPUFUNC(op_168_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_4068_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4268_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4468_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4668_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4868_0), /* PEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a68_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c68_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e68_0), /* MVUSP2R */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f268_0), /* FScc */
	CPUFUNC_FF(op_f368_0), /* FRESTORE */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_68_0), /* OR */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_268_0), /* AND */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_468_0), /* SUB */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_668_0), /* ADD */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_868_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_a68_0), /* EOR */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_c68_0), /* CMP */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC_FF(op_e68_0), /* MOVES */
	CPUFUNC(op_168_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_4068_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4268_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4468_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4668_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4868_0), /* PEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a68_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c68_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e68_0), /* MVUSP2R */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f268_0), /* FScc */
	CPUFUNC_FF(op_f368_0), /* FRESTORE */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_68_0), /* OR */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_268_0), /* AND */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_468_0), /* SUB */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_668_0), /* ADD */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_868_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_a68_0), /* EOR */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_c68_0), /* CMP */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC_FF(op_e68_0), /* MOVES */
	CPUFUNC(op_168_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_4068_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4268_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4468_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4668_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4868_0), /* PEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a68_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c68_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e68_0), /* MVUSP2R */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f268_0), /* FScc */
	CPUFUNC_FF(op_f368_0), /* FRESTORE */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_68_0), /* OR */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_268_0), /* AND */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_468_0), /* SUB */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_668_0), /* ADD */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_868_0), /* BCHG */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_a68_0), /* EOR */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC(op_c68_0), /* CMP */
	CPUFUNC(op_168_0), /* BCHG */
	CPUFUNC_FF(op_e68_0), /* MOVES */
	CPUFUNC(op_168_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_2068_0), /* MOVEA */
	CPUFUNC(op_2168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC_FF(op_3068_0), /* MOVEA */
	CPUFUNC(op_3168_0), /* MOVE */
	CPUFUNC(op_4068_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4268_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4468_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4668_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4868_0), /* PEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a68_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c68_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e68_0), /* MVUSP2R */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC(op_5068_0), /* ADD */
	CPUFUNC(op_5168_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_8068_0), /* OR */
	CPUFUNC(op_8168_0), /* OR */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	CPUFUNC(op_9068_0), /* SUB */
	CPUFUNC(op_9168_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_b068_0), /* CMP */
	CPUFUNC(op_b168_0), /* EOR */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_c068_0), /* AND */
	CPUFUNC(op_c168_0), /* AND */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_d068_0), /* ADD */
	CPUFUNC(op_d168_0), /* ADD */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	CPUFUNC(op_e068_0), /* LSR */
	CPUFUNC(op_e168_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f268_0), /* FScc */
	CPUFUNC_FF(op_f368_0), /* FRESTORE */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_70_0), /* OR */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_270_0), /* AND */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_470_0), /* SUB */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_670_0), /* ADD */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_870_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_a70_0), /* EOR */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_c70_0), /* CMP */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC_FF(op_e70_0), /* MOVES */
	CPUFUNC(op_170_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_4070_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4270_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4470_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4670_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4870_0), /* PEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a70_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c70_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e70_0), /* RESET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f270_0), /* FScc */
	CPUFUNC_FF(op_f370_0), /* FRESTORE */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_70_0), /* OR */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_270_0), /* AND */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_470_0), /* SUB */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_670_0), /* ADD */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_870_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_a70_0), /* EOR */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_c70_0), /* CMP */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC_FF(op_e70_0), /* MOVES */
	CPUFUNC(op_170_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_4070_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4270_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4470_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4670_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4870_0), /* PEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a70_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c70_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e71_0), /* NOP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f270_0), /* FScc */
	CPUFUNC_FF(op_f370_0), /* FRESTORE */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_70_0), /* OR */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_270_0), /* AND */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_470_0), /* SUB */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_670_0), /* ADD */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_870_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_a70_0), /* EOR */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_c70_0), /* CMP */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC_FF(op_e70_0), /* MOVES */
	CPUFUNC(op_170_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_4070_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4270_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4470_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4670_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4870_0), /* PEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a70_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c70_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4e72_0), /* STOP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f270_0), /* FScc */
	CPUFUNC_FF(op_f370_0), /* FRESTORE */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_70_0), /* OR */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_270_0), /* AND */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_470_0), /* SUB */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_670_0), /* ADD */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_870_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_a70_0), /* EOR */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_c70_0), /* CMP */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC_FF(op_e70_0), /* MOVES */
	CPUFUNC(op_170_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_4070_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4270_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4470_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4670_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4870_0), /* PEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a70_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c70_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4e73_0), /* RTE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f270_0), /* FScc */
	CPUFUNC_FF(op_f370_0), /* FRESTORE */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_70_0), /* OR */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_270_0), /* AND */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_470_0), /* SUB */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_670_0), /* ADD */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_870_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_a70_0), /* EOR */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_c70_0), /* CMP */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC_FF(op_e70_0), /* MOVES */
	CPUFUNC(op_170_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_4070_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4270_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4470_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4670_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4870_0), /* PEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a70_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c70_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e74_0), /* RTD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f270_0), /* FScc */
	CPUFUNC_FF(op_f370_0), /* FRESTORE */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_70_0), /* OR */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_270_0), /* AND */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_470_0), /* SUB */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_670_0), /* ADD */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_870_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_a70_0), /* EOR */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_c70_0), /* CMP */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC_FF(op_e70_0), /* MOVES */
	CPUFUNC(op_170_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_4070_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4270_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4470_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4670_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4870_0), /* PEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a70_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c70_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e75_0), /* RTS */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f270_0), /* FScc */
	CPUFUNC_FF(op_f370_0), /* FRESTORE */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_70_0), /* OR */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_270_0), /* AND */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_470_0), /* SUB */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_670_0), /* ADD */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_870_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_a70_0), /* EOR */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_c70_0), /* CMP */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC_FF(op_e70_0), /* MOVES */
	CPUFUNC(op_170_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_4070_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4270_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4470_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4670_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4870_0), /* PEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a70_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c70_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e76_0), /* TRAPV */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f270_0), /* FScc */
	CPUFUNC_FF(op_f370_0), /* FRESTORE */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_70_0), /* OR */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_270_0), /* AND */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_470_0), /* SUB */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_670_0), /* ADD */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_870_0), /* BCHG */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_a70_0), /* EOR */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC(op_c70_0), /* CMP */
	CPUFUNC(op_170_0), /* BCHG */
	CPUFUNC_FF(op_e70_0), /* MOVES */
	CPUFUNC(op_170_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_2070_0), /* MOVEA */
	CPUFUNC(op_2170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC_FF(op_3070_0), /* MOVEA */
	CPUFUNC(op_3170_0), /* MOVE */
	CPUFUNC(op_4070_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4270_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4470_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4670_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4870_0), /* PEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a70_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c70_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4e77_0), /* RTR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC(op_5070_0), /* ADD */
	CPUFUNC(op_5170_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_8070_0), /* OR */
	CPUFUNC(op_8170_0), /* OR */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	CPUFUNC(op_9070_0), /* SUB */
	CPUFUNC(op_9170_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_b070_0), /* CMP */
	CPUFUNC(op_b170_0), /* EOR */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_c070_0), /* AND */
	CPUFUNC(op_c170_0), /* AND */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_d070_0), /* ADD */
	CPUFUNC(op_d170_0), /* ADD */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	CPUFUNC(op_e070_0), /* ROXR */
	CPUFUNC(op_e170_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f270_0), /* FScc */
	CPUFUNC_FF(op_f370_0), /* FRESTORE */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_78_0), /* OR */
	CPUFUNC(op_178_0), /* BCHG */
	CPUFUNC(op_278_0), /* AND */
	CPUFUNC(op_178_0), /* BCHG */
	CPUFUNC(op_478_0), /* SUB */
	CPUFUNC(op_178_0), /* BCHG */
	CPUFUNC(op_678_0), /* ADD */
	CPUFUNC(op_178_0), /* BCHG */
	CPUFUNC(op_878_0), /* BCHG */
	CPUFUNC(op_178_0), /* BCHG */
	CPUFUNC(op_a78_0), /* EOR */
	CPUFUNC(op_178_0), /* BCHG */
	CPUFUNC(op_c78_0), /* CMP */
	CPUFUNC(op_178_0), /* BCHG */
	CPUFUNC_FF(op_e78_0), /* MOVES */
	CPUFUNC(op_178_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1178_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1178_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1178_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1178_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1178_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1178_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1178_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1178_0), /* MOVE */
	CPUFUNC_FF(op_2078_0), /* MOVEA */
	CPUFUNC(op_2178_0), /* MOVE */
	CPUFUNC_FF(op_2078_0), /* MOVEA */
	CPUFUNC(op_2178_0), /* MOVE */
	CPUFUNC_FF(op_2078_0), /* MOVEA */
	CPUFUNC(op_2178_0), /* MOVE */
	CPUFUNC_FF(op_2078_0), /* MOVEA */
	CPUFUNC(op_2178_0), /* MOVE */
	CPUFUNC_FF(op_2078_0), /* MOVEA */
	CPUFUNC(op_2178_0), /* MOVE */
	CPUFUNC_FF(op_2078_0), /* MOVEA */
	CPUFUNC(op_2178_0), /* MOVE */
	CPUFUNC_FF(op_2078_0), /* MOVEA */
	CPUFUNC(op_2178_0), /* MOVE */
	CPUFUNC_FF(op_2078_0), /* MOVEA */
	CPUFUNC(op_2178_0), /* MOVE */
	CPUFUNC_FF(op_3078_0), /* MOVEA */
	CPUFUNC(op_3178_0), /* MOVE */
	CPUFUNC_FF(op_3078_0), /* MOVEA */
	CPUFUNC(op_3178_0), /* MOVE */
	CPUFUNC_FF(op_3078_0), /* MOVEA */
	CPUFUNC(op_3178_0), /* MOVE */
	CPUFUNC_FF(op_3078_0), /* MOVEA */
	CPUFUNC(op_3178_0), /* MOVE */
	CPUFUNC_FF(op_3078_0), /* MOVEA */
	CPUFUNC(op_3178_0), /* MOVE */
	CPUFUNC_FF(op_3078_0), /* MOVEA */
	CPUFUNC(op_3178_0), /* MOVE */
	CPUFUNC_FF(op_3078_0), /* MOVEA */
	CPUFUNC(op_3178_0), /* MOVE */
	CPUFUNC_FF(op_3078_0), /* MOVEA */
	CPUFUNC(op_3178_0), /* MOVE */
	CPUFUNC(op_4078_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4278_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4478_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4678_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4878_0), /* PEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a78_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c78_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5078_0), /* ADD */
	CPUFUNC(op_5178_0), /* SUB */
	CPUFUNC(op_5078_0), /* ADD */
	CPUFUNC(op_5178_0), /* SUB */
	CPUFUNC(op_5078_0), /* ADD */
	CPUFUNC(op_5178_0), /* SUB */
	CPUFUNC(op_5078_0), /* ADD */
	CPUFUNC(op_5178_0), /* SUB */
	CPUFUNC(op_5078_0), /* ADD */
	CPUFUNC(op_5178_0), /* SUB */
	CPUFUNC(op_5078_0), /* ADD */
	CPUFUNC(op_5178_0), /* SUB */
	CPUFUNC(op_5078_0), /* ADD */
	CPUFUNC(op_5178_0), /* SUB */
	CPUFUNC(op_5078_0), /* ADD */
	CPUFUNC(op_5178_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8078_0), /* OR */
	CPUFUNC(op_8178_0), /* OR */
	CPUFUNC(op_8078_0), /* OR */
	CPUFUNC(op_8178_0), /* OR */
	CPUFUNC(op_8078_0), /* OR */
	CPUFUNC(op_8178_0), /* OR */
	CPUFUNC(op_8078_0), /* OR */
	CPUFUNC(op_8178_0), /* OR */
	CPUFUNC(op_8078_0), /* OR */
	CPUFUNC(op_8178_0), /* OR */
	CPUFUNC(op_8078_0), /* OR */
	CPUFUNC(op_8178_0), /* OR */
	CPUFUNC(op_8078_0), /* OR */
	CPUFUNC(op_8178_0), /* OR */
	CPUFUNC(op_8078_0), /* OR */
	CPUFUNC(op_8178_0), /* OR */
	CPUFUNC(op_9078_0), /* SUB */
	CPUFUNC(op_9178_0), /* SUB */
	CPUFUNC(op_9078_0), /* SUB */
	CPUFUNC(op_9178_0), /* SUB */
	CPUFUNC(op_9078_0), /* SUB */
	CPUFUNC(op_9178_0), /* SUB */
	CPUFUNC(op_9078_0), /* SUB */
	CPUFUNC(op_9178_0), /* SUB */
	CPUFUNC(op_9078_0), /* SUB */
	CPUFUNC(op_9178_0), /* SUB */
	CPUFUNC(op_9078_0), /* SUB */
	CPUFUNC(op_9178_0), /* SUB */
	CPUFUNC(op_9078_0), /* SUB */
	CPUFUNC(op_9178_0), /* SUB */
	CPUFUNC(op_9078_0), /* SUB */
	CPUFUNC(op_9178_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b078_0), /* CMP */
	CPUFUNC(op_b178_0), /* EOR */
	CPUFUNC(op_b078_0), /* CMP */
	CPUFUNC(op_b178_0), /* EOR */
	CPUFUNC(op_b078_0), /* CMP */
	CPUFUNC(op_b178_0), /* EOR */
	CPUFUNC(op_b078_0), /* CMP */
	CPUFUNC(op_b178_0), /* EOR */
	CPUFUNC(op_b078_0), /* CMP */
	CPUFUNC(op_b178_0), /* EOR */
	CPUFUNC(op_b078_0), /* CMP */
	CPUFUNC(op_b178_0), /* EOR */
	CPUFUNC(op_b078_0), /* CMP */
	CPUFUNC(op_b178_0), /* EOR */
	CPUFUNC(op_b078_0), /* CMP */
	CPUFUNC(op_b178_0), /* EOR */
	CPUFUNC(op_c078_0), /* AND */
	CPUFUNC(op_c178_0), /* AND */
	CPUFUNC(op_c078_0), /* AND */
	CPUFUNC(op_c178_0), /* AND */
	CPUFUNC(op_c078_0), /* AND */
	CPUFUNC(op_c178_0), /* AND */
	CPUFUNC(op_c078_0), /* AND */
	CPUFUNC(op_c178_0), /* AND */
	CPUFUNC(op_c078_0), /* AND */
	CPUFUNC(op_c178_0), /* AND */
	CPUFUNC(op_c078_0), /* AND */
	CPUFUNC(op_c178_0), /* AND */
	CPUFUNC(op_c078_0), /* AND */
	CPUFUNC(op_c178_0), /* AND */
	CPUFUNC(op_c078_0), /* AND */
	CPUFUNC(op_c178_0), /* AND */
	CPUFUNC(op_d078_0), /* ADD */
	CPUFUNC(op_d178_0), /* ADD */
	CPUFUNC(op_d078_0), /* ADD */
	CPUFUNC(op_d178_0), /* ADD */
	CPUFUNC(op_d078_0), /* ADD */
	CPUFUNC(op_d178_0), /* ADD */
	CPUFUNC(op_d078_0), /* ADD */
	CPUFUNC(op_d178_0), /* ADD */
	CPUFUNC(op_d078_0), /* ADD */
	CPUFUNC(op_d178_0), /* ADD */
	CPUFUNC(op_d078_0), /* ADD */
	CPUFUNC(op_d178_0), /* ADD */
	CPUFUNC(op_d078_0), /* ADD */
	CPUFUNC(op_d178_0), /* ADD */
	CPUFUNC(op_d078_0), /* ADD */
	CPUFUNC(op_d178_0), /* ADD */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f278_0), /* FScc */
	CPUFUNC_FF(op_f378_0), /* FRESTORE */
	CPUFUNC_FF(op_f438_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_79_0), /* OR */
	CPUFUNC(op_179_0), /* BCHG */
	CPUFUNC(op_279_0), /* AND */
	CPUFUNC(op_179_0), /* BCHG */
	CPUFUNC(op_479_0), /* SUB */
	CPUFUNC(op_179_0), /* BCHG */
	CPUFUNC(op_679_0), /* ADD */
	CPUFUNC(op_179_0), /* BCHG */
	CPUFUNC(op_879_0), /* BCHG */
	CPUFUNC(op_179_0), /* BCHG */
	CPUFUNC(op_a79_0), /* EOR */
	CPUFUNC(op_179_0), /* BCHG */
	CPUFUNC(op_c79_0), /* CMP */
	CPUFUNC(op_179_0), /* BCHG */
	CPUFUNC_FF(op_e79_0), /* MOVES */
	CPUFUNC(op_179_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1179_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1179_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1179_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1179_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1179_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1179_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1179_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1179_0), /* MOVE */
	CPUFUNC_FF(op_2079_0), /* MOVEA */
	CPUFUNC(op_2179_0), /* MOVE */
	CPUFUNC_FF(op_2079_0), /* MOVEA */
	CPUFUNC(op_2179_0), /* MOVE */
	CPUFUNC_FF(op_2079_0), /* MOVEA */
	CPUFUNC(op_2179_0), /* MOVE */
	CPUFUNC_FF(op_2079_0), /* MOVEA */
	CPUFUNC(op_2179_0), /* MOVE */
	CPUFUNC_FF(op_2079_0), /* MOVEA */
	CPUFUNC(op_2179_0), /* MOVE */
	CPUFUNC_FF(op_2079_0), /* MOVEA */
	CPUFUNC(op_2179_0), /* MOVE */
	CPUFUNC_FF(op_2079_0), /* MOVEA */
	CPUFUNC(op_2179_0), /* MOVE */
	CPUFUNC_FF(op_2079_0), /* MOVEA */
	CPUFUNC(op_2179_0), /* MOVE */
	CPUFUNC_FF(op_3079_0), /* MOVEA */
	CPUFUNC(op_3179_0), /* MOVE */
	CPUFUNC_FF(op_3079_0), /* MOVEA */
	CPUFUNC(op_3179_0), /* MOVE */
	CPUFUNC_FF(op_3079_0), /* MOVEA */
	CPUFUNC(op_3179_0), /* MOVE */
	CPUFUNC_FF(op_3079_0), /* MOVEA */
	CPUFUNC(op_3179_0), /* MOVE */
	CPUFUNC_FF(op_3079_0), /* MOVEA */
	CPUFUNC(op_3179_0), /* MOVE */
	CPUFUNC_FF(op_3079_0), /* MOVEA */
	CPUFUNC(op_3179_0), /* MOVE */
	CPUFUNC_FF(op_3079_0), /* MOVEA */
	CPUFUNC(op_3179_0), /* MOVE */
	CPUFUNC_FF(op_3079_0), /* MOVEA */
	CPUFUNC(op_3179_0), /* MOVE */
	CPUFUNC(op_4079_0), /* NEGX */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4279_0), /* CLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4479_0), /* NEG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4679_0), /* NOT */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4879_0), /* PEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a79_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c79_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_5079_0), /* ADD */
	CPUFUNC(op_5179_0), /* SUB */
	CPUFUNC(op_5079_0), /* ADD */
	CPUFUNC(op_5179_0), /* SUB */
	CPUFUNC(op_5079_0), /* ADD */
	CPUFUNC(op_5179_0), /* SUB */
	CPUFUNC(op_5079_0), /* ADD */
	CPUFUNC(op_5179_0), /* SUB */
	CPUFUNC(op_5079_0), /* ADD */
	CPUFUNC(op_5179_0), /* SUB */
	CPUFUNC(op_5079_0), /* ADD */
	CPUFUNC(op_5179_0), /* SUB */
	CPUFUNC(op_5079_0), /* ADD */
	CPUFUNC(op_5179_0), /* SUB */
	CPUFUNC(op_5079_0), /* ADD */
	CPUFUNC(op_5179_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8079_0), /* OR */
	CPUFUNC(op_8179_0), /* OR */
	CPUFUNC(op_8079_0), /* OR */
	CPUFUNC(op_8179_0), /* OR */
	CPUFUNC(op_8079_0), /* OR */
	CPUFUNC(op_8179_0), /* OR */
	CPUFUNC(op_8079_0), /* OR */
	CPUFUNC(op_8179_0), /* OR */
	CPUFUNC(op_8079_0), /* OR */
	CPUFUNC(op_8179_0), /* OR */
	CPUFUNC(op_8079_0), /* OR */
	CPUFUNC(op_8179_0), /* OR */
	CPUFUNC(op_8079_0), /* OR */
	CPUFUNC(op_8179_0), /* OR */
	CPUFUNC(op_8079_0), /* OR */
	CPUFUNC(op_8179_0), /* OR */
	CPUFUNC(op_9079_0), /* SUB */
	CPUFUNC(op_9179_0), /* SUB */
	CPUFUNC(op_9079_0), /* SUB */
	CPUFUNC(op_9179_0), /* SUB */
	CPUFUNC(op_9079_0), /* SUB */
	CPUFUNC(op_9179_0), /* SUB */
	CPUFUNC(op_9079_0), /* SUB */
	CPUFUNC(op_9179_0), /* SUB */
	CPUFUNC(op_9079_0), /* SUB */
	CPUFUNC(op_9179_0), /* SUB */
	CPUFUNC(op_9079_0), /* SUB */
	CPUFUNC(op_9179_0), /* SUB */
	CPUFUNC(op_9079_0), /* SUB */
	CPUFUNC(op_9179_0), /* SUB */
	CPUFUNC(op_9079_0), /* SUB */
	CPUFUNC(op_9179_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b079_0), /* CMP */
	CPUFUNC(op_b179_0), /* EOR */
	CPUFUNC(op_b079_0), /* CMP */
	CPUFUNC(op_b179_0), /* EOR */
	CPUFUNC(op_b079_0), /* CMP */
	CPUFUNC(op_b179_0), /* EOR */
	CPUFUNC(op_b079_0), /* CMP */
	CPUFUNC(op_b179_0), /* EOR */
	CPUFUNC(op_b079_0), /* CMP */
	CPUFUNC(op_b179_0), /* EOR */
	CPUFUNC(op_b079_0), /* CMP */
	CPUFUNC(op_b179_0), /* EOR */
	CPUFUNC(op_b079_0), /* CMP */
	CPUFUNC(op_b179_0), /* EOR */
	CPUFUNC(op_b079_0), /* CMP */
	CPUFUNC(op_b179_0), /* EOR */
	CPUFUNC(op_c079_0), /* AND */
	CPUFUNC(op_c179_0), /* AND */
	CPUFUNC(op_c079_0), /* AND */
	CPUFUNC(op_c179_0), /* AND */
	CPUFUNC(op_c079_0), /* AND */
	CPUFUNC(op_c179_0), /* AND */
	CPUFUNC(op_c079_0), /* AND */
	CPUFUNC(op_c179_0), /* AND */
	CPUFUNC(op_c079_0), /* AND */
	CPUFUNC(op_c179_0), /* AND */
	CPUFUNC(op_c079_0), /* AND */
	CPUFUNC(op_c179_0), /* AND */
	CPUFUNC(op_c079_0), /* AND */
	CPUFUNC(op_c179_0), /* AND */
	CPUFUNC(op_c079_0), /* AND */
	CPUFUNC(op_c179_0), /* AND */
	CPUFUNC(op_d079_0), /* ADD */
	CPUFUNC(op_d179_0), /* ADD */
	CPUFUNC(op_d079_0), /* ADD */
	CPUFUNC(op_d179_0), /* ADD */
	CPUFUNC(op_d079_0), /* ADD */
	CPUFUNC(op_d179_0), /* ADD */
	CPUFUNC(op_d079_0), /* ADD */
	CPUFUNC(op_d179_0), /* ADD */
	CPUFUNC(op_d079_0), /* ADD */
	CPUFUNC(op_d179_0), /* ADD */
	CPUFUNC(op_d079_0), /* ADD */
	CPUFUNC(op_d179_0), /* ADD */
	CPUFUNC(op_d079_0), /* ADD */
	CPUFUNC(op_d179_0), /* ADD */
	CPUFUNC(op_d079_0), /* ADD */
	CPUFUNC(op_d179_0), /* ADD */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f279_0), /* FScc */
	CPUFUNC_FF(op_f379_0), /* FRESTORE */
	CPUFUNC_FF(op_f439_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_17a_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_17a_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_17a_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_17a_0), /* BCHG */
	CPUFUNC(op_87a_0), /* BCHG */
	CPUFUNC(op_17a_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_17a_0), /* BCHG */
	CPUFUNC(op_c7a_0), /* CMP */
	CPUFUNC(op_17a_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_17a_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_117a_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_117a_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_117a_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_117a_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_117a_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_117a_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_117a_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_117a_0), /* MOVE */
	CPUFUNC_FF(op_207a_0), /* MOVEA */
	CPUFUNC(op_217a_0), /* MOVE */
	CPUFUNC_FF(op_207a_0), /* MOVEA */
	CPUFUNC(op_217a_0), /* MOVE */
	CPUFUNC_FF(op_207a_0), /* MOVEA */
	CPUFUNC(op_217a_0), /* MOVE */
	CPUFUNC_FF(op_207a_0), /* MOVEA */
	CPUFUNC(op_217a_0), /* MOVE */
	CPUFUNC_FF(op_207a_0), /* MOVEA */
	CPUFUNC(op_217a_0), /* MOVE */
	CPUFUNC_FF(op_207a_0), /* MOVEA */
	CPUFUNC(op_217a_0), /* MOVE */
	CPUFUNC_FF(op_207a_0), /* MOVEA */
	CPUFUNC(op_217a_0), /* MOVE */
	CPUFUNC_FF(op_207a_0), /* MOVEA */
	CPUFUNC(op_217a_0), /* MOVE */
	CPUFUNC_FF(op_307a_0), /* MOVEA */
	CPUFUNC(op_317a_0), /* MOVE */
	CPUFUNC_FF(op_307a_0), /* MOVEA */
	CPUFUNC(op_317a_0), /* MOVE */
	CPUFUNC_FF(op_307a_0), /* MOVEA */
	CPUFUNC(op_317a_0), /* MOVE */
	CPUFUNC_FF(op_307a_0), /* MOVEA */
	CPUFUNC(op_317a_0), /* MOVE */
	CPUFUNC_FF(op_307a_0), /* MOVEA */
	CPUFUNC(op_317a_0), /* MOVE */
	CPUFUNC_FF(op_307a_0), /* MOVEA */
	CPUFUNC(op_317a_0), /* MOVE */
	CPUFUNC_FF(op_307a_0), /* MOVEA */
	CPUFUNC(op_317a_0), /* MOVE */
	CPUFUNC_FF(op_307a_0), /* MOVEA */
	CPUFUNC(op_317a_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_487a_0), /* PEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a7a_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c7a_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e7a_0), /* MOVEC2 */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_807a_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_807a_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_807a_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_807a_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_807a_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_807a_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_807a_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_807a_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_907a_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_907a_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_907a_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_907a_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_907a_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_907a_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_907a_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_907a_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b07a_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b07a_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b07a_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b07a_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b07a_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b07a_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b07a_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b07a_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c07a_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c07a_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c07a_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c07a_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c07a_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c07a_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c07a_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c07a_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d07a_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d07a_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d07a_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d07a_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d07a_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d07a_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d07a_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d07a_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f27a_0), /* FTRAPcc */
	CPUFUNC_FF(op_f37a_0), /* FRESTORE */
	CPUFUNC_FF(op_f43a_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_17b_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_17b_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_17b_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_17b_0), /* BCHG */
	CPUFUNC(op_87b_0), /* BCHG */
	CPUFUNC(op_17b_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_17b_0), /* BCHG */
	CPUFUNC(op_c7b_0), /* CMP */
	CPUFUNC(op_17b_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_17b_0), /* BCHG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_117b_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_117b_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_117b_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_117b_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_117b_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_117b_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_117b_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_117b_0), /* MOVE */
	CPUFUNC_FF(op_207b_0), /* MOVEA */
	CPUFUNC(op_217b_0), /* MOVE */
	CPUFUNC_FF(op_207b_0), /* MOVEA */
	CPUFUNC(op_217b_0), /* MOVE */
	CPUFUNC_FF(op_207b_0), /* MOVEA */
	CPUFUNC(op_217b_0), /* MOVE */
	CPUFUNC_FF(op_207b_0), /* MOVEA */
	CPUFUNC(op_217b_0), /* MOVE */
	CPUFUNC_FF(op_207b_0), /* MOVEA */
	CPUFUNC(op_217b_0), /* MOVE */
	CPUFUNC_FF(op_207b_0), /* MOVEA */
	CPUFUNC(op_217b_0), /* MOVE */
	CPUFUNC_FF(op_207b_0), /* MOVEA */
	CPUFUNC(op_217b_0), /* MOVE */
	CPUFUNC_FF(op_207b_0), /* MOVEA */
	CPUFUNC(op_217b_0), /* MOVE */
	CPUFUNC_FF(op_307b_0), /* MOVEA */
	CPUFUNC(op_317b_0), /* MOVE */
	CPUFUNC_FF(op_307b_0), /* MOVEA */
	CPUFUNC(op_317b_0), /* MOVE */
	CPUFUNC_FF(op_307b_0), /* MOVEA */
	CPUFUNC(op_317b_0), /* MOVE */
	CPUFUNC_FF(op_307b_0), /* MOVEA */
	CPUFUNC(op_317b_0), /* MOVE */
	CPUFUNC_FF(op_307b_0), /* MOVEA */
	CPUFUNC(op_317b_0), /* MOVE */
	CPUFUNC_FF(op_307b_0), /* MOVEA */
	CPUFUNC(op_317b_0), /* MOVE */
	CPUFUNC_FF(op_307b_0), /* MOVEA */
	CPUFUNC(op_317b_0), /* MOVE */
	CPUFUNC_FF(op_307b_0), /* MOVEA */
	CPUFUNC(op_317b_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_487b_0), /* PEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a7b_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c7b_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4e7b_0), /* MOVE2C */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_807b_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_807b_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_807b_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_807b_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_807b_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_807b_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_807b_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_807b_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_907b_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_907b_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_907b_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_907b_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_907b_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_907b_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_907b_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_907b_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b07b_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b07b_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b07b_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b07b_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b07b_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b07b_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b07b_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b07b_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c07b_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c07b_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c07b_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c07b_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c07b_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c07b_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c07b_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c07b_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d07b_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d07b_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d07b_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d07b_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d07b_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d07b_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d07b_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d07b_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f27b_0), /* FTRAPcc */
	CPUFUNC_FF(op_f37b_0), /* FRESTORE */
	CPUFUNC_FF(op_f43b_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7c_0), /* ORSR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_27c_0), /* ANDSR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_a7c_0), /* EORSR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_117c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_117c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_117c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_117c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_117c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_117c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_117c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_117c_0), /* MOVE */
	CPUFUNC_FF(op_207c_0), /* MOVEA */
	CPUFUNC(op_217c_0), /* MOVE */
	CPUFUNC_FF(op_207c_0), /* MOVEA */
	CPUFUNC(op_217c_0), /* MOVE */
	CPUFUNC_FF(op_207c_0), /* MOVEA */
	CPUFUNC(op_217c_0), /* MOVE */
	CPUFUNC_FF(op_207c_0), /* MOVEA */
	CPUFUNC(op_217c_0), /* MOVE */
	CPUFUNC_FF(op_207c_0), /* MOVEA */
	CPUFUNC(op_217c_0), /* MOVE */
	CPUFUNC_FF(op_207c_0), /* MOVEA */
	CPUFUNC(op_217c_0), /* MOVE */
	CPUFUNC_FF(op_207c_0), /* MOVEA */
	CPUFUNC(op_217c_0), /* MOVE */
	CPUFUNC_FF(op_207c_0), /* MOVEA */
	CPUFUNC(op_217c_0), /* MOVE */
	CPUFUNC_FF(op_307c_0), /* MOVEA */
	CPUFUNC(op_317c_0), /* MOVE */
	CPUFUNC_FF(op_307c_0), /* MOVEA */
	CPUFUNC(op_317c_0), /* MOVE */
	CPUFUNC_FF(op_307c_0), /* MOVEA */
	CPUFUNC(op_317c_0), /* MOVE */
	CPUFUNC_FF(op_307c_0), /* MOVEA */
	CPUFUNC(op_317c_0), /* MOVE */
	CPUFUNC_FF(op_307c_0), /* MOVEA */
	CPUFUNC(op_317c_0), /* MOVE */
	CPUFUNC_FF(op_307c_0), /* MOVEA */
	CPUFUNC(op_317c_0), /* MOVE */
	CPUFUNC_FF(op_307c_0), /* MOVEA */
	CPUFUNC(op_317c_0), /* MOVE */
	CPUFUNC_FF(op_307c_0), /* MOVEA */
	CPUFUNC(op_317c_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a7c_0), /* TST */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4c7c_0), /* DIVL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_807c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_807c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_807c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_807c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_807c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_807c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_807c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_807c_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_907c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_907c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_907c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_907c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_907c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_907c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_907c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_907c_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b07c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b07c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b07c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b07c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b07c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b07c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b07c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b07c_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c07c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c07c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c07c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c07c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c07c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c07c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c07c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c07c_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d07c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d07c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d07c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d07c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d07c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d07c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d07c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d07c_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f27c_0), /* FTRAPcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f43c_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f43d_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f43e_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	CPUFUNC(op_e078_0), /* ROR */
	CPUFUNC(op_e178_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f43f_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80_0), /* OR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_280_0), /* AND */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_480_0), /* SUB */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_680_0), /* ADD */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_880_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_a80_0), /* EOR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_c80_0), /* CMP */
	CPUFUNC(op_180_0), /* BCLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_4080_0), /* NEGX */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4280_0), /* CLR */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4480_0), /* NEG */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4680_0), /* NOT */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4880_0), /* EXT */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4a80_0), /* TST */
	CPUFUNC(op_4180_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4180_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80_0), /* OR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_280_0), /* AND */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_480_0), /* SUB */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_680_0), /* ADD */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_880_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_a80_0), /* EOR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_c80_0), /* CMP */
	CPUFUNC(op_180_0), /* BCLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_4080_0), /* NEGX */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4280_0), /* CLR */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4480_0), /* NEG */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4680_0), /* NOT */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4880_0), /* EXT */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4a80_0), /* TST */
	CPUFUNC(op_4180_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4180_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80_0), /* OR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_280_0), /* AND */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_480_0), /* SUB */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_680_0), /* ADD */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_880_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_a80_0), /* EOR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_c80_0), /* CMP */
	CPUFUNC(op_180_0), /* BCLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_4080_0), /* NEGX */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4280_0), /* CLR */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4480_0), /* NEG */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4680_0), /* NOT */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4880_0), /* EXT */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4a80_0), /* TST */
	CPUFUNC(op_4180_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4180_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80_0), /* OR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_280_0), /* AND */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_480_0), /* SUB */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_680_0), /* ADD */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_880_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_a80_0), /* EOR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_c80_0), /* CMP */
	CPUFUNC(op_180_0), /* BCLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_4080_0), /* NEGX */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4280_0), /* CLR */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4480_0), /* NEG */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4680_0), /* NOT */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4880_0), /* EXT */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4a80_0), /* TST */
	CPUFUNC(op_4180_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4180_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80_0), /* OR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_280_0), /* AND */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_480_0), /* SUB */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_680_0), /* ADD */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_880_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_a80_0), /* EOR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_c80_0), /* CMP */
	CPUFUNC(op_180_0), /* BCLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_4080_0), /* NEGX */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4280_0), /* CLR */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4480_0), /* NEG */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4680_0), /* NOT */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4880_0), /* EXT */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4a80_0), /* TST */
	CPUFUNC(op_4180_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4180_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80_0), /* OR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_280_0), /* AND */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_480_0), /* SUB */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_680_0), /* ADD */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_880_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_a80_0), /* EOR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_c80_0), /* CMP */
	CPUFUNC(op_180_0), /* BCLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_4080_0), /* NEGX */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4280_0), /* CLR */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4480_0), /* NEG */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4680_0), /* NOT */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4880_0), /* EXT */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4a80_0), /* TST */
	CPUFUNC(op_4180_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4180_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80_0), /* OR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_280_0), /* AND */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_480_0), /* SUB */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_680_0), /* ADD */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_880_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_a80_0), /* EOR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_c80_0), /* CMP */
	CPUFUNC(op_180_0), /* BCLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_4080_0), /* NEGX */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4280_0), /* CLR */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4480_0), /* NEG */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4680_0), /* NOT */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4880_0), /* EXT */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4a80_0), /* TST */
	CPUFUNC(op_4180_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4180_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80_0), /* OR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_280_0), /* AND */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_480_0), /* SUB */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_680_0), /* ADD */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_880_0), /* BCLR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_a80_0), /* EOR */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_c80_0), /* CMP */
	CPUFUNC(op_180_0), /* BCLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_180_0), /* BCLR */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_1080_0), /* MOVE */
	CPUFUNC(op_1180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_2080_0), /* MOVE */
	CPUFUNC(op_2180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_3080_0), /* MOVE */
	CPUFUNC(op_3180_0), /* MOVE */
	CPUFUNC(op_4080_0), /* NEGX */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4280_0), /* CLR */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4480_0), /* NEG */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4680_0), /* NOT */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4880_0), /* EXT */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_4a80_0), /* TST */
	CPUFUNC(op_4180_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4180_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4180_0), /* CHK */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC(op_5080_0), /* ADD */
	CPUFUNC(op_5180_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_8080_0), /* OR */
	CPUFUNC_FF(op_8180_0), /* UNPK */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	CPUFUNC(op_9080_0), /* SUB */
	CPUFUNC(op_9180_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_b080_0), /* CMP */
	CPUFUNC(op_b180_0), /* EOR */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c080_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_d080_0), /* ADD */
	CPUFUNC(op_d180_0), /* ADDX */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	CPUFUNC(op_e080_0), /* ASR */
	CPUFUNC(op_e180_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a88_0), /* TST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a88_0), /* TST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a88_0), /* TST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a88_0), /* TST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a88_0), /* TST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a88_0), /* TST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a88_0), /* TST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_188_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_2088_0), /* MOVE */
	CPUFUNC(op_2188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	CPUFUNC(op_3088_0), /* MOVE */
	CPUFUNC(op_3188_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4a88_0), /* TST */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_5088_0), /* ADDA */
	CPUFUNC_FF(op_5188_0), /* SUBA */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_8188_0), /* UNPK */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	CPUFUNC(op_9088_0), /* SUB */
	CPUFUNC(op_9188_0), /* SUBX */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	CPUFUNC(op_b088_0), /* CMP */
	CPUFUNC(op_b188_0), /* CMPM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_c188_0), /* EXG */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_d088_0), /* ADD */
	CPUFUNC(op_d188_0), /* ADDX */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	CPUFUNC(op_e088_0), /* LSR */
	CPUFUNC(op_e188_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90_0), /* OR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_290_0), /* AND */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_490_0), /* SUB */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_690_0), /* ADD */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_890_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_a90_0), /* EOR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_c90_0), /* CMP */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC_FF(op_e90_0), /* MOVES */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_4090_0), /* NEGX */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4290_0), /* CLR */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4490_0), /* NEG */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4690_0), /* NOT */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC_FF(op_4890_0), /* MVMLE */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4a90_0), /* TST */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC_FF(op_4c90_0), /* MVMEL */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC_FF(op_4e90_0), /* JSR */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90_0), /* OR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_290_0), /* AND */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_490_0), /* SUB */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_690_0), /* ADD */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_890_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_a90_0), /* EOR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_c90_0), /* CMP */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC_FF(op_e90_0), /* MOVES */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_4090_0), /* NEGX */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4290_0), /* CLR */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4490_0), /* NEG */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4690_0), /* NOT */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC_FF(op_4890_0), /* MVMLE */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4a90_0), /* TST */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC_FF(op_4c90_0), /* MVMEL */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC_FF(op_4e90_0), /* JSR */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90_0), /* OR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_290_0), /* AND */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_490_0), /* SUB */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_690_0), /* ADD */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_890_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_a90_0), /* EOR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_c90_0), /* CMP */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC_FF(op_e90_0), /* MOVES */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_4090_0), /* NEGX */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4290_0), /* CLR */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4490_0), /* NEG */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4690_0), /* NOT */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC_FF(op_4890_0), /* MVMLE */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4a90_0), /* TST */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC_FF(op_4c90_0), /* MVMEL */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC_FF(op_4e90_0), /* JSR */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90_0), /* OR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_290_0), /* AND */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_490_0), /* SUB */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_690_0), /* ADD */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_890_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_a90_0), /* EOR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_c90_0), /* CMP */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC_FF(op_e90_0), /* MOVES */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_4090_0), /* NEGX */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4290_0), /* CLR */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4490_0), /* NEG */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4690_0), /* NOT */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC_FF(op_4890_0), /* MVMLE */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4a90_0), /* TST */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC_FF(op_4c90_0), /* MVMEL */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC_FF(op_4e90_0), /* JSR */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90_0), /* OR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_290_0), /* AND */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_490_0), /* SUB */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_690_0), /* ADD */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_890_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_a90_0), /* EOR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_c90_0), /* CMP */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC_FF(op_e90_0), /* MOVES */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_4090_0), /* NEGX */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4290_0), /* CLR */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4490_0), /* NEG */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4690_0), /* NOT */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC_FF(op_4890_0), /* MVMLE */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4a90_0), /* TST */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC_FF(op_4c90_0), /* MVMEL */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC_FF(op_4e90_0), /* JSR */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90_0), /* OR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_290_0), /* AND */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_490_0), /* SUB */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_690_0), /* ADD */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_890_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_a90_0), /* EOR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_c90_0), /* CMP */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC_FF(op_e90_0), /* MOVES */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_4090_0), /* NEGX */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4290_0), /* CLR */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4490_0), /* NEG */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4690_0), /* NOT */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC_FF(op_4890_0), /* MVMLE */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4a90_0), /* TST */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC_FF(op_4c90_0), /* MVMEL */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC_FF(op_4e90_0), /* JSR */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90_0), /* OR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_290_0), /* AND */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_490_0), /* SUB */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_690_0), /* ADD */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_890_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_a90_0), /* EOR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_c90_0), /* CMP */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC_FF(op_e90_0), /* MOVES */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_4090_0), /* NEGX */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4290_0), /* CLR */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4490_0), /* NEG */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4690_0), /* NOT */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC_FF(op_4890_0), /* MVMLE */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4a90_0), /* TST */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC_FF(op_4c90_0), /* MVMEL */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC_FF(op_4e90_0), /* JSR */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90_0), /* OR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_290_0), /* AND */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_490_0), /* SUB */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_690_0), /* ADD */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_890_0), /* BCLR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_a90_0), /* EOR */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_c90_0), /* CMP */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC_FF(op_e90_0), /* MOVES */
	CPUFUNC(op_190_0), /* BCLR */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_1090_0), /* MOVE */
	CPUFUNC(op_1190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_2090_0), /* MOVE */
	CPUFUNC(op_2190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_3090_0), /* MOVE */
	CPUFUNC(op_3190_0), /* MOVE */
	CPUFUNC(op_4090_0), /* NEGX */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4290_0), /* CLR */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4490_0), /* NEG */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4690_0), /* NOT */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC_FF(op_4890_0), /* MVMLE */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_4a90_0), /* TST */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC_FF(op_4c90_0), /* MVMEL */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC_FF(op_4e90_0), /* JSR */
	CPUFUNC(op_4190_0), /* CHK */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC(op_5090_0), /* ADD */
	CPUFUNC(op_5190_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_8090_0), /* OR */
	CPUFUNC(op_8190_0), /* OR */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	CPUFUNC(op_9090_0), /* SUB */
	CPUFUNC(op_9190_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_b090_0), /* CMP */
	CPUFUNC(op_b190_0), /* EOR */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_c090_0), /* AND */
	CPUFUNC(op_c190_0), /* AND */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_d090_0), /* ADD */
	CPUFUNC(op_d190_0), /* ADD */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	CPUFUNC(op_e090_0), /* ROXR */
	CPUFUNC(op_e190_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_98_0), /* OR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_298_0), /* AND */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_498_0), /* SUB */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_698_0), /* ADD */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_898_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_a98_0), /* EOR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_c98_0), /* CMP */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC_FF(op_e98_0), /* MOVES */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_4098_0), /* NEGX */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4298_0), /* CLR */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4498_0), /* NEG */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4698_0), /* NOT */
	CPUFUNC(op_4198_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4a98_0), /* TST */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC_FF(op_4c98_0), /* MVMEL */
	CPUFUNC(op_4198_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f418_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_98_0), /* OR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_298_0), /* AND */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_498_0), /* SUB */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_698_0), /* ADD */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_898_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_a98_0), /* EOR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_c98_0), /* CMP */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC_FF(op_e98_0), /* MOVES */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_4098_0), /* NEGX */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4298_0), /* CLR */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4498_0), /* NEG */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4698_0), /* NOT */
	CPUFUNC(op_4198_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4a98_0), /* TST */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC_FF(op_4c98_0), /* MVMEL */
	CPUFUNC(op_4198_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f419_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_98_0), /* OR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_298_0), /* AND */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_498_0), /* SUB */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_698_0), /* ADD */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_898_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_a98_0), /* EOR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_c98_0), /* CMP */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC_FF(op_e98_0), /* MOVES */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_4098_0), /* NEGX */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4298_0), /* CLR */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4498_0), /* NEG */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4698_0), /* NOT */
	CPUFUNC(op_4198_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4a98_0), /* TST */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC_FF(op_4c98_0), /* MVMEL */
	CPUFUNC(op_4198_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f41a_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_98_0), /* OR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_298_0), /* AND */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_498_0), /* SUB */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_698_0), /* ADD */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_898_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_a98_0), /* EOR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_c98_0), /* CMP */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC_FF(op_e98_0), /* MOVES */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_4098_0), /* NEGX */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4298_0), /* CLR */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4498_0), /* NEG */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4698_0), /* NOT */
	CPUFUNC(op_4198_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4a98_0), /* TST */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC_FF(op_4c98_0), /* MVMEL */
	CPUFUNC(op_4198_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f41b_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_98_0), /* OR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_298_0), /* AND */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_498_0), /* SUB */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_698_0), /* ADD */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_898_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_a98_0), /* EOR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_c98_0), /* CMP */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC_FF(op_e98_0), /* MOVES */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_4098_0), /* NEGX */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4298_0), /* CLR */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4498_0), /* NEG */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4698_0), /* NOT */
	CPUFUNC(op_4198_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4a98_0), /* TST */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC_FF(op_4c98_0), /* MVMEL */
	CPUFUNC(op_4198_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f41c_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_98_0), /* OR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_298_0), /* AND */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_498_0), /* SUB */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_698_0), /* ADD */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_898_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_a98_0), /* EOR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_c98_0), /* CMP */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC_FF(op_e98_0), /* MOVES */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_4098_0), /* NEGX */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4298_0), /* CLR */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4498_0), /* NEG */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4698_0), /* NOT */
	CPUFUNC(op_4198_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4a98_0), /* TST */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC_FF(op_4c98_0), /* MVMEL */
	CPUFUNC(op_4198_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f41d_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_98_0), /* OR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_298_0), /* AND */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_498_0), /* SUB */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_698_0), /* ADD */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_898_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_a98_0), /* EOR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_c98_0), /* CMP */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC_FF(op_e98_0), /* MOVES */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_4098_0), /* NEGX */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4298_0), /* CLR */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4498_0), /* NEG */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4698_0), /* NOT */
	CPUFUNC(op_4198_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4a98_0), /* TST */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC_FF(op_4c98_0), /* MVMEL */
	CPUFUNC(op_4198_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f41e_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_98_0), /* OR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_298_0), /* AND */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_498_0), /* SUB */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_698_0), /* ADD */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_898_0), /* BCLR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_a98_0), /* EOR */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_c98_0), /* CMP */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC_FF(op_e98_0), /* MOVES */
	CPUFUNC(op_198_0), /* BCLR */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_1098_0), /* MOVE */
	CPUFUNC(op_1198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_2098_0), /* MOVE */
	CPUFUNC(op_2198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_3098_0), /* MOVE */
	CPUFUNC(op_3198_0), /* MOVE */
	CPUFUNC(op_4098_0), /* NEGX */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4298_0), /* CLR */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4498_0), /* NEG */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4698_0), /* NOT */
	CPUFUNC(op_4198_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_4a98_0), /* TST */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC_FF(op_4c98_0), /* MVMEL */
	CPUFUNC(op_4198_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4198_0), /* CHK */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC(op_5098_0), /* ADD */
	CPUFUNC(op_5198_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_8098_0), /* OR */
	CPUFUNC(op_8198_0), /* OR */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	CPUFUNC(op_9098_0), /* SUB */
	CPUFUNC(op_9198_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_b098_0), /* CMP */
	CPUFUNC(op_b198_0), /* EOR */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_c098_0), /* AND */
	CPUFUNC(op_c198_0), /* AND */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_d098_0), /* ADD */
	CPUFUNC(op_d198_0), /* ADD */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	CPUFUNC(op_e098_0), /* ROR */
	CPUFUNC(op_e198_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f41f_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_a0_0), /* OR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_2a0_0), /* AND */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_4a0_0), /* SUB */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_6a0_0), /* ADD */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_8a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_aa0_0), /* EOR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_ca0_0), /* CMP */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC_FF(op_ea0_0), /* MOVES */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_40a0_0), /* NEGX */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_42a0_0), /* CLR */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_44a0_0), /* NEG */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_46a0_0), /* NOT */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC_FF(op_48a0_0), /* MVMLE */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_4aa0_0), /* TST */
	CPUFUNC(op_41a0_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41a0_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_a0_0), /* OR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_2a0_0), /* AND */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_4a0_0), /* SUB */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_6a0_0), /* ADD */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_8a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_aa0_0), /* EOR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_ca0_0), /* CMP */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC_FF(op_ea0_0), /* MOVES */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_40a0_0), /* NEGX */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_42a0_0), /* CLR */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_44a0_0), /* NEG */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_46a0_0), /* NOT */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC_FF(op_48a0_0), /* MVMLE */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_4aa0_0), /* TST */
	CPUFUNC(op_41a0_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41a0_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_a0_0), /* OR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_2a0_0), /* AND */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_4a0_0), /* SUB */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_6a0_0), /* ADD */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_8a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_aa0_0), /* EOR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_ca0_0), /* CMP */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC_FF(op_ea0_0), /* MOVES */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_40a0_0), /* NEGX */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_42a0_0), /* CLR */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_44a0_0), /* NEG */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_46a0_0), /* NOT */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC_FF(op_48a0_0), /* MVMLE */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_4aa0_0), /* TST */
	CPUFUNC(op_41a0_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41a0_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_a0_0), /* OR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_2a0_0), /* AND */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_4a0_0), /* SUB */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_6a0_0), /* ADD */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_8a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_aa0_0), /* EOR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_ca0_0), /* CMP */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC_FF(op_ea0_0), /* MOVES */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_40a0_0), /* NEGX */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_42a0_0), /* CLR */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_44a0_0), /* NEG */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_46a0_0), /* NOT */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC_FF(op_48a0_0), /* MVMLE */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_4aa0_0), /* TST */
	CPUFUNC(op_41a0_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41a0_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_a0_0), /* OR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_2a0_0), /* AND */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_4a0_0), /* SUB */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_6a0_0), /* ADD */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_8a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_aa0_0), /* EOR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_ca0_0), /* CMP */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC_FF(op_ea0_0), /* MOVES */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_40a0_0), /* NEGX */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_42a0_0), /* CLR */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_44a0_0), /* NEG */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_46a0_0), /* NOT */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC_FF(op_48a0_0), /* MVMLE */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_4aa0_0), /* TST */
	CPUFUNC(op_41a0_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41a0_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_a0_0), /* OR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_2a0_0), /* AND */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_4a0_0), /* SUB */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_6a0_0), /* ADD */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_8a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_aa0_0), /* EOR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_ca0_0), /* CMP */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC_FF(op_ea0_0), /* MOVES */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_40a0_0), /* NEGX */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_42a0_0), /* CLR */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_44a0_0), /* NEG */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_46a0_0), /* NOT */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC_FF(op_48a0_0), /* MVMLE */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_4aa0_0), /* TST */
	CPUFUNC(op_41a0_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41a0_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_a0_0), /* OR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_2a0_0), /* AND */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_4a0_0), /* SUB */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_6a0_0), /* ADD */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_8a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_aa0_0), /* EOR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_ca0_0), /* CMP */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC_FF(op_ea0_0), /* MOVES */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_40a0_0), /* NEGX */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_42a0_0), /* CLR */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_44a0_0), /* NEG */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_46a0_0), /* NOT */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC_FF(op_48a0_0), /* MVMLE */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_4aa0_0), /* TST */
	CPUFUNC(op_41a0_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41a0_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_a0_0), /* OR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_2a0_0), /* AND */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_4a0_0), /* SUB */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_6a0_0), /* ADD */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_8a0_0), /* BCLR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_aa0_0), /* EOR */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_ca0_0), /* CMP */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC_FF(op_ea0_0), /* MOVES */
	CPUFUNC(op_1a0_0), /* BCLR */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_10a0_0), /* MOVE */
	CPUFUNC(op_11a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_20a0_0), /* MOVE */
	CPUFUNC(op_21a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_30a0_0), /* MOVE */
	CPUFUNC(op_31a0_0), /* MOVE */
	CPUFUNC(op_40a0_0), /* NEGX */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_42a0_0), /* CLR */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_44a0_0), /* NEG */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_46a0_0), /* NOT */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC_FF(op_48a0_0), /* MVMLE */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_4aa0_0), /* TST */
	CPUFUNC(op_41a0_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41a0_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41a0_0), /* CHK */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC(op_50a0_0), /* ADD */
	CPUFUNC(op_51a0_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_80a0_0), /* OR */
	CPUFUNC(op_81a0_0), /* OR */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	CPUFUNC(op_90a0_0), /* SUB */
	CPUFUNC(op_91a0_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_b0a0_0), /* CMP */
	CPUFUNC(op_b1a0_0), /* EOR */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_c0a0_0), /* AND */
	CPUFUNC(op_c1a0_0), /* AND */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_d0a0_0), /* ADD */
	CPUFUNC(op_d1a0_0), /* ADD */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	CPUFUNC(op_e0a0_0), /* ASR */
	CPUFUNC(op_e1a0_0), /* ASL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_a8_0), /* OR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_2a8_0), /* AND */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_4a8_0), /* SUB */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_6a8_0), /* ADD */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_8a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_aa8_0), /* EOR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_ca8_0), /* CMP */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC_FF(op_ea8_0), /* MOVES */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_40a8_0), /* NEGX */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_42a8_0), /* CLR */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_44a8_0), /* NEG */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_46a8_0), /* NOT */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC_FF(op_48a8_0), /* MVMLE */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_4aa8_0), /* TST */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC_FF(op_4ca8_0), /* MVMEL */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC_FF(op_4ea8_0), /* JSR */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_a8_0), /* OR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_2a8_0), /* AND */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_4a8_0), /* SUB */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_6a8_0), /* ADD */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_8a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_aa8_0), /* EOR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_ca8_0), /* CMP */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC_FF(op_ea8_0), /* MOVES */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_40a8_0), /* NEGX */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_42a8_0), /* CLR */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_44a8_0), /* NEG */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_46a8_0), /* NOT */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC_FF(op_48a8_0), /* MVMLE */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_4aa8_0), /* TST */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC_FF(op_4ca8_0), /* MVMEL */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC_FF(op_4ea8_0), /* JSR */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_a8_0), /* OR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_2a8_0), /* AND */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_4a8_0), /* SUB */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_6a8_0), /* ADD */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_8a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_aa8_0), /* EOR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_ca8_0), /* CMP */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC_FF(op_ea8_0), /* MOVES */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_40a8_0), /* NEGX */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_42a8_0), /* CLR */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_44a8_0), /* NEG */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_46a8_0), /* NOT */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC_FF(op_48a8_0), /* MVMLE */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_4aa8_0), /* TST */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC_FF(op_4ca8_0), /* MVMEL */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC_FF(op_4ea8_0), /* JSR */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_a8_0), /* OR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_2a8_0), /* AND */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_4a8_0), /* SUB */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_6a8_0), /* ADD */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_8a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_aa8_0), /* EOR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_ca8_0), /* CMP */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC_FF(op_ea8_0), /* MOVES */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_40a8_0), /* NEGX */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_42a8_0), /* CLR */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_44a8_0), /* NEG */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_46a8_0), /* NOT */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC_FF(op_48a8_0), /* MVMLE */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_4aa8_0), /* TST */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC_FF(op_4ca8_0), /* MVMEL */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC_FF(op_4ea8_0), /* JSR */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_a8_0), /* OR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_2a8_0), /* AND */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_4a8_0), /* SUB */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_6a8_0), /* ADD */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_8a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_aa8_0), /* EOR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_ca8_0), /* CMP */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC_FF(op_ea8_0), /* MOVES */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_40a8_0), /* NEGX */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_42a8_0), /* CLR */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_44a8_0), /* NEG */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_46a8_0), /* NOT */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC_FF(op_48a8_0), /* MVMLE */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_4aa8_0), /* TST */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC_FF(op_4ca8_0), /* MVMEL */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC_FF(op_4ea8_0), /* JSR */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_a8_0), /* OR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_2a8_0), /* AND */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_4a8_0), /* SUB */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_6a8_0), /* ADD */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_8a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_aa8_0), /* EOR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_ca8_0), /* CMP */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC_FF(op_ea8_0), /* MOVES */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_40a8_0), /* NEGX */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_42a8_0), /* CLR */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_44a8_0), /* NEG */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_46a8_0), /* NOT */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC_FF(op_48a8_0), /* MVMLE */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_4aa8_0), /* TST */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC_FF(op_4ca8_0), /* MVMEL */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC_FF(op_4ea8_0), /* JSR */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_a8_0), /* OR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_2a8_0), /* AND */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_4a8_0), /* SUB */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_6a8_0), /* ADD */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_8a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_aa8_0), /* EOR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_ca8_0), /* CMP */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC_FF(op_ea8_0), /* MOVES */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_40a8_0), /* NEGX */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_42a8_0), /* CLR */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_44a8_0), /* NEG */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_46a8_0), /* NOT */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC_FF(op_48a8_0), /* MVMLE */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_4aa8_0), /* TST */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC_FF(op_4ca8_0), /* MVMEL */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC_FF(op_4ea8_0), /* JSR */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_a8_0), /* OR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_2a8_0), /* AND */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_4a8_0), /* SUB */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_6a8_0), /* ADD */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_8a8_0), /* BCLR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_aa8_0), /* EOR */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_ca8_0), /* CMP */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC_FF(op_ea8_0), /* MOVES */
	CPUFUNC(op_1a8_0), /* BCLR */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_10a8_0), /* MOVE */
	CPUFUNC(op_11a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_20a8_0), /* MOVE */
	CPUFUNC(op_21a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_30a8_0), /* MOVE */
	CPUFUNC(op_31a8_0), /* MOVE */
	CPUFUNC(op_40a8_0), /* NEGX */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_42a8_0), /* CLR */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_44a8_0), /* NEG */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_46a8_0), /* NOT */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC_FF(op_48a8_0), /* MVMLE */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_4aa8_0), /* TST */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC_FF(op_4ca8_0), /* MVMEL */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC_FF(op_4ea8_0), /* JSR */
	CPUFUNC(op_41a8_0), /* CHK */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC(op_50a8_0), /* ADD */
	CPUFUNC(op_51a8_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_80a8_0), /* OR */
	CPUFUNC(op_81a8_0), /* OR */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	CPUFUNC(op_90a8_0), /* SUB */
	CPUFUNC(op_91a8_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_b0a8_0), /* CMP */
	CPUFUNC(op_b1a8_0), /* EOR */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_c0a8_0), /* AND */
	CPUFUNC(op_c1a8_0), /* AND */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_d0a8_0), /* ADD */
	CPUFUNC(op_d1a8_0), /* ADD */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	CPUFUNC(op_e0a8_0), /* LSR */
	CPUFUNC(op_e1a8_0), /* LSL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0_0), /* OR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_2b0_0), /* AND */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_4b0_0), /* SUB */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_6b0_0), /* ADD */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_8b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_ab0_0), /* EOR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_cb0_0), /* CMP */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC_FF(op_eb0_0), /* MOVES */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_40b0_0), /* NEGX */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_42b0_0), /* CLR */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_44b0_0), /* NEG */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_46b0_0), /* NOT */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC_FF(op_48b0_0), /* MVMLE */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_4ab0_0), /* TST */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC_FF(op_4cb0_0), /* MVMEL */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC_FF(op_4eb0_0), /* JSR */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0_0), /* OR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_2b0_0), /* AND */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_4b0_0), /* SUB */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_6b0_0), /* ADD */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_8b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_ab0_0), /* EOR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_cb0_0), /* CMP */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC_FF(op_eb0_0), /* MOVES */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_40b0_0), /* NEGX */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_42b0_0), /* CLR */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_44b0_0), /* NEG */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_46b0_0), /* NOT */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC_FF(op_48b0_0), /* MVMLE */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_4ab0_0), /* TST */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC_FF(op_4cb0_0), /* MVMEL */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC_FF(op_4eb0_0), /* JSR */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0_0), /* OR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_2b0_0), /* AND */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_4b0_0), /* SUB */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_6b0_0), /* ADD */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_8b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_ab0_0), /* EOR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_cb0_0), /* CMP */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC_FF(op_eb0_0), /* MOVES */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_40b0_0), /* NEGX */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_42b0_0), /* CLR */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_44b0_0), /* NEG */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_46b0_0), /* NOT */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC_FF(op_48b0_0), /* MVMLE */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_4ab0_0), /* TST */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC_FF(op_4cb0_0), /* MVMEL */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC_FF(op_4eb0_0), /* JSR */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0_0), /* OR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_2b0_0), /* AND */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_4b0_0), /* SUB */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_6b0_0), /* ADD */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_8b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_ab0_0), /* EOR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_cb0_0), /* CMP */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC_FF(op_eb0_0), /* MOVES */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_40b0_0), /* NEGX */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_42b0_0), /* CLR */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_44b0_0), /* NEG */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_46b0_0), /* NOT */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC_FF(op_48b0_0), /* MVMLE */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_4ab0_0), /* TST */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC_FF(op_4cb0_0), /* MVMEL */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC_FF(op_4eb0_0), /* JSR */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0_0), /* OR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_2b0_0), /* AND */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_4b0_0), /* SUB */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_6b0_0), /* ADD */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_8b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_ab0_0), /* EOR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_cb0_0), /* CMP */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC_FF(op_eb0_0), /* MOVES */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_40b0_0), /* NEGX */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_42b0_0), /* CLR */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_44b0_0), /* NEG */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_46b0_0), /* NOT */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC_FF(op_48b0_0), /* MVMLE */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_4ab0_0), /* TST */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC_FF(op_4cb0_0), /* MVMEL */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC_FF(op_4eb0_0), /* JSR */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0_0), /* OR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_2b0_0), /* AND */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_4b0_0), /* SUB */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_6b0_0), /* ADD */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_8b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_ab0_0), /* EOR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_cb0_0), /* CMP */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC_FF(op_eb0_0), /* MOVES */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_40b0_0), /* NEGX */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_42b0_0), /* CLR */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_44b0_0), /* NEG */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_46b0_0), /* NOT */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC_FF(op_48b0_0), /* MVMLE */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_4ab0_0), /* TST */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC_FF(op_4cb0_0), /* MVMEL */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC_FF(op_4eb0_0), /* JSR */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0_0), /* OR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_2b0_0), /* AND */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_4b0_0), /* SUB */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_6b0_0), /* ADD */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_8b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_ab0_0), /* EOR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_cb0_0), /* CMP */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC_FF(op_eb0_0), /* MOVES */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_40b0_0), /* NEGX */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_42b0_0), /* CLR */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_44b0_0), /* NEG */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_46b0_0), /* NOT */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC_FF(op_48b0_0), /* MVMLE */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_4ab0_0), /* TST */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC_FF(op_4cb0_0), /* MVMEL */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC_FF(op_4eb0_0), /* JSR */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0_0), /* OR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_2b0_0), /* AND */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_4b0_0), /* SUB */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_6b0_0), /* ADD */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_8b0_0), /* BCLR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_ab0_0), /* EOR */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_cb0_0), /* CMP */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC_FF(op_eb0_0), /* MOVES */
	CPUFUNC(op_1b0_0), /* BCLR */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_10b0_0), /* MOVE */
	CPUFUNC(op_11b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_20b0_0), /* MOVE */
	CPUFUNC(op_21b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_30b0_0), /* MOVE */
	CPUFUNC(op_31b0_0), /* MOVE */
	CPUFUNC(op_40b0_0), /* NEGX */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_42b0_0), /* CLR */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_44b0_0), /* NEG */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_46b0_0), /* NOT */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC_FF(op_48b0_0), /* MVMLE */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_4ab0_0), /* TST */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC_FF(op_4cb0_0), /* MVMEL */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC_FF(op_4eb0_0), /* JSR */
	CPUFUNC(op_41b0_0), /* CHK */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC(op_50b0_0), /* ADD */
	CPUFUNC(op_51b0_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_80b0_0), /* OR */
	CPUFUNC(op_81b0_0), /* OR */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	CPUFUNC(op_90b0_0), /* SUB */
	CPUFUNC(op_91b0_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_b0b0_0), /* CMP */
	CPUFUNC(op_b1b0_0), /* EOR */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_c0b0_0), /* AND */
	CPUFUNC(op_c1b0_0), /* AND */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_d0b0_0), /* ADD */
	CPUFUNC(op_d1b0_0), /* ADD */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	CPUFUNC(op_e0b0_0), /* ROXR */
	CPUFUNC(op_e1b0_0), /* ROXL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b8_0), /* OR */
	CPUFUNC(op_1b8_0), /* BCLR */
	CPUFUNC(op_2b8_0), /* AND */
	CPUFUNC(op_1b8_0), /* BCLR */
	CPUFUNC(op_4b8_0), /* SUB */
	CPUFUNC(op_1b8_0), /* BCLR */
	CPUFUNC(op_6b8_0), /* ADD */
	CPUFUNC(op_1b8_0), /* BCLR */
	CPUFUNC(op_8b8_0), /* BCLR */
	CPUFUNC(op_1b8_0), /* BCLR */
	CPUFUNC(op_ab8_0), /* EOR */
	CPUFUNC(op_1b8_0), /* BCLR */
	CPUFUNC(op_cb8_0), /* CMP */
	CPUFUNC(op_1b8_0), /* BCLR */
	CPUFUNC_FF(op_eb8_0), /* MOVES */
	CPUFUNC(op_1b8_0), /* BCLR */
	CPUFUNC(op_10b8_0), /* MOVE */
	CPUFUNC(op_11b8_0), /* MOVE */
	CPUFUNC(op_10b8_0), /* MOVE */
	CPUFUNC(op_11b8_0), /* MOVE */
	CPUFUNC(op_10b8_0), /* MOVE */
	CPUFUNC(op_11b8_0), /* MOVE */
	CPUFUNC(op_10b8_0), /* MOVE */
	CPUFUNC(op_11b8_0), /* MOVE */
	CPUFUNC(op_10b8_0), /* MOVE */
	CPUFUNC(op_11b8_0), /* MOVE */
	CPUFUNC(op_10b8_0), /* MOVE */
	CPUFUNC(op_11b8_0), /* MOVE */
	CPUFUNC(op_10b8_0), /* MOVE */
	CPUFUNC(op_11b8_0), /* MOVE */
	CPUFUNC(op_10b8_0), /* MOVE */
	CPUFUNC(op_11b8_0), /* MOVE */
	CPUFUNC(op_20b8_0), /* MOVE */
	CPUFUNC(op_21b8_0), /* MOVE */
	CPUFUNC(op_20b8_0), /* MOVE */
	CPUFUNC(op_21b8_0), /* MOVE */
	CPUFUNC(op_20b8_0), /* MOVE */
	CPUFUNC(op_21b8_0), /* MOVE */
	CPUFUNC(op_20b8_0), /* MOVE */
	CPUFUNC(op_21b8_0), /* MOVE */
	CPUFUNC(op_20b8_0), /* MOVE */
	CPUFUNC(op_21b8_0), /* MOVE */
	CPUFUNC(op_20b8_0), /* MOVE */
	CPUFUNC(op_21b8_0), /* MOVE */
	CPUFUNC(op_20b8_0), /* MOVE */
	CPUFUNC(op_21b8_0), /* MOVE */
	CPUFUNC(op_20b8_0), /* MOVE */
	CPUFUNC(op_21b8_0), /* MOVE */
	CPUFUNC(op_30b8_0), /* MOVE */
	CPUFUNC(op_31b8_0), /* MOVE */
	CPUFUNC(op_30b8_0), /* MOVE */
	CPUFUNC(op_31b8_0), /* MOVE */
	CPUFUNC(op_30b8_0), /* MOVE */
	CPUFUNC(op_31b8_0), /* MOVE */
	CPUFUNC(op_30b8_0), /* MOVE */
	CPUFUNC(op_31b8_0), /* MOVE */
	CPUFUNC(op_30b8_0), /* MOVE */
	CPUFUNC(op_31b8_0), /* MOVE */
	CPUFUNC(op_30b8_0), /* MOVE */
	CPUFUNC(op_31b8_0), /* MOVE */
	CPUFUNC(op_30b8_0), /* MOVE */
	CPUFUNC(op_31b8_0), /* MOVE */
	CPUFUNC(op_30b8_0), /* MOVE */
	CPUFUNC(op_31b8_0), /* MOVE */
	CPUFUNC(op_40b8_0), /* NEGX */
	CPUFUNC(op_41b8_0), /* CHK */
	CPUFUNC(op_42b8_0), /* CLR */
	CPUFUNC(op_41b8_0), /* CHK */
	CPUFUNC(op_44b8_0), /* NEG */
	CPUFUNC(op_41b8_0), /* CHK */
	CPUFUNC(op_46b8_0), /* NOT */
	CPUFUNC(op_41b8_0), /* CHK */
	CPUFUNC_FF(op_48b8_0), /* MVMLE */
	CPUFUNC(op_41b8_0), /* CHK */
	CPUFUNC(op_4ab8_0), /* TST */
	CPUFUNC(op_41b8_0), /* CHK */
	CPUFUNC_FF(op_4cb8_0), /* MVMEL */
	CPUFUNC(op_41b8_0), /* CHK */
	CPUFUNC_FF(op_4eb8_0), /* JSR */
	CPUFUNC(op_41b8_0), /* CHK */
	CPUFUNC(op_50b8_0), /* ADD */
	CPUFUNC(op_51b8_0), /* SUB */
	CPUFUNC(op_50b8_0), /* ADD */
	CPUFUNC(op_51b8_0), /* SUB */
	CPUFUNC(op_50b8_0), /* ADD */
	CPUFUNC(op_51b8_0), /* SUB */
	CPUFUNC(op_50b8_0), /* ADD */
	CPUFUNC(op_51b8_0), /* SUB */
	CPUFUNC(op_50b8_0), /* ADD */
	CPUFUNC(op_51b8_0), /* SUB */
	CPUFUNC(op_50b8_0), /* ADD */
	CPUFUNC(op_51b8_0), /* SUB */
	CPUFUNC(op_50b8_0), /* ADD */
	CPUFUNC(op_51b8_0), /* SUB */
	CPUFUNC(op_50b8_0), /* ADD */
	CPUFUNC(op_51b8_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80b8_0), /* OR */
	CPUFUNC(op_81b8_0), /* OR */
	CPUFUNC(op_80b8_0), /* OR */
	CPUFUNC(op_81b8_0), /* OR */
	CPUFUNC(op_80b8_0), /* OR */
	CPUFUNC(op_81b8_0), /* OR */
	CPUFUNC(op_80b8_0), /* OR */
	CPUFUNC(op_81b8_0), /* OR */
	CPUFUNC(op_80b8_0), /* OR */
	CPUFUNC(op_81b8_0), /* OR */
	CPUFUNC(op_80b8_0), /* OR */
	CPUFUNC(op_81b8_0), /* OR */
	CPUFUNC(op_80b8_0), /* OR */
	CPUFUNC(op_81b8_0), /* OR */
	CPUFUNC(op_80b8_0), /* OR */
	CPUFUNC(op_81b8_0), /* OR */
	CPUFUNC(op_90b8_0), /* SUB */
	CPUFUNC(op_91b8_0), /* SUB */
	CPUFUNC(op_90b8_0), /* SUB */
	CPUFUNC(op_91b8_0), /* SUB */
	CPUFUNC(op_90b8_0), /* SUB */
	CPUFUNC(op_91b8_0), /* SUB */
	CPUFUNC(op_90b8_0), /* SUB */
	CPUFUNC(op_91b8_0), /* SUB */
	CPUFUNC(op_90b8_0), /* SUB */
	CPUFUNC(op_91b8_0), /* SUB */
	CPUFUNC(op_90b8_0), /* SUB */
	CPUFUNC(op_91b8_0), /* SUB */
	CPUFUNC(op_90b8_0), /* SUB */
	CPUFUNC(op_91b8_0), /* SUB */
	CPUFUNC(op_90b8_0), /* SUB */
	CPUFUNC(op_91b8_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0b8_0), /* CMP */
	CPUFUNC(op_b1b8_0), /* EOR */
	CPUFUNC(op_b0b8_0), /* CMP */
	CPUFUNC(op_b1b8_0), /* EOR */
	CPUFUNC(op_b0b8_0), /* CMP */
	CPUFUNC(op_b1b8_0), /* EOR */
	CPUFUNC(op_b0b8_0), /* CMP */
	CPUFUNC(op_b1b8_0), /* EOR */
	CPUFUNC(op_b0b8_0), /* CMP */
	CPUFUNC(op_b1b8_0), /* EOR */
	CPUFUNC(op_b0b8_0), /* CMP */
	CPUFUNC(op_b1b8_0), /* EOR */
	CPUFUNC(op_b0b8_0), /* CMP */
	CPUFUNC(op_b1b8_0), /* EOR */
	CPUFUNC(op_b0b8_0), /* CMP */
	CPUFUNC(op_b1b8_0), /* EOR */
	CPUFUNC(op_c0b8_0), /* AND */
	CPUFUNC(op_c1b8_0), /* AND */
	CPUFUNC(op_c0b8_0), /* AND */
	CPUFUNC(op_c1b8_0), /* AND */
	CPUFUNC(op_c0b8_0), /* AND */
	CPUFUNC(op_c1b8_0), /* AND */
	CPUFUNC(op_c0b8_0), /* AND */
	CPUFUNC(op_c1b8_0), /* AND */
	CPUFUNC(op_c0b8_0), /* AND */
	CPUFUNC(op_c1b8_0), /* AND */
	CPUFUNC(op_c0b8_0), /* AND */
	CPUFUNC(op_c1b8_0), /* AND */
	CPUFUNC(op_c0b8_0), /* AND */
	CPUFUNC(op_c1b8_0), /* AND */
	CPUFUNC(op_c0b8_0), /* AND */
	CPUFUNC(op_c1b8_0), /* AND */
	CPUFUNC(op_d0b8_0), /* ADD */
	CPUFUNC(op_d1b8_0), /* ADD */
	CPUFUNC(op_d0b8_0), /* ADD */
	CPUFUNC(op_d1b8_0), /* ADD */
	CPUFUNC(op_d0b8_0), /* ADD */
	CPUFUNC(op_d1b8_0), /* ADD */
	CPUFUNC(op_d0b8_0), /* ADD */
	CPUFUNC(op_d1b8_0), /* ADD */
	CPUFUNC(op_d0b8_0), /* ADD */
	CPUFUNC(op_d1b8_0), /* ADD */
	CPUFUNC(op_d0b8_0), /* ADD */
	CPUFUNC(op_d1b8_0), /* ADD */
	CPUFUNC(op_d0b8_0), /* ADD */
	CPUFUNC(op_d1b8_0), /* ADD */
	CPUFUNC(op_d0b8_0), /* ADD */
	CPUFUNC(op_d1b8_0), /* ADD */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f438_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b9_0), /* OR */
	CPUFUNC(op_1b9_0), /* BCLR */
	CPUFUNC(op_2b9_0), /* AND */
	CPUFUNC(op_1b9_0), /* BCLR */
	CPUFUNC(op_4b9_0), /* SUB */
	CPUFUNC(op_1b9_0), /* BCLR */
	CPUFUNC(op_6b9_0), /* ADD */
	CPUFUNC(op_1b9_0), /* BCLR */
	CPUFUNC(op_8b9_0), /* BCLR */
	CPUFUNC(op_1b9_0), /* BCLR */
	CPUFUNC(op_ab9_0), /* EOR */
	CPUFUNC(op_1b9_0), /* BCLR */
	CPUFUNC(op_cb9_0), /* CMP */
	CPUFUNC(op_1b9_0), /* BCLR */
	CPUFUNC_FF(op_eb9_0), /* MOVES */
	CPUFUNC(op_1b9_0), /* BCLR */
	CPUFUNC(op_10b9_0), /* MOVE */
	CPUFUNC(op_11b9_0), /* MOVE */
	CPUFUNC(op_10b9_0), /* MOVE */
	CPUFUNC(op_11b9_0), /* MOVE */
	CPUFUNC(op_10b9_0), /* MOVE */
	CPUFUNC(op_11b9_0), /* MOVE */
	CPUFUNC(op_10b9_0), /* MOVE */
	CPUFUNC(op_11b9_0), /* MOVE */
	CPUFUNC(op_10b9_0), /* MOVE */
	CPUFUNC(op_11b9_0), /* MOVE */
	CPUFUNC(op_10b9_0), /* MOVE */
	CPUFUNC(op_11b9_0), /* MOVE */
	CPUFUNC(op_10b9_0), /* MOVE */
	CPUFUNC(op_11b9_0), /* MOVE */
	CPUFUNC(op_10b9_0), /* MOVE */
	CPUFUNC(op_11b9_0), /* MOVE */
	CPUFUNC(op_20b9_0), /* MOVE */
	CPUFUNC(op_21b9_0), /* MOVE */
	CPUFUNC(op_20b9_0), /* MOVE */
	CPUFUNC(op_21b9_0), /* MOVE */
	CPUFUNC(op_20b9_0), /* MOVE */
	CPUFUNC(op_21b9_0), /* MOVE */
	CPUFUNC(op_20b9_0), /* MOVE */
	CPUFUNC(op_21b9_0), /* MOVE */
	CPUFUNC(op_20b9_0), /* MOVE */
	CPUFUNC(op_21b9_0), /* MOVE */
	CPUFUNC(op_20b9_0), /* MOVE */
	CPUFUNC(op_21b9_0), /* MOVE */
	CPUFUNC(op_20b9_0), /* MOVE */
	CPUFUNC(op_21b9_0), /* MOVE */
	CPUFUNC(op_20b9_0), /* MOVE */
	CPUFUNC(op_21b9_0), /* MOVE */
	CPUFUNC(op_30b9_0), /* MOVE */
	CPUFUNC(op_31b9_0), /* MOVE */
	CPUFUNC(op_30b9_0), /* MOVE */
	CPUFUNC(op_31b9_0), /* MOVE */
	CPUFUNC(op_30b9_0), /* MOVE */
	CPUFUNC(op_31b9_0), /* MOVE */
	CPUFUNC(op_30b9_0), /* MOVE */
	CPUFUNC(op_31b9_0), /* MOVE */
	CPUFUNC(op_30b9_0), /* MOVE */
	CPUFUNC(op_31b9_0), /* MOVE */
	CPUFUNC(op_30b9_0), /* MOVE */
	CPUFUNC(op_31b9_0), /* MOVE */
	CPUFUNC(op_30b9_0), /* MOVE */
	CPUFUNC(op_31b9_0), /* MOVE */
	CPUFUNC(op_30b9_0), /* MOVE */
	CPUFUNC(op_31b9_0), /* MOVE */
	CPUFUNC(op_40b9_0), /* NEGX */
	CPUFUNC(op_41b9_0), /* CHK */
	CPUFUNC(op_42b9_0), /* CLR */
	CPUFUNC(op_41b9_0), /* CHK */
	CPUFUNC(op_44b9_0), /* NEG */
	CPUFUNC(op_41b9_0), /* CHK */
	CPUFUNC(op_46b9_0), /* NOT */
	CPUFUNC(op_41b9_0), /* CHK */
	CPUFUNC_FF(op_48b9_0), /* MVMLE */
	CPUFUNC(op_41b9_0), /* CHK */
	CPUFUNC(op_4ab9_0), /* TST */
	CPUFUNC(op_41b9_0), /* CHK */
	CPUFUNC_FF(op_4cb9_0), /* MVMEL */
	CPUFUNC(op_41b9_0), /* CHK */
	CPUFUNC_FF(op_4eb9_0), /* JSR */
	CPUFUNC(op_41b9_0), /* CHK */
	CPUFUNC(op_50b9_0), /* ADD */
	CPUFUNC(op_51b9_0), /* SUB */
	CPUFUNC(op_50b9_0), /* ADD */
	CPUFUNC(op_51b9_0), /* SUB */
	CPUFUNC(op_50b9_0), /* ADD */
	CPUFUNC(op_51b9_0), /* SUB */
	CPUFUNC(op_50b9_0), /* ADD */
	CPUFUNC(op_51b9_0), /* SUB */
	CPUFUNC(op_50b9_0), /* ADD */
	CPUFUNC(op_51b9_0), /* SUB */
	CPUFUNC(op_50b9_0), /* ADD */
	CPUFUNC(op_51b9_0), /* SUB */
	CPUFUNC(op_50b9_0), /* ADD */
	CPUFUNC(op_51b9_0), /* SUB */
	CPUFUNC(op_50b9_0), /* ADD */
	CPUFUNC(op_51b9_0), /* SUB */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80b9_0), /* OR */
	CPUFUNC(op_81b9_0), /* OR */
	CPUFUNC(op_80b9_0), /* OR */
	CPUFUNC(op_81b9_0), /* OR */
	CPUFUNC(op_80b9_0), /* OR */
	CPUFUNC(op_81b9_0), /* OR */
	CPUFUNC(op_80b9_0), /* OR */
	CPUFUNC(op_81b9_0), /* OR */
	CPUFUNC(op_80b9_0), /* OR */
	CPUFUNC(op_81b9_0), /* OR */
	CPUFUNC(op_80b9_0), /* OR */
	CPUFUNC(op_81b9_0), /* OR */
	CPUFUNC(op_80b9_0), /* OR */
	CPUFUNC(op_81b9_0), /* OR */
	CPUFUNC(op_80b9_0), /* OR */
	CPUFUNC(op_81b9_0), /* OR */
	CPUFUNC(op_90b9_0), /* SUB */
	CPUFUNC(op_91b9_0), /* SUB */
	CPUFUNC(op_90b9_0), /* SUB */
	CPUFUNC(op_91b9_0), /* SUB */
	CPUFUNC(op_90b9_0), /* SUB */
	CPUFUNC(op_91b9_0), /* SUB */
	CPUFUNC(op_90b9_0), /* SUB */
	CPUFUNC(op_91b9_0), /* SUB */
	CPUFUNC(op_90b9_0), /* SUB */
	CPUFUNC(op_91b9_0), /* SUB */
	CPUFUNC(op_90b9_0), /* SUB */
	CPUFUNC(op_91b9_0), /* SUB */
	CPUFUNC(op_90b9_0), /* SUB */
	CPUFUNC(op_91b9_0), /* SUB */
	CPUFUNC(op_90b9_0), /* SUB */
	CPUFUNC(op_91b9_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0b9_0), /* CMP */
	CPUFUNC(op_b1b9_0), /* EOR */
	CPUFUNC(op_b0b9_0), /* CMP */
	CPUFUNC(op_b1b9_0), /* EOR */
	CPUFUNC(op_b0b9_0), /* CMP */
	CPUFUNC(op_b1b9_0), /* EOR */
	CPUFUNC(op_b0b9_0), /* CMP */
	CPUFUNC(op_b1b9_0), /* EOR */
	CPUFUNC(op_b0b9_0), /* CMP */
	CPUFUNC(op_b1b9_0), /* EOR */
	CPUFUNC(op_b0b9_0), /* CMP */
	CPUFUNC(op_b1b9_0), /* EOR */
	CPUFUNC(op_b0b9_0), /* CMP */
	CPUFUNC(op_b1b9_0), /* EOR */
	CPUFUNC(op_b0b9_0), /* CMP */
	CPUFUNC(op_b1b9_0), /* EOR */
	CPUFUNC(op_c0b9_0), /* AND */
	CPUFUNC(op_c1b9_0), /* AND */
	CPUFUNC(op_c0b9_0), /* AND */
	CPUFUNC(op_c1b9_0), /* AND */
	CPUFUNC(op_c0b9_0), /* AND */
	CPUFUNC(op_c1b9_0), /* AND */
	CPUFUNC(op_c0b9_0), /* AND */
	CPUFUNC(op_c1b9_0), /* AND */
	CPUFUNC(op_c0b9_0), /* AND */
	CPUFUNC(op_c1b9_0), /* AND */
	CPUFUNC(op_c0b9_0), /* AND */
	CPUFUNC(op_c1b9_0), /* AND */
	CPUFUNC(op_c0b9_0), /* AND */
	CPUFUNC(op_c1b9_0), /* AND */
	CPUFUNC(op_c0b9_0), /* AND */
	CPUFUNC(op_c1b9_0), /* AND */
	CPUFUNC(op_d0b9_0), /* ADD */
	CPUFUNC(op_d1b9_0), /* ADD */
	CPUFUNC(op_d0b9_0), /* ADD */
	CPUFUNC(op_d1b9_0), /* ADD */
	CPUFUNC(op_d0b9_0), /* ADD */
	CPUFUNC(op_d1b9_0), /* ADD */
	CPUFUNC(op_d0b9_0), /* ADD */
	CPUFUNC(op_d1b9_0), /* ADD */
	CPUFUNC(op_d0b9_0), /* ADD */
	CPUFUNC(op_d1b9_0), /* ADD */
	CPUFUNC(op_d0b9_0), /* ADD */
	CPUFUNC(op_d1b9_0), /* ADD */
	CPUFUNC(op_d0b9_0), /* ADD */
	CPUFUNC(op_d1b9_0), /* ADD */
	CPUFUNC(op_d0b9_0), /* ADD */
	CPUFUNC(op_d1b9_0), /* ADD */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f439_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1ba_0), /* BCLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1ba_0), /* BCLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1ba_0), /* BCLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1ba_0), /* BCLR */
	CPUFUNC(op_8ba_0), /* BCLR */
	CPUFUNC(op_1ba_0), /* BCLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1ba_0), /* BCLR */
	CPUFUNC(op_cba_0), /* CMP */
	CPUFUNC(op_1ba_0), /* BCLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1ba_0), /* BCLR */
	CPUFUNC(op_10ba_0), /* MOVE */
	CPUFUNC(op_11ba_0), /* MOVE */
	CPUFUNC(op_10ba_0), /* MOVE */
	CPUFUNC(op_11ba_0), /* MOVE */
	CPUFUNC(op_10ba_0), /* MOVE */
	CPUFUNC(op_11ba_0), /* MOVE */
	CPUFUNC(op_10ba_0), /* MOVE */
	CPUFUNC(op_11ba_0), /* MOVE */
	CPUFUNC(op_10ba_0), /* MOVE */
	CPUFUNC(op_11ba_0), /* MOVE */
	CPUFUNC(op_10ba_0), /* MOVE */
	CPUFUNC(op_11ba_0), /* MOVE */
	CPUFUNC(op_10ba_0), /* MOVE */
	CPUFUNC(op_11ba_0), /* MOVE */
	CPUFUNC(op_10ba_0), /* MOVE */
	CPUFUNC(op_11ba_0), /* MOVE */
	CPUFUNC(op_20ba_0), /* MOVE */
	CPUFUNC(op_21ba_0), /* MOVE */
	CPUFUNC(op_20ba_0), /* MOVE */
	CPUFUNC(op_21ba_0), /* MOVE */
	CPUFUNC(op_20ba_0), /* MOVE */
	CPUFUNC(op_21ba_0), /* MOVE */
	CPUFUNC(op_20ba_0), /* MOVE */
	CPUFUNC(op_21ba_0), /* MOVE */
	CPUFUNC(op_20ba_0), /* MOVE */
	CPUFUNC(op_21ba_0), /* MOVE */
	CPUFUNC(op_20ba_0), /* MOVE */
	CPUFUNC(op_21ba_0), /* MOVE */
	CPUFUNC(op_20ba_0), /* MOVE */
	CPUFUNC(op_21ba_0), /* MOVE */
	CPUFUNC(op_20ba_0), /* MOVE */
	CPUFUNC(op_21ba_0), /* MOVE */
	CPUFUNC(op_30ba_0), /* MOVE */
	CPUFUNC(op_31ba_0), /* MOVE */
	CPUFUNC(op_30ba_0), /* MOVE */
	CPUFUNC(op_31ba_0), /* MOVE */
	CPUFUNC(op_30ba_0), /* MOVE */
	CPUFUNC(op_31ba_0), /* MOVE */
	CPUFUNC(op_30ba_0), /* MOVE */
	CPUFUNC(op_31ba_0), /* MOVE */
	CPUFUNC(op_30ba_0), /* MOVE */
	CPUFUNC(op_31ba_0), /* MOVE */
	CPUFUNC(op_30ba_0), /* MOVE */
	CPUFUNC(op_31ba_0), /* MOVE */
	CPUFUNC(op_30ba_0), /* MOVE */
	CPUFUNC(op_31ba_0), /* MOVE */
	CPUFUNC(op_30ba_0), /* MOVE */
	CPUFUNC(op_31ba_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41ba_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41ba_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41ba_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41ba_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41ba_0), /* CHK */
	CPUFUNC(op_4aba_0), /* TST */
	CPUFUNC(op_41ba_0), /* CHK */
	CPUFUNC_FF(op_4cba_0), /* MVMEL */
	CPUFUNC(op_41ba_0), /* CHK */
	CPUFUNC_FF(op_4eba_0), /* JSR */
	CPUFUNC(op_41ba_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80ba_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80ba_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80ba_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80ba_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80ba_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80ba_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80ba_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80ba_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90ba_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90ba_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90ba_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90ba_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90ba_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90ba_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90ba_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90ba_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0ba_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0ba_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0ba_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0ba_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0ba_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0ba_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0ba_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0ba_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0ba_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0ba_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0ba_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0ba_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0ba_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0ba_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0ba_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0ba_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0ba_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0ba_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0ba_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0ba_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0ba_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0ba_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0ba_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0ba_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f43a_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1bb_0), /* BCLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1bb_0), /* BCLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1bb_0), /* BCLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1bb_0), /* BCLR */
	CPUFUNC(op_8bb_0), /* BCLR */
	CPUFUNC(op_1bb_0), /* BCLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1bb_0), /* BCLR */
	CPUFUNC(op_cbb_0), /* CMP */
	CPUFUNC(op_1bb_0), /* BCLR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1bb_0), /* BCLR */
	CPUFUNC(op_10bb_0), /* MOVE */
	CPUFUNC(op_11bb_0), /* MOVE */
	CPUFUNC(op_10bb_0), /* MOVE */
	CPUFUNC(op_11bb_0), /* MOVE */
	CPUFUNC(op_10bb_0), /* MOVE */
	CPUFUNC(op_11bb_0), /* MOVE */
	CPUFUNC(op_10bb_0), /* MOVE */
	CPUFUNC(op_11bb_0), /* MOVE */
	CPUFUNC(op_10bb_0), /* MOVE */
	CPUFUNC(op_11bb_0), /* MOVE */
	CPUFUNC(op_10bb_0), /* MOVE */
	CPUFUNC(op_11bb_0), /* MOVE */
	CPUFUNC(op_10bb_0), /* MOVE */
	CPUFUNC(op_11bb_0), /* MOVE */
	CPUFUNC(op_10bb_0), /* MOVE */
	CPUFUNC(op_11bb_0), /* MOVE */
	CPUFUNC(op_20bb_0), /* MOVE */
	CPUFUNC(op_21bb_0), /* MOVE */
	CPUFUNC(op_20bb_0), /* MOVE */
	CPUFUNC(op_21bb_0), /* MOVE */
	CPUFUNC(op_20bb_0), /* MOVE */
	CPUFUNC(op_21bb_0), /* MOVE */
	CPUFUNC(op_20bb_0), /* MOVE */
	CPUFUNC(op_21bb_0), /* MOVE */
	CPUFUNC(op_20bb_0), /* MOVE */
	CPUFUNC(op_21bb_0), /* MOVE */
	CPUFUNC(op_20bb_0), /* MOVE */
	CPUFUNC(op_21bb_0), /* MOVE */
	CPUFUNC(op_20bb_0), /* MOVE */
	CPUFUNC(op_21bb_0), /* MOVE */
	CPUFUNC(op_20bb_0), /* MOVE */
	CPUFUNC(op_21bb_0), /* MOVE */
	CPUFUNC(op_30bb_0), /* MOVE */
	CPUFUNC(op_31bb_0), /* MOVE */
	CPUFUNC(op_30bb_0), /* MOVE */
	CPUFUNC(op_31bb_0), /* MOVE */
	CPUFUNC(op_30bb_0), /* MOVE */
	CPUFUNC(op_31bb_0), /* MOVE */
	CPUFUNC(op_30bb_0), /* MOVE */
	CPUFUNC(op_31bb_0), /* MOVE */
	CPUFUNC(op_30bb_0), /* MOVE */
	CPUFUNC(op_31bb_0), /* MOVE */
	CPUFUNC(op_30bb_0), /* MOVE */
	CPUFUNC(op_31bb_0), /* MOVE */
	CPUFUNC(op_30bb_0), /* MOVE */
	CPUFUNC(op_31bb_0), /* MOVE */
	CPUFUNC(op_30bb_0), /* MOVE */
	CPUFUNC(op_31bb_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41bb_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41bb_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41bb_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41bb_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41bb_0), /* CHK */
	CPUFUNC(op_4abb_0), /* TST */
	CPUFUNC(op_41bb_0), /* CHK */
	CPUFUNC_FF(op_4cbb_0), /* MVMEL */
	CPUFUNC(op_41bb_0), /* CHK */
	CPUFUNC_FF(op_4ebb_0), /* JSR */
	CPUFUNC(op_41bb_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80bb_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80bb_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80bb_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80bb_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80bb_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80bb_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80bb_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80bb_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90bb_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90bb_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90bb_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90bb_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90bb_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90bb_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90bb_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90bb_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0bb_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0bb_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0bb_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0bb_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0bb_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0bb_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0bb_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0bb_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0bb_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0bb_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0bb_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0bb_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0bb_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0bb_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0bb_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0bb_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0bb_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0bb_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0bb_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0bb_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0bb_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0bb_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0bb_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0bb_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f43b_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10bc_0), /* MOVE */
	CPUFUNC(op_11bc_0), /* MOVE */
	CPUFUNC(op_10bc_0), /* MOVE */
	CPUFUNC(op_11bc_0), /* MOVE */
	CPUFUNC(op_10bc_0), /* MOVE */
	CPUFUNC(op_11bc_0), /* MOVE */
	CPUFUNC(op_10bc_0), /* MOVE */
	CPUFUNC(op_11bc_0), /* MOVE */
	CPUFUNC(op_10bc_0), /* MOVE */
	CPUFUNC(op_11bc_0), /* MOVE */
	CPUFUNC(op_10bc_0), /* MOVE */
	CPUFUNC(op_11bc_0), /* MOVE */
	CPUFUNC(op_10bc_0), /* MOVE */
	CPUFUNC(op_11bc_0), /* MOVE */
	CPUFUNC(op_10bc_0), /* MOVE */
	CPUFUNC(op_11bc_0), /* MOVE */
	CPUFUNC(op_20bc_0), /* MOVE */
	CPUFUNC(op_21bc_0), /* MOVE */
	CPUFUNC(op_20bc_0), /* MOVE */
	CPUFUNC(op_21bc_0), /* MOVE */
	CPUFUNC(op_20bc_0), /* MOVE */
	CPUFUNC(op_21bc_0), /* MOVE */
	CPUFUNC(op_20bc_0), /* MOVE */
	CPUFUNC(op_21bc_0), /* MOVE */
	CPUFUNC(op_20bc_0), /* MOVE */
	CPUFUNC(op_21bc_0), /* MOVE */
	CPUFUNC(op_20bc_0), /* MOVE */
	CPUFUNC(op_21bc_0), /* MOVE */
	CPUFUNC(op_20bc_0), /* MOVE */
	CPUFUNC(op_21bc_0), /* MOVE */
	CPUFUNC(op_20bc_0), /* MOVE */
	CPUFUNC(op_21bc_0), /* MOVE */
	CPUFUNC(op_30bc_0), /* MOVE */
	CPUFUNC(op_31bc_0), /* MOVE */
	CPUFUNC(op_30bc_0), /* MOVE */
	CPUFUNC(op_31bc_0), /* MOVE */
	CPUFUNC(op_30bc_0), /* MOVE */
	CPUFUNC(op_31bc_0), /* MOVE */
	CPUFUNC(op_30bc_0), /* MOVE */
	CPUFUNC(op_31bc_0), /* MOVE */
	CPUFUNC(op_30bc_0), /* MOVE */
	CPUFUNC(op_31bc_0), /* MOVE */
	CPUFUNC(op_30bc_0), /* MOVE */
	CPUFUNC(op_31bc_0), /* MOVE */
	CPUFUNC(op_30bc_0), /* MOVE */
	CPUFUNC(op_31bc_0), /* MOVE */
	CPUFUNC(op_30bc_0), /* MOVE */
	CPUFUNC(op_31bc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41bc_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41bc_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41bc_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41bc_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41bc_0), /* CHK */
	CPUFUNC(op_4abc_0), /* TST */
	CPUFUNC(op_41bc_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41bc_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_41bc_0), /* CHK */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80bc_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80bc_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80bc_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80bc_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80bc_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80bc_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80bc_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80bc_0), /* OR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90bc_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90bc_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90bc_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90bc_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90bc_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90bc_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90bc_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_90bc_0), /* SUB */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0bc_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0bc_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0bc_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0bc_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0bc_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0bc_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0bc_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0bc_0), /* CMP */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0bc_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0bc_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0bc_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0bc_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0bc_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0bc_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0bc_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_c0bc_0), /* AND */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0bc_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0bc_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0bc_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0bc_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0bc_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0bc_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0bc_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0bc_0), /* ADD */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f43c_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f43d_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f43e_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	CPUFUNC(op_e0b8_0), /* ROR */
	CPUFUNC(op_e1b8_0), /* ROL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f280_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f43f_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_6c0_0), /* RTM */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_8c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_11c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_13c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_21c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_23c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_31c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_33c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40c0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_42c0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_44c0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_46c0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_48c0_0), /* EXT */
	CPUFUNC(op_49c0_0), /* EXT */
	CPUFUNC(op_4ac0_0), /* TAS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50c0_0), /* Scc */
	CPUFUNC_FF(op_51c0_0), /* Scc */
	CPUFUNC_FF(op_52c0_0), /* Scc */
	CPUFUNC_FF(op_53c0_0), /* Scc */
	CPUFUNC_FF(op_54c0_0), /* Scc */
	CPUFUNC_FF(op_55c0_0), /* Scc */
	CPUFUNC_FF(op_56c0_0), /* Scc */
	CPUFUNC_FF(op_57c0_0), /* Scc */
	CPUFUNC_FF(op_58c0_0), /* Scc */
	CPUFUNC_FF(op_59c0_0), /* Scc */
	CPUFUNC_FF(op_5ac0_0), /* Scc */
	CPUFUNC_FF(op_5bc0_0), /* Scc */
	CPUFUNC_FF(op_5cc0_0), /* Scc */
	CPUFUNC_FF(op_5dc0_0), /* Scc */
	CPUFUNC_FF(op_5ec0_0), /* Scc */
	CPUFUNC_FF(op_5fc0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e8c0_0), /* BFTST */
	CPUFUNC(op_e9c0_0), /* BFEXTU */
	CPUFUNC(op_eac0_0), /* BFCHG */
	CPUFUNC(op_ebc0_0), /* BFEXTS */
	CPUFUNC(op_ecc0_0), /* BFCLR */
	CPUFUNC(op_edc0_0), /* BFFFO */
	CPUFUNC(op_eec0_0), /* BFSET */
	CPUFUNC(op_efc0_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_6c0_0), /* RTM */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_8c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_11c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_13c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_21c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_23c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_31c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_33c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40c0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_42c0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_44c0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_46c0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_48c0_0), /* EXT */
	CPUFUNC(op_49c0_0), /* EXT */
	CPUFUNC(op_4ac0_0), /* TAS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50c0_0), /* Scc */
	CPUFUNC_FF(op_51c0_0), /* Scc */
	CPUFUNC_FF(op_52c0_0), /* Scc */
	CPUFUNC_FF(op_53c0_0), /* Scc */
	CPUFUNC_FF(op_54c0_0), /* Scc */
	CPUFUNC_FF(op_55c0_0), /* Scc */
	CPUFUNC_FF(op_56c0_0), /* Scc */
	CPUFUNC_FF(op_57c0_0), /* Scc */
	CPUFUNC_FF(op_58c0_0), /* Scc */
	CPUFUNC_FF(op_59c0_0), /* Scc */
	CPUFUNC_FF(op_5ac0_0), /* Scc */
	CPUFUNC_FF(op_5bc0_0), /* Scc */
	CPUFUNC_FF(op_5cc0_0), /* Scc */
	CPUFUNC_FF(op_5dc0_0), /* Scc */
	CPUFUNC_FF(op_5ec0_0), /* Scc */
	CPUFUNC_FF(op_5fc0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e8c0_0), /* BFTST */
	CPUFUNC(op_e9c0_0), /* BFEXTU */
	CPUFUNC(op_eac0_0), /* BFCHG */
	CPUFUNC(op_ebc0_0), /* BFEXTS */
	CPUFUNC(op_ecc0_0), /* BFCLR */
	CPUFUNC(op_edc0_0), /* BFFFO */
	CPUFUNC(op_eec0_0), /* BFSET */
	CPUFUNC(op_efc0_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_6c0_0), /* RTM */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_8c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_11c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_13c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_21c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_23c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_31c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_33c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40c0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_42c0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_44c0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_46c0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_48c0_0), /* EXT */
	CPUFUNC(op_49c0_0), /* EXT */
	CPUFUNC(op_4ac0_0), /* TAS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50c0_0), /* Scc */
	CPUFUNC_FF(op_51c0_0), /* Scc */
	CPUFUNC_FF(op_52c0_0), /* Scc */
	CPUFUNC_FF(op_53c0_0), /* Scc */
	CPUFUNC_FF(op_54c0_0), /* Scc */
	CPUFUNC_FF(op_55c0_0), /* Scc */
	CPUFUNC_FF(op_56c0_0), /* Scc */
	CPUFUNC_FF(op_57c0_0), /* Scc */
	CPUFUNC_FF(op_58c0_0), /* Scc */
	CPUFUNC_FF(op_59c0_0), /* Scc */
	CPUFUNC_FF(op_5ac0_0), /* Scc */
	CPUFUNC_FF(op_5bc0_0), /* Scc */
	CPUFUNC_FF(op_5cc0_0), /* Scc */
	CPUFUNC_FF(op_5dc0_0), /* Scc */
	CPUFUNC_FF(op_5ec0_0), /* Scc */
	CPUFUNC_FF(op_5fc0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e8c0_0), /* BFTST */
	CPUFUNC(op_e9c0_0), /* BFEXTU */
	CPUFUNC(op_eac0_0), /* BFCHG */
	CPUFUNC(op_ebc0_0), /* BFEXTS */
	CPUFUNC(op_ecc0_0), /* BFCLR */
	CPUFUNC(op_edc0_0), /* BFFFO */
	CPUFUNC(op_eec0_0), /* BFSET */
	CPUFUNC(op_efc0_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_6c0_0), /* RTM */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_8c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_11c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_13c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_21c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_23c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_31c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_33c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40c0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_42c0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_44c0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_46c0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_48c0_0), /* EXT */
	CPUFUNC(op_49c0_0), /* EXT */
	CPUFUNC(op_4ac0_0), /* TAS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50c0_0), /* Scc */
	CPUFUNC_FF(op_51c0_0), /* Scc */
	CPUFUNC_FF(op_52c0_0), /* Scc */
	CPUFUNC_FF(op_53c0_0), /* Scc */
	CPUFUNC_FF(op_54c0_0), /* Scc */
	CPUFUNC_FF(op_55c0_0), /* Scc */
	CPUFUNC_FF(op_56c0_0), /* Scc */
	CPUFUNC_FF(op_57c0_0), /* Scc */
	CPUFUNC_FF(op_58c0_0), /* Scc */
	CPUFUNC_FF(op_59c0_0), /* Scc */
	CPUFUNC_FF(op_5ac0_0), /* Scc */
	CPUFUNC_FF(op_5bc0_0), /* Scc */
	CPUFUNC_FF(op_5cc0_0), /* Scc */
	CPUFUNC_FF(op_5dc0_0), /* Scc */
	CPUFUNC_FF(op_5ec0_0), /* Scc */
	CPUFUNC_FF(op_5fc0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e8c0_0), /* BFTST */
	CPUFUNC(op_e9c0_0), /* BFEXTU */
	CPUFUNC(op_eac0_0), /* BFCHG */
	CPUFUNC(op_ebc0_0), /* BFEXTS */
	CPUFUNC(op_ecc0_0), /* BFCLR */
	CPUFUNC(op_edc0_0), /* BFFFO */
	CPUFUNC(op_eec0_0), /* BFSET */
	CPUFUNC(op_efc0_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_6c0_0), /* RTM */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_8c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_11c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_13c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_21c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_23c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_31c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_33c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40c0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_42c0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_44c0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_46c0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_48c0_0), /* EXT */
	CPUFUNC(op_49c0_0), /* EXT */
	CPUFUNC(op_4ac0_0), /* TAS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50c0_0), /* Scc */
	CPUFUNC_FF(op_51c0_0), /* Scc */
	CPUFUNC_FF(op_52c0_0), /* Scc */
	CPUFUNC_FF(op_53c0_0), /* Scc */
	CPUFUNC_FF(op_54c0_0), /* Scc */
	CPUFUNC_FF(op_55c0_0), /* Scc */
	CPUFUNC_FF(op_56c0_0), /* Scc */
	CPUFUNC_FF(op_57c0_0), /* Scc */
	CPUFUNC_FF(op_58c0_0), /* Scc */
	CPUFUNC_FF(op_59c0_0), /* Scc */
	CPUFUNC_FF(op_5ac0_0), /* Scc */
	CPUFUNC_FF(op_5bc0_0), /* Scc */
	CPUFUNC_FF(op_5cc0_0), /* Scc */
	CPUFUNC_FF(op_5dc0_0), /* Scc */
	CPUFUNC_FF(op_5ec0_0), /* Scc */
	CPUFUNC_FF(op_5fc0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e8c0_0), /* BFTST */
	CPUFUNC(op_e9c0_0), /* BFEXTU */
	CPUFUNC(op_eac0_0), /* BFCHG */
	CPUFUNC(op_ebc0_0), /* BFEXTS */
	CPUFUNC(op_ecc0_0), /* BFCLR */
	CPUFUNC(op_edc0_0), /* BFFFO */
	CPUFUNC(op_eec0_0), /* BFSET */
	CPUFUNC(op_efc0_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_6c0_0), /* RTM */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_8c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_11c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_13c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_21c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_23c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_31c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_33c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40c0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_42c0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_44c0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_46c0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_48c0_0), /* EXT */
	CPUFUNC(op_49c0_0), /* EXT */
	CPUFUNC(op_4ac0_0), /* TAS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50c0_0), /* Scc */
	CPUFUNC_FF(op_51c0_0), /* Scc */
	CPUFUNC_FF(op_52c0_0), /* Scc */
	CPUFUNC_FF(op_53c0_0), /* Scc */
	CPUFUNC_FF(op_54c0_0), /* Scc */
	CPUFUNC_FF(op_55c0_0), /* Scc */
	CPUFUNC_FF(op_56c0_0), /* Scc */
	CPUFUNC_FF(op_57c0_0), /* Scc */
	CPUFUNC_FF(op_58c0_0), /* Scc */
	CPUFUNC_FF(op_59c0_0), /* Scc */
	CPUFUNC_FF(op_5ac0_0), /* Scc */
	CPUFUNC_FF(op_5bc0_0), /* Scc */
	CPUFUNC_FF(op_5cc0_0), /* Scc */
	CPUFUNC_FF(op_5dc0_0), /* Scc */
	CPUFUNC_FF(op_5ec0_0), /* Scc */
	CPUFUNC_FF(op_5fc0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e8c0_0), /* BFTST */
	CPUFUNC(op_e9c0_0), /* BFEXTU */
	CPUFUNC(op_eac0_0), /* BFCHG */
	CPUFUNC(op_ebc0_0), /* BFEXTS */
	CPUFUNC(op_ecc0_0), /* BFCLR */
	CPUFUNC(op_edc0_0), /* BFFFO */
	CPUFUNC(op_eec0_0), /* BFSET */
	CPUFUNC(op_efc0_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_6c0_0), /* RTM */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_8c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_11c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_13c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_21c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_23c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_31c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_33c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40c0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_42c0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_44c0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_46c0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_48c0_0), /* EXT */
	CPUFUNC(op_49c0_0), /* EXT */
	CPUFUNC(op_4ac0_0), /* TAS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50c0_0), /* Scc */
	CPUFUNC_FF(op_51c0_0), /* Scc */
	CPUFUNC_FF(op_52c0_0), /* Scc */
	CPUFUNC_FF(op_53c0_0), /* Scc */
	CPUFUNC_FF(op_54c0_0), /* Scc */
	CPUFUNC_FF(op_55c0_0), /* Scc */
	CPUFUNC_FF(op_56c0_0), /* Scc */
	CPUFUNC_FF(op_57c0_0), /* Scc */
	CPUFUNC_FF(op_58c0_0), /* Scc */
	CPUFUNC_FF(op_59c0_0), /* Scc */
	CPUFUNC_FF(op_5ac0_0), /* Scc */
	CPUFUNC_FF(op_5bc0_0), /* Scc */
	CPUFUNC_FF(op_5cc0_0), /* Scc */
	CPUFUNC_FF(op_5dc0_0), /* Scc */
	CPUFUNC_FF(op_5ec0_0), /* Scc */
	CPUFUNC_FF(op_5fc0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e8c0_0), /* BFTST */
	CPUFUNC(op_e9c0_0), /* BFEXTU */
	CPUFUNC(op_eac0_0), /* BFCHG */
	CPUFUNC(op_ebc0_0), /* BFEXTS */
	CPUFUNC(op_ecc0_0), /* BFCLR */
	CPUFUNC(op_edc0_0), /* BFFFO */
	CPUFUNC(op_eec0_0), /* BFSET */
	CPUFUNC(op_efc0_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_6c0_0), /* RTM */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_8c0_0), /* BSET */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1c0_0), /* BSET */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_11c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	CPUFUNC(op_13c0_0), /* MOVE */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_21c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	CPUFUNC(op_23c0_0), /* MOVE */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_31c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	CPUFUNC(op_33c0_0), /* MOVE */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40c0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_42c0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_44c0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_46c0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_48c0_0), /* EXT */
	CPUFUNC(op_49c0_0), /* EXT */
	CPUFUNC(op_4ac0_0), /* TAS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50c0_0), /* Scc */
	CPUFUNC_FF(op_51c0_0), /* Scc */
	CPUFUNC_FF(op_52c0_0), /* Scc */
	CPUFUNC_FF(op_53c0_0), /* Scc */
	CPUFUNC_FF(op_54c0_0), /* Scc */
	CPUFUNC_FF(op_55c0_0), /* Scc */
	CPUFUNC_FF(op_56c0_0), /* Scc */
	CPUFUNC_FF(op_57c0_0), /* Scc */
	CPUFUNC_FF(op_58c0_0), /* Scc */
	CPUFUNC_FF(op_59c0_0), /* Scc */
	CPUFUNC_FF(op_5ac0_0), /* Scc */
	CPUFUNC_FF(op_5bc0_0), /* Scc */
	CPUFUNC_FF(op_5cc0_0), /* Scc */
	CPUFUNC_FF(op_5dc0_0), /* Scc */
	CPUFUNC_FF(op_5ec0_0), /* Scc */
	CPUFUNC_FF(op_5fc0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC(op_80c0_0), /* DIVU */
	CPUFUNC(op_81c0_0), /* DIVS */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	CPUFUNC_FF(op_90c0_0), /* SUBA */
	CPUFUNC_FF(op_91c0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_b0c0_0), /* CMPA */
	CPUFUNC(op_b1c0_0), /* CMPA */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC(op_c0c0_0), /* MULU */
	CPUFUNC(op_c1c0_0), /* MULS */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	CPUFUNC_FF(op_d0c0_0), /* ADDA */
	CPUFUNC_FF(op_d1c0_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e8c0_0), /* BFTST */
	CPUFUNC(op_e9c0_0), /* BFEXTU */
	CPUFUNC(op_eac0_0), /* BFCHG */
	CPUFUNC(op_ebc0_0), /* BFEXTS */
	CPUFUNC(op_ecc0_0), /* BFCLR */
	CPUFUNC(op_edc0_0), /* BFFFO */
	CPUFUNC(op_eec0_0), /* BFSET */
	CPUFUNC(op_efc0_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC(op_6c8_0), /* RTM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_21c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_23c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_31c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_33c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50c8_0), /* DBcc */
	CPUFUNC_FF(op_51c8_0), /* DBcc */
	CPUFUNC_FF(op_52c8_0), /* DBcc */
	CPUFUNC_FF(op_53c8_0), /* DBcc */
	CPUFUNC_FF(op_54c8_0), /* DBcc */
	CPUFUNC_FF(op_55c8_0), /* DBcc */
	CPUFUNC_FF(op_56c8_0), /* DBcc */
	CPUFUNC_FF(op_57c8_0), /* DBcc */
	CPUFUNC_FF(op_58c8_0), /* DBcc */
	CPUFUNC_FF(op_59c8_0), /* DBcc */
	CPUFUNC_FF(op_5ac8_0), /* DBcc */
	CPUFUNC_FF(op_5bc8_0), /* DBcc */
	CPUFUNC_FF(op_5cc8_0), /* DBcc */
	CPUFUNC_FF(op_5dc8_0), /* DBcc */
	CPUFUNC_FF(op_5ec8_0), /* DBcc */
	CPUFUNC_FF(op_5fc8_0), /* DBcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC(op_6c8_0), /* RTM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_21c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_23c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_31c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_33c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50c8_0), /* DBcc */
	CPUFUNC_FF(op_51c8_0), /* DBcc */
	CPUFUNC_FF(op_52c8_0), /* DBcc */
	CPUFUNC_FF(op_53c8_0), /* DBcc */
	CPUFUNC_FF(op_54c8_0), /* DBcc */
	CPUFUNC_FF(op_55c8_0), /* DBcc */
	CPUFUNC_FF(op_56c8_0), /* DBcc */
	CPUFUNC_FF(op_57c8_0), /* DBcc */
	CPUFUNC_FF(op_58c8_0), /* DBcc */
	CPUFUNC_FF(op_59c8_0), /* DBcc */
	CPUFUNC_FF(op_5ac8_0), /* DBcc */
	CPUFUNC_FF(op_5bc8_0), /* DBcc */
	CPUFUNC_FF(op_5cc8_0), /* DBcc */
	CPUFUNC_FF(op_5dc8_0), /* DBcc */
	CPUFUNC_FF(op_5ec8_0), /* DBcc */
	CPUFUNC_FF(op_5fc8_0), /* DBcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC(op_6c8_0), /* RTM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_21c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_23c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_31c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_33c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50c8_0), /* DBcc */
	CPUFUNC_FF(op_51c8_0), /* DBcc */
	CPUFUNC_FF(op_52c8_0), /* DBcc */
	CPUFUNC_FF(op_53c8_0), /* DBcc */
	CPUFUNC_FF(op_54c8_0), /* DBcc */
	CPUFUNC_FF(op_55c8_0), /* DBcc */
	CPUFUNC_FF(op_56c8_0), /* DBcc */
	CPUFUNC_FF(op_57c8_0), /* DBcc */
	CPUFUNC_FF(op_58c8_0), /* DBcc */
	CPUFUNC_FF(op_59c8_0), /* DBcc */
	CPUFUNC_FF(op_5ac8_0), /* DBcc */
	CPUFUNC_FF(op_5bc8_0), /* DBcc */
	CPUFUNC_FF(op_5cc8_0), /* DBcc */
	CPUFUNC_FF(op_5dc8_0), /* DBcc */
	CPUFUNC_FF(op_5ec8_0), /* DBcc */
	CPUFUNC_FF(op_5fc8_0), /* DBcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC(op_6c8_0), /* RTM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_21c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_23c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_31c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_33c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50c8_0), /* DBcc */
	CPUFUNC_FF(op_51c8_0), /* DBcc */
	CPUFUNC_FF(op_52c8_0), /* DBcc */
	CPUFUNC_FF(op_53c8_0), /* DBcc */
	CPUFUNC_FF(op_54c8_0), /* DBcc */
	CPUFUNC_FF(op_55c8_0), /* DBcc */
	CPUFUNC_FF(op_56c8_0), /* DBcc */
	CPUFUNC_FF(op_57c8_0), /* DBcc */
	CPUFUNC_FF(op_58c8_0), /* DBcc */
	CPUFUNC_FF(op_59c8_0), /* DBcc */
	CPUFUNC_FF(op_5ac8_0), /* DBcc */
	CPUFUNC_FF(op_5bc8_0), /* DBcc */
	CPUFUNC_FF(op_5cc8_0), /* DBcc */
	CPUFUNC_FF(op_5dc8_0), /* DBcc */
	CPUFUNC_FF(op_5ec8_0), /* DBcc */
	CPUFUNC_FF(op_5fc8_0), /* DBcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC(op_6c8_0), /* RTM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_21c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_23c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_31c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_33c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50c8_0), /* DBcc */
	CPUFUNC_FF(op_51c8_0), /* DBcc */
	CPUFUNC_FF(op_52c8_0), /* DBcc */
	CPUFUNC_FF(op_53c8_0), /* DBcc */
	CPUFUNC_FF(op_54c8_0), /* DBcc */
	CPUFUNC_FF(op_55c8_0), /* DBcc */
	CPUFUNC_FF(op_56c8_0), /* DBcc */
	CPUFUNC_FF(op_57c8_0), /* DBcc */
	CPUFUNC_FF(op_58c8_0), /* DBcc */
	CPUFUNC_FF(op_59c8_0), /* DBcc */
	CPUFUNC_FF(op_5ac8_0), /* DBcc */
	CPUFUNC_FF(op_5bc8_0), /* DBcc */
	CPUFUNC_FF(op_5cc8_0), /* DBcc */
	CPUFUNC_FF(op_5dc8_0), /* DBcc */
	CPUFUNC_FF(op_5ec8_0), /* DBcc */
	CPUFUNC_FF(op_5fc8_0), /* DBcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC(op_6c8_0), /* RTM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_21c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_23c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_31c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_33c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50c8_0), /* DBcc */
	CPUFUNC_FF(op_51c8_0), /* DBcc */
	CPUFUNC_FF(op_52c8_0), /* DBcc */
	CPUFUNC_FF(op_53c8_0), /* DBcc */
	CPUFUNC_FF(op_54c8_0), /* DBcc */
	CPUFUNC_FF(op_55c8_0), /* DBcc */
	CPUFUNC_FF(op_56c8_0), /* DBcc */
	CPUFUNC_FF(op_57c8_0), /* DBcc */
	CPUFUNC_FF(op_58c8_0), /* DBcc */
	CPUFUNC_FF(op_59c8_0), /* DBcc */
	CPUFUNC_FF(op_5ac8_0), /* DBcc */
	CPUFUNC_FF(op_5bc8_0), /* DBcc */
	CPUFUNC_FF(op_5cc8_0), /* DBcc */
	CPUFUNC_FF(op_5dc8_0), /* DBcc */
	CPUFUNC_FF(op_5ec8_0), /* DBcc */
	CPUFUNC_FF(op_5fc8_0), /* DBcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC(op_6c8_0), /* RTM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_21c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_23c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_31c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_33c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50c8_0), /* DBcc */
	CPUFUNC_FF(op_51c8_0), /* DBcc */
	CPUFUNC_FF(op_52c8_0), /* DBcc */
	CPUFUNC_FF(op_53c8_0), /* DBcc */
	CPUFUNC_FF(op_54c8_0), /* DBcc */
	CPUFUNC_FF(op_55c8_0), /* DBcc */
	CPUFUNC_FF(op_56c8_0), /* DBcc */
	CPUFUNC_FF(op_57c8_0), /* DBcc */
	CPUFUNC_FF(op_58c8_0), /* DBcc */
	CPUFUNC_FF(op_59c8_0), /* DBcc */
	CPUFUNC_FF(op_5ac8_0), /* DBcc */
	CPUFUNC_FF(op_5bc8_0), /* DBcc */
	CPUFUNC_FF(op_5cc8_0), /* DBcc */
	CPUFUNC_FF(op_5dc8_0), /* DBcc */
	CPUFUNC_FF(op_5ec8_0), /* DBcc */
	CPUFUNC_FF(op_5fc8_0), /* DBcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	CPUFUNC(op_6c8_0), /* RTM */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_1c8_0), /* MVPRM */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_21c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	CPUFUNC(op_23c8_0), /* MOVE */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_31c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	CPUFUNC(op_33c8_0), /* MOVE */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30c8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50c8_0), /* DBcc */
	CPUFUNC_FF(op_51c8_0), /* DBcc */
	CPUFUNC_FF(op_52c8_0), /* DBcc */
	CPUFUNC_FF(op_53c8_0), /* DBcc */
	CPUFUNC_FF(op_54c8_0), /* DBcc */
	CPUFUNC_FF(op_55c8_0), /* DBcc */
	CPUFUNC_FF(op_56c8_0), /* DBcc */
	CPUFUNC_FF(op_57c8_0), /* DBcc */
	CPUFUNC_FF(op_58c8_0), /* DBcc */
	CPUFUNC_FF(op_59c8_0), /* DBcc */
	CPUFUNC_FF(op_5ac8_0), /* DBcc */
	CPUFUNC_FF(op_5bc8_0), /* DBcc */
	CPUFUNC_FF(op_5cc8_0), /* DBcc */
	CPUFUNC_FF(op_5dc8_0), /* DBcc */
	CPUFUNC_FF(op_5ec8_0), /* DBcc */
	CPUFUNC_FF(op_5fc8_0), /* DBcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	CPUFUNC_FF(op_90c8_0), /* SUBA */
	CPUFUNC_FF(op_91c8_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	CPUFUNC(op_b0c8_0), /* CMPA */
	CPUFUNC(op_b1c8_0), /* CMPA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	CPUFUNC_FF(op_d0c8_0), /* ADDA */
	CPUFUNC_FF(op_d1c8_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f408_0), /* CINVL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0_0), /* CHK2 */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_2d0_0), /* CHK2 */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_4d0_0), /* CHK2 */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC_FF(op_6d0_0), /* CALLM */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_8d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_ad0_0), /* CAS */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_cd0_0), /* CAS */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_ed0_0), /* CAS */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_11d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_13d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_21d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_23d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_31d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_33d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40d0_0), /* MVSR2 */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_42d0_0), /* MVSR2 */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC(op_44d0_0), /* MV2SR */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC(op_46d0_0), /* MV2SR */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_48d0_0), /* MVMLE */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC(op_4ad0_0), /* TAS */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_4cd0_0), /* MVMEL */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_4ed0_0), /* JMP */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_50d0_0), /* Scc */
	CPUFUNC_FF(op_51d0_0), /* Scc */
	CPUFUNC_FF(op_52d0_0), /* Scc */
	CPUFUNC_FF(op_53d0_0), /* Scc */
	CPUFUNC_FF(op_54d0_0), /* Scc */
	CPUFUNC_FF(op_55d0_0), /* Scc */
	CPUFUNC_FF(op_56d0_0), /* Scc */
	CPUFUNC_FF(op_57d0_0), /* Scc */
	CPUFUNC_FF(op_58d0_0), /* Scc */
	CPUFUNC_FF(op_59d0_0), /* Scc */
	CPUFUNC_FF(op_5ad0_0), /* Scc */
	CPUFUNC_FF(op_5bd0_0), /* Scc */
	CPUFUNC_FF(op_5cd0_0), /* Scc */
	CPUFUNC_FF(op_5dd0_0), /* Scc */
	CPUFUNC_FF(op_5ed0_0), /* Scc */
	CPUFUNC_FF(op_5fd0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC(op_e0d0_0), /* ASRW */
	CPUFUNC(op_e1d0_0), /* ASLW */
	CPUFUNC(op_e2d0_0), /* LSRW */
	CPUFUNC(op_e3d0_0), /* LSLW */
	CPUFUNC(op_e4d0_0), /* ROXRW */
	CPUFUNC(op_e5d0_0), /* ROXLW */
	CPUFUNC(op_e6d0_0), /* RORW */
	CPUFUNC(op_e7d0_0), /* ROLW */
	CPUFUNC(op_e8d0_0), /* BFTST */
	CPUFUNC(op_e9d0_0), /* BFEXTU */
	CPUFUNC(op_ead0_0), /* BFCHG */
	CPUFUNC(op_ebd0_0), /* BFEXTS */
	CPUFUNC(op_ecd0_0), /* BFCLR */
	CPUFUNC(op_edd0_0), /* BFFFO */
	CPUFUNC(op_eed0_0), /* BFSET */
	CPUFUNC(op_efd0_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0_0), /* CHK2 */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_2d0_0), /* CHK2 */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_4d0_0), /* CHK2 */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC_FF(op_6d0_0), /* CALLM */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_8d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_ad0_0), /* CAS */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_cd0_0), /* CAS */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_ed0_0), /* CAS */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_11d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_13d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_21d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_23d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_31d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_33d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40d0_0), /* MVSR2 */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_42d0_0), /* MVSR2 */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC(op_44d0_0), /* MV2SR */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC(op_46d0_0), /* MV2SR */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_48d0_0), /* MVMLE */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC(op_4ad0_0), /* TAS */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_4cd0_0), /* MVMEL */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_4ed0_0), /* JMP */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_50d0_0), /* Scc */
	CPUFUNC_FF(op_51d0_0), /* Scc */
	CPUFUNC_FF(op_52d0_0), /* Scc */
	CPUFUNC_FF(op_53d0_0), /* Scc */
	CPUFUNC_FF(op_54d0_0), /* Scc */
	CPUFUNC_FF(op_55d0_0), /* Scc */
	CPUFUNC_FF(op_56d0_0), /* Scc */
	CPUFUNC_FF(op_57d0_0), /* Scc */
	CPUFUNC_FF(op_58d0_0), /* Scc */
	CPUFUNC_FF(op_59d0_0), /* Scc */
	CPUFUNC_FF(op_5ad0_0), /* Scc */
	CPUFUNC_FF(op_5bd0_0), /* Scc */
	CPUFUNC_FF(op_5cd0_0), /* Scc */
	CPUFUNC_FF(op_5dd0_0), /* Scc */
	CPUFUNC_FF(op_5ed0_0), /* Scc */
	CPUFUNC_FF(op_5fd0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC(op_e0d0_0), /* ASRW */
	CPUFUNC(op_e1d0_0), /* ASLW */
	CPUFUNC(op_e2d0_0), /* LSRW */
	CPUFUNC(op_e3d0_0), /* LSLW */
	CPUFUNC(op_e4d0_0), /* ROXRW */
	CPUFUNC(op_e5d0_0), /* ROXLW */
	CPUFUNC(op_e6d0_0), /* RORW */
	CPUFUNC(op_e7d0_0), /* ROLW */
	CPUFUNC(op_e8d0_0), /* BFTST */
	CPUFUNC(op_e9d0_0), /* BFEXTU */
	CPUFUNC(op_ead0_0), /* BFCHG */
	CPUFUNC(op_ebd0_0), /* BFEXTS */
	CPUFUNC(op_ecd0_0), /* BFCLR */
	CPUFUNC(op_edd0_0), /* BFFFO */
	CPUFUNC(op_eed0_0), /* BFSET */
	CPUFUNC(op_efd0_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0_0), /* CHK2 */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_2d0_0), /* CHK2 */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_4d0_0), /* CHK2 */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC_FF(op_6d0_0), /* CALLM */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_8d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_ad0_0), /* CAS */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_cd0_0), /* CAS */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_ed0_0), /* CAS */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_11d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_13d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_21d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_23d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_31d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_33d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40d0_0), /* MVSR2 */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_42d0_0), /* MVSR2 */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC(op_44d0_0), /* MV2SR */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC(op_46d0_0), /* MV2SR */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_48d0_0), /* MVMLE */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC(op_4ad0_0), /* TAS */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_4cd0_0), /* MVMEL */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_4ed0_0), /* JMP */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_50d0_0), /* Scc */
	CPUFUNC_FF(op_51d0_0), /* Scc */
	CPUFUNC_FF(op_52d0_0), /* Scc */
	CPUFUNC_FF(op_53d0_0), /* Scc */
	CPUFUNC_FF(op_54d0_0), /* Scc */
	CPUFUNC_FF(op_55d0_0), /* Scc */
	CPUFUNC_FF(op_56d0_0), /* Scc */
	CPUFUNC_FF(op_57d0_0), /* Scc */
	CPUFUNC_FF(op_58d0_0), /* Scc */
	CPUFUNC_FF(op_59d0_0), /* Scc */
	CPUFUNC_FF(op_5ad0_0), /* Scc */
	CPUFUNC_FF(op_5bd0_0), /* Scc */
	CPUFUNC_FF(op_5cd0_0), /* Scc */
	CPUFUNC_FF(op_5dd0_0), /* Scc */
	CPUFUNC_FF(op_5ed0_0), /* Scc */
	CPUFUNC_FF(op_5fd0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC(op_e0d0_0), /* ASRW */
	CPUFUNC(op_e1d0_0), /* ASLW */
	CPUFUNC(op_e2d0_0), /* LSRW */
	CPUFUNC(op_e3d0_0), /* LSLW */
	CPUFUNC(op_e4d0_0), /* ROXRW */
	CPUFUNC(op_e5d0_0), /* ROXLW */
	CPUFUNC(op_e6d0_0), /* RORW */
	CPUFUNC(op_e7d0_0), /* ROLW */
	CPUFUNC(op_e8d0_0), /* BFTST */
	CPUFUNC(op_e9d0_0), /* BFEXTU */
	CPUFUNC(op_ead0_0), /* BFCHG */
	CPUFUNC(op_ebd0_0), /* BFEXTS */
	CPUFUNC(op_ecd0_0), /* BFCLR */
	CPUFUNC(op_edd0_0), /* BFFFO */
	CPUFUNC(op_eed0_0), /* BFSET */
	CPUFUNC(op_efd0_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0_0), /* CHK2 */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_2d0_0), /* CHK2 */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_4d0_0), /* CHK2 */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC_FF(op_6d0_0), /* CALLM */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_8d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_ad0_0), /* CAS */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_cd0_0), /* CAS */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_ed0_0), /* CAS */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_11d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_13d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_21d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_23d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_31d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_33d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40d0_0), /* MVSR2 */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_42d0_0), /* MVSR2 */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC(op_44d0_0), /* MV2SR */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC(op_46d0_0), /* MV2SR */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_48d0_0), /* MVMLE */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC(op_4ad0_0), /* TAS */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_4cd0_0), /* MVMEL */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_4ed0_0), /* JMP */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_50d0_0), /* Scc */
	CPUFUNC_FF(op_51d0_0), /* Scc */
	CPUFUNC_FF(op_52d0_0), /* Scc */
	CPUFUNC_FF(op_53d0_0), /* Scc */
	CPUFUNC_FF(op_54d0_0), /* Scc */
	CPUFUNC_FF(op_55d0_0), /* Scc */
	CPUFUNC_FF(op_56d0_0), /* Scc */
	CPUFUNC_FF(op_57d0_0), /* Scc */
	CPUFUNC_FF(op_58d0_0), /* Scc */
	CPUFUNC_FF(op_59d0_0), /* Scc */
	CPUFUNC_FF(op_5ad0_0), /* Scc */
	CPUFUNC_FF(op_5bd0_0), /* Scc */
	CPUFUNC_FF(op_5cd0_0), /* Scc */
	CPUFUNC_FF(op_5dd0_0), /* Scc */
	CPUFUNC_FF(op_5ed0_0), /* Scc */
	CPUFUNC_FF(op_5fd0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC(op_e0d0_0), /* ASRW */
	CPUFUNC(op_e1d0_0), /* ASLW */
	CPUFUNC(op_e2d0_0), /* LSRW */
	CPUFUNC(op_e3d0_0), /* LSLW */
	CPUFUNC(op_e4d0_0), /* ROXRW */
	CPUFUNC(op_e5d0_0), /* ROXLW */
	CPUFUNC(op_e6d0_0), /* RORW */
	CPUFUNC(op_e7d0_0), /* ROLW */
	CPUFUNC(op_e8d0_0), /* BFTST */
	CPUFUNC(op_e9d0_0), /* BFEXTU */
	CPUFUNC(op_ead0_0), /* BFCHG */
	CPUFUNC(op_ebd0_0), /* BFEXTS */
	CPUFUNC(op_ecd0_0), /* BFCLR */
	CPUFUNC(op_edd0_0), /* BFFFO */
	CPUFUNC(op_eed0_0), /* BFSET */
	CPUFUNC(op_efd0_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0_0), /* CHK2 */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_2d0_0), /* CHK2 */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_4d0_0), /* CHK2 */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC_FF(op_6d0_0), /* CALLM */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_8d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_ad0_0), /* CAS */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_cd0_0), /* CAS */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_ed0_0), /* CAS */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_11d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_13d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_21d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_23d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_31d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_33d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40d0_0), /* MVSR2 */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_42d0_0), /* MVSR2 */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC(op_44d0_0), /* MV2SR */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC(op_46d0_0), /* MV2SR */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_48d0_0), /* MVMLE */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC(op_4ad0_0), /* TAS */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_4cd0_0), /* MVMEL */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_4ed0_0), /* JMP */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_50d0_0), /* Scc */
	CPUFUNC_FF(op_51d0_0), /* Scc */
	CPUFUNC_FF(op_52d0_0), /* Scc */
	CPUFUNC_FF(op_53d0_0), /* Scc */
	CPUFUNC_FF(op_54d0_0), /* Scc */
	CPUFUNC_FF(op_55d0_0), /* Scc */
	CPUFUNC_FF(op_56d0_0), /* Scc */
	CPUFUNC_FF(op_57d0_0), /* Scc */
	CPUFUNC_FF(op_58d0_0), /* Scc */
	CPUFUNC_FF(op_59d0_0), /* Scc */
	CPUFUNC_FF(op_5ad0_0), /* Scc */
	CPUFUNC_FF(op_5bd0_0), /* Scc */
	CPUFUNC_FF(op_5cd0_0), /* Scc */
	CPUFUNC_FF(op_5dd0_0), /* Scc */
	CPUFUNC_FF(op_5ed0_0), /* Scc */
	CPUFUNC_FF(op_5fd0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC(op_e0d0_0), /* ASRW */
	CPUFUNC(op_e1d0_0), /* ASLW */
	CPUFUNC(op_e2d0_0), /* LSRW */
	CPUFUNC(op_e3d0_0), /* LSLW */
	CPUFUNC(op_e4d0_0), /* ROXRW */
	CPUFUNC(op_e5d0_0), /* ROXLW */
	CPUFUNC(op_e6d0_0), /* RORW */
	CPUFUNC(op_e7d0_0), /* ROLW */
	CPUFUNC(op_e8d0_0), /* BFTST */
	CPUFUNC(op_e9d0_0), /* BFEXTU */
	CPUFUNC(op_ead0_0), /* BFCHG */
	CPUFUNC(op_ebd0_0), /* BFEXTS */
	CPUFUNC(op_ecd0_0), /* BFCLR */
	CPUFUNC(op_edd0_0), /* BFFFO */
	CPUFUNC(op_eed0_0), /* BFSET */
	CPUFUNC(op_efd0_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0_0), /* CHK2 */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_2d0_0), /* CHK2 */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_4d0_0), /* CHK2 */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC_FF(op_6d0_0), /* CALLM */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_8d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_ad0_0), /* CAS */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_cd0_0), /* CAS */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_ed0_0), /* CAS */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_11d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_13d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_21d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_23d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_31d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_33d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40d0_0), /* MVSR2 */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_42d0_0), /* MVSR2 */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC(op_44d0_0), /* MV2SR */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC(op_46d0_0), /* MV2SR */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_48d0_0), /* MVMLE */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC(op_4ad0_0), /* TAS */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_4cd0_0), /* MVMEL */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_4ed0_0), /* JMP */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_50d0_0), /* Scc */
	CPUFUNC_FF(op_51d0_0), /* Scc */
	CPUFUNC_FF(op_52d0_0), /* Scc */
	CPUFUNC_FF(op_53d0_0), /* Scc */
	CPUFUNC_FF(op_54d0_0), /* Scc */
	CPUFUNC_FF(op_55d0_0), /* Scc */
	CPUFUNC_FF(op_56d0_0), /* Scc */
	CPUFUNC_FF(op_57d0_0), /* Scc */
	CPUFUNC_FF(op_58d0_0), /* Scc */
	CPUFUNC_FF(op_59d0_0), /* Scc */
	CPUFUNC_FF(op_5ad0_0), /* Scc */
	CPUFUNC_FF(op_5bd0_0), /* Scc */
	CPUFUNC_FF(op_5cd0_0), /* Scc */
	CPUFUNC_FF(op_5dd0_0), /* Scc */
	CPUFUNC_FF(op_5ed0_0), /* Scc */
	CPUFUNC_FF(op_5fd0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC(op_e0d0_0), /* ASRW */
	CPUFUNC(op_e1d0_0), /* ASLW */
	CPUFUNC(op_e2d0_0), /* LSRW */
	CPUFUNC(op_e3d0_0), /* LSLW */
	CPUFUNC(op_e4d0_0), /* ROXRW */
	CPUFUNC(op_e5d0_0), /* ROXLW */
	CPUFUNC(op_e6d0_0), /* RORW */
	CPUFUNC(op_e7d0_0), /* ROLW */
	CPUFUNC(op_e8d0_0), /* BFTST */
	CPUFUNC(op_e9d0_0), /* BFEXTU */
	CPUFUNC(op_ead0_0), /* BFCHG */
	CPUFUNC(op_ebd0_0), /* BFEXTS */
	CPUFUNC(op_ecd0_0), /* BFCLR */
	CPUFUNC(op_edd0_0), /* BFFFO */
	CPUFUNC(op_eed0_0), /* BFSET */
	CPUFUNC(op_efd0_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0_0), /* CHK2 */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_2d0_0), /* CHK2 */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_4d0_0), /* CHK2 */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC_FF(op_6d0_0), /* CALLM */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_8d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_ad0_0), /* CAS */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_cd0_0), /* CAS */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_ed0_0), /* CAS */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_11d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_13d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_21d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_23d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_31d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_33d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40d0_0), /* MVSR2 */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_42d0_0), /* MVSR2 */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC(op_44d0_0), /* MV2SR */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC(op_46d0_0), /* MV2SR */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_48d0_0), /* MVMLE */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC(op_4ad0_0), /* TAS */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_4cd0_0), /* MVMEL */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_4ed0_0), /* JMP */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_50d0_0), /* Scc */
	CPUFUNC_FF(op_51d0_0), /* Scc */
	CPUFUNC_FF(op_52d0_0), /* Scc */
	CPUFUNC_FF(op_53d0_0), /* Scc */
	CPUFUNC_FF(op_54d0_0), /* Scc */
	CPUFUNC_FF(op_55d0_0), /* Scc */
	CPUFUNC_FF(op_56d0_0), /* Scc */
	CPUFUNC_FF(op_57d0_0), /* Scc */
	CPUFUNC_FF(op_58d0_0), /* Scc */
	CPUFUNC_FF(op_59d0_0), /* Scc */
	CPUFUNC_FF(op_5ad0_0), /* Scc */
	CPUFUNC_FF(op_5bd0_0), /* Scc */
	CPUFUNC_FF(op_5cd0_0), /* Scc */
	CPUFUNC_FF(op_5dd0_0), /* Scc */
	CPUFUNC_FF(op_5ed0_0), /* Scc */
	CPUFUNC_FF(op_5fd0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC(op_e0d0_0), /* ASRW */
	CPUFUNC(op_e1d0_0), /* ASLW */
	CPUFUNC(op_e2d0_0), /* LSRW */
	CPUFUNC(op_e3d0_0), /* LSLW */
	CPUFUNC(op_e4d0_0), /* ROXRW */
	CPUFUNC(op_e5d0_0), /* ROXLW */
	CPUFUNC(op_e6d0_0), /* RORW */
	CPUFUNC(op_e7d0_0), /* ROLW */
	CPUFUNC(op_e8d0_0), /* BFTST */
	CPUFUNC(op_e9d0_0), /* BFEXTU */
	CPUFUNC(op_ead0_0), /* BFCHG */
	CPUFUNC(op_ebd0_0), /* BFEXTS */
	CPUFUNC(op_ecd0_0), /* BFCLR */
	CPUFUNC(op_edd0_0), /* BFFFO */
	CPUFUNC(op_eed0_0), /* BFSET */
	CPUFUNC(op_efd0_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_d0_0), /* CHK2 */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_2d0_0), /* CHK2 */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_4d0_0), /* CHK2 */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC_FF(op_6d0_0), /* CALLM */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_8d0_0), /* BSET */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_ad0_0), /* CAS */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_cd0_0), /* CAS */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_ed0_0), /* CAS */
	CPUFUNC(op_1d0_0), /* BSET */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_11d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	CPUFUNC(op_13d0_0), /* MOVE */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_21d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	CPUFUNC(op_23d0_0), /* MOVE */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_31d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	CPUFUNC(op_33d0_0), /* MOVE */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40d0_0), /* MVSR2 */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_42d0_0), /* MVSR2 */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC(op_44d0_0), /* MV2SR */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC(op_46d0_0), /* MV2SR */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_48d0_0), /* MVMLE */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC(op_4ad0_0), /* TAS */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_4cd0_0), /* MVMEL */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_4ed0_0), /* JMP */
	CPUFUNC_FF(op_41d0_0), /* LEA */
	CPUFUNC_FF(op_50d0_0), /* Scc */
	CPUFUNC_FF(op_51d0_0), /* Scc */
	CPUFUNC_FF(op_52d0_0), /* Scc */
	CPUFUNC_FF(op_53d0_0), /* Scc */
	CPUFUNC_FF(op_54d0_0), /* Scc */
	CPUFUNC_FF(op_55d0_0), /* Scc */
	CPUFUNC_FF(op_56d0_0), /* Scc */
	CPUFUNC_FF(op_57d0_0), /* Scc */
	CPUFUNC_FF(op_58d0_0), /* Scc */
	CPUFUNC_FF(op_59d0_0), /* Scc */
	CPUFUNC_FF(op_5ad0_0), /* Scc */
	CPUFUNC_FF(op_5bd0_0), /* Scc */
	CPUFUNC_FF(op_5cd0_0), /* Scc */
	CPUFUNC_FF(op_5dd0_0), /* Scc */
	CPUFUNC_FF(op_5ed0_0), /* Scc */
	CPUFUNC_FF(op_5fd0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC(op_80d0_0), /* DIVU */
	CPUFUNC(op_81d0_0), /* DIVS */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	CPUFUNC_FF(op_90d0_0), /* SUBA */
	CPUFUNC_FF(op_91d0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_b0d0_0), /* CMPA */
	CPUFUNC(op_b1d0_0), /* CMPA */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC(op_c0d0_0), /* MULU */
	CPUFUNC(op_c1d0_0), /* MULS */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC_FF(op_d0d0_0), /* ADDA */
	CPUFUNC_FF(op_d1d0_0), /* ADDA */
	CPUFUNC(op_e0d0_0), /* ASRW */
	CPUFUNC(op_e1d0_0), /* ASLW */
	CPUFUNC(op_e2d0_0), /* LSRW */
	CPUFUNC(op_e3d0_0), /* LSLW */
	CPUFUNC(op_e4d0_0), /* ROXRW */
	CPUFUNC(op_e5d0_0), /* ROXLW */
	CPUFUNC(op_e6d0_0), /* RORW */
	CPUFUNC(op_e7d0_0), /* ROLW */
	CPUFUNC(op_e8d0_0), /* BFTST */
	CPUFUNC(op_e9d0_0), /* BFEXTU */
	CPUFUNC(op_ead0_0), /* BFCHG */
	CPUFUNC(op_ebd0_0), /* BFEXTS */
	CPUFUNC(op_ecd0_0), /* BFCLR */
	CPUFUNC(op_edd0_0), /* BFFFO */
	CPUFUNC(op_eed0_0), /* BFSET */
	CPUFUNC(op_efd0_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f410_0), /* CINVP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_8d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_ad8_0), /* CAS */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_cd8_0), /* CAS */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_ed8_0), /* CAS */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_11d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_13d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_21d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_23d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_31d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_33d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40d8_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_42d8_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_44d8_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_46d8_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4ad8_0), /* TAS */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4cd8_0), /* MVMEL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50d8_0), /* Scc */
	CPUFUNC_FF(op_51d8_0), /* Scc */
	CPUFUNC_FF(op_52d8_0), /* Scc */
	CPUFUNC_FF(op_53d8_0), /* Scc */
	CPUFUNC_FF(op_54d8_0), /* Scc */
	CPUFUNC_FF(op_55d8_0), /* Scc */
	CPUFUNC_FF(op_56d8_0), /* Scc */
	CPUFUNC_FF(op_57d8_0), /* Scc */
	CPUFUNC_FF(op_58d8_0), /* Scc */
	CPUFUNC_FF(op_59d8_0), /* Scc */
	CPUFUNC_FF(op_5ad8_0), /* Scc */
	CPUFUNC_FF(op_5bd8_0), /* Scc */
	CPUFUNC_FF(op_5cd8_0), /* Scc */
	CPUFUNC_FF(op_5dd8_0), /* Scc */
	CPUFUNC_FF(op_5ed8_0), /* Scc */
	CPUFUNC_FF(op_5fd8_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC(op_e0d8_0), /* ASRW */
	CPUFUNC(op_e1d8_0), /* ASLW */
	CPUFUNC(op_e2d8_0), /* LSRW */
	CPUFUNC(op_e3d8_0), /* LSLW */
	CPUFUNC(op_e4d8_0), /* ROXRW */
	CPUFUNC(op_e5d8_0), /* ROXLW */
	CPUFUNC(op_e6d8_0), /* RORW */
	CPUFUNC(op_e7d8_0), /* ROLW */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f418_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_8d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_ad8_0), /* CAS */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_cd8_0), /* CAS */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_ed8_0), /* CAS */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_11d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_13d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_21d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_23d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_31d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_33d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40d8_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_42d8_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_44d8_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_46d8_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4ad8_0), /* TAS */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4cd8_0), /* MVMEL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50d8_0), /* Scc */
	CPUFUNC_FF(op_51d8_0), /* Scc */
	CPUFUNC_FF(op_52d8_0), /* Scc */
	CPUFUNC_FF(op_53d8_0), /* Scc */
	CPUFUNC_FF(op_54d8_0), /* Scc */
	CPUFUNC_FF(op_55d8_0), /* Scc */
	CPUFUNC_FF(op_56d8_0), /* Scc */
	CPUFUNC_FF(op_57d8_0), /* Scc */
	CPUFUNC_FF(op_58d8_0), /* Scc */
	CPUFUNC_FF(op_59d8_0), /* Scc */
	CPUFUNC_FF(op_5ad8_0), /* Scc */
	CPUFUNC_FF(op_5bd8_0), /* Scc */
	CPUFUNC_FF(op_5cd8_0), /* Scc */
	CPUFUNC_FF(op_5dd8_0), /* Scc */
	CPUFUNC_FF(op_5ed8_0), /* Scc */
	CPUFUNC_FF(op_5fd8_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC(op_e0d8_0), /* ASRW */
	CPUFUNC(op_e1d8_0), /* ASLW */
	CPUFUNC(op_e2d8_0), /* LSRW */
	CPUFUNC(op_e3d8_0), /* LSLW */
	CPUFUNC(op_e4d8_0), /* ROXRW */
	CPUFUNC(op_e5d8_0), /* ROXLW */
	CPUFUNC(op_e6d8_0), /* RORW */
	CPUFUNC(op_e7d8_0), /* ROLW */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f419_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_8d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_ad8_0), /* CAS */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_cd8_0), /* CAS */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_ed8_0), /* CAS */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_11d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_13d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_21d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_23d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_31d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_33d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40d8_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_42d8_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_44d8_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_46d8_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4ad8_0), /* TAS */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4cd8_0), /* MVMEL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50d8_0), /* Scc */
	CPUFUNC_FF(op_51d8_0), /* Scc */
	CPUFUNC_FF(op_52d8_0), /* Scc */
	CPUFUNC_FF(op_53d8_0), /* Scc */
	CPUFUNC_FF(op_54d8_0), /* Scc */
	CPUFUNC_FF(op_55d8_0), /* Scc */
	CPUFUNC_FF(op_56d8_0), /* Scc */
	CPUFUNC_FF(op_57d8_0), /* Scc */
	CPUFUNC_FF(op_58d8_0), /* Scc */
	CPUFUNC_FF(op_59d8_0), /* Scc */
	CPUFUNC_FF(op_5ad8_0), /* Scc */
	CPUFUNC_FF(op_5bd8_0), /* Scc */
	CPUFUNC_FF(op_5cd8_0), /* Scc */
	CPUFUNC_FF(op_5dd8_0), /* Scc */
	CPUFUNC_FF(op_5ed8_0), /* Scc */
	CPUFUNC_FF(op_5fd8_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC(op_e0d8_0), /* ASRW */
	CPUFUNC(op_e1d8_0), /* ASLW */
	CPUFUNC(op_e2d8_0), /* LSRW */
	CPUFUNC(op_e3d8_0), /* LSLW */
	CPUFUNC(op_e4d8_0), /* ROXRW */
	CPUFUNC(op_e5d8_0), /* ROXLW */
	CPUFUNC(op_e6d8_0), /* RORW */
	CPUFUNC(op_e7d8_0), /* ROLW */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f41a_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_8d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_ad8_0), /* CAS */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_cd8_0), /* CAS */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_ed8_0), /* CAS */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_11d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_13d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_21d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_23d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_31d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_33d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40d8_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_42d8_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_44d8_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_46d8_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4ad8_0), /* TAS */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4cd8_0), /* MVMEL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50d8_0), /* Scc */
	CPUFUNC_FF(op_51d8_0), /* Scc */
	CPUFUNC_FF(op_52d8_0), /* Scc */
	CPUFUNC_FF(op_53d8_0), /* Scc */
	CPUFUNC_FF(op_54d8_0), /* Scc */
	CPUFUNC_FF(op_55d8_0), /* Scc */
	CPUFUNC_FF(op_56d8_0), /* Scc */
	CPUFUNC_FF(op_57d8_0), /* Scc */
	CPUFUNC_FF(op_58d8_0), /* Scc */
	CPUFUNC_FF(op_59d8_0), /* Scc */
	CPUFUNC_FF(op_5ad8_0), /* Scc */
	CPUFUNC_FF(op_5bd8_0), /* Scc */
	CPUFUNC_FF(op_5cd8_0), /* Scc */
	CPUFUNC_FF(op_5dd8_0), /* Scc */
	CPUFUNC_FF(op_5ed8_0), /* Scc */
	CPUFUNC_FF(op_5fd8_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC(op_e0d8_0), /* ASRW */
	CPUFUNC(op_e1d8_0), /* ASLW */
	CPUFUNC(op_e2d8_0), /* LSRW */
	CPUFUNC(op_e3d8_0), /* LSLW */
	CPUFUNC(op_e4d8_0), /* ROXRW */
	CPUFUNC(op_e5d8_0), /* ROXLW */
	CPUFUNC(op_e6d8_0), /* RORW */
	CPUFUNC(op_e7d8_0), /* ROLW */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f41b_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_8d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_ad8_0), /* CAS */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_cd8_0), /* CAS */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_ed8_0), /* CAS */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_11d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_13d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_21d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_23d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_31d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_33d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40d8_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_42d8_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_44d8_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_46d8_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4ad8_0), /* TAS */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4cd8_0), /* MVMEL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50d8_0), /* Scc */
	CPUFUNC_FF(op_51d8_0), /* Scc */
	CPUFUNC_FF(op_52d8_0), /* Scc */
	CPUFUNC_FF(op_53d8_0), /* Scc */
	CPUFUNC_FF(op_54d8_0), /* Scc */
	CPUFUNC_FF(op_55d8_0), /* Scc */
	CPUFUNC_FF(op_56d8_0), /* Scc */
	CPUFUNC_FF(op_57d8_0), /* Scc */
	CPUFUNC_FF(op_58d8_0), /* Scc */
	CPUFUNC_FF(op_59d8_0), /* Scc */
	CPUFUNC_FF(op_5ad8_0), /* Scc */
	CPUFUNC_FF(op_5bd8_0), /* Scc */
	CPUFUNC_FF(op_5cd8_0), /* Scc */
	CPUFUNC_FF(op_5dd8_0), /* Scc */
	CPUFUNC_FF(op_5ed8_0), /* Scc */
	CPUFUNC_FF(op_5fd8_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC(op_e0d8_0), /* ASRW */
	CPUFUNC(op_e1d8_0), /* ASLW */
	CPUFUNC(op_e2d8_0), /* LSRW */
	CPUFUNC(op_e3d8_0), /* LSLW */
	CPUFUNC(op_e4d8_0), /* ROXRW */
	CPUFUNC(op_e5d8_0), /* ROXLW */
	CPUFUNC(op_e6d8_0), /* RORW */
	CPUFUNC(op_e7d8_0), /* ROLW */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f41c_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_8d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_ad8_0), /* CAS */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_cd8_0), /* CAS */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_ed8_0), /* CAS */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_11d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_13d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_21d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_23d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_31d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_33d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40d8_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_42d8_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_44d8_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_46d8_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4ad8_0), /* TAS */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4cd8_0), /* MVMEL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50d8_0), /* Scc */
	CPUFUNC_FF(op_51d8_0), /* Scc */
	CPUFUNC_FF(op_52d8_0), /* Scc */
	CPUFUNC_FF(op_53d8_0), /* Scc */
	CPUFUNC_FF(op_54d8_0), /* Scc */
	CPUFUNC_FF(op_55d8_0), /* Scc */
	CPUFUNC_FF(op_56d8_0), /* Scc */
	CPUFUNC_FF(op_57d8_0), /* Scc */
	CPUFUNC_FF(op_58d8_0), /* Scc */
	CPUFUNC_FF(op_59d8_0), /* Scc */
	CPUFUNC_FF(op_5ad8_0), /* Scc */
	CPUFUNC_FF(op_5bd8_0), /* Scc */
	CPUFUNC_FF(op_5cd8_0), /* Scc */
	CPUFUNC_FF(op_5dd8_0), /* Scc */
	CPUFUNC_FF(op_5ed8_0), /* Scc */
	CPUFUNC_FF(op_5fd8_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC(op_e0d8_0), /* ASRW */
	CPUFUNC(op_e1d8_0), /* ASLW */
	CPUFUNC(op_e2d8_0), /* LSRW */
	CPUFUNC(op_e3d8_0), /* LSLW */
	CPUFUNC(op_e4d8_0), /* ROXRW */
	CPUFUNC(op_e5d8_0), /* ROXLW */
	CPUFUNC(op_e6d8_0), /* RORW */
	CPUFUNC(op_e7d8_0), /* ROLW */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f41d_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_8d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_ad8_0), /* CAS */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_cd8_0), /* CAS */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_ed8_0), /* CAS */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_11d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_13d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_21d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_23d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_31d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_33d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40d8_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_42d8_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_44d8_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_46d8_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4ad8_0), /* TAS */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4cd8_0), /* MVMEL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50d8_0), /* Scc */
	CPUFUNC_FF(op_51d8_0), /* Scc */
	CPUFUNC_FF(op_52d8_0), /* Scc */
	CPUFUNC_FF(op_53d8_0), /* Scc */
	CPUFUNC_FF(op_54d8_0), /* Scc */
	CPUFUNC_FF(op_55d8_0), /* Scc */
	CPUFUNC_FF(op_56d8_0), /* Scc */
	CPUFUNC_FF(op_57d8_0), /* Scc */
	CPUFUNC_FF(op_58d8_0), /* Scc */
	CPUFUNC_FF(op_59d8_0), /* Scc */
	CPUFUNC_FF(op_5ad8_0), /* Scc */
	CPUFUNC_FF(op_5bd8_0), /* Scc */
	CPUFUNC_FF(op_5cd8_0), /* Scc */
	CPUFUNC_FF(op_5dd8_0), /* Scc */
	CPUFUNC_FF(op_5ed8_0), /* Scc */
	CPUFUNC_FF(op_5fd8_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC(op_e0d8_0), /* ASRW */
	CPUFUNC(op_e1d8_0), /* ASLW */
	CPUFUNC(op_e2d8_0), /* LSRW */
	CPUFUNC(op_e3d8_0), /* LSLW */
	CPUFUNC(op_e4d8_0), /* ROXRW */
	CPUFUNC(op_e5d8_0), /* ROXLW */
	CPUFUNC(op_e6d8_0), /* RORW */
	CPUFUNC(op_e7d8_0), /* ROLW */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f41e_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_8d8_0), /* BSET */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_ad8_0), /* CAS */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_cd8_0), /* CAS */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_ed8_0), /* CAS */
	CPUFUNC(op_1d8_0), /* BSET */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_11d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	CPUFUNC(op_13d8_0), /* MOVE */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_21d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	CPUFUNC(op_23d8_0), /* MOVE */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_31d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	CPUFUNC(op_33d8_0), /* MOVE */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30d8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40d8_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_42d8_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_44d8_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_46d8_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4ad8_0), /* TAS */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_4cd8_0), /* MVMEL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50d8_0), /* Scc */
	CPUFUNC_FF(op_51d8_0), /* Scc */
	CPUFUNC_FF(op_52d8_0), /* Scc */
	CPUFUNC_FF(op_53d8_0), /* Scc */
	CPUFUNC_FF(op_54d8_0), /* Scc */
	CPUFUNC_FF(op_55d8_0), /* Scc */
	CPUFUNC_FF(op_56d8_0), /* Scc */
	CPUFUNC_FF(op_57d8_0), /* Scc */
	CPUFUNC_FF(op_58d8_0), /* Scc */
	CPUFUNC_FF(op_59d8_0), /* Scc */
	CPUFUNC_FF(op_5ad8_0), /* Scc */
	CPUFUNC_FF(op_5bd8_0), /* Scc */
	CPUFUNC_FF(op_5cd8_0), /* Scc */
	CPUFUNC_FF(op_5dd8_0), /* Scc */
	CPUFUNC_FF(op_5ed8_0), /* Scc */
	CPUFUNC_FF(op_5fd8_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC(op_80d8_0), /* DIVU */
	CPUFUNC(op_81d8_0), /* DIVS */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	CPUFUNC_FF(op_90d8_0), /* SUBA */
	CPUFUNC_FF(op_91d8_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_b0d8_0), /* CMPA */
	CPUFUNC(op_b1d8_0), /* CMPA */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC(op_c0d8_0), /* MULU */
	CPUFUNC(op_c1d8_0), /* MULS */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC_FF(op_d0d8_0), /* ADDA */
	CPUFUNC_FF(op_d1d8_0), /* ADDA */
	CPUFUNC(op_e0d8_0), /* ASRW */
	CPUFUNC(op_e1d8_0), /* ASLW */
	CPUFUNC(op_e2d8_0), /* LSRW */
	CPUFUNC(op_e3d8_0), /* LSLW */
	CPUFUNC(op_e4d8_0), /* ROXRW */
	CPUFUNC(op_e5d8_0), /* ROXLW */
	CPUFUNC(op_e6d8_0), /* RORW */
	CPUFUNC(op_e7d8_0), /* ROLW */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f41f_0), /* CINVA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_8e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_ae0_0), /* CAS */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_ce0_0), /* CAS */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_ee0_0), /* CAS */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_11e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_13e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_21e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_23e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_31e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_33e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40e0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_42e0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_44e0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_46e0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_48e0_0), /* MVMLE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4ae0_0), /* TAS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50e0_0), /* Scc */
	CPUFUNC_FF(op_51e0_0), /* Scc */
	CPUFUNC_FF(op_52e0_0), /* Scc */
	CPUFUNC_FF(op_53e0_0), /* Scc */
	CPUFUNC_FF(op_54e0_0), /* Scc */
	CPUFUNC_FF(op_55e0_0), /* Scc */
	CPUFUNC_FF(op_56e0_0), /* Scc */
	CPUFUNC_FF(op_57e0_0), /* Scc */
	CPUFUNC_FF(op_58e0_0), /* Scc */
	CPUFUNC_FF(op_59e0_0), /* Scc */
	CPUFUNC_FF(op_5ae0_0), /* Scc */
	CPUFUNC_FF(op_5be0_0), /* Scc */
	CPUFUNC_FF(op_5ce0_0), /* Scc */
	CPUFUNC_FF(op_5de0_0), /* Scc */
	CPUFUNC_FF(op_5ee0_0), /* Scc */
	CPUFUNC_FF(op_5fe0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC(op_e0e0_0), /* ASRW */
	CPUFUNC(op_e1e0_0), /* ASLW */
	CPUFUNC(op_e2e0_0), /* LSRW */
	CPUFUNC(op_e3e0_0), /* LSLW */
	CPUFUNC(op_e4e0_0), /* ROXRW */
	CPUFUNC(op_e5e0_0), /* ROXLW */
	CPUFUNC(op_e6e0_0), /* RORW */
	CPUFUNC(op_e7e0_0), /* ROLW */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_8e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_ae0_0), /* CAS */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_ce0_0), /* CAS */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_ee0_0), /* CAS */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_11e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_13e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_21e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_23e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_31e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_33e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40e0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_42e0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_44e0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_46e0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_48e0_0), /* MVMLE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4ae0_0), /* TAS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50e0_0), /* Scc */
	CPUFUNC_FF(op_51e0_0), /* Scc */
	CPUFUNC_FF(op_52e0_0), /* Scc */
	CPUFUNC_FF(op_53e0_0), /* Scc */
	CPUFUNC_FF(op_54e0_0), /* Scc */
	CPUFUNC_FF(op_55e0_0), /* Scc */
	CPUFUNC_FF(op_56e0_0), /* Scc */
	CPUFUNC_FF(op_57e0_0), /* Scc */
	CPUFUNC_FF(op_58e0_0), /* Scc */
	CPUFUNC_FF(op_59e0_0), /* Scc */
	CPUFUNC_FF(op_5ae0_0), /* Scc */
	CPUFUNC_FF(op_5be0_0), /* Scc */
	CPUFUNC_FF(op_5ce0_0), /* Scc */
	CPUFUNC_FF(op_5de0_0), /* Scc */
	CPUFUNC_FF(op_5ee0_0), /* Scc */
	CPUFUNC_FF(op_5fe0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC(op_e0e0_0), /* ASRW */
	CPUFUNC(op_e1e0_0), /* ASLW */
	CPUFUNC(op_e2e0_0), /* LSRW */
	CPUFUNC(op_e3e0_0), /* LSLW */
	CPUFUNC(op_e4e0_0), /* ROXRW */
	CPUFUNC(op_e5e0_0), /* ROXLW */
	CPUFUNC(op_e6e0_0), /* RORW */
	CPUFUNC(op_e7e0_0), /* ROLW */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_8e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_ae0_0), /* CAS */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_ce0_0), /* CAS */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_ee0_0), /* CAS */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_11e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_13e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_21e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_23e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_31e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_33e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40e0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_42e0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_44e0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_46e0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_48e0_0), /* MVMLE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4ae0_0), /* TAS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50e0_0), /* Scc */
	CPUFUNC_FF(op_51e0_0), /* Scc */
	CPUFUNC_FF(op_52e0_0), /* Scc */
	CPUFUNC_FF(op_53e0_0), /* Scc */
	CPUFUNC_FF(op_54e0_0), /* Scc */
	CPUFUNC_FF(op_55e0_0), /* Scc */
	CPUFUNC_FF(op_56e0_0), /* Scc */
	CPUFUNC_FF(op_57e0_0), /* Scc */
	CPUFUNC_FF(op_58e0_0), /* Scc */
	CPUFUNC_FF(op_59e0_0), /* Scc */
	CPUFUNC_FF(op_5ae0_0), /* Scc */
	CPUFUNC_FF(op_5be0_0), /* Scc */
	CPUFUNC_FF(op_5ce0_0), /* Scc */
	CPUFUNC_FF(op_5de0_0), /* Scc */
	CPUFUNC_FF(op_5ee0_0), /* Scc */
	CPUFUNC_FF(op_5fe0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC(op_e0e0_0), /* ASRW */
	CPUFUNC(op_e1e0_0), /* ASLW */
	CPUFUNC(op_e2e0_0), /* LSRW */
	CPUFUNC(op_e3e0_0), /* LSLW */
	CPUFUNC(op_e4e0_0), /* ROXRW */
	CPUFUNC(op_e5e0_0), /* ROXLW */
	CPUFUNC(op_e6e0_0), /* RORW */
	CPUFUNC(op_e7e0_0), /* ROLW */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_8e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_ae0_0), /* CAS */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_ce0_0), /* CAS */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_ee0_0), /* CAS */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_11e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_13e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_21e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_23e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_31e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_33e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40e0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_42e0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_44e0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_46e0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_48e0_0), /* MVMLE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4ae0_0), /* TAS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50e0_0), /* Scc */
	CPUFUNC_FF(op_51e0_0), /* Scc */
	CPUFUNC_FF(op_52e0_0), /* Scc */
	CPUFUNC_FF(op_53e0_0), /* Scc */
	CPUFUNC_FF(op_54e0_0), /* Scc */
	CPUFUNC_FF(op_55e0_0), /* Scc */
	CPUFUNC_FF(op_56e0_0), /* Scc */
	CPUFUNC_FF(op_57e0_0), /* Scc */
	CPUFUNC_FF(op_58e0_0), /* Scc */
	CPUFUNC_FF(op_59e0_0), /* Scc */
	CPUFUNC_FF(op_5ae0_0), /* Scc */
	CPUFUNC_FF(op_5be0_0), /* Scc */
	CPUFUNC_FF(op_5ce0_0), /* Scc */
	CPUFUNC_FF(op_5de0_0), /* Scc */
	CPUFUNC_FF(op_5ee0_0), /* Scc */
	CPUFUNC_FF(op_5fe0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC(op_e0e0_0), /* ASRW */
	CPUFUNC(op_e1e0_0), /* ASLW */
	CPUFUNC(op_e2e0_0), /* LSRW */
	CPUFUNC(op_e3e0_0), /* LSLW */
	CPUFUNC(op_e4e0_0), /* ROXRW */
	CPUFUNC(op_e5e0_0), /* ROXLW */
	CPUFUNC(op_e6e0_0), /* RORW */
	CPUFUNC(op_e7e0_0), /* ROLW */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_8e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_ae0_0), /* CAS */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_ce0_0), /* CAS */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_ee0_0), /* CAS */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_11e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_13e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_21e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_23e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_31e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_33e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40e0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_42e0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_44e0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_46e0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_48e0_0), /* MVMLE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4ae0_0), /* TAS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50e0_0), /* Scc */
	CPUFUNC_FF(op_51e0_0), /* Scc */
	CPUFUNC_FF(op_52e0_0), /* Scc */
	CPUFUNC_FF(op_53e0_0), /* Scc */
	CPUFUNC_FF(op_54e0_0), /* Scc */
	CPUFUNC_FF(op_55e0_0), /* Scc */
	CPUFUNC_FF(op_56e0_0), /* Scc */
	CPUFUNC_FF(op_57e0_0), /* Scc */
	CPUFUNC_FF(op_58e0_0), /* Scc */
	CPUFUNC_FF(op_59e0_0), /* Scc */
	CPUFUNC_FF(op_5ae0_0), /* Scc */
	CPUFUNC_FF(op_5be0_0), /* Scc */
	CPUFUNC_FF(op_5ce0_0), /* Scc */
	CPUFUNC_FF(op_5de0_0), /* Scc */
	CPUFUNC_FF(op_5ee0_0), /* Scc */
	CPUFUNC_FF(op_5fe0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC(op_e0e0_0), /* ASRW */
	CPUFUNC(op_e1e0_0), /* ASLW */
	CPUFUNC(op_e2e0_0), /* LSRW */
	CPUFUNC(op_e3e0_0), /* LSLW */
	CPUFUNC(op_e4e0_0), /* ROXRW */
	CPUFUNC(op_e5e0_0), /* ROXLW */
	CPUFUNC(op_e6e0_0), /* RORW */
	CPUFUNC(op_e7e0_0), /* ROLW */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_8e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_ae0_0), /* CAS */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_ce0_0), /* CAS */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_ee0_0), /* CAS */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_11e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_13e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_21e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_23e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_31e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_33e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40e0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_42e0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_44e0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_46e0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_48e0_0), /* MVMLE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4ae0_0), /* TAS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50e0_0), /* Scc */
	CPUFUNC_FF(op_51e0_0), /* Scc */
	CPUFUNC_FF(op_52e0_0), /* Scc */
	CPUFUNC_FF(op_53e0_0), /* Scc */
	CPUFUNC_FF(op_54e0_0), /* Scc */
	CPUFUNC_FF(op_55e0_0), /* Scc */
	CPUFUNC_FF(op_56e0_0), /* Scc */
	CPUFUNC_FF(op_57e0_0), /* Scc */
	CPUFUNC_FF(op_58e0_0), /* Scc */
	CPUFUNC_FF(op_59e0_0), /* Scc */
	CPUFUNC_FF(op_5ae0_0), /* Scc */
	CPUFUNC_FF(op_5be0_0), /* Scc */
	CPUFUNC_FF(op_5ce0_0), /* Scc */
	CPUFUNC_FF(op_5de0_0), /* Scc */
	CPUFUNC_FF(op_5ee0_0), /* Scc */
	CPUFUNC_FF(op_5fe0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC(op_e0e0_0), /* ASRW */
	CPUFUNC(op_e1e0_0), /* ASLW */
	CPUFUNC(op_e2e0_0), /* LSRW */
	CPUFUNC(op_e3e0_0), /* LSLW */
	CPUFUNC(op_e4e0_0), /* ROXRW */
	CPUFUNC(op_e5e0_0), /* ROXLW */
	CPUFUNC(op_e6e0_0), /* RORW */
	CPUFUNC(op_e7e0_0), /* ROLW */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_8e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_ae0_0), /* CAS */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_ce0_0), /* CAS */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_ee0_0), /* CAS */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_11e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_13e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_21e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_23e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_31e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_33e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40e0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_42e0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_44e0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_46e0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_48e0_0), /* MVMLE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4ae0_0), /* TAS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50e0_0), /* Scc */
	CPUFUNC_FF(op_51e0_0), /* Scc */
	CPUFUNC_FF(op_52e0_0), /* Scc */
	CPUFUNC_FF(op_53e0_0), /* Scc */
	CPUFUNC_FF(op_54e0_0), /* Scc */
	CPUFUNC_FF(op_55e0_0), /* Scc */
	CPUFUNC_FF(op_56e0_0), /* Scc */
	CPUFUNC_FF(op_57e0_0), /* Scc */
	CPUFUNC_FF(op_58e0_0), /* Scc */
	CPUFUNC_FF(op_59e0_0), /* Scc */
	CPUFUNC_FF(op_5ae0_0), /* Scc */
	CPUFUNC_FF(op_5be0_0), /* Scc */
	CPUFUNC_FF(op_5ce0_0), /* Scc */
	CPUFUNC_FF(op_5de0_0), /* Scc */
	CPUFUNC_FF(op_5ee0_0), /* Scc */
	CPUFUNC_FF(op_5fe0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC(op_e0e0_0), /* ASRW */
	CPUFUNC(op_e1e0_0), /* ASLW */
	CPUFUNC(op_e2e0_0), /* LSRW */
	CPUFUNC(op_e3e0_0), /* LSLW */
	CPUFUNC(op_e4e0_0), /* ROXRW */
	CPUFUNC(op_e5e0_0), /* ROXLW */
	CPUFUNC(op_e6e0_0), /* RORW */
	CPUFUNC(op_e7e0_0), /* ROLW */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_8e0_0), /* BSET */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_ae0_0), /* CAS */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_ce0_0), /* CAS */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_ee0_0), /* CAS */
	CPUFUNC(op_1e0_0), /* BSET */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_11e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	CPUFUNC(op_13e0_0), /* MOVE */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_21e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	CPUFUNC(op_23e0_0), /* MOVE */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_31e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	CPUFUNC(op_33e0_0), /* MOVE */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40e0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_42e0_0), /* MVSR2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_44e0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_46e0_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_48e0_0), /* MVMLE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_4ae0_0), /* TAS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50e0_0), /* Scc */
	CPUFUNC_FF(op_51e0_0), /* Scc */
	CPUFUNC_FF(op_52e0_0), /* Scc */
	CPUFUNC_FF(op_53e0_0), /* Scc */
	CPUFUNC_FF(op_54e0_0), /* Scc */
	CPUFUNC_FF(op_55e0_0), /* Scc */
	CPUFUNC_FF(op_56e0_0), /* Scc */
	CPUFUNC_FF(op_57e0_0), /* Scc */
	CPUFUNC_FF(op_58e0_0), /* Scc */
	CPUFUNC_FF(op_59e0_0), /* Scc */
	CPUFUNC_FF(op_5ae0_0), /* Scc */
	CPUFUNC_FF(op_5be0_0), /* Scc */
	CPUFUNC_FF(op_5ce0_0), /* Scc */
	CPUFUNC_FF(op_5de0_0), /* Scc */
	CPUFUNC_FF(op_5ee0_0), /* Scc */
	CPUFUNC_FF(op_5fe0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC(op_80e0_0), /* DIVU */
	CPUFUNC(op_81e0_0), /* DIVS */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	CPUFUNC_FF(op_90e0_0), /* SUBA */
	CPUFUNC_FF(op_91e0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_b0e0_0), /* CMPA */
	CPUFUNC(op_b1e0_0), /* CMPA */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC(op_c0e0_0), /* MULU */
	CPUFUNC(op_c1e0_0), /* MULS */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC_FF(op_d0e0_0), /* ADDA */
	CPUFUNC_FF(op_d1e0_0), /* ADDA */
	CPUFUNC(op_e0e0_0), /* ASRW */
	CPUFUNC(op_e1e0_0), /* ASLW */
	CPUFUNC(op_e2e0_0), /* LSRW */
	CPUFUNC(op_e3e0_0), /* LSLW */
	CPUFUNC(op_e4e0_0), /* ROXRW */
	CPUFUNC(op_e5e0_0), /* ROXLW */
	CPUFUNC(op_e6e0_0), /* RORW */
	CPUFUNC(op_e7e0_0), /* ROLW */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e8_0), /* CHK2 */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_2e8_0), /* CHK2 */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_4e8_0), /* CHK2 */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC_FF(op_6e8_0), /* CALLM */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_8e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_ae8_0), /* CAS */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_ce8_0), /* CAS */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_ee8_0), /* CAS */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_11e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_13e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_21e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_23e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_31e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_33e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40e8_0), /* MVSR2 */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_42e8_0), /* MVSR2 */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC(op_44e8_0), /* MV2SR */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC(op_46e8_0), /* MV2SR */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_48e8_0), /* MVMLE */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC(op_4ae8_0), /* TAS */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_4ce8_0), /* MVMEL */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_4ee8_0), /* JMP */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_50e8_0), /* Scc */
	CPUFUNC_FF(op_51e8_0), /* Scc */
	CPUFUNC_FF(op_52e8_0), /* Scc */
	CPUFUNC_FF(op_53e8_0), /* Scc */
	CPUFUNC_FF(op_54e8_0), /* Scc */
	CPUFUNC_FF(op_55e8_0), /* Scc */
	CPUFUNC_FF(op_56e8_0), /* Scc */
	CPUFUNC_FF(op_57e8_0), /* Scc */
	CPUFUNC_FF(op_58e8_0), /* Scc */
	CPUFUNC_FF(op_59e8_0), /* Scc */
	CPUFUNC_FF(op_5ae8_0), /* Scc */
	CPUFUNC_FF(op_5be8_0), /* Scc */
	CPUFUNC_FF(op_5ce8_0), /* Scc */
	CPUFUNC_FF(op_5de8_0), /* Scc */
	CPUFUNC_FF(op_5ee8_0), /* Scc */
	CPUFUNC_FF(op_5fe8_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC(op_e0e8_0), /* ASRW */
	CPUFUNC(op_e1e8_0), /* ASLW */
	CPUFUNC(op_e2e8_0), /* LSRW */
	CPUFUNC(op_e3e8_0), /* LSLW */
	CPUFUNC(op_e4e8_0), /* ROXRW */
	CPUFUNC(op_e5e8_0), /* ROXLW */
	CPUFUNC(op_e6e8_0), /* RORW */
	CPUFUNC(op_e7e8_0), /* ROLW */
	CPUFUNC(op_e8e8_0), /* BFTST */
	CPUFUNC(op_e9e8_0), /* BFEXTU */
	CPUFUNC(op_eae8_0), /* BFCHG */
	CPUFUNC(op_ebe8_0), /* BFEXTS */
	CPUFUNC(op_ece8_0), /* BFCLR */
	CPUFUNC(op_ede8_0), /* BFFFO */
	CPUFUNC(op_eee8_0), /* BFSET */
	CPUFUNC(op_efe8_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e8_0), /* CHK2 */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_2e8_0), /* CHK2 */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_4e8_0), /* CHK2 */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC_FF(op_6e8_0), /* CALLM */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_8e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_ae8_0), /* CAS */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_ce8_0), /* CAS */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_ee8_0), /* CAS */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_11e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_13e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_21e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_23e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_31e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_33e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40e8_0), /* MVSR2 */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_42e8_0), /* MVSR2 */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC(op_44e8_0), /* MV2SR */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC(op_46e8_0), /* MV2SR */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_48e8_0), /* MVMLE */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC(op_4ae8_0), /* TAS */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_4ce8_0), /* MVMEL */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_4ee8_0), /* JMP */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_50e8_0), /* Scc */
	CPUFUNC_FF(op_51e8_0), /* Scc */
	CPUFUNC_FF(op_52e8_0), /* Scc */
	CPUFUNC_FF(op_53e8_0), /* Scc */
	CPUFUNC_FF(op_54e8_0), /* Scc */
	CPUFUNC_FF(op_55e8_0), /* Scc */
	CPUFUNC_FF(op_56e8_0), /* Scc */
	CPUFUNC_FF(op_57e8_0), /* Scc */
	CPUFUNC_FF(op_58e8_0), /* Scc */
	CPUFUNC_FF(op_59e8_0), /* Scc */
	CPUFUNC_FF(op_5ae8_0), /* Scc */
	CPUFUNC_FF(op_5be8_0), /* Scc */
	CPUFUNC_FF(op_5ce8_0), /* Scc */
	CPUFUNC_FF(op_5de8_0), /* Scc */
	CPUFUNC_FF(op_5ee8_0), /* Scc */
	CPUFUNC_FF(op_5fe8_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC(op_e0e8_0), /* ASRW */
	CPUFUNC(op_e1e8_0), /* ASLW */
	CPUFUNC(op_e2e8_0), /* LSRW */
	CPUFUNC(op_e3e8_0), /* LSLW */
	CPUFUNC(op_e4e8_0), /* ROXRW */
	CPUFUNC(op_e5e8_0), /* ROXLW */
	CPUFUNC(op_e6e8_0), /* RORW */
	CPUFUNC(op_e7e8_0), /* ROLW */
	CPUFUNC(op_e8e8_0), /* BFTST */
	CPUFUNC(op_e9e8_0), /* BFEXTU */
	CPUFUNC(op_eae8_0), /* BFCHG */
	CPUFUNC(op_ebe8_0), /* BFEXTS */
	CPUFUNC(op_ece8_0), /* BFCLR */
	CPUFUNC(op_ede8_0), /* BFFFO */
	CPUFUNC(op_eee8_0), /* BFSET */
	CPUFUNC(op_efe8_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e8_0), /* CHK2 */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_2e8_0), /* CHK2 */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_4e8_0), /* CHK2 */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC_FF(op_6e8_0), /* CALLM */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_8e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_ae8_0), /* CAS */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_ce8_0), /* CAS */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_ee8_0), /* CAS */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_11e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_13e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_21e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_23e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_31e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_33e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40e8_0), /* MVSR2 */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_42e8_0), /* MVSR2 */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC(op_44e8_0), /* MV2SR */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC(op_46e8_0), /* MV2SR */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_48e8_0), /* MVMLE */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC(op_4ae8_0), /* TAS */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_4ce8_0), /* MVMEL */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_4ee8_0), /* JMP */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_50e8_0), /* Scc */
	CPUFUNC_FF(op_51e8_0), /* Scc */
	CPUFUNC_FF(op_52e8_0), /* Scc */
	CPUFUNC_FF(op_53e8_0), /* Scc */
	CPUFUNC_FF(op_54e8_0), /* Scc */
	CPUFUNC_FF(op_55e8_0), /* Scc */
	CPUFUNC_FF(op_56e8_0), /* Scc */
	CPUFUNC_FF(op_57e8_0), /* Scc */
	CPUFUNC_FF(op_58e8_0), /* Scc */
	CPUFUNC_FF(op_59e8_0), /* Scc */
	CPUFUNC_FF(op_5ae8_0), /* Scc */
	CPUFUNC_FF(op_5be8_0), /* Scc */
	CPUFUNC_FF(op_5ce8_0), /* Scc */
	CPUFUNC_FF(op_5de8_0), /* Scc */
	CPUFUNC_FF(op_5ee8_0), /* Scc */
	CPUFUNC_FF(op_5fe8_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC(op_e0e8_0), /* ASRW */
	CPUFUNC(op_e1e8_0), /* ASLW */
	CPUFUNC(op_e2e8_0), /* LSRW */
	CPUFUNC(op_e3e8_0), /* LSLW */
	CPUFUNC(op_e4e8_0), /* ROXRW */
	CPUFUNC(op_e5e8_0), /* ROXLW */
	CPUFUNC(op_e6e8_0), /* RORW */
	CPUFUNC(op_e7e8_0), /* ROLW */
	CPUFUNC(op_e8e8_0), /* BFTST */
	CPUFUNC(op_e9e8_0), /* BFEXTU */
	CPUFUNC(op_eae8_0), /* BFCHG */
	CPUFUNC(op_ebe8_0), /* BFEXTS */
	CPUFUNC(op_ece8_0), /* BFCLR */
	CPUFUNC(op_ede8_0), /* BFFFO */
	CPUFUNC(op_eee8_0), /* BFSET */
	CPUFUNC(op_efe8_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e8_0), /* CHK2 */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_2e8_0), /* CHK2 */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_4e8_0), /* CHK2 */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC_FF(op_6e8_0), /* CALLM */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_8e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_ae8_0), /* CAS */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_ce8_0), /* CAS */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_ee8_0), /* CAS */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_11e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_13e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_21e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_23e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_31e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_33e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40e8_0), /* MVSR2 */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_42e8_0), /* MVSR2 */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC(op_44e8_0), /* MV2SR */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC(op_46e8_0), /* MV2SR */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_48e8_0), /* MVMLE */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC(op_4ae8_0), /* TAS */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_4ce8_0), /* MVMEL */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_4ee8_0), /* JMP */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_50e8_0), /* Scc */
	CPUFUNC_FF(op_51e8_0), /* Scc */
	CPUFUNC_FF(op_52e8_0), /* Scc */
	CPUFUNC_FF(op_53e8_0), /* Scc */
	CPUFUNC_FF(op_54e8_0), /* Scc */
	CPUFUNC_FF(op_55e8_0), /* Scc */
	CPUFUNC_FF(op_56e8_0), /* Scc */
	CPUFUNC_FF(op_57e8_0), /* Scc */
	CPUFUNC_FF(op_58e8_0), /* Scc */
	CPUFUNC_FF(op_59e8_0), /* Scc */
	CPUFUNC_FF(op_5ae8_0), /* Scc */
	CPUFUNC_FF(op_5be8_0), /* Scc */
	CPUFUNC_FF(op_5ce8_0), /* Scc */
	CPUFUNC_FF(op_5de8_0), /* Scc */
	CPUFUNC_FF(op_5ee8_0), /* Scc */
	CPUFUNC_FF(op_5fe8_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC(op_e0e8_0), /* ASRW */
	CPUFUNC(op_e1e8_0), /* ASLW */
	CPUFUNC(op_e2e8_0), /* LSRW */
	CPUFUNC(op_e3e8_0), /* LSLW */
	CPUFUNC(op_e4e8_0), /* ROXRW */
	CPUFUNC(op_e5e8_0), /* ROXLW */
	CPUFUNC(op_e6e8_0), /* RORW */
	CPUFUNC(op_e7e8_0), /* ROLW */
	CPUFUNC(op_e8e8_0), /* BFTST */
	CPUFUNC(op_e9e8_0), /* BFEXTU */
	CPUFUNC(op_eae8_0), /* BFCHG */
	CPUFUNC(op_ebe8_0), /* BFEXTS */
	CPUFUNC(op_ece8_0), /* BFCLR */
	CPUFUNC(op_ede8_0), /* BFFFO */
	CPUFUNC(op_eee8_0), /* BFSET */
	CPUFUNC(op_efe8_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e8_0), /* CHK2 */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_2e8_0), /* CHK2 */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_4e8_0), /* CHK2 */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC_FF(op_6e8_0), /* CALLM */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_8e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_ae8_0), /* CAS */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_ce8_0), /* CAS */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_ee8_0), /* CAS */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_11e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_13e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_21e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_23e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_31e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_33e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40e8_0), /* MVSR2 */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_42e8_0), /* MVSR2 */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC(op_44e8_0), /* MV2SR */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC(op_46e8_0), /* MV2SR */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_48e8_0), /* MVMLE */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC(op_4ae8_0), /* TAS */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_4ce8_0), /* MVMEL */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_4ee8_0), /* JMP */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_50e8_0), /* Scc */
	CPUFUNC_FF(op_51e8_0), /* Scc */
	CPUFUNC_FF(op_52e8_0), /* Scc */
	CPUFUNC_FF(op_53e8_0), /* Scc */
	CPUFUNC_FF(op_54e8_0), /* Scc */
	CPUFUNC_FF(op_55e8_0), /* Scc */
	CPUFUNC_FF(op_56e8_0), /* Scc */
	CPUFUNC_FF(op_57e8_0), /* Scc */
	CPUFUNC_FF(op_58e8_0), /* Scc */
	CPUFUNC_FF(op_59e8_0), /* Scc */
	CPUFUNC_FF(op_5ae8_0), /* Scc */
	CPUFUNC_FF(op_5be8_0), /* Scc */
	CPUFUNC_FF(op_5ce8_0), /* Scc */
	CPUFUNC_FF(op_5de8_0), /* Scc */
	CPUFUNC_FF(op_5ee8_0), /* Scc */
	CPUFUNC_FF(op_5fe8_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC(op_e0e8_0), /* ASRW */
	CPUFUNC(op_e1e8_0), /* ASLW */
	CPUFUNC(op_e2e8_0), /* LSRW */
	CPUFUNC(op_e3e8_0), /* LSLW */
	CPUFUNC(op_e4e8_0), /* ROXRW */
	CPUFUNC(op_e5e8_0), /* ROXLW */
	CPUFUNC(op_e6e8_0), /* RORW */
	CPUFUNC(op_e7e8_0), /* ROLW */
	CPUFUNC(op_e8e8_0), /* BFTST */
	CPUFUNC(op_e9e8_0), /* BFEXTU */
	CPUFUNC(op_eae8_0), /* BFCHG */
	CPUFUNC(op_ebe8_0), /* BFEXTS */
	CPUFUNC(op_ece8_0), /* BFCLR */
	CPUFUNC(op_ede8_0), /* BFFFO */
	CPUFUNC(op_eee8_0), /* BFSET */
	CPUFUNC(op_efe8_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e8_0), /* CHK2 */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_2e8_0), /* CHK2 */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_4e8_0), /* CHK2 */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC_FF(op_6e8_0), /* CALLM */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_8e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_ae8_0), /* CAS */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_ce8_0), /* CAS */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_ee8_0), /* CAS */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_11e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_13e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_21e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_23e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_31e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_33e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40e8_0), /* MVSR2 */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_42e8_0), /* MVSR2 */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC(op_44e8_0), /* MV2SR */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC(op_46e8_0), /* MV2SR */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_48e8_0), /* MVMLE */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC(op_4ae8_0), /* TAS */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_4ce8_0), /* MVMEL */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_4ee8_0), /* JMP */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_50e8_0), /* Scc */
	CPUFUNC_FF(op_51e8_0), /* Scc */
	CPUFUNC_FF(op_52e8_0), /* Scc */
	CPUFUNC_FF(op_53e8_0), /* Scc */
	CPUFUNC_FF(op_54e8_0), /* Scc */
	CPUFUNC_FF(op_55e8_0), /* Scc */
	CPUFUNC_FF(op_56e8_0), /* Scc */
	CPUFUNC_FF(op_57e8_0), /* Scc */
	CPUFUNC_FF(op_58e8_0), /* Scc */
	CPUFUNC_FF(op_59e8_0), /* Scc */
	CPUFUNC_FF(op_5ae8_0), /* Scc */
	CPUFUNC_FF(op_5be8_0), /* Scc */
	CPUFUNC_FF(op_5ce8_0), /* Scc */
	CPUFUNC_FF(op_5de8_0), /* Scc */
	CPUFUNC_FF(op_5ee8_0), /* Scc */
	CPUFUNC_FF(op_5fe8_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC(op_e0e8_0), /* ASRW */
	CPUFUNC(op_e1e8_0), /* ASLW */
	CPUFUNC(op_e2e8_0), /* LSRW */
	CPUFUNC(op_e3e8_0), /* LSLW */
	CPUFUNC(op_e4e8_0), /* ROXRW */
	CPUFUNC(op_e5e8_0), /* ROXLW */
	CPUFUNC(op_e6e8_0), /* RORW */
	CPUFUNC(op_e7e8_0), /* ROLW */
	CPUFUNC(op_e8e8_0), /* BFTST */
	CPUFUNC(op_e9e8_0), /* BFEXTU */
	CPUFUNC(op_eae8_0), /* BFCHG */
	CPUFUNC(op_ebe8_0), /* BFEXTS */
	CPUFUNC(op_ece8_0), /* BFCLR */
	CPUFUNC(op_ede8_0), /* BFFFO */
	CPUFUNC(op_eee8_0), /* BFSET */
	CPUFUNC(op_efe8_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e8_0), /* CHK2 */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_2e8_0), /* CHK2 */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_4e8_0), /* CHK2 */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC_FF(op_6e8_0), /* CALLM */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_8e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_ae8_0), /* CAS */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_ce8_0), /* CAS */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_ee8_0), /* CAS */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_11e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_13e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_21e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_23e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_31e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_33e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40e8_0), /* MVSR2 */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_42e8_0), /* MVSR2 */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC(op_44e8_0), /* MV2SR */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC(op_46e8_0), /* MV2SR */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_48e8_0), /* MVMLE */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC(op_4ae8_0), /* TAS */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_4ce8_0), /* MVMEL */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_4ee8_0), /* JMP */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_50e8_0), /* Scc */
	CPUFUNC_FF(op_51e8_0), /* Scc */
	CPUFUNC_FF(op_52e8_0), /* Scc */
	CPUFUNC_FF(op_53e8_0), /* Scc */
	CPUFUNC_FF(op_54e8_0), /* Scc */
	CPUFUNC_FF(op_55e8_0), /* Scc */
	CPUFUNC_FF(op_56e8_0), /* Scc */
	CPUFUNC_FF(op_57e8_0), /* Scc */
	CPUFUNC_FF(op_58e8_0), /* Scc */
	CPUFUNC_FF(op_59e8_0), /* Scc */
	CPUFUNC_FF(op_5ae8_0), /* Scc */
	CPUFUNC_FF(op_5be8_0), /* Scc */
	CPUFUNC_FF(op_5ce8_0), /* Scc */
	CPUFUNC_FF(op_5de8_0), /* Scc */
	CPUFUNC_FF(op_5ee8_0), /* Scc */
	CPUFUNC_FF(op_5fe8_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC(op_e0e8_0), /* ASRW */
	CPUFUNC(op_e1e8_0), /* ASLW */
	CPUFUNC(op_e2e8_0), /* LSRW */
	CPUFUNC(op_e3e8_0), /* LSLW */
	CPUFUNC(op_e4e8_0), /* ROXRW */
	CPUFUNC(op_e5e8_0), /* ROXLW */
	CPUFUNC(op_e6e8_0), /* RORW */
	CPUFUNC(op_e7e8_0), /* ROLW */
	CPUFUNC(op_e8e8_0), /* BFTST */
	CPUFUNC(op_e9e8_0), /* BFEXTU */
	CPUFUNC(op_eae8_0), /* BFCHG */
	CPUFUNC(op_ebe8_0), /* BFEXTS */
	CPUFUNC(op_ece8_0), /* BFCLR */
	CPUFUNC(op_ede8_0), /* BFFFO */
	CPUFUNC(op_eee8_0), /* BFSET */
	CPUFUNC(op_efe8_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e8_0), /* CHK2 */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_2e8_0), /* CHK2 */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_4e8_0), /* CHK2 */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC_FF(op_6e8_0), /* CALLM */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_8e8_0), /* BSET */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_ae8_0), /* CAS */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_ce8_0), /* CAS */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_ee8_0), /* CAS */
	CPUFUNC(op_1e8_0), /* BSET */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_11e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	CPUFUNC(op_13e8_0), /* MOVE */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_21e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	CPUFUNC(op_23e8_0), /* MOVE */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_31e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	CPUFUNC(op_33e8_0), /* MOVE */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30e8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40e8_0), /* MVSR2 */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_42e8_0), /* MVSR2 */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC(op_44e8_0), /* MV2SR */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC(op_46e8_0), /* MV2SR */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_48e8_0), /* MVMLE */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC(op_4ae8_0), /* TAS */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_4ce8_0), /* MVMEL */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_4ee8_0), /* JMP */
	CPUFUNC_FF(op_41e8_0), /* LEA */
	CPUFUNC_FF(op_50e8_0), /* Scc */
	CPUFUNC_FF(op_51e8_0), /* Scc */
	CPUFUNC_FF(op_52e8_0), /* Scc */
	CPUFUNC_FF(op_53e8_0), /* Scc */
	CPUFUNC_FF(op_54e8_0), /* Scc */
	CPUFUNC_FF(op_55e8_0), /* Scc */
	CPUFUNC_FF(op_56e8_0), /* Scc */
	CPUFUNC_FF(op_57e8_0), /* Scc */
	CPUFUNC_FF(op_58e8_0), /* Scc */
	CPUFUNC_FF(op_59e8_0), /* Scc */
	CPUFUNC_FF(op_5ae8_0), /* Scc */
	CPUFUNC_FF(op_5be8_0), /* Scc */
	CPUFUNC_FF(op_5ce8_0), /* Scc */
	CPUFUNC_FF(op_5de8_0), /* Scc */
	CPUFUNC_FF(op_5ee8_0), /* Scc */
	CPUFUNC_FF(op_5fe8_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC(op_80e8_0), /* DIVU */
	CPUFUNC(op_81e8_0), /* DIVS */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	CPUFUNC_FF(op_90e8_0), /* SUBA */
	CPUFUNC_FF(op_91e8_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_b0e8_0), /* CMPA */
	CPUFUNC(op_b1e8_0), /* CMPA */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC(op_c0e8_0), /* MULU */
	CPUFUNC(op_c1e8_0), /* MULS */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC_FF(op_d0e8_0), /* ADDA */
	CPUFUNC_FF(op_d1e8_0), /* ADDA */
	CPUFUNC(op_e0e8_0), /* ASRW */
	CPUFUNC(op_e1e8_0), /* ASLW */
	CPUFUNC(op_e2e8_0), /* LSRW */
	CPUFUNC(op_e3e8_0), /* LSLW */
	CPUFUNC(op_e4e8_0), /* ROXRW */
	CPUFUNC(op_e5e8_0), /* ROXLW */
	CPUFUNC(op_e6e8_0), /* RORW */
	CPUFUNC(op_e7e8_0), /* ROLW */
	CPUFUNC(op_e8e8_0), /* BFTST */
	CPUFUNC(op_e9e8_0), /* BFEXTU */
	CPUFUNC(op_eae8_0), /* BFCHG */
	CPUFUNC(op_ebe8_0), /* BFEXTS */
	CPUFUNC(op_ece8_0), /* BFCLR */
	CPUFUNC(op_ede8_0), /* BFFFO */
	CPUFUNC(op_eee8_0), /* BFSET */
	CPUFUNC(op_efe8_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f428_0), /* CPUSHL */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f0_0), /* CHK2 */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_2f0_0), /* CHK2 */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_4f0_0), /* CHK2 */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC_FF(op_6f0_0), /* CALLM */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_8f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_af0_0), /* CAS */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_cf0_0), /* CAS */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_ef0_0), /* CAS */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_11f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_13f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_21f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_23f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_31f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_33f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40f0_0), /* MVSR2 */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_42f0_0), /* MVSR2 */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC(op_44f0_0), /* MV2SR */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC(op_46f0_0), /* MV2SR */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_48f0_0), /* MVMLE */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC(op_4af0_0), /* TAS */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_4cf0_0), /* MVMEL */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_4ef0_0), /* JMP */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_50f0_0), /* Scc */
	CPUFUNC_FF(op_51f0_0), /* Scc */
	CPUFUNC_FF(op_52f0_0), /* Scc */
	CPUFUNC_FF(op_53f0_0), /* Scc */
	CPUFUNC_FF(op_54f0_0), /* Scc */
	CPUFUNC_FF(op_55f0_0), /* Scc */
	CPUFUNC_FF(op_56f0_0), /* Scc */
	CPUFUNC_FF(op_57f0_0), /* Scc */
	CPUFUNC_FF(op_58f0_0), /* Scc */
	CPUFUNC_FF(op_59f0_0), /* Scc */
	CPUFUNC_FF(op_5af0_0), /* Scc */
	CPUFUNC_FF(op_5bf0_0), /* Scc */
	CPUFUNC_FF(op_5cf0_0), /* Scc */
	CPUFUNC_FF(op_5df0_0), /* Scc */
	CPUFUNC_FF(op_5ef0_0), /* Scc */
	CPUFUNC_FF(op_5ff0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC(op_e0f0_0), /* ASRW */
	CPUFUNC(op_e1f0_0), /* ASLW */
	CPUFUNC(op_e2f0_0), /* LSRW */
	CPUFUNC(op_e3f0_0), /* LSLW */
	CPUFUNC(op_e4f0_0), /* ROXRW */
	CPUFUNC(op_e5f0_0), /* ROXLW */
	CPUFUNC(op_e6f0_0), /* RORW */
	CPUFUNC(op_e7f0_0), /* ROLW */
	CPUFUNC(op_e8f0_0), /* BFTST */
	CPUFUNC(op_e9f0_0), /* BFEXTU */
	CPUFUNC(op_eaf0_0), /* BFCHG */
	CPUFUNC(op_ebf0_0), /* BFEXTS */
	CPUFUNC(op_ecf0_0), /* BFCLR */
	CPUFUNC(op_edf0_0), /* BFFFO */
	CPUFUNC(op_eef0_0), /* BFSET */
	CPUFUNC(op_eff0_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f0_0), /* CHK2 */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_2f0_0), /* CHK2 */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_4f0_0), /* CHK2 */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC_FF(op_6f0_0), /* CALLM */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_8f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_af0_0), /* CAS */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_cf0_0), /* CAS */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_ef0_0), /* CAS */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_11f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_13f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_21f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_23f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_31f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_33f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40f0_0), /* MVSR2 */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_42f0_0), /* MVSR2 */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC(op_44f0_0), /* MV2SR */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC(op_46f0_0), /* MV2SR */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_48f0_0), /* MVMLE */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC(op_4af0_0), /* TAS */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_4cf0_0), /* MVMEL */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_4ef0_0), /* JMP */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_50f0_0), /* Scc */
	CPUFUNC_FF(op_51f0_0), /* Scc */
	CPUFUNC_FF(op_52f0_0), /* Scc */
	CPUFUNC_FF(op_53f0_0), /* Scc */
	CPUFUNC_FF(op_54f0_0), /* Scc */
	CPUFUNC_FF(op_55f0_0), /* Scc */
	CPUFUNC_FF(op_56f0_0), /* Scc */
	CPUFUNC_FF(op_57f0_0), /* Scc */
	CPUFUNC_FF(op_58f0_0), /* Scc */
	CPUFUNC_FF(op_59f0_0), /* Scc */
	CPUFUNC_FF(op_5af0_0), /* Scc */
	CPUFUNC_FF(op_5bf0_0), /* Scc */
	CPUFUNC_FF(op_5cf0_0), /* Scc */
	CPUFUNC_FF(op_5df0_0), /* Scc */
	CPUFUNC_FF(op_5ef0_0), /* Scc */
	CPUFUNC_FF(op_5ff0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC(op_e0f0_0), /* ASRW */
	CPUFUNC(op_e1f0_0), /* ASLW */
	CPUFUNC(op_e2f0_0), /* LSRW */
	CPUFUNC(op_e3f0_0), /* LSLW */
	CPUFUNC(op_e4f0_0), /* ROXRW */
	CPUFUNC(op_e5f0_0), /* ROXLW */
	CPUFUNC(op_e6f0_0), /* RORW */
	CPUFUNC(op_e7f0_0), /* ROLW */
	CPUFUNC(op_e8f0_0), /* BFTST */
	CPUFUNC(op_e9f0_0), /* BFEXTU */
	CPUFUNC(op_eaf0_0), /* BFCHG */
	CPUFUNC(op_ebf0_0), /* BFEXTS */
	CPUFUNC(op_ecf0_0), /* BFCLR */
	CPUFUNC(op_edf0_0), /* BFFFO */
	CPUFUNC(op_eef0_0), /* BFSET */
	CPUFUNC(op_eff0_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f0_0), /* CHK2 */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_2f0_0), /* CHK2 */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_4f0_0), /* CHK2 */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC_FF(op_6f0_0), /* CALLM */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_8f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_af0_0), /* CAS */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_cf0_0), /* CAS */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_ef0_0), /* CAS */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_11f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_13f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_21f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_23f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_31f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_33f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40f0_0), /* MVSR2 */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_42f0_0), /* MVSR2 */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC(op_44f0_0), /* MV2SR */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC(op_46f0_0), /* MV2SR */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_48f0_0), /* MVMLE */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC(op_4af0_0), /* TAS */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_4cf0_0), /* MVMEL */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_4ef0_0), /* JMP */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_50f0_0), /* Scc */
	CPUFUNC_FF(op_51f0_0), /* Scc */
	CPUFUNC_FF(op_52f0_0), /* Scc */
	CPUFUNC_FF(op_53f0_0), /* Scc */
	CPUFUNC_FF(op_54f0_0), /* Scc */
	CPUFUNC_FF(op_55f0_0), /* Scc */
	CPUFUNC_FF(op_56f0_0), /* Scc */
	CPUFUNC_FF(op_57f0_0), /* Scc */
	CPUFUNC_FF(op_58f0_0), /* Scc */
	CPUFUNC_FF(op_59f0_0), /* Scc */
	CPUFUNC_FF(op_5af0_0), /* Scc */
	CPUFUNC_FF(op_5bf0_0), /* Scc */
	CPUFUNC_FF(op_5cf0_0), /* Scc */
	CPUFUNC_FF(op_5df0_0), /* Scc */
	CPUFUNC_FF(op_5ef0_0), /* Scc */
	CPUFUNC_FF(op_5ff0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC(op_e0f0_0), /* ASRW */
	CPUFUNC(op_e1f0_0), /* ASLW */
	CPUFUNC(op_e2f0_0), /* LSRW */
	CPUFUNC(op_e3f0_0), /* LSLW */
	CPUFUNC(op_e4f0_0), /* ROXRW */
	CPUFUNC(op_e5f0_0), /* ROXLW */
	CPUFUNC(op_e6f0_0), /* RORW */
	CPUFUNC(op_e7f0_0), /* ROLW */
	CPUFUNC(op_e8f0_0), /* BFTST */
	CPUFUNC(op_e9f0_0), /* BFEXTU */
	CPUFUNC(op_eaf0_0), /* BFCHG */
	CPUFUNC(op_ebf0_0), /* BFEXTS */
	CPUFUNC(op_ecf0_0), /* BFCLR */
	CPUFUNC(op_edf0_0), /* BFFFO */
	CPUFUNC(op_eef0_0), /* BFSET */
	CPUFUNC(op_eff0_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f0_0), /* CHK2 */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_2f0_0), /* CHK2 */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_4f0_0), /* CHK2 */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC_FF(op_6f0_0), /* CALLM */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_8f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_af0_0), /* CAS */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_cf0_0), /* CAS */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_ef0_0), /* CAS */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_11f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_13f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_21f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_23f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_31f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_33f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40f0_0), /* MVSR2 */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_42f0_0), /* MVSR2 */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC(op_44f0_0), /* MV2SR */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC(op_46f0_0), /* MV2SR */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_48f0_0), /* MVMLE */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC(op_4af0_0), /* TAS */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_4cf0_0), /* MVMEL */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_4ef0_0), /* JMP */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_50f0_0), /* Scc */
	CPUFUNC_FF(op_51f0_0), /* Scc */
	CPUFUNC_FF(op_52f0_0), /* Scc */
	CPUFUNC_FF(op_53f0_0), /* Scc */
	CPUFUNC_FF(op_54f0_0), /* Scc */
	CPUFUNC_FF(op_55f0_0), /* Scc */
	CPUFUNC_FF(op_56f0_0), /* Scc */
	CPUFUNC_FF(op_57f0_0), /* Scc */
	CPUFUNC_FF(op_58f0_0), /* Scc */
	CPUFUNC_FF(op_59f0_0), /* Scc */
	CPUFUNC_FF(op_5af0_0), /* Scc */
	CPUFUNC_FF(op_5bf0_0), /* Scc */
	CPUFUNC_FF(op_5cf0_0), /* Scc */
	CPUFUNC_FF(op_5df0_0), /* Scc */
	CPUFUNC_FF(op_5ef0_0), /* Scc */
	CPUFUNC_FF(op_5ff0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC(op_e0f0_0), /* ASRW */
	CPUFUNC(op_e1f0_0), /* ASLW */
	CPUFUNC(op_e2f0_0), /* LSRW */
	CPUFUNC(op_e3f0_0), /* LSLW */
	CPUFUNC(op_e4f0_0), /* ROXRW */
	CPUFUNC(op_e5f0_0), /* ROXLW */
	CPUFUNC(op_e6f0_0), /* RORW */
	CPUFUNC(op_e7f0_0), /* ROLW */
	CPUFUNC(op_e8f0_0), /* BFTST */
	CPUFUNC(op_e9f0_0), /* BFEXTU */
	CPUFUNC(op_eaf0_0), /* BFCHG */
	CPUFUNC(op_ebf0_0), /* BFEXTS */
	CPUFUNC(op_ecf0_0), /* BFCLR */
	CPUFUNC(op_edf0_0), /* BFFFO */
	CPUFUNC(op_eef0_0), /* BFSET */
	CPUFUNC(op_eff0_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f0_0), /* CHK2 */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_2f0_0), /* CHK2 */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_4f0_0), /* CHK2 */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC_FF(op_6f0_0), /* CALLM */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_8f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_af0_0), /* CAS */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_cf0_0), /* CAS */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_ef0_0), /* CAS */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_11f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_13f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_21f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_23f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_31f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_33f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40f0_0), /* MVSR2 */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_42f0_0), /* MVSR2 */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC(op_44f0_0), /* MV2SR */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC(op_46f0_0), /* MV2SR */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_48f0_0), /* MVMLE */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC(op_4af0_0), /* TAS */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_4cf0_0), /* MVMEL */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_4ef0_0), /* JMP */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_50f0_0), /* Scc */
	CPUFUNC_FF(op_51f0_0), /* Scc */
	CPUFUNC_FF(op_52f0_0), /* Scc */
	CPUFUNC_FF(op_53f0_0), /* Scc */
	CPUFUNC_FF(op_54f0_0), /* Scc */
	CPUFUNC_FF(op_55f0_0), /* Scc */
	CPUFUNC_FF(op_56f0_0), /* Scc */
	CPUFUNC_FF(op_57f0_0), /* Scc */
	CPUFUNC_FF(op_58f0_0), /* Scc */
	CPUFUNC_FF(op_59f0_0), /* Scc */
	CPUFUNC_FF(op_5af0_0), /* Scc */
	CPUFUNC_FF(op_5bf0_0), /* Scc */
	CPUFUNC_FF(op_5cf0_0), /* Scc */
	CPUFUNC_FF(op_5df0_0), /* Scc */
	CPUFUNC_FF(op_5ef0_0), /* Scc */
	CPUFUNC_FF(op_5ff0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC(op_e0f0_0), /* ASRW */
	CPUFUNC(op_e1f0_0), /* ASLW */
	CPUFUNC(op_e2f0_0), /* LSRW */
	CPUFUNC(op_e3f0_0), /* LSLW */
	CPUFUNC(op_e4f0_0), /* ROXRW */
	CPUFUNC(op_e5f0_0), /* ROXLW */
	CPUFUNC(op_e6f0_0), /* RORW */
	CPUFUNC(op_e7f0_0), /* ROLW */
	CPUFUNC(op_e8f0_0), /* BFTST */
	CPUFUNC(op_e9f0_0), /* BFEXTU */
	CPUFUNC(op_eaf0_0), /* BFCHG */
	CPUFUNC(op_ebf0_0), /* BFEXTS */
	CPUFUNC(op_ecf0_0), /* BFCLR */
	CPUFUNC(op_edf0_0), /* BFFFO */
	CPUFUNC(op_eef0_0), /* BFSET */
	CPUFUNC(op_eff0_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f0_0), /* CHK2 */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_2f0_0), /* CHK2 */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_4f0_0), /* CHK2 */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC_FF(op_6f0_0), /* CALLM */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_8f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_af0_0), /* CAS */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_cf0_0), /* CAS */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_ef0_0), /* CAS */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_11f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_13f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_21f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_23f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_31f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_33f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40f0_0), /* MVSR2 */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_42f0_0), /* MVSR2 */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC(op_44f0_0), /* MV2SR */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC(op_46f0_0), /* MV2SR */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_48f0_0), /* MVMLE */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC(op_4af0_0), /* TAS */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_4cf0_0), /* MVMEL */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_4ef0_0), /* JMP */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_50f0_0), /* Scc */
	CPUFUNC_FF(op_51f0_0), /* Scc */
	CPUFUNC_FF(op_52f0_0), /* Scc */
	CPUFUNC_FF(op_53f0_0), /* Scc */
	CPUFUNC_FF(op_54f0_0), /* Scc */
	CPUFUNC_FF(op_55f0_0), /* Scc */
	CPUFUNC_FF(op_56f0_0), /* Scc */
	CPUFUNC_FF(op_57f0_0), /* Scc */
	CPUFUNC_FF(op_58f0_0), /* Scc */
	CPUFUNC_FF(op_59f0_0), /* Scc */
	CPUFUNC_FF(op_5af0_0), /* Scc */
	CPUFUNC_FF(op_5bf0_0), /* Scc */
	CPUFUNC_FF(op_5cf0_0), /* Scc */
	CPUFUNC_FF(op_5df0_0), /* Scc */
	CPUFUNC_FF(op_5ef0_0), /* Scc */
	CPUFUNC_FF(op_5ff0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC(op_e0f0_0), /* ASRW */
	CPUFUNC(op_e1f0_0), /* ASLW */
	CPUFUNC(op_e2f0_0), /* LSRW */
	CPUFUNC(op_e3f0_0), /* LSLW */
	CPUFUNC(op_e4f0_0), /* ROXRW */
	CPUFUNC(op_e5f0_0), /* ROXLW */
	CPUFUNC(op_e6f0_0), /* RORW */
	CPUFUNC(op_e7f0_0), /* ROLW */
	CPUFUNC(op_e8f0_0), /* BFTST */
	CPUFUNC(op_e9f0_0), /* BFEXTU */
	CPUFUNC(op_eaf0_0), /* BFCHG */
	CPUFUNC(op_ebf0_0), /* BFEXTS */
	CPUFUNC(op_ecf0_0), /* BFCLR */
	CPUFUNC(op_edf0_0), /* BFFFO */
	CPUFUNC(op_eef0_0), /* BFSET */
	CPUFUNC(op_eff0_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f0_0), /* CHK2 */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_2f0_0), /* CHK2 */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_4f0_0), /* CHK2 */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC_FF(op_6f0_0), /* CALLM */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_8f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_af0_0), /* CAS */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_cf0_0), /* CAS */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_ef0_0), /* CAS */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_11f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_13f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_21f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_23f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_31f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_33f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40f0_0), /* MVSR2 */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_42f0_0), /* MVSR2 */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC(op_44f0_0), /* MV2SR */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC(op_46f0_0), /* MV2SR */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_48f0_0), /* MVMLE */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC(op_4af0_0), /* TAS */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_4cf0_0), /* MVMEL */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_4ef0_0), /* JMP */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_50f0_0), /* Scc */
	CPUFUNC_FF(op_51f0_0), /* Scc */
	CPUFUNC_FF(op_52f0_0), /* Scc */
	CPUFUNC_FF(op_53f0_0), /* Scc */
	CPUFUNC_FF(op_54f0_0), /* Scc */
	CPUFUNC_FF(op_55f0_0), /* Scc */
	CPUFUNC_FF(op_56f0_0), /* Scc */
	CPUFUNC_FF(op_57f0_0), /* Scc */
	CPUFUNC_FF(op_58f0_0), /* Scc */
	CPUFUNC_FF(op_59f0_0), /* Scc */
	CPUFUNC_FF(op_5af0_0), /* Scc */
	CPUFUNC_FF(op_5bf0_0), /* Scc */
	CPUFUNC_FF(op_5cf0_0), /* Scc */
	CPUFUNC_FF(op_5df0_0), /* Scc */
	CPUFUNC_FF(op_5ef0_0), /* Scc */
	CPUFUNC_FF(op_5ff0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC(op_e0f0_0), /* ASRW */
	CPUFUNC(op_e1f0_0), /* ASLW */
	CPUFUNC(op_e2f0_0), /* LSRW */
	CPUFUNC(op_e3f0_0), /* LSLW */
	CPUFUNC(op_e4f0_0), /* ROXRW */
	CPUFUNC(op_e5f0_0), /* ROXLW */
	CPUFUNC(op_e6f0_0), /* RORW */
	CPUFUNC(op_e7f0_0), /* ROLW */
	CPUFUNC(op_e8f0_0), /* BFTST */
	CPUFUNC(op_e9f0_0), /* BFEXTU */
	CPUFUNC(op_eaf0_0), /* BFCHG */
	CPUFUNC(op_ebf0_0), /* BFEXTS */
	CPUFUNC(op_ecf0_0), /* BFCLR */
	CPUFUNC(op_edf0_0), /* BFFFO */
	CPUFUNC(op_eef0_0), /* BFSET */
	CPUFUNC(op_eff0_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f0_0), /* CHK2 */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_2f0_0), /* CHK2 */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_4f0_0), /* CHK2 */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC_FF(op_6f0_0), /* CALLM */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_8f0_0), /* BSET */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_af0_0), /* CAS */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_cf0_0), /* CAS */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_ef0_0), /* CAS */
	CPUFUNC(op_1f0_0), /* BSET */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_11f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	CPUFUNC(op_13f0_0), /* MOVE */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_21f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	CPUFUNC(op_23f0_0), /* MOVE */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_31f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	CPUFUNC(op_33f0_0), /* MOVE */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f0_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40f0_0), /* MVSR2 */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_42f0_0), /* MVSR2 */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC(op_44f0_0), /* MV2SR */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC(op_46f0_0), /* MV2SR */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_48f0_0), /* MVMLE */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC(op_4af0_0), /* TAS */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_4cf0_0), /* MVMEL */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_4ef0_0), /* JMP */
	CPUFUNC_FF(op_41f0_0), /* LEA */
	CPUFUNC_FF(op_50f0_0), /* Scc */
	CPUFUNC_FF(op_51f0_0), /* Scc */
	CPUFUNC_FF(op_52f0_0), /* Scc */
	CPUFUNC_FF(op_53f0_0), /* Scc */
	CPUFUNC_FF(op_54f0_0), /* Scc */
	CPUFUNC_FF(op_55f0_0), /* Scc */
	CPUFUNC_FF(op_56f0_0), /* Scc */
	CPUFUNC_FF(op_57f0_0), /* Scc */
	CPUFUNC_FF(op_58f0_0), /* Scc */
	CPUFUNC_FF(op_59f0_0), /* Scc */
	CPUFUNC_FF(op_5af0_0), /* Scc */
	CPUFUNC_FF(op_5bf0_0), /* Scc */
	CPUFUNC_FF(op_5cf0_0), /* Scc */
	CPUFUNC_FF(op_5df0_0), /* Scc */
	CPUFUNC_FF(op_5ef0_0), /* Scc */
	CPUFUNC_FF(op_5ff0_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC(op_80f0_0), /* DIVU */
	CPUFUNC(op_81f0_0), /* DIVS */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	CPUFUNC_FF(op_90f0_0), /* SUBA */
	CPUFUNC_FF(op_91f0_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_b0f0_0), /* CMPA */
	CPUFUNC(op_b1f0_0), /* CMPA */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC(op_c0f0_0), /* MULU */
	CPUFUNC(op_c1f0_0), /* MULS */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC_FF(op_d0f0_0), /* ADDA */
	CPUFUNC_FF(op_d1f0_0), /* ADDA */
	CPUFUNC(op_e0f0_0), /* ASRW */
	CPUFUNC(op_e1f0_0), /* ASLW */
	CPUFUNC(op_e2f0_0), /* LSRW */
	CPUFUNC(op_e3f0_0), /* LSLW */
	CPUFUNC(op_e4f0_0), /* ROXRW */
	CPUFUNC(op_e5f0_0), /* ROXLW */
	CPUFUNC(op_e6f0_0), /* RORW */
	CPUFUNC(op_e7f0_0), /* ROLW */
	CPUFUNC(op_e8f0_0), /* BFTST */
	CPUFUNC(op_e9f0_0), /* BFEXTU */
	CPUFUNC(op_eaf0_0), /* BFCHG */
	CPUFUNC(op_ebf0_0), /* BFEXTS */
	CPUFUNC(op_ecf0_0), /* BFCLR */
	CPUFUNC(op_edf0_0), /* BFFFO */
	CPUFUNC(op_eef0_0), /* BFSET */
	CPUFUNC(op_eff0_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f430_0), /* CPUSHP */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f8_0), /* CHK2 */
	CPUFUNC(op_1f8_0), /* BSET */
	CPUFUNC(op_2f8_0), /* CHK2 */
	CPUFUNC(op_1f8_0), /* BSET */
	CPUFUNC(op_4f8_0), /* CHK2 */
	CPUFUNC(op_1f8_0), /* BSET */
	CPUFUNC_FF(op_6f8_0), /* CALLM */
	CPUFUNC(op_1f8_0), /* BSET */
	CPUFUNC(op_8f8_0), /* BSET */
	CPUFUNC(op_1f8_0), /* BSET */
	CPUFUNC(op_af8_0), /* CAS */
	CPUFUNC(op_1f8_0), /* BSET */
	CPUFUNC(op_cf8_0), /* CAS */
	CPUFUNC(op_1f8_0), /* BSET */
	CPUFUNC(op_ef8_0), /* CAS */
	CPUFUNC(op_1f8_0), /* BSET */
	CPUFUNC(op_10f8_0), /* MOVE */
	CPUFUNC(op_11f8_0), /* MOVE */
	CPUFUNC(op_10f8_0), /* MOVE */
	CPUFUNC(op_13f8_0), /* MOVE */
	CPUFUNC(op_10f8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f8_0), /* MOVE */
	CPUFUNC(op_21f8_0), /* MOVE */
	CPUFUNC(op_20f8_0), /* MOVE */
	CPUFUNC(op_23f8_0), /* MOVE */
	CPUFUNC(op_20f8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f8_0), /* MOVE */
	CPUFUNC(op_31f8_0), /* MOVE */
	CPUFUNC(op_30f8_0), /* MOVE */
	CPUFUNC(op_33f8_0), /* MOVE */
	CPUFUNC(op_30f8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f8_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40f8_0), /* MVSR2 */
	CPUFUNC_FF(op_41f8_0), /* LEA */
	CPUFUNC_FF(op_42f8_0), /* MVSR2 */
	CPUFUNC_FF(op_41f8_0), /* LEA */
	CPUFUNC(op_44f8_0), /* MV2SR */
	CPUFUNC_FF(op_41f8_0), /* LEA */
	CPUFUNC(op_46f8_0), /* MV2SR */
	CPUFUNC_FF(op_41f8_0), /* LEA */
	CPUFUNC_FF(op_48f8_0), /* MVMLE */
	CPUFUNC_FF(op_41f8_0), /* LEA */
	CPUFUNC(op_4af8_0), /* TAS */
	CPUFUNC_FF(op_41f8_0), /* LEA */
	CPUFUNC_FF(op_4cf8_0), /* MVMEL */
	CPUFUNC_FF(op_41f8_0), /* LEA */
	CPUFUNC_FF(op_4ef8_0), /* JMP */
	CPUFUNC_FF(op_41f8_0), /* LEA */
	CPUFUNC_FF(op_50f8_0), /* Scc */
	CPUFUNC_FF(op_51f8_0), /* Scc */
	CPUFUNC_FF(op_52f8_0), /* Scc */
	CPUFUNC_FF(op_53f8_0), /* Scc */
	CPUFUNC_FF(op_54f8_0), /* Scc */
	CPUFUNC_FF(op_55f8_0), /* Scc */
	CPUFUNC_FF(op_56f8_0), /* Scc */
	CPUFUNC_FF(op_57f8_0), /* Scc */
	CPUFUNC_FF(op_58f8_0), /* Scc */
	CPUFUNC_FF(op_59f8_0), /* Scc */
	CPUFUNC_FF(op_5af8_0), /* Scc */
	CPUFUNC_FF(op_5bf8_0), /* Scc */
	CPUFUNC_FF(op_5cf8_0), /* Scc */
	CPUFUNC_FF(op_5df8_0), /* Scc */
	CPUFUNC_FF(op_5ef8_0), /* Scc */
	CPUFUNC_FF(op_5ff8_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80f8_0), /* DIVU */
	CPUFUNC(op_81f8_0), /* DIVS */
	CPUFUNC(op_80f8_0), /* DIVU */
	CPUFUNC(op_81f8_0), /* DIVS */
	CPUFUNC(op_80f8_0), /* DIVU */
	CPUFUNC(op_81f8_0), /* DIVS */
	CPUFUNC(op_80f8_0), /* DIVU */
	CPUFUNC(op_81f8_0), /* DIVS */
	CPUFUNC(op_80f8_0), /* DIVU */
	CPUFUNC(op_81f8_0), /* DIVS */
	CPUFUNC(op_80f8_0), /* DIVU */
	CPUFUNC(op_81f8_0), /* DIVS */
	CPUFUNC(op_80f8_0), /* DIVU */
	CPUFUNC(op_81f8_0), /* DIVS */
	CPUFUNC(op_80f8_0), /* DIVU */
	CPUFUNC(op_81f8_0), /* DIVS */
	CPUFUNC_FF(op_90f8_0), /* SUBA */
	CPUFUNC_FF(op_91f8_0), /* SUBA */
	CPUFUNC_FF(op_90f8_0), /* SUBA */
	CPUFUNC_FF(op_91f8_0), /* SUBA */
	CPUFUNC_FF(op_90f8_0), /* SUBA */
	CPUFUNC_FF(op_91f8_0), /* SUBA */
	CPUFUNC_FF(op_90f8_0), /* SUBA */
	CPUFUNC_FF(op_91f8_0), /* SUBA */
	CPUFUNC_FF(op_90f8_0), /* SUBA */
	CPUFUNC_FF(op_91f8_0), /* SUBA */
	CPUFUNC_FF(op_90f8_0), /* SUBA */
	CPUFUNC_FF(op_91f8_0), /* SUBA */
	CPUFUNC_FF(op_90f8_0), /* SUBA */
	CPUFUNC_FF(op_91f8_0), /* SUBA */
	CPUFUNC_FF(op_90f8_0), /* SUBA */
	CPUFUNC_FF(op_91f8_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0f8_0), /* CMPA */
	CPUFUNC(op_b1f8_0), /* CMPA */
	CPUFUNC(op_b0f8_0), /* CMPA */
	CPUFUNC(op_b1f8_0), /* CMPA */
	CPUFUNC(op_b0f8_0), /* CMPA */
	CPUFUNC(op_b1f8_0), /* CMPA */
	CPUFUNC(op_b0f8_0), /* CMPA */
	CPUFUNC(op_b1f8_0), /* CMPA */
	CPUFUNC(op_b0f8_0), /* CMPA */
	CPUFUNC(op_b1f8_0), /* CMPA */
	CPUFUNC(op_b0f8_0), /* CMPA */
	CPUFUNC(op_b1f8_0), /* CMPA */
	CPUFUNC(op_b0f8_0), /* CMPA */
	CPUFUNC(op_b1f8_0), /* CMPA */
	CPUFUNC(op_b0f8_0), /* CMPA */
	CPUFUNC(op_b1f8_0), /* CMPA */
	CPUFUNC(op_c0f8_0), /* MULU */
	CPUFUNC(op_c1f8_0), /* MULS */
	CPUFUNC(op_c0f8_0), /* MULU */
	CPUFUNC(op_c1f8_0), /* MULS */
	CPUFUNC(op_c0f8_0), /* MULU */
	CPUFUNC(op_c1f8_0), /* MULS */
	CPUFUNC(op_c0f8_0), /* MULU */
	CPUFUNC(op_c1f8_0), /* MULS */
	CPUFUNC(op_c0f8_0), /* MULU */
	CPUFUNC(op_c1f8_0), /* MULS */
	CPUFUNC(op_c0f8_0), /* MULU */
	CPUFUNC(op_c1f8_0), /* MULS */
	CPUFUNC(op_c0f8_0), /* MULU */
	CPUFUNC(op_c1f8_0), /* MULS */
	CPUFUNC(op_c0f8_0), /* MULU */
	CPUFUNC(op_c1f8_0), /* MULS */
	CPUFUNC_FF(op_d0f8_0), /* ADDA */
	CPUFUNC_FF(op_d1f8_0), /* ADDA */
	CPUFUNC_FF(op_d0f8_0), /* ADDA */
	CPUFUNC_FF(op_d1f8_0), /* ADDA */
	CPUFUNC_FF(op_d0f8_0), /* ADDA */
	CPUFUNC_FF(op_d1f8_0), /* ADDA */
	CPUFUNC_FF(op_d0f8_0), /* ADDA */
	CPUFUNC_FF(op_d1f8_0), /* ADDA */
	CPUFUNC_FF(op_d0f8_0), /* ADDA */
	CPUFUNC_FF(op_d1f8_0), /* ADDA */
	CPUFUNC_FF(op_d0f8_0), /* ADDA */
	CPUFUNC_FF(op_d1f8_0), /* ADDA */
	CPUFUNC_FF(op_d0f8_0), /* ADDA */
	CPUFUNC_FF(op_d1f8_0), /* ADDA */
	CPUFUNC_FF(op_d0f8_0), /* ADDA */
	CPUFUNC_FF(op_d1f8_0), /* ADDA */
	CPUFUNC(op_e0f8_0), /* ASRW */
	CPUFUNC(op_e1f8_0), /* ASLW */
	CPUFUNC(op_e2f8_0), /* LSRW */
	CPUFUNC(op_e3f8_0), /* LSLW */
	CPUFUNC(op_e4f8_0), /* ROXRW */
	CPUFUNC(op_e5f8_0), /* ROXLW */
	CPUFUNC(op_e6f8_0), /* RORW */
	CPUFUNC(op_e7f8_0), /* ROLW */
	CPUFUNC(op_e8f8_0), /* BFTST */
	CPUFUNC(op_e9f8_0), /* BFEXTU */
	CPUFUNC(op_eaf8_0), /* BFCHG */
	CPUFUNC(op_ebf8_0), /* BFEXTS */
	CPUFUNC(op_ecf8_0), /* BFCLR */
	CPUFUNC(op_edf8_0), /* BFFFO */
	CPUFUNC(op_eef8_0), /* BFSET */
	CPUFUNC(op_eff8_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f438_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_f9_0), /* CHK2 */
	CPUFUNC(op_1f9_0), /* BSET */
	CPUFUNC(op_2f9_0), /* CHK2 */
	CPUFUNC(op_1f9_0), /* BSET */
	CPUFUNC(op_4f9_0), /* CHK2 */
	CPUFUNC(op_1f9_0), /* BSET */
	CPUFUNC_FF(op_6f9_0), /* CALLM */
	CPUFUNC(op_1f9_0), /* BSET */
	CPUFUNC(op_8f9_0), /* BSET */
	CPUFUNC(op_1f9_0), /* BSET */
	CPUFUNC(op_af9_0), /* CAS */
	CPUFUNC(op_1f9_0), /* BSET */
	CPUFUNC(op_cf9_0), /* CAS */
	CPUFUNC(op_1f9_0), /* BSET */
	CPUFUNC(op_ef9_0), /* CAS */
	CPUFUNC(op_1f9_0), /* BSET */
	CPUFUNC(op_10f9_0), /* MOVE */
	CPUFUNC(op_11f9_0), /* MOVE */
	CPUFUNC(op_10f9_0), /* MOVE */
	CPUFUNC(op_13f9_0), /* MOVE */
	CPUFUNC(op_10f9_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f9_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f9_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f9_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f9_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10f9_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f9_0), /* MOVE */
	CPUFUNC(op_21f9_0), /* MOVE */
	CPUFUNC(op_20f9_0), /* MOVE */
	CPUFUNC(op_23f9_0), /* MOVE */
	CPUFUNC(op_20f9_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f9_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f9_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f9_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f9_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20f9_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f9_0), /* MOVE */
	CPUFUNC(op_31f9_0), /* MOVE */
	CPUFUNC(op_30f9_0), /* MOVE */
	CPUFUNC(op_33f9_0), /* MOVE */
	CPUFUNC(op_30f9_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f9_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f9_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f9_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f9_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30f9_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_40f9_0), /* MVSR2 */
	CPUFUNC_FF(op_41f9_0), /* LEA */
	CPUFUNC_FF(op_42f9_0), /* MVSR2 */
	CPUFUNC_FF(op_41f9_0), /* LEA */
	CPUFUNC(op_44f9_0), /* MV2SR */
	CPUFUNC_FF(op_41f9_0), /* LEA */
	CPUFUNC(op_46f9_0), /* MV2SR */
	CPUFUNC_FF(op_41f9_0), /* LEA */
	CPUFUNC_FF(op_48f9_0), /* MVMLE */
	CPUFUNC_FF(op_41f9_0), /* LEA */
	CPUFUNC(op_4af9_0), /* TAS */
	CPUFUNC_FF(op_41f9_0), /* LEA */
	CPUFUNC_FF(op_4cf9_0), /* MVMEL */
	CPUFUNC_FF(op_41f9_0), /* LEA */
	CPUFUNC_FF(op_4ef9_0), /* JMP */
	CPUFUNC_FF(op_41f9_0), /* LEA */
	CPUFUNC_FF(op_50f9_0), /* Scc */
	CPUFUNC_FF(op_51f9_0), /* Scc */
	CPUFUNC_FF(op_52f9_0), /* Scc */
	CPUFUNC_FF(op_53f9_0), /* Scc */
	CPUFUNC_FF(op_54f9_0), /* Scc */
	CPUFUNC_FF(op_55f9_0), /* Scc */
	CPUFUNC_FF(op_56f9_0), /* Scc */
	CPUFUNC_FF(op_57f9_0), /* Scc */
	CPUFUNC_FF(op_58f9_0), /* Scc */
	CPUFUNC_FF(op_59f9_0), /* Scc */
	CPUFUNC_FF(op_5af9_0), /* Scc */
	CPUFUNC_FF(op_5bf9_0), /* Scc */
	CPUFUNC_FF(op_5cf9_0), /* Scc */
	CPUFUNC_FF(op_5df9_0), /* Scc */
	CPUFUNC_FF(op_5ef9_0), /* Scc */
	CPUFUNC_FF(op_5ff9_0), /* Scc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80f9_0), /* DIVU */
	CPUFUNC(op_81f9_0), /* DIVS */
	CPUFUNC(op_80f9_0), /* DIVU */
	CPUFUNC(op_81f9_0), /* DIVS */
	CPUFUNC(op_80f9_0), /* DIVU */
	CPUFUNC(op_81f9_0), /* DIVS */
	CPUFUNC(op_80f9_0), /* DIVU */
	CPUFUNC(op_81f9_0), /* DIVS */
	CPUFUNC(op_80f9_0), /* DIVU */
	CPUFUNC(op_81f9_0), /* DIVS */
	CPUFUNC(op_80f9_0), /* DIVU */
	CPUFUNC(op_81f9_0), /* DIVS */
	CPUFUNC(op_80f9_0), /* DIVU */
	CPUFUNC(op_81f9_0), /* DIVS */
	CPUFUNC(op_80f9_0), /* DIVU */
	CPUFUNC(op_81f9_0), /* DIVS */
	CPUFUNC_FF(op_90f9_0), /* SUBA */
	CPUFUNC_FF(op_91f9_0), /* SUBA */
	CPUFUNC_FF(op_90f9_0), /* SUBA */
	CPUFUNC_FF(op_91f9_0), /* SUBA */
	CPUFUNC_FF(op_90f9_0), /* SUBA */
	CPUFUNC_FF(op_91f9_0), /* SUBA */
	CPUFUNC_FF(op_90f9_0), /* SUBA */
	CPUFUNC_FF(op_91f9_0), /* SUBA */
	CPUFUNC_FF(op_90f9_0), /* SUBA */
	CPUFUNC_FF(op_91f9_0), /* SUBA */
	CPUFUNC_FF(op_90f9_0), /* SUBA */
	CPUFUNC_FF(op_91f9_0), /* SUBA */
	CPUFUNC_FF(op_90f9_0), /* SUBA */
	CPUFUNC_FF(op_91f9_0), /* SUBA */
	CPUFUNC_FF(op_90f9_0), /* SUBA */
	CPUFUNC_FF(op_91f9_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0f9_0), /* CMPA */
	CPUFUNC(op_b1f9_0), /* CMPA */
	CPUFUNC(op_b0f9_0), /* CMPA */
	CPUFUNC(op_b1f9_0), /* CMPA */
	CPUFUNC(op_b0f9_0), /* CMPA */
	CPUFUNC(op_b1f9_0), /* CMPA */
	CPUFUNC(op_b0f9_0), /* CMPA */
	CPUFUNC(op_b1f9_0), /* CMPA */
	CPUFUNC(op_b0f9_0), /* CMPA */
	CPUFUNC(op_b1f9_0), /* CMPA */
	CPUFUNC(op_b0f9_0), /* CMPA */
	CPUFUNC(op_b1f9_0), /* CMPA */
	CPUFUNC(op_b0f9_0), /* CMPA */
	CPUFUNC(op_b1f9_0), /* CMPA */
	CPUFUNC(op_b0f9_0), /* CMPA */
	CPUFUNC(op_b1f9_0), /* CMPA */
	CPUFUNC(op_c0f9_0), /* MULU */
	CPUFUNC(op_c1f9_0), /* MULS */
	CPUFUNC(op_c0f9_0), /* MULU */
	CPUFUNC(op_c1f9_0), /* MULS */
	CPUFUNC(op_c0f9_0), /* MULU */
	CPUFUNC(op_c1f9_0), /* MULS */
	CPUFUNC(op_c0f9_0), /* MULU */
	CPUFUNC(op_c1f9_0), /* MULS */
	CPUFUNC(op_c0f9_0), /* MULU */
	CPUFUNC(op_c1f9_0), /* MULS */
	CPUFUNC(op_c0f9_0), /* MULU */
	CPUFUNC(op_c1f9_0), /* MULS */
	CPUFUNC(op_c0f9_0), /* MULU */
	CPUFUNC(op_c1f9_0), /* MULS */
	CPUFUNC(op_c0f9_0), /* MULU */
	CPUFUNC(op_c1f9_0), /* MULS */
	CPUFUNC_FF(op_d0f9_0), /* ADDA */
	CPUFUNC_FF(op_d1f9_0), /* ADDA */
	CPUFUNC_FF(op_d0f9_0), /* ADDA */
	CPUFUNC_FF(op_d1f9_0), /* ADDA */
	CPUFUNC_FF(op_d0f9_0), /* ADDA */
	CPUFUNC_FF(op_d1f9_0), /* ADDA */
	CPUFUNC_FF(op_d0f9_0), /* ADDA */
	CPUFUNC_FF(op_d1f9_0), /* ADDA */
	CPUFUNC_FF(op_d0f9_0), /* ADDA */
	CPUFUNC_FF(op_d1f9_0), /* ADDA */
	CPUFUNC_FF(op_d0f9_0), /* ADDA */
	CPUFUNC_FF(op_d1f9_0), /* ADDA */
	CPUFUNC_FF(op_d0f9_0), /* ADDA */
	CPUFUNC_FF(op_d1f9_0), /* ADDA */
	CPUFUNC_FF(op_d0f9_0), /* ADDA */
	CPUFUNC_FF(op_d1f9_0), /* ADDA */
	CPUFUNC(op_e0f9_0), /* ASRW */
	CPUFUNC(op_e1f9_0), /* ASLW */
	CPUFUNC(op_e2f9_0), /* LSRW */
	CPUFUNC(op_e3f9_0), /* LSLW */
	CPUFUNC(op_e4f9_0), /* ROXRW */
	CPUFUNC(op_e5f9_0), /* ROXLW */
	CPUFUNC(op_e6f9_0), /* RORW */
	CPUFUNC(op_e7f9_0), /* ROLW */
	CPUFUNC(op_e8f9_0), /* BFTST */
	CPUFUNC(op_e9f9_0), /* BFEXTU */
	CPUFUNC(op_eaf9_0), /* BFCHG */
	CPUFUNC(op_ebf9_0), /* BFEXTS */
	CPUFUNC(op_ecf9_0), /* BFCLR */
	CPUFUNC(op_edf9_0), /* BFFFO */
	CPUFUNC(op_eef9_0), /* BFSET */
	CPUFUNC(op_eff9_0), /* BFINS */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f439_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_fa_0), /* CHK2 */
	CPUFUNC(op_1fa_0), /* BSET */
	CPUFUNC(op_2fa_0), /* CHK2 */
	CPUFUNC(op_1fa_0), /* BSET */
	CPUFUNC(op_4fa_0), /* CHK2 */
	CPUFUNC(op_1fa_0), /* BSET */
	CPUFUNC_FF(op_6fa_0), /* CALLM */
	CPUFUNC(op_1fa_0), /* BSET */
	CPUFUNC(op_8fa_0), /* BSET */
	CPUFUNC(op_1fa_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1fa_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1fa_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1fa_0), /* BSET */
	CPUFUNC(op_10fa_0), /* MOVE */
	CPUFUNC(op_11fa_0), /* MOVE */
	CPUFUNC(op_10fa_0), /* MOVE */
	CPUFUNC(op_13fa_0), /* MOVE */
	CPUFUNC(op_10fa_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10fa_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10fa_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10fa_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10fa_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10fa_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20fa_0), /* MOVE */
	CPUFUNC(op_21fa_0), /* MOVE */
	CPUFUNC(op_20fa_0), /* MOVE */
	CPUFUNC(op_23fa_0), /* MOVE */
	CPUFUNC(op_20fa_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20fa_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20fa_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20fa_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20fa_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20fa_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30fa_0), /* MOVE */
	CPUFUNC(op_31fa_0), /* MOVE */
	CPUFUNC(op_30fa_0), /* MOVE */
	CPUFUNC(op_33fa_0), /* MOVE */
	CPUFUNC(op_30fa_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30fa_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30fa_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30fa_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30fa_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30fa_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_41fa_0), /* LEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_41fa_0), /* LEA */
	CPUFUNC(op_44fa_0), /* MV2SR */
	CPUFUNC_FF(op_41fa_0), /* LEA */
	CPUFUNC(op_46fa_0), /* MV2SR */
	CPUFUNC_FF(op_41fa_0), /* LEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_41fa_0), /* LEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_41fa_0), /* LEA */
	CPUFUNC_FF(op_4cfa_0), /* MVMEL */
	CPUFUNC_FF(op_41fa_0), /* LEA */
	CPUFUNC_FF(op_4efa_0), /* JMP */
	CPUFUNC_FF(op_41fa_0), /* LEA */
	CPUFUNC_FF(op_50fa_0), /* TRAPcc */
	CPUFUNC_FF(op_51fa_0), /* TRAPcc */
	CPUFUNC_FF(op_52fa_0), /* TRAPcc */
	CPUFUNC_FF(op_53fa_0), /* TRAPcc */
	CPUFUNC_FF(op_54fa_0), /* TRAPcc */
	CPUFUNC_FF(op_55fa_0), /* TRAPcc */
	CPUFUNC_FF(op_56fa_0), /* TRAPcc */
	CPUFUNC_FF(op_57fa_0), /* TRAPcc */
	CPUFUNC_FF(op_58fa_0), /* TRAPcc */
	CPUFUNC_FF(op_59fa_0), /* TRAPcc */
	CPUFUNC_FF(op_5afa_0), /* TRAPcc */
	CPUFUNC_FF(op_5bfa_0), /* TRAPcc */
	CPUFUNC_FF(op_5cfa_0), /* TRAPcc */
	CPUFUNC_FF(op_5dfa_0), /* TRAPcc */
	CPUFUNC_FF(op_5efa_0), /* TRAPcc */
	CPUFUNC_FF(op_5ffa_0), /* TRAPcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80fa_0), /* DIVU */
	CPUFUNC(op_81fa_0), /* DIVS */
	CPUFUNC(op_80fa_0), /* DIVU */
	CPUFUNC(op_81fa_0), /* DIVS */
	CPUFUNC(op_80fa_0), /* DIVU */
	CPUFUNC(op_81fa_0), /* DIVS */
	CPUFUNC(op_80fa_0), /* DIVU */
	CPUFUNC(op_81fa_0), /* DIVS */
	CPUFUNC(op_80fa_0), /* DIVU */
	CPUFUNC(op_81fa_0), /* DIVS */
	CPUFUNC(op_80fa_0), /* DIVU */
	CPUFUNC(op_81fa_0), /* DIVS */
	CPUFUNC(op_80fa_0), /* DIVU */
	CPUFUNC(op_81fa_0), /* DIVS */
	CPUFUNC(op_80fa_0), /* DIVU */
	CPUFUNC(op_81fa_0), /* DIVS */
	CPUFUNC_FF(op_90fa_0), /* SUBA */
	CPUFUNC_FF(op_91fa_0), /* SUBA */
	CPUFUNC_FF(op_90fa_0), /* SUBA */
	CPUFUNC_FF(op_91fa_0), /* SUBA */
	CPUFUNC_FF(op_90fa_0), /* SUBA */
	CPUFUNC_FF(op_91fa_0), /* SUBA */
	CPUFUNC_FF(op_90fa_0), /* SUBA */
	CPUFUNC_FF(op_91fa_0), /* SUBA */
	CPUFUNC_FF(op_90fa_0), /* SUBA */
	CPUFUNC_FF(op_91fa_0), /* SUBA */
	CPUFUNC_FF(op_90fa_0), /* SUBA */
	CPUFUNC_FF(op_91fa_0), /* SUBA */
	CPUFUNC_FF(op_90fa_0), /* SUBA */
	CPUFUNC_FF(op_91fa_0), /* SUBA */
	CPUFUNC_FF(op_90fa_0), /* SUBA */
	CPUFUNC_FF(op_91fa_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0fa_0), /* CMPA */
	CPUFUNC(op_b1fa_0), /* CMPA */
	CPUFUNC(op_b0fa_0), /* CMPA */
	CPUFUNC(op_b1fa_0), /* CMPA */
	CPUFUNC(op_b0fa_0), /* CMPA */
	CPUFUNC(op_b1fa_0), /* CMPA */
	CPUFUNC(op_b0fa_0), /* CMPA */
	CPUFUNC(op_b1fa_0), /* CMPA */
	CPUFUNC(op_b0fa_0), /* CMPA */
	CPUFUNC(op_b1fa_0), /* CMPA */
	CPUFUNC(op_b0fa_0), /* CMPA */
	CPUFUNC(op_b1fa_0), /* CMPA */
	CPUFUNC(op_b0fa_0), /* CMPA */
	CPUFUNC(op_b1fa_0), /* CMPA */
	CPUFUNC(op_b0fa_0), /* CMPA */
	CPUFUNC(op_b1fa_0), /* CMPA */
	CPUFUNC(op_c0fa_0), /* MULU */
	CPUFUNC(op_c1fa_0), /* MULS */
	CPUFUNC(op_c0fa_0), /* MULU */
	CPUFUNC(op_c1fa_0), /* MULS */
	CPUFUNC(op_c0fa_0), /* MULU */
	CPUFUNC(op_c1fa_0), /* MULS */
	CPUFUNC(op_c0fa_0), /* MULU */
	CPUFUNC(op_c1fa_0), /* MULS */
	CPUFUNC(op_c0fa_0), /* MULU */
	CPUFUNC(op_c1fa_0), /* MULS */
	CPUFUNC(op_c0fa_0), /* MULU */
	CPUFUNC(op_c1fa_0), /* MULS */
	CPUFUNC(op_c0fa_0), /* MULU */
	CPUFUNC(op_c1fa_0), /* MULS */
	CPUFUNC(op_c0fa_0), /* MULU */
	CPUFUNC(op_c1fa_0), /* MULS */
	CPUFUNC_FF(op_d0fa_0), /* ADDA */
	CPUFUNC_FF(op_d1fa_0), /* ADDA */
	CPUFUNC_FF(op_d0fa_0), /* ADDA */
	CPUFUNC_FF(op_d1fa_0), /* ADDA */
	CPUFUNC_FF(op_d0fa_0), /* ADDA */
	CPUFUNC_FF(op_d1fa_0), /* ADDA */
	CPUFUNC_FF(op_d0fa_0), /* ADDA */
	CPUFUNC_FF(op_d1fa_0), /* ADDA */
	CPUFUNC_FF(op_d0fa_0), /* ADDA */
	CPUFUNC_FF(op_d1fa_0), /* ADDA */
	CPUFUNC_FF(op_d0fa_0), /* ADDA */
	CPUFUNC_FF(op_d1fa_0), /* ADDA */
	CPUFUNC_FF(op_d0fa_0), /* ADDA */
	CPUFUNC_FF(op_d1fa_0), /* ADDA */
	CPUFUNC_FF(op_d0fa_0), /* ADDA */
	CPUFUNC_FF(op_d1fa_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e8fa_0), /* BFTST */
	CPUFUNC(op_e9fa_0), /* BFEXTU */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_ebfa_0), /* BFEXTS */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_edfa_0), /* BFFFO */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f43a_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_fb_0), /* CHK2 */
	CPUFUNC(op_1fb_0), /* BSET */
	CPUFUNC(op_2fb_0), /* CHK2 */
	CPUFUNC(op_1fb_0), /* BSET */
	CPUFUNC(op_4fb_0), /* CHK2 */
	CPUFUNC(op_1fb_0), /* BSET */
	CPUFUNC_FF(op_6fb_0), /* CALLM */
	CPUFUNC(op_1fb_0), /* BSET */
	CPUFUNC(op_8fb_0), /* BSET */
	CPUFUNC(op_1fb_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1fb_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1fb_0), /* BSET */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_1fb_0), /* BSET */
	CPUFUNC(op_10fb_0), /* MOVE */
	CPUFUNC(op_11fb_0), /* MOVE */
	CPUFUNC(op_10fb_0), /* MOVE */
	CPUFUNC(op_13fb_0), /* MOVE */
	CPUFUNC(op_10fb_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10fb_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10fb_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10fb_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10fb_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10fb_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20fb_0), /* MOVE */
	CPUFUNC(op_21fb_0), /* MOVE */
	CPUFUNC(op_20fb_0), /* MOVE */
	CPUFUNC(op_23fb_0), /* MOVE */
	CPUFUNC(op_20fb_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20fb_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20fb_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20fb_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20fb_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20fb_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30fb_0), /* MOVE */
	CPUFUNC(op_31fb_0), /* MOVE */
	CPUFUNC(op_30fb_0), /* MOVE */
	CPUFUNC(op_33fb_0), /* MOVE */
	CPUFUNC(op_30fb_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30fb_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30fb_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30fb_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30fb_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30fb_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_41fb_0), /* LEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_41fb_0), /* LEA */
	CPUFUNC(op_44fb_0), /* MV2SR */
	CPUFUNC_FF(op_41fb_0), /* LEA */
	CPUFUNC(op_46fb_0), /* MV2SR */
	CPUFUNC_FF(op_41fb_0), /* LEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_41fb_0), /* LEA */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_41fb_0), /* LEA */
	CPUFUNC_FF(op_4cfb_0), /* MVMEL */
	CPUFUNC_FF(op_41fb_0), /* LEA */
	CPUFUNC_FF(op_4efb_0), /* JMP */
	CPUFUNC_FF(op_41fb_0), /* LEA */
	CPUFUNC_FF(op_50fb_0), /* TRAPcc */
	CPUFUNC_FF(op_51fb_0), /* TRAPcc */
	CPUFUNC_FF(op_52fb_0), /* TRAPcc */
	CPUFUNC_FF(op_53fb_0), /* TRAPcc */
	CPUFUNC_FF(op_54fb_0), /* TRAPcc */
	CPUFUNC_FF(op_55fb_0), /* TRAPcc */
	CPUFUNC_FF(op_56fb_0), /* TRAPcc */
	CPUFUNC_FF(op_57fb_0), /* TRAPcc */
	CPUFUNC_FF(op_58fb_0), /* TRAPcc */
	CPUFUNC_FF(op_59fb_0), /* TRAPcc */
	CPUFUNC_FF(op_5afb_0), /* TRAPcc */
	CPUFUNC_FF(op_5bfb_0), /* TRAPcc */
	CPUFUNC_FF(op_5cfb_0), /* TRAPcc */
	CPUFUNC_FF(op_5dfb_0), /* TRAPcc */
	CPUFUNC_FF(op_5efb_0), /* TRAPcc */
	CPUFUNC_FF(op_5ffb_0), /* TRAPcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80fb_0), /* DIVU */
	CPUFUNC(op_81fb_0), /* DIVS */
	CPUFUNC(op_80fb_0), /* DIVU */
	CPUFUNC(op_81fb_0), /* DIVS */
	CPUFUNC(op_80fb_0), /* DIVU */
	CPUFUNC(op_81fb_0), /* DIVS */
	CPUFUNC(op_80fb_0), /* DIVU */
	CPUFUNC(op_81fb_0), /* DIVS */
	CPUFUNC(op_80fb_0), /* DIVU */
	CPUFUNC(op_81fb_0), /* DIVS */
	CPUFUNC(op_80fb_0), /* DIVU */
	CPUFUNC(op_81fb_0), /* DIVS */
	CPUFUNC(op_80fb_0), /* DIVU */
	CPUFUNC(op_81fb_0), /* DIVS */
	CPUFUNC(op_80fb_0), /* DIVU */
	CPUFUNC(op_81fb_0), /* DIVS */
	CPUFUNC_FF(op_90fb_0), /* SUBA */
	CPUFUNC_FF(op_91fb_0), /* SUBA */
	CPUFUNC_FF(op_90fb_0), /* SUBA */
	CPUFUNC_FF(op_91fb_0), /* SUBA */
	CPUFUNC_FF(op_90fb_0), /* SUBA */
	CPUFUNC_FF(op_91fb_0), /* SUBA */
	CPUFUNC_FF(op_90fb_0), /* SUBA */
	CPUFUNC_FF(op_91fb_0), /* SUBA */
	CPUFUNC_FF(op_90fb_0), /* SUBA */
	CPUFUNC_FF(op_91fb_0), /* SUBA */
	CPUFUNC_FF(op_90fb_0), /* SUBA */
	CPUFUNC_FF(op_91fb_0), /* SUBA */
	CPUFUNC_FF(op_90fb_0), /* SUBA */
	CPUFUNC_FF(op_91fb_0), /* SUBA */
	CPUFUNC_FF(op_90fb_0), /* SUBA */
	CPUFUNC_FF(op_91fb_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0fb_0), /* CMPA */
	CPUFUNC(op_b1fb_0), /* CMPA */
	CPUFUNC(op_b0fb_0), /* CMPA */
	CPUFUNC(op_b1fb_0), /* CMPA */
	CPUFUNC(op_b0fb_0), /* CMPA */
	CPUFUNC(op_b1fb_0), /* CMPA */
	CPUFUNC(op_b0fb_0), /* CMPA */
	CPUFUNC(op_b1fb_0), /* CMPA */
	CPUFUNC(op_b0fb_0), /* CMPA */
	CPUFUNC(op_b1fb_0), /* CMPA */
	CPUFUNC(op_b0fb_0), /* CMPA */
	CPUFUNC(op_b1fb_0), /* CMPA */
	CPUFUNC(op_b0fb_0), /* CMPA */
	CPUFUNC(op_b1fb_0), /* CMPA */
	CPUFUNC(op_b0fb_0), /* CMPA */
	CPUFUNC(op_b1fb_0), /* CMPA */
	CPUFUNC(op_c0fb_0), /* MULU */
	CPUFUNC(op_c1fb_0), /* MULS */
	CPUFUNC(op_c0fb_0), /* MULU */
	CPUFUNC(op_c1fb_0), /* MULS */
	CPUFUNC(op_c0fb_0), /* MULU */
	CPUFUNC(op_c1fb_0), /* MULS */
	CPUFUNC(op_c0fb_0), /* MULU */
	CPUFUNC(op_c1fb_0), /* MULS */
	CPUFUNC(op_c0fb_0), /* MULU */
	CPUFUNC(op_c1fb_0), /* MULS */
	CPUFUNC(op_c0fb_0), /* MULU */
	CPUFUNC(op_c1fb_0), /* MULS */
	CPUFUNC(op_c0fb_0), /* MULU */
	CPUFUNC(op_c1fb_0), /* MULS */
	CPUFUNC(op_c0fb_0), /* MULU */
	CPUFUNC(op_c1fb_0), /* MULS */
	CPUFUNC_FF(op_d0fb_0), /* ADDA */
	CPUFUNC_FF(op_d1fb_0), /* ADDA */
	CPUFUNC_FF(op_d0fb_0), /* ADDA */
	CPUFUNC_FF(op_d1fb_0), /* ADDA */
	CPUFUNC_FF(op_d0fb_0), /* ADDA */
	CPUFUNC_FF(op_d1fb_0), /* ADDA */
	CPUFUNC_FF(op_d0fb_0), /* ADDA */
	CPUFUNC_FF(op_d1fb_0), /* ADDA */
	CPUFUNC_FF(op_d0fb_0), /* ADDA */
	CPUFUNC_FF(op_d1fb_0), /* ADDA */
	CPUFUNC_FF(op_d0fb_0), /* ADDA */
	CPUFUNC_FF(op_d1fb_0), /* ADDA */
	CPUFUNC_FF(op_d0fb_0), /* ADDA */
	CPUFUNC_FF(op_d1fb_0), /* ADDA */
	CPUFUNC_FF(op_d0fb_0), /* ADDA */
	CPUFUNC_FF(op_d1fb_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_e8fb_0), /* BFTST */
	CPUFUNC(op_e9fb_0), /* BFEXTU */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_ebfb_0), /* BFEXTS */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_edfb_0), /* BFFFO */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f43b_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_cfc_0), /* CAS2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_efc_0), /* CAS2 */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10fc_0), /* MOVE */
	CPUFUNC(op_11fc_0), /* MOVE */
	CPUFUNC(op_10fc_0), /* MOVE */
	CPUFUNC(op_13fc_0), /* MOVE */
	CPUFUNC(op_10fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_10fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20fc_0), /* MOVE */
	CPUFUNC(op_21fc_0), /* MOVE */
	CPUFUNC(op_20fc_0), /* MOVE */
	CPUFUNC(op_23fc_0), /* MOVE */
	CPUFUNC(op_20fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_20fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30fc_0), /* MOVE */
	CPUFUNC(op_31fc_0), /* MOVE */
	CPUFUNC(op_30fc_0), /* MOVE */
	CPUFUNC(op_33fc_0), /* MOVE */
	CPUFUNC(op_30fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_30fc_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_44fc_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_46fc_0), /* MV2SR */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_50fc_0), /* TRAPcc */
	CPUFUNC_FF(op_51fc_0), /* TRAPcc */
	CPUFUNC_FF(op_52fc_0), /* TRAPcc */
	CPUFUNC_FF(op_53fc_0), /* TRAPcc */
	CPUFUNC_FF(op_54fc_0), /* TRAPcc */
	CPUFUNC_FF(op_55fc_0), /* TRAPcc */
	CPUFUNC_FF(op_56fc_0), /* TRAPcc */
	CPUFUNC_FF(op_57fc_0), /* TRAPcc */
	CPUFUNC_FF(op_58fc_0), /* TRAPcc */
	CPUFUNC_FF(op_59fc_0), /* TRAPcc */
	CPUFUNC_FF(op_5afc_0), /* TRAPcc */
	CPUFUNC_FF(op_5bfc_0), /* TRAPcc */
	CPUFUNC_FF(op_5cfc_0), /* TRAPcc */
	CPUFUNC_FF(op_5dfc_0), /* TRAPcc */
	CPUFUNC_FF(op_5efc_0), /* TRAPcc */
	CPUFUNC_FF(op_5ffc_0), /* TRAPcc */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_80fc_0), /* DIVU */
	CPUFUNC(op_81fc_0), /* DIVS */
	CPUFUNC(op_80fc_0), /* DIVU */
	CPUFUNC(op_81fc_0), /* DIVS */
	CPUFUNC(op_80fc_0), /* DIVU */
	CPUFUNC(op_81fc_0), /* DIVS */
	CPUFUNC(op_80fc_0), /* DIVU */
	CPUFUNC(op_81fc_0), /* DIVS */
	CPUFUNC(op_80fc_0), /* DIVU */
	CPUFUNC(op_81fc_0), /* DIVS */
	CPUFUNC(op_80fc_0), /* DIVU */
	CPUFUNC(op_81fc_0), /* DIVS */
	CPUFUNC(op_80fc_0), /* DIVU */
	CPUFUNC(op_81fc_0), /* DIVS */
	CPUFUNC(op_80fc_0), /* DIVU */
	CPUFUNC(op_81fc_0), /* DIVS */
	CPUFUNC_FF(op_90fc_0), /* SUBA */
	CPUFUNC_FF(op_91fc_0), /* SUBA */
	CPUFUNC_FF(op_90fc_0), /* SUBA */
	CPUFUNC_FF(op_91fc_0), /* SUBA */
	CPUFUNC_FF(op_90fc_0), /* SUBA */
	CPUFUNC_FF(op_91fc_0), /* SUBA */
	CPUFUNC_FF(op_90fc_0), /* SUBA */
	CPUFUNC_FF(op_91fc_0), /* SUBA */
	CPUFUNC_FF(op_90fc_0), /* SUBA */
	CPUFUNC_FF(op_91fc_0), /* SUBA */
	CPUFUNC_FF(op_90fc_0), /* SUBA */
	CPUFUNC_FF(op_91fc_0), /* SUBA */
	CPUFUNC_FF(op_90fc_0), /* SUBA */
	CPUFUNC_FF(op_91fc_0), /* SUBA */
	CPUFUNC_FF(op_90fc_0), /* SUBA */
	CPUFUNC_FF(op_91fc_0), /* SUBA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_b0fc_0), /* CMPA */
	CPUFUNC(op_b1fc_0), /* CMPA */
	CPUFUNC(op_b0fc_0), /* CMPA */
	CPUFUNC(op_b1fc_0), /* CMPA */
	CPUFUNC(op_b0fc_0), /* CMPA */
	CPUFUNC(op_b1fc_0), /* CMPA */
	CPUFUNC(op_b0fc_0), /* CMPA */
	CPUFUNC(op_b1fc_0), /* CMPA */
	CPUFUNC(op_b0fc_0), /* CMPA */
	CPUFUNC(op_b1fc_0), /* CMPA */
	CPUFUNC(op_b0fc_0), /* CMPA */
	CPUFUNC(op_b1fc_0), /* CMPA */
	CPUFUNC(op_b0fc_0), /* CMPA */
	CPUFUNC(op_b1fc_0), /* CMPA */
	CPUFUNC(op_b0fc_0), /* CMPA */
	CPUFUNC(op_b1fc_0), /* CMPA */
	CPUFUNC(op_c0fc_0), /* MULU */
	CPUFUNC(op_c1fc_0), /* MULS */
	CPUFUNC(op_c0fc_0), /* MULU */
	CPUFUNC(op_c1fc_0), /* MULS */
	CPUFUNC(op_c0fc_0), /* MULU */
	CPUFUNC(op_c1fc_0), /* MULS */
	CPUFUNC(op_c0fc_0), /* MULU */
	CPUFUNC(op_c1fc_0), /* MULS */
	CPUFUNC(op_c0fc_0), /* MULU */
	CPUFUNC(op_c1fc_0), /* MULS */
	CPUFUNC(op_c0fc_0), /* MULU */
	CPUFUNC(op_c1fc_0), /* MULS */
	CPUFUNC(op_c0fc_0), /* MULU */
	CPUFUNC(op_c1fc_0), /* MULS */
	CPUFUNC(op_c0fc_0), /* MULU */
	CPUFUNC(op_c1fc_0), /* MULS */
	CPUFUNC_FF(op_d0fc_0), /* ADDA */
	CPUFUNC_FF(op_d1fc_0), /* ADDA */
	CPUFUNC_FF(op_d0fc_0), /* ADDA */
	CPUFUNC_FF(op_d1fc_0), /* ADDA */
	CPUFUNC_FF(op_d0fc_0), /* ADDA */
	CPUFUNC_FF(op_d1fc_0), /* ADDA */
	CPUFUNC_FF(op_d0fc_0), /* ADDA */
	CPUFUNC_FF(op_d1fc_0), /* ADDA */
	CPUFUNC_FF(op_d0fc_0), /* ADDA */
	CPUFUNC_FF(op_d1fc_0), /* ADDA */
	CPUFUNC_FF(op_d0fc_0), /* ADDA */
	CPUFUNC_FF(op_d1fc_0), /* ADDA */
	CPUFUNC_FF(op_d0fc_0), /* ADDA */
	CPUFUNC_FF(op_d1fc_0), /* ADDA */
	CPUFUNC_FF(op_d0fc_0), /* ADDA */
	CPUFUNC_FF(op_d1fc_0), /* ADDA */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f43c_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f43d_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_6001_0), /* Bcc */
	CPUFUNC_FF(op_6101_0), /* BSR */
	CPUFUNC_FF(op_6201_0), /* Bcc */
	CPUFUNC_FF(op_6301_0), /* Bcc */
	CPUFUNC_FF(op_6401_0), /* Bcc */
	CPUFUNC_FF(op_6501_0), /* Bcc */
	CPUFUNC_FF(op_6601_0), /* Bcc */
	CPUFUNC_FF(op_6701_0), /* Bcc */
	CPUFUNC_FF(op_6801_0), /* Bcc */
	CPUFUNC_FF(op_6901_0), /* Bcc */
	CPUFUNC_FF(op_6a01_0), /* Bcc */
	CPUFUNC_FF(op_6b01_0), /* Bcc */
	CPUFUNC_FF(op_6c01_0), /* Bcc */
	CPUFUNC_FF(op_6d01_0), /* Bcc */
	CPUFUNC_FF(op_6e01_0), /* Bcc */
	CPUFUNC_FF(op_6f01_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f43e_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_60ff_0), /* Bcc */
	CPUFUNC_FF(op_61ff_0), /* BSR */
	CPUFUNC_FF(op_62ff_0), /* Bcc */
	CPUFUNC_FF(op_63ff_0), /* Bcc */
	CPUFUNC_FF(op_64ff_0), /* Bcc */
	CPUFUNC_FF(op_65ff_0), /* Bcc */
	CPUFUNC_FF(op_66ff_0), /* Bcc */
	CPUFUNC_FF(op_67ff_0), /* Bcc */
	CPUFUNC_FF(op_68ff_0), /* Bcc */
	CPUFUNC_FF(op_69ff_0), /* Bcc */
	CPUFUNC_FF(op_6aff_0), /* Bcc */
	CPUFUNC_FF(op_6bff_0), /* Bcc */
	CPUFUNC_FF(op_6cff_0), /* Bcc */
	CPUFUNC_FF(op_6dff_0), /* Bcc */
	CPUFUNC_FF(op_6eff_0), /* Bcc */
	CPUFUNC_FF(op_6fff_0), /* Bcc */
	CPUFUNC(op_7000_0), /* MOVE */
	CPUFUNC_FF(op_7101_0), /* EMULOP */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	CPUFUNC(op_7000_0), /* MOVE */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f2c0_0), /* FBcc */
	op_illg_1, /* ILLEGAL */
	CPUFUNC_FF(op_f43f_0), /* CPUSHA */
	CPUFUNC(op_f500_0), /* MMUOP */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1, /* ILLEGAL */
	op_illg_1 /* ILLEGAL */
#endif
};
